/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALLED = 385,
    CASCADE = 386,
    CASCADED = 387,
    CASE = 388,
    CAST = 389,
    CATALOG_P = 390,
    CHAIN = 391,
    CHAR_P = 392,
    CHARACTER = 393,
    CHARACTERISTICS = 394,
    CHECK = 395,
    CHECKPOINT = 396,
    CLASS = 397,
    CLOSE = 398,
    CLUSTER = 399,
    COALESCE = 400,
    COLLATE = 401,
    COLLATION = 402,
    COLUMN = 403,
    COMMENT = 404,
    COMMENTS = 405,
    COMMIT = 406,
    COMMITTED = 407,
    CONCURRENTLY = 408,
    CONFIGURATION = 409,
    CONFLICT = 410,
    CONNECTION = 411,
    CONSTRAINT = 412,
    CONSTRAINTS = 413,
    CONTENT_P = 414,
    CONTINUE_P = 415,
    CONVERSION_P = 416,
    COPY = 417,
    COST = 418,
    CREATE = 419,
    CROSS = 420,
    CSV = 421,
    CUBE = 422,
    CURRENT_P = 423,
    CURRENT_CATALOG = 424,
    CURRENT_DATE = 425,
    CURRENT_ROLE = 426,
    CURRENT_SCHEMA = 427,
    CURRENT_TIME = 428,
    CURRENT_TIMESTAMP = 429,
    CURRENT_USER = 430,
    CURSOR = 431,
    CYCLE = 432,
    DATA_P = 433,
    DATABASE = 434,
    DAY_P = 435,
    DEALLOCATE = 436,
    DEC = 437,
    DECIMAL_P = 438,
    DECLARE = 439,
    DEFAULT = 440,
    DEFAULTS = 441,
    DEFERRABLE = 442,
    DEFERRED = 443,
    DEFINER = 444,
    DELETE_P = 445,
    DELIMITER = 446,
    DELIMITERS = 447,
    DESC = 448,
    DICTIONARY = 449,
    DISABLE_P = 450,
    DISCARD = 451,
    DISTINCT = 452,
    DO = 453,
    DOCUMENT_P = 454,
    DOMAIN_P = 455,
    DOUBLE_P = 456,
    DROP = 457,
    EACH = 458,
    ELSE = 459,
    ENABLE_P = 460,
    ENCODING = 461,
    ENCRYPTED = 462,
    END_P = 463,
    ENUM_P = 464,
    ESCAPE = 465,
    EVENT = 466,
    EXCEPT = 467,
    EXCLUDE = 468,
    EXCLUDING = 469,
    EXCLUSIVE = 470,
    EXECUTE = 471,
    EXISTS = 472,
    EXPLAIN = 473,
    EXTENSION = 474,
    EXTERNAL = 475,
    EXTRACT = 476,
    FALSE_P = 477,
    FAMILY = 478,
    FETCH = 479,
    FILTER = 480,
    FIRST_P = 481,
    FLOAT_P = 482,
    FOLLOWING = 483,
    FOR = 484,
    FORCE = 485,
    FOREIGN = 486,
    FORWARD = 487,
    FREEZE = 488,
    FROM = 489,
    FULL = 490,
    FUNCTION = 491,
    FUNCTIONS = 492,
    GLOBAL = 493,
    GRANT = 494,
    GRANTED = 495,
    GREATEST = 496,
    GROUP_P = 497,
    GROUPING = 498,
    HANDLER = 499,
    HAVING = 500,
    HEADER_P = 501,
    HOLD = 502,
    HOUR_P = 503,
    IDENTITY_P = 504,
    IF_P = 505,
    ILIKE = 506,
    IMMEDIATE = 507,
    IMMUTABLE = 508,
    IMPLICIT_P = 509,
    IMPORT_P = 510,
    IN_P = 511,
    INCLUDING = 512,
    INCREMENT = 513,
    INDEX = 514,
    INDEXES = 515,
    INHERIT = 516,
    INHERITS = 517,
    INITIALLY = 518,
    INLINE_P = 519,
    INNER_P = 520,
    INOUT = 521,
    INPUT_P = 522,
    INSENSITIVE = 523,
    INSERT = 524,
    INSTEAD = 525,
    INT_P = 526,
    INTEGER = 527,
    INTERSECT = 528,
    INTERVAL = 529,
    INTO = 530,
    INVOKER = 531,
    IS = 532,
    ISNULL = 533,
    ISOLATION = 534,
    JOIN = 535,
    KEY = 536,
    LABEL = 537,
    LANGUAGE = 538,
    LARGE_P = 539,
    LAST_P = 540,
    LATERAL_P = 541,
    LEADING = 542,
    LEAKPROOF = 543,
    LEAST = 544,
    LEFT = 545,
    LEVEL = 546,
    LIKE = 547,
    LIMIT = 548,
    LISTEN = 549,
    LOAD = 550,
    LOCAL = 551,
    LOCALTIME = 552,
    LOCALTIMESTAMP = 553,
    LOCATION = 554,
    LOCK_P = 555,
    LOCKED = 556,
    LOGGED = 557,
    MAPPING = 558,
    MATCH = 559,
    MATERIALIZED = 560,
    MAXVALUE = 561,
    MINUTE_P = 562,
    MINVALUE = 563,
    MODE = 564,
    MONTH_P = 565,
    MOVE = 566,
    NAME_P = 567,
    NAMES = 568,
    NATIONAL = 569,
    NATURAL = 570,
    NCHAR = 571,
    NEXT = 572,
    NO = 573,
    NONE = 574,
    NOT = 575,
    NOTHING = 576,
    NOTIFY = 577,
    NOTNULL = 578,
    NOWAIT = 579,
    NULL_P = 580,
    NULLIF = 581,
    NULLS_P = 582,
    NUMERIC = 583,
    OBJECT_P = 584,
    OF = 585,
    OFF = 586,
    OFFSET = 587,
    OIDS = 588,
    ON = 589,
    ONLY = 590,
    OPERATOR = 591,
    OPTION = 592,
    OPTIONS = 593,
    OR = 594,
    ORDER = 595,
    ORDINALITY = 596,
    OUT_P = 597,
    OUTER_P = 598,
    OVER = 599,
    OVERLAPS = 600,
    OVERLAY = 601,
    OWNED = 602,
    OWNER = 603,
    PARSER = 604,
    PARTIAL = 605,
    PARTITION = 606,
    PASSING = 607,
    PASSWORD = 608,
    PLACING = 609,
    PLANS = 610,
    POLICY = 611,
    POSITION = 612,
    PRECEDING = 613,
    PRECISION = 614,
    PRESERVE = 615,
    PREPARE = 616,
    PREPARED = 617,
    PRIMARY = 618,
    PRIOR = 619,
    PRIVILEGES = 620,
    PROCEDURAL = 621,
    PROCEDURE = 622,
    PROGRAM = 623,
    QUOTE = 624,
    RANGE = 625,
    READ = 626,
    REAL = 627,
    REASSIGN = 628,
    RECHECK = 629,
    RECURSIVE = 630,
    REF = 631,
    REFERENCES = 632,
    REFRESH = 633,
    REINDEX = 634,
    RELATIVE_P = 635,
    RELEASE = 636,
    RENAME = 637,
    REPEATABLE = 638,
    REPLACE = 639,
    REPLICA = 640,
    RESET = 641,
    RESTART = 642,
    RESTRICT = 643,
    RETURNING = 644,
    RETURNS = 645,
    REVOKE = 646,
    RIGHT = 647,
    ROLE = 648,
    ROLLBACK = 649,
    ROLLUP = 650,
    ROW = 651,
    ROWS = 652,
    RULE = 653,
    SAVEPOINT = 654,
    SCHEMA = 655,
    SCROLL = 656,
    SEARCH = 657,
    SECOND_P = 658,
    SECURITY = 659,
    SELECT = 660,
    SEQUENCE = 661,
    SEQUENCES = 662,
    SERIALIZABLE = 663,
    SERVER = 664,
    SESSION = 665,
    SESSION_USER = 666,
    SET = 667,
    SETS = 668,
    SETOF = 669,
    SHARE = 670,
    SHOW = 671,
    SIMILAR = 672,
    SIMPLE = 673,
    SKIP = 674,
    SMALLINT = 675,
    SNAPSHOT = 676,
    SOME = 677,
    SQL_P = 678,
    STABLE = 679,
    STANDALONE_P = 680,
    START = 681,
    STATEMENT = 682,
    STATISTICS = 683,
    STDIN = 684,
    STDOUT = 685,
    STORAGE = 686,
    STRICT_P = 687,
    STRIP_P = 688,
    SUBSTRING = 689,
    SYMMETRIC = 690,
    SYSID = 691,
    SYSTEM_P = 692,
    TABLE = 693,
    TABLES = 694,
    TABLESAMPLE = 695,
    TABLESPACE = 696,
    TEMP = 697,
    TEMPLATE = 698,
    TEMPORARY = 699,
    TEXT_P = 700,
    THEN = 701,
    TIME = 702,
    TIMESTAMP = 703,
    TO = 704,
    TRAILING = 705,
    TRANSACTION = 706,
    TRANSFORM = 707,
    TREAT = 708,
    TRIGGER = 709,
    TRIM = 710,
    TRUE_P = 711,
    TRUNCATE = 712,
    TRUSTED = 713,
    TYPE_P = 714,
    TYPES_P = 715,
    UNBOUNDED = 716,
    UNCOMMITTED = 717,
    UNENCRYPTED = 718,
    UNION = 719,
    UNIQUE = 720,
    UNKNOWN = 721,
    UNLISTEN = 722,
    UNLOGGED = 723,
    UNTIL = 724,
    UPDATE = 725,
    USER = 726,
    USING = 727,
    VACUUM = 728,
    VALID = 729,
    VALIDATE = 730,
    VALIDATOR = 731,
    VALUE_P = 732,
    VALUES = 733,
    VARCHAR = 734,
    VARIADIC = 735,
    VARYING = 736,
    VERBOSE = 737,
    VERSION_P = 738,
    VIEW = 739,
    VIEWS = 740,
    VOLATILE = 741,
    WHEN = 742,
    WHERE = 743,
    WHITESPACE_P = 744,
    WINDOW = 745,
    WITH = 746,
    WITHIN = 747,
    WITHOUT = 748,
    WORK = 749,
    WRAPPER = 750,
    WRITE = 751,
    XML_P = 752,
    XMLATTRIBUTES = 753,
    XMLCONCAT = 754,
    XMLELEMENT = 755,
    XMLEXISTS = 756,
    XMLFOREST = 757,
    XMLPARSE = 758,
    XMLPI = 759,
    XMLROOT = 760,
    XMLSERIALIZE = 761,
    YEAR_P = 762,
    YES_P = 763,
    ZONE = 764,
    NOT_LA = 765,
    NULLS_LA = 766,
    WITH_LA = 767,
    POSTFIXOP = 768,
    UMINUS = 769
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1217 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1246 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   124802

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  534
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  755
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2962
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5575

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   769

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   521,     2,     2,
     526,   527,   519,   517,   529,   518,   528,   520,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   531,   530,
     513,   515,   514,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   524,     2,   525,   522,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   532,     2,   533,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   516,   523
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1555,  1555,  1558,  1560,  1562,  1564,  1566,  1568,  1570,
    1572,  1574,  1576,  1578,  1580,  1582,  1584,  1586,  1588,  1590,
    1592,  1594,  1596,  1598,  1600,  1602,  1604,  1606,  1608,  1610,
    1612,  1614,  1616,  1618,  1636,  1638,  1640,  1642,  1644,  1646,
    1648,  1650,  1652,  1654,  1656,  1658,  1660,  1662,  1664,  1666,
    1668,  1670,  1672,  1674,  1676,  1678,  1680,  1682,  1684,  1686,
    1688,  1690,  1692,  1694,  1696,  1698,  1700,  1704,  1706,  1708,
    1710,  1712,  1714,  1716,  1718,  1720,  1722,  1724,  1726,  1728,
    1730,  1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,
    1750,  1752,  1754,  1756,  1758,  1760,  1762,  1764,  1766,  1768,
    1770,  1772,  1774,  1776,  1778,  1785,  1787,  1789,  1791,  1793,
    1795,  1797,  1799,  1801,  1803,  1805,  1807,  1813,  1815,  1817,
    1819,  1821,  1823,  1825,  1827,  1829,  1835,  1845,  1849,  1855,
    1859,  1869,  1879,  1880,  1894,  1901,  1907,  1918,  1924,  1933,
    1940,  1946,  1955,  1962,  1970,  1975,  1983,  1987,  1992,  1998,
    2003,  2009,  2014,  2020,  2024,  2028,  2032,  2036,  2040,  2044,
    2048,  2052,  2060,  2064,  2068,  2072,  2076,  2080,  2088,  2096,
    2105,  2107,  2115,  2119,  2127,  2135,  2139,  2147,  2151,  2159,
    2163,  2171,  2179,  2187,  2191,  2199,  2203,  2211,  2215,  2219,
    2224,  2233,  2238,  2244,  2249,  2255,  2259,  2263,  2267,  2271,
    2275,  2283,  2287,  2291,  2299,  2303,  2307,  2315,  2319,  2323,
    2327,  2328,  2332,  2336,  2340,  2345,  2349,  2353,  2357,  2361,
    2365,  2369,  2377,  2381,  2389,  2393,  2401,  2405,  2419,  2423,
    2427,  2431,  2439,  2443,  2447,  2451,  2459,  2463,  2467,  2471,
    2475,  2479,  2483,  2491,  2495,  2500,  2506,  2510,  2518,  2526,
    2530,  2534,  2538,  2546,  2550,  2558,  2562,  2570,  2574,  2582,
    2586,  2590,  2594,  2598,  2607,  2615,  2619,  2627,  2631,  2639,
    2647,  2651,  2655,  2659,  2663,  2671,  2675,  2679,  2683,  2687,
    2691,  2695,  2699,  2703,  2707,  2711,  2715,  2719,  2723,  2727,
    2731,  2739,  2743,  2751,  2755,  2759,  2763,  2767,  2771,  2775,
    2779,  2783,  2787,  2791,  2795,  2799,  2803,  2807,  2811,  2815,
    2819,  2823,  2827,  2831,  2835,  2839,  2843,  2847,  2851,  2855,
    2859,  2863,  2867,  2871,  2875,  2879,  2883,  2887,  2891,  2895,
    2899,  2903,  2907,  2911,  2915,  2919,  2923,  2927,  2931,  2935,
    2939,  2943,  2947,  2955,  2959,  2967,  2971,  2976,  2982,  2987,
    2993,  2998,  3004,  3008,  3012,  3016,  3024,  3032,  3037,  3043,
    3047,  3055,  3059,  3063,  3067,  3075,  3083,  3087,  3095,  3099,
    3103,  3107,  3115,  3120,  3128,  3136,  3144,  3148,  3156,  3161,
    3167,  3171,  3175,  3183,  3187,  3195,  3200,  3206,  3210,  3214,
    3218,  3222,  3226,  3230,  3234,  3238,  3242,  3246,  3250,  3254,
    3258,  3266,  3271,  3277,  3282,  3288,  3293,  3299,  3304,  3310,
    3314,  3322,  3330,  3334,  3338,  3342,  3347,  3353,  3357,  3365,
    3373,  3377,  3381,  3385,  3393,  3397,  3401,  3405,  3409,  3413,
    3417,  3422,  3428,  3433,  3439,  3444,  3450,  3454,  3462,  3466,
    3474,  3478,  3482,  3490,  3494,  3502,  3510,  3518,  3523,  3529,
    3533,  3537,  3541,  3549,  3553,  3557,  3561,  3565,  3569,  3573,
    3581,  3585,  3589,  3593,  3601,  3609,  3613,  3618,  3624,  3628,
    3632,  3636,  3640,  3644,  3652,  3656,  3664,  3668,  3672,  3676,
    3680,  3684,  3688,  3696,  3701,  3707,  3712,  3718,  3722,  3730,
    3738,  3742,  3747,  3752,  3758,  3762,  3770,  3774,  3782,  3787,
    3793,  3797,  3801,  3805,  3810,  3816,  3824,  3832,  3836,  3840,
    3844,  3848,  3856,  3861,  3867,  3871,  3875,  3880,  3886,  3890,
    3894,  3899,  3905,  3910,  3916,  3921,  3927,  3935,  3943,  3947,
    3952,  3958,  3962,  3970,  3978,  3983,  3989,  3997,  4001,  4009,
    4013,  4021,  4026,  4032,  4036,  4044,  4048,  4052,  4056,  4060,
    4064,  4068,  4072,  4076,  4080,  4084,  4088,  4096,  4101,  4107,
    4111,  4115,  4119,  4127,  4131,  4139,  4143,  4151,  4156,  4162,
    4166,  4174,  4179,  4185,  4189,  4197,  4202,  4208,  4212,  4220,
    4225,  4231,  4239,  4244,  4250,  4254,  4262,  4266,  4274,  4279,
    4285,  4289,  4293,  4301,  4309,  4314,  4320,  4328,  4332,  4336,
    4340,  4344,  4348,  4352,  4356,  4360,  4364,  4368,  4372,  4376,
    4380,  4384,  4388,  4392,  4396,  4400,  4404,  4408,  4412,  4416,
    4420,  4424,  4432,  4440,  4444,  4448,  4452,  4460,  4464,  4472,
    4477,  4483,  4487,  4495,  4499,  4507,  4512,  4518,  4522,  4530,
    4538,  4542,  4550,  4554,  4558,  4562,  4570,  4578,  4586,  4594,
    4602,  4607,  4613,  4617,  4625,  4630,  4636,  4640,  4648,  4652,
    4656,  4664,  4668,  4676,  4680,  4688,  4696,  4700,  4708,  4713,
    4719,  4727,  4731,  4739,  4743,  4751,  4759,  4767,  4775,  4779,
    4787,  4792,  4798,  4803,  4809,  4814,  4820,  4825,  4831,  4836,
    4842,  4846,  4850,  4854,  4858,  4866,  4870,  4878,  4882,  4886,
    4894,  4898,  4906,  4910,  4914,  4918,  4922,  4930,  4935,  4941,
    4946,  4952,  4956,  4964,  4969,  4975,  4979,  4984,  4990,  4994,
    4998,  5002,  5010,  5015,  5022,  5024,  5032,  5036,  5040,  5044,
    5048,  5052,  5060,  5064,  5072,  5076,  5084,  5088,  5096,  5104,
    5108,  5116,  5124,  5128,  5132,  5136,  5144,  5153,  5162,  5166,
    5170,  5174,  5178,  5182,  5186,  5190,  5194,  5198,  5202,  5206,
    5210,  5214,  5222,  5230,  5234,  5242,  5246,  5254,  5258,  5262,
    5266,  5270,  5278,  5286,  5290,  5298,  5306,  5311,  5317,  5321,
    5329,  5333,  5337,  5345,  5350,  5356,  5364,  5368,  5376,  5380,
    5384,  5388,  5392,  5400,  5405,  5411,  5416,  5422,  5426,  5431,
    5437,  5443,  5449,  5457,  5461,  5469,  5473,  5481,  5485,  5493,
    5497,  5505,  5509,  5517,  5525,  5533,  5537,  5541,  5545,  5549,
    5553,  5557,  5561,  5569,  5573,  5577,  5581,  5585,  5589,  5593,
    5597,  5601,  5605,  5609,  5613,  5617,  5621,  5625,  5633,  5637,
    5645,  5649,  5657,  5661,  5669,  5673,  5674,  5682,  5686,  5691,
    5697,  5701,  5705,  5709,  5713,  5717,  5721,  5725,  5729,  5733,
    5737,  5741,  5745,  5749,  5753,  5757,  5761,  5765,  5773,  5777,
    5781,  5785,  5789,  5793,  5797,  5801,  5805,  5809,  5813,  5817,
    5821,  5825,  5829,  5833,  5837,  5841,  5845,  5849,  5853,  5861,
    5865,  5873,  5877,  5881,  5885,  5889,  5893,  5897,  5905,  5910,
    5916,  5920,  5924,  5928,  5932,  5936,  5940,  5944,  5948,  5952,
    5956,  5964,  5968,  5976,  5980,  5984,  5988,  5994,  6000,  6006,
    6012,  6018,  6024,  6030,  6040,  6051,  6062,  6073,  6084,  6095,
    6106,  6122,  6138,  6154,  6165,  6181,  6192,  6208,  6223,  6227,
    6235,  6240,  6246,  6254,  6258,  6266,  6270,  6274,  6278,  6282,
    6290,  6294,  6302,  6306,  6310,  6314,  6322,  6326,  6330,  6334,
    6338,  6342,  6346,  6350,  6354,  6358,  6362,  6366,  6370,  6374,
    6378,  6382,  6390,  6394,  6402,  6406,  6414,  6419,  6425,  6429,
    6437,  6445,  6453,  6457,  6465,  6470,  6476,  6481,  6487,  6495,
    6500,  6506,  6510,  6514,  6522,  6526,  6530,  6538,  6542,  6546,
    6550,  6558,  6562,  6570,  6575,  6581,  6586,  6592,  6597,  6603,
    6608,  6614,  6618,  6626,  6630,  6634,  6642,  6647,  6653,  6657,
    6662,  6668,  6672,  6677,  6683,  6687,  6692,  6698,  6702,  6706,
    6714,  6719,  6725,  6729,  6737,  6741,  6749,  6753,  6761,  6765,
    6773,  6777,  6781,  6785,  6789,  6797,  6801,  6805,  6809,  6813,
    6821,  6829,  6837,  6841,  6845,  6853,  6857,  6861,  6869,  6878,
    6882,  6886,  6890,  6898,  6902,  6910,  6914,  6922,  6926,  6930,
    6934,  6938,  6942,  6946,  6950,  6954,  6958,  6962,  6966,  6970,
    6974,  6978,  6986,  6990,  6994,  6998,  7002,  7010,  7014,  7022,
    7026,  7034,  7039,  7045,  7053,  7057,  7065,  7073,  7077,  7085,
    7090,  7096,  7100,  7108,  7112,  7120,  7124,  7132,  7136,  7140,
    7144,  7152,  7156,  7164,  7172,  7176,  7184,  7188,  7196,  7200,
    7204,  7212,  7216,  7221,  7227,  7235,  7240,  7246,  7254,  7258,
    7262,  7266,  7274,  7282,  7286,  7290,  7294,  7302,  7306,  7314,
    7318,  7322,  7330,  7334,  7342,  7350,  7354,  7362,  7366,  7370,
    7374,  7378,  7382,  7386,  7390,  7394,  7398,  7402,  7406,  7410,
    7414,  7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,  7450,
    7454,  7458,  7462,  7466,  7470,  7474,  7478,  7482,  7486,  7490,
    7494,  7498,  7502,  7506,  7510,  7514,  7518,  7522,  7526,  7530,
    7534,  7538,  7542,  7546,  7550,  7558,  7563,  7569,  7574,  7580,
    7584,  7588,  7592,  7596,  7600,  7604,  7608,  7612,  7616,  7620,
    7624,  7628,  7632,  7636,  7640,  7644,  7648,  7652,  7656,  7660,
    7664,  7668,  7672,  7680,  7684,  7688,  7692,  7696,  7700,  7704,
    7708,  7712,  7716,  7720,  7724,  7728,  7732,  7736,  7740,  7744,
    7748,  7752,  7760,  7768,  7772,  7776,  7784,  7788,  7796,  7800,
    7804,  7808,  7812,  7820,  7825,  7831,  7835,  7839,  7843,  7851,
    7855,  7860,  7866,  7870,  7878,  7886,  7891,  7897,  7905,  7909,
    7917,  7921,  7925,  7929,  7933,  7937,  7941,  7945,  7949,  7953,
    7957,  7961,  7965,  7969,  7977,  7981,  7986,  7992,  7996,  8000,
    8004,  8008,  8016,  8020,  8024,  8032,  8037,  8043,  8047,  8051,
    8056,  8065,  8069,  8073,  8078,  8084,  8092,  8100,  8105,  8111,
    8115,  8123,  8127,  8131,  8139,  8143,  8147,  8151,  8155,  8159,
    8163,  8171,  8176,  8182,  8186,  8190,  8198,  8206,  8210,  8218,
    8222,  8230,  8238,  8242,  8246,  8250,  8254,  8258,  8262,  8270,
    8275,  8281,  8289,  8293,  8297,  8301,  8305,  8309,  8317,  8321,
    8329,  8337,  8341,  8345,  8353,  8358,  8364,  8368,  8372,  8376,
    8380,  8388,  8392,  8400,  8404,  8408,  8412,  8420,  8424,  8432,
    8436,  8444,  8449,  8455,  8460,  8466,  8471,  8477,  8482,  8488,
    8492,  8496,  8500,  8508,  8512,  8516,  8520,  8524,  8528,  8532,
    8536,  8540,  8548,  8552,  8560,  8568,  8572,  8580,  8584,  8589,
    8595,  8601,  8611,  8616,  8622,  8626,  8630,  8634,  8642,  8644,
    8652,  8657,  8663,  8671,  8675,  8683,  8687,  8691,  8699,  8703,
    8711,  8719,  8723,  8728,  8734,  8738,  8743,  8749,  8754,  8760,
    8768,  8773,  8779,  8787,  8792,  8798,  8802,  8806,  8810,  8814,
    8818,  8822,  8826,  8834,  8839,  8845,  8849,  8854,  8860,  8868,
    8872,  8880,  8884,  8892,  8900,  8904,  8912,  8920,  8924,  8932,
    8985,  8989,  9002,  9004,  9008,  9012,  9016,  9025,  9031,  9035,
    9043,  9047,  9055,  9059,  9067,  9071,  9075,  9079,  9083,  9087,
    9091,  9095,  9103,  9107,  9115,  9119,  9123,  9127,  9131,  9135,
    9139,  9147,  9151,  9155,  9163,  9167,  9175,  9183,  9188,  9194,
    9199,  9201,  9207,  9211,  9215,  9219,  9223,  9227,  9231,  9235,
    9239,  9247,  9252,  9258,  9262,  9267,  9273,  9277,  9285,  9290,
    9296,  9301,  9307,  9315,  9319,  9327,  9331,  9339,  9343,  9347,
    9351,  9359,  9364,  9370,  9374,  9379,  9387,  9391,  9399,  9403,
    9411,  9419,  9423,  9428,  9434,  9442,  9446,  9454,  9458,  9466,
    9471,  9477,  9481,  9489,  9493,  9497,  9501,  9505,  9513,  9521,
    9529,  9537,  9545,  9550,  9556,  9560,  9568,  9573,  9579,  9583,
    9591,  9599,  9603,  9607,  9611,  9619,  9624,  9630,  9634,  9642,
    9647,  9653,  9657,  9665,  9669,  9673,  9677,  9681,  9688,  9695,
    9699,  9707,  9711,  9715,  9719,  9723,  9727,  9735,  9739,  9743,
    9747,  9755,  9760,  9766,  9770,  9774,  9778,  9783,  9789,  9793,
    9797,  9801,  9809,  9814,  9820,  9824,  9832,  9836,  9840,  9844,
    9852,  9856,  9864,  9868,  9872,  9880,  9888,  9893,  9899,  9903,
    9911,  9919,  9923,  9931,  9936,  9942,  9947,  9953,  9958,  9964,
    9968,  9974,  9980,  9985,  9991,  9995, 10003, 10011, 10013, 10015,
   10019, 10023, 10027, 10035, 10045, 10056, 10065, 10069, 10073, 10077,
   10081, 10085, 10089, 10097, 10101, 10105, 10109, 10117, 10121, 10129,
   10134, 10140, 10144, 10148, 10152, 10156, 10160, 10164, 10168, 10172,
   10176, 10180, 10188, 10193, 10199, 10203, 10211, 10215, 10223, 10231,
   10239, 10243, 10251, 10255, 10263, 10271, 10279, 10283, 10287, 10291,
   10295, 10299, 10307, 10312, 10318, 10323, 10329, 10333, 10337, 10341,
   10349, 10357, 10361, 10366, 10372, 10376, 10380, 10384, 10388, 10392,
   10396, 10400, 10404, 10408, 10412, 10416, 10420, 10425, 10431, 10435,
   10443, 10447, 10451, 10455, 10459, 10463, 10467, 10471, 10475, 10479,
   10483, 10487, 10491, 10495, 10499, 10503, 10507, 10511, 10515, 10519,
   10523, 10527, 10531, 10535, 10539, 10543, 10547, 10551, 10555, 10559,
   10563, 10567, 10571, 10575, 10579, 10583, 10587, 10591, 10595, 10599,
   10603, 10607, 10611, 10615, 10619, 10623, 10627, 10631, 10635, 10639,
   10643, 10647, 10651, 10655, 10659, 10663, 10667, 10671, 10675, 10679,
   10683, 10688, 10692, 10700, 10704, 10708, 10712, 10716, 10720, 10724,
   10728, 10732, 10736, 10740, 10744, 10748, 10752, 10756, 10760, 10764,
   10768, 10772, 10776, 10780, 10784, 10788, 10792, 10796, 10804, 10808,
   10812, 10816, 10820, 10824, 10828, 10832, 10836, 10840, 10844, 10848,
   10852, 10856, 10864, 10868, 10872, 10876, 10880, 10884, 10888, 10896,
   10900, 10908, 10912, 10920, 10924, 10928, 10932, 10936, 10940, 10944,
   10948, 10952, 10956, 10960, 10964, 10968, 10972, 10976, 10980, 10984,
   10988, 10992, 10996, 11000, 11004, 11008, 11012, 11016, 11020, 11024,
   11028, 11032, 11036, 11040, 11044, 11048, 11052, 11056, 11060, 11064,
   11068, 11072, 11076, 11080, 11084, 11092, 11096, 11104, 11108, 11112,
   11117, 11123, 11131, 11135, 11143, 11147, 11155, 11159, 11167, 11171,
   11176, 11182, 11186, 11190, 11194, 11202, 11207, 11213, 11218, 11224,
   11229, 11235, 11239, 11247, 11255, 11259, 11264, 11270, 11278, 11282,
   11289, 11294, 11300, 11305, 11310, 11316, 11320, 11328, 11332, 11336,
   11340, 11344, 11352, 11356, 11360, 11368, 11372, 11380, 11388, 11392,
   11396, 11404, 11408, 11416, 11420, 11424, 11428, 11432, 11436, 11440,
   11444, 11448, 11452, 11456, 11460, 11468, 11472, 11480, 11484, 11492,
   11496, 11500, 11504, 11508, 11512, 11520, 11524, 11532, 11536, 11544,
   11548, 11552, 11560, 11564, 11572, 11576, 11580, 11588, 11592, 11600,
   11605, 11611, 11615, 11619, 11623, 11627, 11631, 11635, 11639, 11647,
   11651, 11659, 11667, 11672, 11678, 11682, 11686, 11690, 11694, 11699,
   11705, 11713, 11721, 11725, 11729, 11737, 11741, 11749, 11757, 11761,
   11769, 11777, 11782, 11788, 11793, 11799, 11803, 11811, 11815, 11819,
   11823, 11831, 11835, 11844, 11846, 11854, 11859, 11865, 11869, 11877,
   11881, 11889, 11897, 11902, 11908, 11912, 11920, 11924, 11928, 11932,
   11940, 11944, 11952, 11956, 11964, 11968, 11976, 11984, 11992, 12000,
   12008, 12016, 12024, 12028, 12036, 12040, 12044, 12048, 12052, 12056,
   12060, 12064, 12068, 12072, 12076, 12080, 12084, 12088, 12089, 12094,
   12100, 12104, 12105, 12109, 12117, 12125, 12129, 12133, 12141, 12145,
   12153, 12157, 12161, 12165, 12173, 12177, 12181, 12185, 12189, 12193,
   12197, 12201, 12205, 12209, 12213, 12217, 12221, 12225, 12229, 12233,
   12237, 12241, 12245, 12249, 12253, 12257, 12261, 12265, 12269, 12273,
   12277, 12281, 12285, 12289, 12293, 12297, 12301, 12305, 12309, 12313,
   12317, 12321, 12325, 12329, 12333, 12337, 12341, 12345, 12349, 12353,
   12357, 12361, 12365, 12369, 12373, 12377, 12381, 12385, 12389, 12393,
   12397, 12401, 12405, 12409, 12413, 12417, 12421, 12425, 12429, 12433,
   12437, 12441, 12445, 12449, 12453, 12457, 12461, 12465, 12469, 12473,
   12477, 12481, 12485, 12489, 12493, 12497, 12501, 12505, 12509, 12513,
   12517, 12521, 12525, 12529, 12533, 12537, 12541, 12545, 12549, 12553,
   12557, 12561, 12565, 12569, 12573, 12577, 12581, 12585, 12589, 12593,
   12597, 12601, 12605, 12609, 12613, 12617, 12621, 12625, 12629, 12633,
   12637, 12641, 12645, 12649, 12653, 12657, 12661, 12665, 12669, 12673,
   12677, 12681, 12685, 12689, 12693, 12697, 12701, 12705, 12709, 12713,
   12717, 12721, 12725, 12729, 12733, 12737, 12741, 12745, 12749, 12753,
   12757, 12761, 12765, 12769, 12773, 12777, 12781, 12785, 12789, 12793,
   12797, 12801, 12805, 12809, 12813, 12817, 12821, 12825, 12829, 12833,
   12837, 12841, 12845, 12849, 12853, 12857, 12861, 12865, 12869, 12873,
   12877, 12881, 12885, 12889, 12893, 12897, 12901, 12905, 12909, 12913,
   12917, 12921, 12925, 12929, 12933, 12937, 12941, 12945, 12949, 12953,
   12957, 12961, 12965, 12969, 12973, 12977, 12981, 12985, 12989, 12993,
   12997, 13001, 13005, 13009, 13013, 13017, 13021, 13025, 13029, 13033,
   13037, 13041, 13045, 13049, 13053, 13057, 13061, 13065, 13069, 13073,
   13077, 13081, 13085, 13089, 13093, 13097, 13101, 13105, 13109, 13113,
   13117, 13121, 13125, 13129, 13133, 13137, 13141, 13145, 13149, 13153,
   13157, 13161, 13165, 13169, 13173, 13177, 13181, 13185, 13189, 13193,
   13197, 13201, 13205, 13213, 13217, 13221, 13225, 13229, 13233, 13237,
   13241, 13245, 13249, 13253, 13257, 13261, 13265, 13269, 13273, 13277,
   13281, 13285, 13289, 13293, 13297, 13301, 13305, 13309, 13313, 13317,
   13321, 13325, 13329, 13333, 13337, 13341, 13345, 13349, 13353, 13357,
   13361, 13365, 13369, 13373, 13377, 13381, 13385, 13389, 13397, 13401,
   13405, 13409, 13413, 13417, 13421, 13425, 13429, 13433, 13437, 13441,
   13445, 13449, 13453, 13457, 13461, 13465, 13469, 13473, 13477, 13481,
   13485, 13493, 13497, 13501, 13505, 13509, 13513, 13517, 13521, 13525,
   13529, 13533, 13537, 13541, 13545, 13549, 13553, 13557, 13561, 13565,
   13569, 13573, 13577, 13581, 13585, 13589, 13593, 13597, 13601, 13605,
   13609, 13613, 13617, 13621, 13625, 13629, 13633, 13637, 13641, 13645,
   13649, 13653, 13657, 13661, 13665, 13669, 13673, 13677, 13681, 13685,
   13689, 13693, 13697, 13701, 13705, 13709, 13713, 13717, 13721, 13725,
   13729, 13733, 13737, 13741, 13745, 13749, 13753, 13757, 13761, 13765,
   13769, 13773, 13777, 13781, 13785, 13789, 13799, 13800, 13803, 13804,
   13805, 13811, 13812, 13813, 13814, 13815, 13828, 13828, 13837, 13852,
   13854, 13857, 13859, 13863, 13875, 13891, 13895, 13906, 13907, 13910,
   13922, 13931, 13932, 13935, 13936, 13937, 13940, 13941, 13944, 13945,
   13948, 13949, 13952, 13954, 13956, 13958, 13962, 13969, 13976, 13992,
   14026, 14036, 14039, 14043, 14056, 14057, 14059, 14061, 14065, 14079,
   14086, 14147, 14156, 14158, 14159, 14162, 14164, 14165, 14168, 14169,
   14170, 14171, 14172, 14179, 14178, 14188, 14190, 14192, 14193, 14196,
   14197, 14198, 14199, 14202, 14203, 14207, 14206, 14223, 14221, 14237,
   14236, 14250, 14256, 14257, 14260, 14262, 14263, 14266, 14267, 14268,
   14269, 14272, 14273, 14276, 14284, 14301, 14309, 14332, 14438, 14472,
   14474, 14476, 14480, 14484, 14483, 14534, 14536, 14535, 14550, 14556,
   14563, 14568, 14574, 14575, 14578, 14579, 14580, 14581, 14582, 14583,
   14584, 14592, 14600, 14603, 14604, 14605, 14606, 14607, 14608, 14616,
   14624, 14625, 14626, 14629, 14630, 14633, 14635, 14644, 14732, 14733,
   14740, 14741, 14742, 14748, 14757, 14760, 14761, 14762, 14763, 14766,
   14767, 14768, 14771, 14773, 14781, 14782, 14788, 14796, 14797, 14800,
   14801, 14804, 14809, 14816, 14821, 14828, 14835, 14835, 14837, 14844,
   14845, 14848, 14849, 14850, 14851, 14852, 14853, 14854, 14855, 14856,
   14862, 14869, 14881, 14887, 14894, 14902, 14903, 14915, 14926, 14937,
   14941, 14942, 14945, 14950, 14954, 14955, 14958, 14964, 14972, 14978,
   14985, 14989, 14990, 14993, 14996, 15000, 15001, 15004, 15010, 15019,
   15024, 15034, 15044, 15056, 15057, 15058, 15059, 15060, 15061, 15062,
   15063, 15064, 15065, 15066, 15067, 15068, 15069, 15070, 15077, 15078,
   15081, 15082, 15089, 15090, 15091, 15098, 15097, 15114, 15115, 15122,
   15121, 15191, 15197, 15203, 15211, 15217, 15223, 15229, 15235, 15241,
   15247, 15253, 15259, 15270, 15271, 15274, 15275, 15276, 15277, 15278,
   15279, 15280, 15281, 15282, 15283, 15284, 15285, 15286, 15287, 15288,
   15289, 15290, 15291, 15292, 15293, 15294, 15295, 15296, 15299, 15300,
   15301, 15302, 15303, 15304, 15308, 15309, 15310, 15311, 15312, 15313,
   15314, 15317, 15320, 15321, 15322, 15323, 15324, 15325, 15326, 15327,
   15340, 15341, 15342, 15343, 15344, 15345, 15346, 15351, 15352, 15353,
   15354, 15355, 15356, 15362, 15363, 15364, 15365, 15366, 15367, 15368,
   15369, 15370, 15371, 15372, 15375, 15376, 15377, 15378, 15379, 15382,
   15383, 15384, 15385, 15388, 15389, 15390, 15391, 15392, 15393, 15394,
   15411, 15412, 15413, 15416, 15417, 15418, 15419, 15420, 15421, 15425,
   15425, 15428, 15434, 15435, 15438, 15440, 15445, 15455, 15466, 15473,
   15474, 15475, 15478, 15511, 15513, 15515, 15518, 15528, 15538, 15548,
   15549, 15552, 15554, 15555, 15556, 15559, 15561, 15569, 15570, 15571,
   15575, 15576, 15580, 15581, 15584, 15585, 15588, 15589, 15590, 15591,
   15592, 15595, 15596, 15597, 15598, 15599, 15600, 15601, 15602, 15603,
   15604, 15605, 15606, 15607, 15608, 15609, 15610, 15611, 15612, 15613,
   15614, 15615, 15616, 15617, 15618, 15619, 15620, 15621, 15622, 15623,
   15624, 15625, 15626, 15627, 15628, 15629, 15630, 15631, 15632, 15633,
   15634, 15635, 15636, 15637, 15638, 15639, 15640, 15641, 15642, 15643,
   15644, 15645, 15646, 15647, 15648, 15649, 15650, 15653, 15654, 15655,
   15656, 15659, 15660, 15661, 15662, 15663, 15664, 15665, 15666, 15667,
   15668, 15675, 15676, 15677, 15678, 15681, 15682, 15685, 15686, 15689,
   15690, 15701, 15702
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT",
  "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF",
  "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OWNED", "OWNER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP",
  "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateTrigStmt", "TriggerActionTime",
  "TriggerEvents", "TriggerOneEvent", "TriggerForSpec",
  "TriggerForOptEach", "TriggerForType", "TriggerWhen", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "DropRuleStmt",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "indirection", "opt_indirection", "opt_asymmetric", "ctext_expr",
  "ctext_expr_list", "ctext_row", "opt_target_list", "target_list",
  "target_el", "qualified_name_list", "qualified_name", "name_list",
  "name", "database_name", "access_method", "attr_name", "index_name",
  "file_name", "func_name", "AexprConst", "Iconst", "SignedIconst",
  "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,    60,    62,    61,   768,    43,    45,    42,
      47,    37,    94,   769,    91,    93,    40,    41,    46,    44,
      59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4758

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4758)))

#define YYTABLE_NINF -2802

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2802)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4758,   348, 13144, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, 31529, -4758,
   -4758, -4758, -4758, -4758,112637,   435, -4758, -4758, -4758,117735,
   -4758, -4758, -4758,   436, 77357, -4758, 80381,   971, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, 84413, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, 64742,  1351, -4758,   252,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758,   532,  6069, -4758,
   -4758, 80885, -4758,   398, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, 81389,  1112, -4758, -4758,  1357,  1430, -4758,   135, 18396,
   -4758, -4758, 73829, 78365, -4758, -4758, 84917,   168,  2406, 15938,
     532, 32297, 85421, -4758,  1317, -4758, 61170, -4758, -4758, -4758,
   77861, -4758, -4758, -4758,  1547, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, 91469,  2561,  1419, 61683, -4758,
   -4758, -4758, -4758, 91469, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, 85925, -4758,  1579,  1816,   755, 91973, 92477,
   75341, -4758,  1491, -4758, 91469,  1875,   324, 63732, -4758, 92981,
   -4758, -4758,  1575, -4758, 86429, -4758, -4758, -4758, -4758, -4758,
    1419, -4758, 64742, 60160,   186,  1508, -4758, -4758, 93485, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, 91469,  2330,
    1675, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758,  1112, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758,   822, -4758,  1307,   988,  1665,   134,  1644, -4758,
   -4758, -4758,  9277, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
  114140,   366, -4758, -4758, -4758,  1692, -4758,  1714, -4758, -4758,
   -4758,  1584, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,   877,
   -4758, -4758, -4758, -4758,  2224,113138, 84413, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, 73325, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758,   210, -4758, -4758,
   -4758, -4758, -4758, 84413, 84413, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, 84413,  1798, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758,   502,  2022, -4758, -4758, 64742,  2504,  2504,
    2325,114140, -4758, -4758, -4758, 66257, 91469, 91469, 91469,  1956,
   91469,  1905, 91469,   372, 66257,122108, 86933,  2039,  1899, 55530,
   93989, -4758,120360, 91469, 91469, 94493, 91469,  1706, 81893, 91469,
    1995, 91469, 91469,120797, 94997,  2125, -4758,  2391,  1364, -4758,
   -4758, -4758, 91469, 16575,  2561, -4758, -4758, 91469,  1984, 66257,
   91469,  1926, 91469,  2038, 91469, -4758, 91469,  2051, 95501,   589,
    1871,122108,  1890, 56047,  2116, 91469,122108, 96005, 91469, 91469,
   -4758, -4758,  2108, 91469, 91469, -4758,  2223,122545,  1752,  2231,
    2380,  2299,  1308, -4758, -4758,  2478,  2044, -4758, -4758,  2509,
   84413, -4758, 82397, -4758, -4758, -4758,  2342, -4758, -4758, -4758,
   -4758, -4758, -4758,119486,  2406, -4758, -4758, 66762, 91469,  2335,
   -4758, -4758, 96509, 69792,  2136, -4758,   673, 67267,122982,  2444,
    2118, 56564,  2498, 97013,123419, 97517, -4758, -4758, 98021, -4758,
   98525,  2209,  2335, 99029, 70297,123856, -4758,  2336, 99533, -4758,
    5719, -4758,  2123,  2396,  2114,  1945, 84413, 84413,  1016,115515,
   -4758, -4758,  1112, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758,   192,  1879, 62196,   756, 62709, -4758, -4758,   862,  1080,
    1125,   192,  2575,  2575,    29, 84413, -4758, -4758,  1879, -4758,
      23,   -55,  2180,  2180,  2180,  2356,  1116, -4758,  2180,  2323,
   -4758, -4758, -4758, -4758, 86429, 62196, 62709, -4758,  2203,  2561,
      42,  2581,  2276, -4758, -4758, -4758, -4758, -4758,  2291, 91469,
   91469, 91469, -4758, -4758, -4758,  2666,  2290,  2531, -4758,  2275,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,  2500,
    2512,  2486,    54,  2561,  2376, -4758,  2609, -4758,  2525, 38532,
   38532,   825, 84413,  2561, 63222, 87437,109613,   205,119486,  2561,
  100037,  2337,  1528,  2536, -4758, -4758, -4758,   660, -4758,  2747,
    2367,  2606,   249,  1364, 52981, -4758,  2375,  1138, 86429,114641,
   -4758, -4758, -4758, -4758,   304,  2653, 39054, -4758, 91469,  2360,
   -4758,  2392,  2360,  2386,  2395,  1665, -4758, 91469,   838,   838,
    2802,   838,  1314,  1836, -4758,  2063, -4758,  2702,  2665, 86429,
    1508,   532,  2407, -4758, -4758, -4758,  2427, -4758,  2422,  2423,
   -4758,   927,  2691, -4758, -4758, -4758, -4758,  2520,  2523,  2538,
    2547,  2476,  2558,   258, -4758, -4758, -4758, -4758,  2769, -4758,
   -4758, -4758, -4758, -4758, -4758,  2900,  2896,118175,118175,    61,
     641,   195,   270, -4758, -4758, -4758,  2761, -4758, -4758,  2754,
   91469,  2589, 91469, -4758, -4758, -4758,100541, -4758, -4758,  2504,
    2427,  2533, -4758,   283, -4758,  1138, -4758,   343,   367,   392,
    1685,  2532,  2024,  1523, -4758,   640, 91469,  2638,   167,   888,
    2583, 87941,  4439,  2560,  2708,  1270,  2818,  2874,  7415,   258,
   88445, -4758, -4758, -4758, -4758, 91469, 91469, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758,  2569, -4758, -4758,  2598,
    2883,  2777,  2861,  2759,  1488,  2796,  1405,  2919,  6554,  1221,
  101045,110117,  2886,  2928,  7617,  1987,   864,  2816,  1022,  2861,
    2924,  2773,  1488,  2943,  8737, 91469,  2642, -4758,  2885,  3008,
     752, -4758,   828, -4758,  2733,  2862,  1057, 66257,  2682, -4758,
   -4758, 91469, -4758, -4758, 70802,  2755, -4758,   692, 66257, -4758,
    2887,  2736, 57081, 91469, -4758, 91469, -4758, -4758, -4758, -4758,
   -4758,  2810,  2996, 91469, 70802, -4758,  2946, 91469, -4758,  2180,
    2871,  2714,  3103, 70802,   103, 91469,  1751,  3147, 91469,  2950,
    1751,  2768,101549, -4758, -4758,  1751, -4758, -4758, 91469, 91469,
    2762,  1312,  2939,  1751,  2959,  3165,  3179,  2863,  2973,  1047,
    1475,   136,  3095,  1751,  2841,102053,102557, 91469,  2842, 91469,
    3175, 66257, 91469,  3100, -4758,  2965, 88949, -4758,  2801,  2478,
   -4758, -4758, -4758, -4758, -4758,   721, -4758, -4758, -4758, -4758,
    3116,  2533,   603,  3118,  2808,  3119, -4758, -4758,  2857, -4758,
    2857,  2857,  2813,  2813,  2982,  2817,  3125, -4758, -4758, -4758,
    2493,  2857,  2813, -4758, 71812, -4758,  1560,  1735, -4758,   110,
   -4758,  3234, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
     104, -4758,   930, -4758,  1990, -4758, -4758, -4758, -4758,  2850,
   -4758,  3129,  2560,  3134, -4758,  2824,103061, -4758,103565,104069,
    3137,  2569,122108,  3138,  3022,  3140,  2824,  3141,  3025,  3143,
     603,  3145, -4758,  1049,  3146,  3149,  3029,  3150,   110,  3162,
    1316,  2824,119923,  3163,   154, -4758, 12352,  5719, -4758, 14888,
    1847, -4758, -4758, -4758, -4758, -4758, -4758, 42708,   813,  2936,
   -4758, -4758, -4758,  2049, -4758,116845, -4758,  1016,  1879, -4758,
   84413,  1879, 84413,    29,  1879, 84413,  1879, 84413,    29,  1879,
   84413, 84413, 84413,  1879, -4758, -4758,   255,   250, -4758, -4758,
   -4758, -4758, -4758, 84413,  2858, 91469, 91469, -4758, -4758, -4758,
   78869,122108, 79373, -4758, 91469, -4758,   269, 84413, -4758, 84413,
   -4758,  2561, -4758, -4758,  2396, 70802,  3272,122108,  3175, -4758,
    2054, -4758, -4758, -4758, -4758, -4758, -4758,  3096, 91469,  3159,
    3160, 78869,122108, -4758,104573,119486,  3056,  2865, -4758, -4758,
   -4758, -4758,  2027,  2662,   470,  2952, 42708,  2866,   308,   308,
    2867,  3166, -4758, -4758, -4758,   410,  2868,  2873, -4758,   318,
     318,  2875,  2876, -4758,   480,  2878,  2882,  3063,   524,  2884,
    2888,  2889,  2493,   308, 42708, -4758,  2890,   318,  2891,  2892,
    2893,  3117,  2897, -4758,  3171,  2898,   437,   455,  2899,  2901,
   -4758,  2875, -4758,   503,  2902,  2904,  2907,  2908,  2909,  2911,
    2912,  2915, 42708, 42708, 42708, -4758, 36966,  1138,  2561, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758,   551,  4199, -4758,
    2921, -4758, -4758,  3055, -4758, -4758, 42708, -4758, -4758,    19,
   -4758,   559, -4758, -4758,  1138, -4758, -4758,  1930, -4758, -4758,
   -4758, -4758,  3136,  2914,  2101,  2101,   225, -4758, 80885, 80885,
   -4758, -4758,  1111,  2918, -4758,  2058, -4758, -4758, -4758, -4758,
   -4758, -4758,119049,  3310, -4758,  1250,  2561,   828,  1840,  3254,
  115955,116400,  3169,  3169,  3158, -4758, -4758, 91469, -4758, -4758,
   42708, 59150, -4758,  1138,    90,  3173, -4758, -4758, -4758,  2060,
   -4758, -4758, -4758,  1112, -4758, 17088, -4758,  2093,  2360, 91469,
   91469,  3337, -4758, -4758,  2392, -4758, -4758,  1665,  1665, 42708,
    1665,  1030,  1558, 39576, 42708,  3224,  3122,   162,  1540,  3227,
   -4758,  3128,  1314,  1836, 86429, 91469,105077,  3050, -4758, -4758,
    2427,  2944,  2170, -4758, 72821,113639,113639,  3197, -4758, -4758,
    1227,   968,  3066,  3161,  2575,  1439,  1931,  1931, -4758, -4758,
    2941, -4758,  3288, 80885,  3002,118175, -4758, -4758, 91469, -4758,
   -4758, 89453, -4758, -4758, -4758,  2186,  2945, -4758,  2960, 91469,
   -4758,  3463,  1931,  1931, -4758, -4758,  2962, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758,114140,  2953, 91469, -4758,  2955,
    2966, -4758,114641, 59655,  2042,  1138,  3044,  3045,  3098, 64742,
    2967,  3047,  3051,  3099,  3208, -4758, -4758,  3053,  3054,110621,
   -4758, -4758,   536, -4758, -4758, -4758,   536, -4758,  2993, -4758,
    1530,   222,   185,  3064,   272,   700,  3355, -4758,  1395,  3114,
   -4758, -4758, -4758,  5822, 91469,  3299,  8752,  3183,   258,  3115,
   -4758, -4758,  3230,  3072,  3073,  3198,   258,   758,111125, -4758,
   -4758, -4758, -4758, -4758, -4758,  1428, 35426, -4758,  3075,  3058,
    3084, 91469, 74333,  1958,  3192,  1677,  2163,   429,  3131, 91469,
    1702,  3200, 91469,  3005,  3085,  3087,  3284,  3011,  1730,  3381,
    3010, -4758, -4758,  3196,  3291,  3331,  9614,  3077,  3080, 68782,
    1465, 57598, 91469, 91469,  3375,  1821,  3106, -4758, -4758, -4758,
    1821, 91469,  3107,  3108, 91469,   258, -4758,  3430,   258,   258,
    1721,  3431,  3113,   172,  1916,  1751,  3010,  1543, -4758,  3120,
    3126,  1881, -4758,  3226, -4758, -4758,  1468,  3127, 86429,   689,
    2132,  3010,  3139,  3142,  3011,  3011, 91469, 91469, 91469, 91469,
   91469,   132,  3457,  3469,  3144,   158,  3187,  3060, -4758,  1821,
  121234,  3148, -4758,  1821, 91469,  3151,  2160,  3010,  1642, -4758,
    1729, -4758, -4758, -4758,  1364, -4758, 91469, -4758, 91469,  2533,
   70802,  3256,  3315, -4758,  3101, -4758,  2560,   258, -4758, 91469,
   91469,  2569,  3260,  1676,  1069, 70802,  3264,  3322, 91469,  3324,
    3111, -4758,  1196, 59655, -4758,  2762,  3081,  3492, 91469, 64742,
   -4758,  3509,   536, -4758, 70802,  3276,  3394, -4758, 91469,  3292,
    3088, -4758,  3432,  3152, -4758, -4758,   878, 91469, -4758,  3398,
  122108,  1151,  2561,  3133,122108,  3319, 91469, 91469, 91469, 91469,
   -4758, -4758,  3289,   763,   197, -4758,121234, -4758, 91469,  3305,
    1543,  3306,  3516,     2,  2180,105581,  3399, -4758,106085,  3109,
    3518, 70802,  3351, -4758, -4758,  3112,  2575, -4758,  2801, -4758,
    1787, -4758,  3235, -4758, 66257,   603, -4758, -4758, -4758, -4758,
   70802, 91469, -4758,  3123, -4758, -4758, 42708, -4758, -4758, -4758,
    2575, -4758, 70802,  2857,  2857, -4758, -4758,  3529,  3194,  3195,
    2575, -4758,  2575, -4758, 70802, -4758,  3124,  3132,  3238,  2575,
   -4758,  3202, -4758,  3203,  2575, -4758,  2043, -4758,106589, 66257,
     603,122108,122108,  3436,   154,  3438,  3186,  3445,  3199, 57598,
     603,   178, 91469, 91469,122108, 91469, 91469, 91469, -4758, 91469,
   -4758, -4758, -4758, -4758, 70802, 91469, 91469, 70802, -4758,122108,
  121234,  3455,  3456,   603, 91469, 91469, -4758, -4758, 14587,  1885,
   -4758,  5719, -4758, 17088,  2117,  3169, -4758,  1798, 91469,  1249,
    1016,124293, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   84413, -4758, 84413,    29, -4758, -4758, 84413, -4758, 84413,    29,
   -4758, 84413, -4758, -4758, -4758, 84413, 91469,  3660,  3153, -4758,
    1930, -4758, 91469,  2121, -4758, -4758,  2127,   843, 91469, 91469,
     800, 66257, 91469,  3346, 91469, 91469, 91469, 91469, 91469,  3228,
    2918,  1163, -4758,  1380,   535, 86429,  3354, -4758, -4758, -4758,
   -4758, -4758,  2138,  2330,  1363, 91469,   846,  2291, -4758, -4758,
   79373, 77861,  3446,   175, 91469, -4758, -4758,  5280, 42708, 38010,
   -4758, -4758, 17088,  3207, 42708, 42708,  3172,  2575,  2575, -4758,
    3157, 42708, 42708, 42708,  2575,  2575,  6268, 42708, 57598, 42708,
   45318, 33857, 42708, 42708, 37488, -4758, 42708,  3367, 46362, 42708,
    1840,  3373, 42708,  1840,  6268,  3599,  3599,  1508,  2277,  7023,
    3168,  1138, -4758,  2575,   986,   289, 70802, 42708, 42708, 42708,
   42708, 64742,  3240,   139, 91469, 42708,  3174,  1407, -4758, 42708,
   -4758,  3176, 42708,  3246,   894, 42708, 42708, 42708, 42708, 42708,
   42708, 42708, 42708, 42708, -4758, 47378,   336, -4758,  3447,  3474,
     780,   284, 79877, 38532,  3467, -4758, 32811, -4758,   244, 84413,
   -4758, -4758,  1138,  3467, -4758, -4758, -4758, -4758, -4758,  2186,
    3177, -4758,  3190, -4758, -4758, -4758, -4758, -4758, 91469,  3310,
   -4758, -4758,  3257, -4758, -4758, -4758, -4758,   569, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758,  3180, -4758, -4758, -4758,
   -4758,  3180, -4758, -4758,  3169,  3184,  5571, -4758, -4758, -4758,
   -4758,  3464,  3465,   603,114140, 91469,   304, 82901, -4758, 39054,
   -4758,  2158, -4758,  3191, -4758,  3439, -4758,  3193, -4758, 14266,
    3439, -4758, -4758,   182,  3304,  3443,  3385, -4758, -4758, -4758,
    3201, 17088, -4758,  2373, 17088,  2384, -4758, -4758, -4758, -4758,
   -4758, -4758,  1629, -4758, 91469,   634,  3224,  1540,  3253,  1746,
    3615, 91469, -4758, 53489,  2185, -4758,  2427, -4758, -4758, 21859,
   -4758, 30042, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758,  3204, -4758, -4758, -4758, -4758, -4758,   258,  3205,  3693,
   -4758,118175, -4758, -4758, -4758,  3660, -4758,  2509, -4758,  2509,
    3718, -4758, 84413, -4758, -4758, -4758, -4758,  1184, -4758,  5719,
   -4758,  5719, -4758,  3387, -4758,  3605, -4758, 71812, -4758,  3209,
   -4758, 71307, 67772, -4758, -4758,  1027, -4758,  1109,  3296,  3297,
    3340,122108, 91469, 91469, -4758, 64742,122108, 91469, 91469, -4758,
  122108, 91469, 91469, -4758, -4758, -4758, -4758, -4758,117290,   573,
   77861,  3341, 75845, -4758, -4758,  3211, 91469,  3277,  3470,  3472,
    1167, -4758, -4758,107093, -4758,  3423,122108, 91469, 91469, 42708,
    3429, 91469, 91469, -4758,   354,  3307,  3308, -4758, 91469,  3309,
   66257,  3239, 91469, 91469, 70802,  3323,   732, 66257,  3280, 58115,
   91469, 91469, 91469, 91469,  3374,  3549, 70802, 91469,  3499,  1054,
   86429,   174,  2419,  3010,  3458, -4758,  1389, -4758,122108, 91469,
    3451, -4758, -4758, -4758, 76349,  3668,  3369, -4758, -4758,111629,
   -4758, -4758, -4758,  2164, -4758,122108,122108, 91469,  9952, 91469,
    1264, -4758, -4758, 70802, -4758, 91469, 91469, 91469,  3497, 91469,
   83405,107597,108101,   570,  1429,  3500, 91469, 83909,  3501, -4758,
    3400, 91469, -4758, -4758, 65247,122108, 91469,   851, 64742, -4758,
   -4758, 91469, -4758,  3461,   826, -4758, 91469,  8064,  3349,  3358,
   91469,   248,  2440,  3010, 91469, 91469,  3273,  2217,  3357,  3403,
   -4758,  3473,   550, 91469,109613, -4758,122108,  1788, -4758,  3422,
  122108, 91469,  7971, -4758, -4758,   258, -4758, -4758, -4758, -4758,
   -4758, 91469, 91469,   258, 91469,   258,   722, -4758,122108, 91469,
   -4758, -4758, -4758, 91469, 10264, 91469, 91469, 91469, 91469,122108,
   91469, -4758, -4758,  1346,  1349,  1712,  1831,  3427, 91469,  3561,
   91469,108605,122108, 91469, 91469, 91469,  1619, -4758, -4758,  3404,
   -4758,122108,  1788, -4758, 10897, 91469, 91469,  3365,  3366,   140,
    3449, -4758, -4758, -4758, -4758, -4758, -4758,  3539,  3710,109109,
    1980, -4758,  3547,  3548,  3359,  3360,  3552, 91469,  1980, 91469,
   -4758, -4758, -4758, -4758,  3543, 91469,  1980,  3553,  1980,  3502,
     672, -4758, -4758,  1751, -4758,  2218, -4758,  3321, -4758, 42708,
   70802, -4758,  2227, -4758,  3326,   763, -4758, -4758, 64742, 91469,
     868,   701,  3620, 74837,  2683,  3609, 91469,  3361, 91469,  3610,
    2683, 91469, -4758,  2746, 77861, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758,  3611, -4758,  2561,  2762,  2762,  2762,
    2762, -4758, -4758, -4758, -4758,  3513,  1975, -4758,  3325,  2762,
   91469,  3440,  2683,  3328,  3630, -4758,  1543,  3631,  3634, 91469,
   74837,  2273,  3364,  3532,  3745,  2180,  2561,  3537,  3525, -4758,
   35935,  3580,  3526,  3578,119486, 88949, -4758,  3342,  3624,  3625,
    3644, -4758,  2533, -4758,  3767, -4758, 42708,  2238,  3352,   110,
   -4758, -4758,  3356,  3132,  3377,  3378,  3362,  3363, -4758,  2575,
   50949, 91469,  3368,  1403,  3572,  3370, -4758,  3667,   603,  2560,
   -4758,  2824, -4758, 91469, -4758, 91469, 91469, 91469, 91469,  2569,
   -4758, -4758,  3554,   603,  2824,  3558,   603,   603, -4758,  3613,
    3559,   603,   110,  2824,  3489,  3670,119486, -4758,   154, -4758,
   -4758, -4758, -4758, -4758, 42708, -4758, -4758, -4758,  2180,  1787,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, 84413,  2509, -4758,  2247, -4758, 91469, -4758,  3645,  3646,
    3647,  3376,  3379,  3411, 91469,  3380, -4758,  3376,   258,  3376,
    2918,  2918,  3376,  3379,121671,  3808,  3673, -4758,  3471,  3384,
    3680,   686, -4758,   742,  1218,  3607, -4758, -4758, -4758, -4758,
   70802, -4758, -4758, -4758, -4758, -4758,122108,  3428, 91469, 91469,
   -4758,    68,  3587,  3396,121671,  3795,   603, -4758, 66257, -4758,
   -4758, 70802,  3475,  3490, 66257,  3598,  3448, -4758, -4758, -4758,
   -4758, -4758, 70802, -4758,  3651, 91469,  2250, -4758,  1918, -4758,
    1921, 42708,   293, -4758, 15392,  2280, 42708,  3418,  3421, -4758,
   -4758, -4758, -4758, -4758, -4758,  3424,  3704, -4758, -4758,  2284,
    2305,  2306,  3425,  3426,  6119,  3434, 15545,  3435,  3433, 45318,
   45318, 36966,  2309, -4758, 45318,  3437,  3604,  2314, 15039,  3442,
    3441, 15671, 40098, 42708, 40098, 40098, 15922,  3442,  3452,  2318,
   64742,  3602, 16278,  2366, -4758, 42708, 64742,  6742, 42708, -4758,
   42708,  3453, -4758, -4758,  3927,  3927,  3927,  6268, -4758,  3454,
   -4758, 45318, 45318, -4758,  2851, 36966, -4758, -4758,  3716, -4758,
   -4758,  1338, -4758,  3459, -4758, -4758,  4143, 57598,  9257, 42708,
     146, 42708,  3174, 42708,  3508,  3927,  3927,  3927,   262,   262,
     184,   184,   184,  1904,   284, -4758, -4758, -4758,  3468,  3476,
    3477,  3614,  3480, 42708, -4758,  2358,  2458, 91469,  6845, 11381,
   13649, -4758, -4758, -4758, 48408,  3479, 42708, 42708, 42708,  3462,
   -4758,  2726, 17088,  1098, -4758,  2780, -4758, -4758, -4758,  3479,
     644,  3718,  2186, -4758,  1364,  2575,   986,116845, -4758, -4758,
   -4758, 42708, -4758, -4758, -4758, -4758,  2392, -4758, -4758, -4758,
   -4758, -4758, 91469,  2330, 42708, -4758, -4758,  2274,  3482, 42708,
    2373, -4758, -4758,  3495, -4758, 42708, -4758, -4758, -4758,  2918,
   -4758,  3671, -4758, -4758, -4758, 48408,  3481,  3496, 52473,  3641,
   -4758, 91469, -4758, 91469,   216, -4758, -4758, -4758,  3483, -4758,
   -4758, -4758,  1772, -4758, -4758, -4758, -4758, -4758, -4758,  3466,
   -4758,  3478, -4758,  3484, -4758, -4758, -4758, -4758,   204,  3486,
    3487,  3488,  1586, -4758, 67772,  1990, -4758, 71307, -4758, 71307,
   -4758,  1990,  3850, -4758, 67772,  1976,122108, 91469, 91469, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758,122108,122108,  3648, 91469,  3654,  3649, 42708,   143,
   91469,  3504,  3505,  1487,  3736, 91469, -4758,  3780,   603, -4758,
   -4758,  3551, -4758, 17088, -4758, -4758, -4758, -4758, -4758,122108,
   91469, -4758,119486, -4758,  2533, 70802, -4758, -4758, -4758, 91469,
    3506, 91469, -4758, 91469, 91469, 91469,  2569, -4758, -4758, -4758,
   -4758,  1191, 70802, -4758, -4758, 91469, 91469,   695,  3560,  3577,
   91469, -4758,    62,  3226, 10906, 91469, 91469, 91469,  3741, -4758,
   -4758, -4758, -4758,  3685, -4758, -4758, 67772, -4758,  2824,    40,
    3579,  3010, -4758,  3689, -4758,  1473, -4758,  3629, -4758, -4758,
   -4758, -4758,  3820,   603,  3821,   603, 91469, 91469, 91469, 91469,
    3635, -4758, -4758, -4758, -4758,  3636,  3750, -4758, 64742, 64742,
   64742,  2370, -4758, -4758,  2561, -4758, -4758, -4758, -4758, -4758,
   -4758,  3785, -4758,  2378, -4758,  1740, -4758, -4758, -4758, -4758,
   -4758, -4758,122108, 91469, 11202, 91469, 91469, 91469,  2046, -4758,
    1085, 70802, -4758, 69287,122108, 91469, 91469,  3597,122108,  3575,
   -4758, -4758,  3755,  3697, -4758,  2006,  3698,122108,  3583, -4758,
   -4758,  3606, -4758, -4758,  3608,  2457,  3010,  1543, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758,  1479,   714,  2483,  3010,
    3612, -4758,  3616, -4758, -4758, -4758,  3751,  3753,  3756,  3618,
    3619,  3653,  3622,  3623,  3662, -4758,  3628,  3663,  3632,  3664,
    3633,   603, 70802,  3749,  2561,  3666,  3862,   603, -4758,  3637,
   -4758, -4758,  3963, -4758, 91469, -4758,  3639,  2488,  3010, -4758,
   -4758,122108, 91469, -4758, -4758, -4758,  1980, 70802, 91469,  3806,
   -4758, -4758, -4758,  1980,  1980, 91469, 91469,  1980,  3815, -4758,
    3822, 91469,  3823, -4758,  1980, -4758, -4758, -4758, -4758,  2871,
    3581, -4758,  2342, 55013,  7620,  3582, -4758, 64742, 55013,  2036,
    2409,    71,  1751,119486, 91469,119486, -4758,   701,  3689, 91469,
   91469,  3584,  3573, -4758, -4758, -4758, -4758,122108,   842,122108,
    2575, -4758, -4758,  3655, -4758, 91469,  2180,   320,  3656,  3985,
    3179,  1151,  3720,  1810,  3928,  3364, -4758, -4758, -4758, -4758,
   91469, 91469,   763,  2561, -4758,  3585,  3588, -4758, 91469, 91469,
   91469, 91469, 91469,  2330,  3590,  3586, 70802,   485,  3775,  3776,
    3011,  4012,  3908,  2330,  3364,  3677,  3910, 91469, -4758,  2382,
      73, -4758,  2561,119486, 68277,  3899, -4758,  2895, -4758, -4758,
    1158, 91469,  3885, -4758, 91469, -4758, -4758, 51965,   603, 70802,
    2387, -4758, -4758, -4758,  2575, -4758, -4758,  1726,  1726,  3617,
   -4758, 51457, -4758,  3621, -4758,  2545, -4758,  3992, -4758, 91469,
   -4758,   603,   154,  3659,   603,  3661,   603,   603, 91469, -4758,
   91469, -4758, -4758, 91469, 91469, -4758, -4758, 91469,121234,   603,
   -4758, 17088,  3903, -4758, -4758, -4758, -4758,  3734,  3735,  3737,
   91469,  3376, 66257, -4758,  3626,122108,  1374, -4758, -4758,  3799,
   -4758, -4758, 86429,  3730, -4758, -4758, -4758, -4758,  3925,  3926,
   -4758, -4758, -4758,   831, -4758, -4758, -4758,122108, 78869,   234,
  122108, -4758,  2533,  3871, -4758, -4758,  2560,   258, -4758,  3872,
   91469,  3873, -4758, -4758, -4758,  3627, 16552, 42708, -4758,  3945,
   70802, -4758,  7964, -4758, -4758, -4758, 42708, -4758, -4758, -4758,
   -4758, -4758, 42708, -4758, 42708,  3920, -4758, 34380,  4069,  4069,
    3638, 70802, 45318, 45318, 45318, 45318,  1768,  2891, 45318, 45318,
   45318, 45318, 45318, 45318, 45318, 45318, 45318, 45840,   572, -4758,
    3812, 42708, 42708,  3929,  3920, -4758, 70802,  3650,  3442,  3652,
    3658, 42708, -4758, -4758,  2394, 46870,  3665, 64742, -4758, 42708,
   15099,  2414,  3676, 17038,  1138,  8243,  2561, 42708,  3576,  3783,
   42708,  2420, 42708,  3930, -4758, -4758, -4758,  3642, -4758, -4758,
   70802, 42708,  3669,  4374, 45318, 45318,  4825, -4758,  5004, 42708,
   36966, -4758,  3831,  3674, 53997, -4758, 34903,  3643,  1419,  1419,
    1419,  1419, -4758, 91469, 91469, 91469, 48916,  3940, 47900, 89957,
    3657,  2206, -4758, 89957, 90461, -4758,  3675, -4758,  3672,  1138,
   42708,  3919,  1176,  1176,  3831, -4758, 42708, 42708, 40620,  3679,
   -4758,  3919, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758,  3682, -4758,  3684,
   -4758, -4758,   828,  3681, -4758, -4758,  9792,   204, -4758, -4758,
    3686, -4758,  3678, -4758,  3482,  1643, -4758,  8456,  3828, -4758,
   -4758, -4758,  3657, 41142,  3786, -4758,  2432, -4758, -4758,  4021,
    3786, -4758, -4758,  2441, 53489,  3481, 39054,  1138,  2575,  3687,
   -4758,  2509,   644, -4758, -4758, -4758, -4758, -4758,  2451,  2005,
   -4758, -4758, 67772, -4758,  3721, -4758, -4758, -4758,  2824,  2824,
    1102,  3376,  3952,  1102,  8574, -4758, -4758, 49424, 91469, 91469,
   -4758, 91469,  2461,  1773, 91469, -4758, 91469, -4758, -4758, -4758,
   -4758,  4077, -4758, 91469, -4758, -4758,  3717,  3719, -4758, 91469,
   91469, 91469, 91469,  3907, -4758, -4758,  2532, -4758, -4758,122108,
   91469, -4758, -4758, -4758,   306,  2656,  3010, -4758,  3746, -4758,
   -4758,  3933, -4758,  4073,  3762, 91469,  3683, -4758,  1773,   176,
    3011,   816, -4758, -4758,  3738, -4758, 91469, -4758, 91469, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758,  3810, -4758, -4758, -4758,
   -4758, 65247, -4758, -4758, 91469, -4758, 64742, 55013, 64742, -4758,
    1559,   316,  2684,  3010, -4758,  3763, -4758,  3766,  3768,  3816,
     845,  1195,  3769,  3771,  3824,  3699,  3702,  3705, -4758, -4758,
    3843, 91469,  2824,  3708,  3740,   192,  2561, -4758, -4758,  2561,
    2824,  2561, 91469, 91469, 91469,  4107,  3796, 91469, 91469, 91469,
   91469, 91469, 91469,  4009,    94,  2015,122108, 91469, 91469,122108,
   91469, 91469, 91469, 91469, 91469, 91469, 91469, -4758,  4094,  4026,
    2154,  4066,  3787, 91469, -4758, 91469,  3226, 91469, 91469, -4758,
   -4758, -4758,  3722,  3970,  1980, -4758, -4758,  3971,  3973, -4758,
    1980,  1980,  3974,  1980, -4758,  1196, 64742, -4758,  2239, -4758,
    3321,  3678,  1931,  1931, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758,  2501, -4758, -4758, 91469,  3726, 91469, 91469, 45318, -4758,
    1632,  1103, -4758,  3976, 91469,  3764, -4758, -4758, -4758,  3887,
   91469, -4758, -4758, -4758, -4758, -4758,  3744, -4758,  3999, 74837,
    2824,122108,122108,  2824, -4758, 70802,  3747,  3364, -4758, -4758,
   -4758, -4758, -4758, -4758,122108,  3575,122108,  1151,  1394,102557,
    3784, -4758,  3733,  4035, -4758,  3739,  3752, -4758, -4758, 91469,
    3689,  2472,  1543,   290,  2114,  3428, 76853,  2273,  3999, -4758,
   -4758, -4758,  4124,  3841, -4758,  2330, 91469,  3428,  3841,  2561,
   91469,  3277, -4758, 67772, 42708, 42708, -4758,  3758, -4758,  3773,
    6157, -4758,  3825,  3759,  2762, -4758, -4758, -4758, -4758, -4758,
   -4758,  3844,  3782, 91469,  4210, -4758, -4758, -4758,  3789, -4758,
    3770, -4758, -4758, -4758,  2334,114140, 51457, 51457, 51457, 51457,
   51457, -4758, -4758,   603, -4758, -4758, 91469, -4758, 91469, -4758,
   -4758,   603,   603,   603,   603, -4758,  3900, -4758,  2330, 91469,
   91469, 91469,  3376, -4758,   258, -4758,  4072,121671, -4758, -4758,
    2481, 91469, -4758, -4758, -4758,  4134,   175,  4080, -4758, -4758,
    4041,  2079,  4042,  4043,  2079,  4045,  2079, -4758, 42708, 17088,
   -4758,  3798, -4758, 17088,  9460, 17088,  3929, -4758,  2491, 42708,
   -4758,  4465,  4465,  4465,  4875,  4092, -4758,  1244,  3802,  4465,
    4465,  4465,   406,   406,   152,   152,   152,  4069,   572, 17088,
   17088, -4758, -4758,  3803, -4758, -4758, -4758,  3442, -4758, 43230,
    3953,  4203, -4758, -4758, -4758,  3845,  3846,  3805, -4758, 42708,
   43752,  3807, 71812,  3994, -4758,  1824, 42708, 42708,  4624, -4758,
    7338, 42708, 70802,  2494,  4624,   349, 42708,  4490,  4531, 42708,
   42708,  5333, 10043,  3813, 42708,112133, -4758, -4758, -4758,  2508,
   42708, 91469, 91469, 91469, 91469, -4758, -4758, -4758, 89957, 90461,
    3811, 50440,  2206,  3819, 91469, -4758, -4758,  3817, 48408,  4062,
    4007, -4758, 48408,  4007,  1660,  4007,  4071,  3912, 54505, -4758,
   -4758,  3829,  4013, -4758, 32811,  1950, 17088,  4228,  4114, 42708,
    3834,  3835,  3836, 17088, 17088, 42708, -4758,  2561,  4114,   644,
    1141,  2561, -4758, -4758, -4758, 57598, -4758, -4758, -4758, -4758,
   -4758,  4036, 17088, 38532, -4758,  2330, 91469,  1138,   -17, -4758,
    3852, 91469, -4758,  3786, -4758, -4758,  5719, -4758, -4758, -4758,
   -4758,  3913,  2514, -4758, -4758, -4758, -4758, -4758,  3922, 77861,
    4139, -4758, 42708,  2518, -4758,  3884,  4230,   267,  2524,  2528,
    1773, -4758,  3764, -4758,  1709,  4119,    91, -4758,   603, -4758,
   70802, -4758, 91469, 91469, -4758, -4758, -4758, -4758, 91469,  2967,
   -4758, -4758, 91469, 91469, 91469, 91469, -4758,122108, 91469, -4758,
   64742,  2409,  4056, -4758, -4758,  4058,   192, 91469, -4758, 70802,
     603,   603, -4758, -4758, -4758, -4758, -4758,  3870,  4258,  3946,
   91469, 91469, 91469, 91469,122108, 91469, 91469,  2575,  2575, 70802,
    3860, -4758,  2575,  2575,  3861, -4758,122108, 91469, 91469, -4758,
   -4758, -4758,  3943, -4758, 42708,  4253, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758,122108, 91469,  3947, -4758,  3948, -4758,
   -4758, -4758, 91469, 91469, 91469, 91469,  4178, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, 91469, -4758,
   -4758,  2561,  2561, 70802,   603,   603, -4758, -4758, -4758,  4121,
    1980, -4758,  1980,  1980, -4758, -4758,  1980, -4758,   368,  2544,
   -4758,115078, -4758, -4758,  3147,  2561,  3147,  1797, -4758, -4758,
    3147, -4758,  3147, -4758,  1773,  1898,  4165,  4168, 42708, -4758,
     983,  4875, -4758, -4758, -4758, -4758,  3764,  2180,  3935, 66257,
     246, -4758,  4149,   868, 74837,  1852,  3882,  4000, -4758,  2824,
    2824,  3941, 91469,  4301,  2824,  3740, -4758,   593, 91469,  4211,
    3931, -4758,  2561, -4758, -4758,  3364, -4758, 91469, 74837,  3428,
   -4758,  2548, -4758, -4758, -4758,  3932,  3776,  2273,  1055, 91469,
   -4758,  3934,  4305, -4758, -4758,  4183,  4085,  3894, -4758, 17088,
   17088,  2561, 72317,  2895, 70802,  4192, -4758, 91469,   725,  4160,
   91469, -4758,   603, -4758, -4758,  3901,  2086,  2086, -4758, -4758,
   -4758, -4758,   603,   603, -4758, -4758, -4758, -4758, 91469,  3376,
    3376,  3376, -4758,  4089, -4758, -4758,  4154, -4758,   603,121671,
    2079, -4758, -4758, -4758,  2079,  2079, -4758,  2079, -4758, 17088,
   -4758, -4758, -4758, -4758, 10426, 45318,  4196, -4758,  3905, 70802,
   -4758,  3906,  2572,  2579, 46362,  4060, -4758, -4758, -4758, 10459,
    3957, 17088,  4018,  3911,  3938,  4624,  4624,  7338,  2587, -4758,
    4624, 42708, 42708,  4624,  4624, 42708, -4758, -4758, 10546,  4101,
   -4758, -4758, 11554, -4758, -4758, -4758, -4758, -4758, -4758, 65752,
   89957,  3936, 91469,  2206, 48408, -4758, -4758,  1396, -4758, 48408,
    4173, -4758, 48408, 66257, -4758, 91469,  3942, 91469, -4758,  1098,
   44274, 42708,  3964, -4758, -4758, -4758,  3831, -4758,  3964, -4758,
    1931, -4758, -4758, -4758, -4758, -4758,  3939, 84413,   228, -4758,
   -4758,  4299, 49424,  4259,  3955, -4758, -4758, -4758, -4758, -4758,
  121671,  4125,121671,  1773, 11610,  3764, 49424, 58632, 91469, 90965,
   90965,  4083,  3764,  3935, -4758, -4758, -4758, -4758, -4758, -4758,
    3944, -4758, -4758, -4758, -4758,  4020, -4758, -4758,   466,  3354,
    2591, -4758, -4758, -4758, -4758, -4758,  4094, -4758, -4758, 55013,
  122108, 91469, -4758,  4024, -4758, -4758, -4758, -4758, -4758, 49932,
   57598, -4758,   845,  3956,  3958,  1195, -4758, -4758, -4758, 91469,
   12239,  3959,   534,  3354, 91469, 91469,  1691,  1290,  1754,  3376,
    4238, -4758, -4758, -4758,  4094, -4758, -4758,  1980, -4758, -4758,
   -4758, -4758, -4758,  1751,  4282, -4758, 64742, -4758,118612, -4758,
   -4758, -4758,  2561, -4758,  2561,  4153, 91469, 60665,  2561,  2561,
   66257,  4372,  4372, 91469, -4758, 12512,  4161, -4758,  3935,  4184,
    4233, -4758,  3961, 91469,  4122,  3967,  3968,  1152,  1152, 91469,
   91469, 91469,  2594,  2330, -4758,  1151, 74837,  3689, -4758,  1715,
    3977,  4278, -4758,  4386,  3590,  3972, -4758, -4758, 76853,  4162,
    3841,  3776,  4105, -4758,  4108, -4758,  1169, -4758,  2330, 91469,
   91469, 49424, -4758, 71307, -4758,  2629, -4758, -4758, -4758,  4047,
    3479,  4081,  4084,  3981, 91469,    50, -4758,  3995, -4758, -4758,
   -4758, -4758, -4758, -4758, 91469, -4758,   234, -4758, -4758, -4758,
   -4758, -4758,  5318, 45318, 70802,  2632, 42708, -4758, 42708, -4758,
    4381, -4758, -4758, -4758,   620, -4758, -4758, -4758,  4624,  4624,
    4624, -4758,  4383,  3831, -4758, -4758,  2641,  4401, -4758, 91469,
    2644, -4758, 42708,  3987, -4758, -4758, 48408,  1396,  3988,  2652,
   91469,  2657, 70802,  3989,  3991,   -47,  3993, 33334,  3997, -4758,
   -4758, -4758, -4758, -4758, 17088, 17088, 91469, -4758,  3996, -4758,
   -4758, -4758, -4758, -4758, -4758, 91469,  2672, -4758,     6, 36444,
   -4758, -4758,  1374,  1102,   234,  4230,  3935, -4758,  3998, -4758,
   -4758, 91469, -4758,  1744,  1744, 91469,  3935, -4758, -4758, 91469,
    4087, -4758, -4758, 64742,  4049, -4758,   880,  3354, 91469, 70802,
    2560,    45, -4758, 70802, 70802, -4758, -4758, -4758, 42708,  4088,
   -4758, -4758, -4758, -4758, -4758, 91469, 91469, 91469, 91469, 91469,
     603, -4758,  3581,  2561, -4758, -4758,  2677, -4758, -4758, -4758,
   91469,  3733, -4758,  3733, -4758, -4758,  4372,  1115, -4758, -4758,
   -4758,  1758,  4212, -4758,   969,  4197,  4091,  4010, -4758, 66257,
    4453,  3999, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
    2692,  3689,  4313,  3364,  3934, -4758, -4758, -4758, -4758, 42708,
    4172,  2330,  2273,  3999, -4758, -4758, -4758,  3841, -4758, -4758,
    4400,  4207,  4405,  3428, -4758,  3277,  2699, -4758,  6157, 72317,
   70802,  4348,  4057,  4059, -4758, -4758,  4079, 91469, -4758, -4758,
    2626,  4469,  3689, -4758,  5318,  2724, -4758,  2727,  2728,  4185,
    4082, -4758, 42708,  1731,  3675, 65752,  4038, -4758,  2732, -4758,
   17088, 91469, -4758, -4758, 42708, -4758,  2737, -4758, -4758, 42708,
    4039, 42708, -4758, 44274,  4037, -4758,  4456, -4758, -4758,  3479,
   49424, -4758,  4156, -4758,  4336, -4758, 90965,  4090, 57598, -4758,
    3482,  3482,  2180, -4758,  1773, -4758, 91469, -4758, 42708, -4758,
    4130, -4758, -4758,  2742, -4758,  1185,  4202,  4344,  2748,  2749,
   13170, 91469,  3379,  1754,  3379, -4758,  3376, -4758, -4758, -4758,
   -4758,118612,  3733, -4758, -4758, -4758,  4376,  4319, -4758, -4758,
   -4758, -4758,   452, -4758,  4252,  4254, 91469, -4758,  4063, -4758,
    2753,  4181, -4758, -4758, 91469,  4481,  4482, -4758, 13504, 66257,
    3934,  3776,  2273,  2409, -4758,  4260, -4758,  4263, -4758,  4070,
    3364,  2895, -4758, -4758,   202,  4359,  4367, -4758, -4758, -4758,
   -4758, -4758, 91469, -4758, -4758, -4758, -4758, -4758, -4758,  3442,
   41664, 41664,  4078, -4758, -4758, 91469, -4758,  2757,  2760, -4758,
    2771, 44274,  2775, -4758, 91469,  4086, -4758, -4758, 53489,121671,
    1744,  4100, -4758,  4093, -4758, -4758,  4184,  1773,  3354, 17088,
   91469, 66257,  4478, -4758, -4758, -4758,  4202, -4758, -4758, -4758,
    3354, 91469, -4758,  4213, -4758,   729,   729,  4417, -4758,  4138,
   -4758, -4758,  4106, -4758,  4529, 91469, -4758,   845,  2330, -4758,
    4102, -4758,  3841,  3776, -4758, -4758, 49424,  3841, -4758, -4758,
   -4758,  2056, 66257, 66257, -4758, 44796,  4215,  1061, 15188, -4758,
   -4758, -4758, -4758,  2776, -4758,  4231, -4758,  2781, -4758, -4758,
   -4758,  1455,   234,  3482, 42708,  1773, -4758,  4197, -4758,  3354,
    2560, 91469, -4758, -4758, -4758,  3931, -4758,  4516, -4758,  1053,
   -4758, -4758, -4758, -4758,  3689,  3860,  3934, 64237, -4758,  3841,
    2782,  3479, -4758,  2522, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758,  4103,  4109,  4509, -4758, -4758, -4758, -4758, -4758, -4758,
    4111, -4758, -4758, -4758, -4758, -4758, 13641, -4758, -4758, -4758,
   -4758,  4418, -4758, -4758, -4758, -4758, -4758,  2785, -4758, -4758,
   -4758, -4758, -4758, -4758,  3364, -4758,  1929, -4758, -4758,  2008,
    2395,  4186,  4406, 42186, 42708, -4758,  1773,  4274, -4758, 64237,
    3841, -4758,  2522,  4219,  4221, -4758, 13977, 66257, -4758,  3479,
   -4758,  4157,  4158, -4758,  4126, -4758,  4409,  4414, 64237, 66257,
   66257,  2786, -4758, -4758, -4758
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2486,     0,     2,     1,  2915,  2919,  2923,  2924,  2841,  2925,
    2926,  2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,
    2900,  2901,  2902,  2904,  2903,  2905,  2906,  2907,  2908,  2909,
    2910,  2911,  2912,  2914,  2913,  2863,  2493,  2860,  2857,  2858,
    2859,  2864,  2862,  2855,  2856,  2069,  2928,  2916,  2929,  2917,
    2918,  2920,  2921,  2890,  2922,  2930,  2931,  2932,  2927,  2935,
    2886,  2887,  2885,  2888,  2889,  2933,  2934,  2877,  2878,  2879,
    2880,  2936,  2494,  2495,  2882,  2487,  2491,  2553,  2624,  2883,
    2884,  2881,  2492,  2876,  2624,     0,  2745,  2746,  2747,     0,
    2748,  2749,  2750,  2676,  2638,  2751,     0,     0,  2752,  2753,
    2754,  2755,  2756,  2757,  2758,  2759,     0,  2760,  2761,  2762,
    2763,  2623,  2764,  2765,  2766,  2767,  2600,  2606,  2729,     0,
    2580,  2581,  2577,  2579,  2578,  2582,  2565,  1286,   580,  1370,
    1369,     0,  2388,  1286,  2343,  2344,  2389,  2345,  2346,  2347,
     269,     0,  1372,  2348,  2390,     0,  1286,  2391,   402,  1031,
    2392,  2393,  2508,     0,  2349,  2350,     0,     0,     0,   580,
    1286,     0,     0,  2351,  1498,  2352,     0,  2353,  2394,  2395,
       0,  2354,  2355,  2396,     0,  2397,  2356,  2357,  2358,  2398,
    2399,  2400,  2359,  2401,  2402,     0,     0,  1512,     0,  2360,
    2403,  2361,  2362,     0,  2404,  2363,  2364,  2365,  2405,  2406,
    2366,  2367,  2368,     0,  2369,     0,     0,     0,     0,     0,
       0,  2407,  1286,  2370,     0,     0,  1519,     0,  2371,     0,
    2408,  2372,     0,  2373,     0,  2409,  2374,  2375,  2376,  2377,
    1512,  2725,  2601,     0,  1374,     0,  2378,  2410,     0,  2379,
    2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,     0,     0,
       0,    62,    63,    25,    24,    30,    29,    87,    88,    48,
      15,    76,    55,   122,   121,   123,    36,    32,    70,    21,
      23,    33,    37,    57,    49,   100,    56,    19,    54,    81,
      58,    84,    43,     9,    10,    44,    74,    11,    45,    75,
      12,    46,    13,    96,    64,    89,    28,    53,    18,    80,
      60,    86,    61,     3,    39,    72,    68,     8,    50,    51,
      52,    77,    78,    79,   105,    83,   117,    35,   114,    93,
      94,   111,    95,   112,     6,    97,    47,    14,   108,   107,
     109,    71,    40,    73,    59,    85,   106,    22,   110,    16,
      17,   113,    82,   103,    99,   118,   116,   124,   101,    65,
       4,     5,    90,    20,    42,     7,    27,    26,    41,    34,
     120,    31,  1372,    92,   104,    91,    98,    69,   102,   119,
      67,   115,  1483,  1470,  1521,  1482,  1497,     0,  1486,  2820,
    2821,    38,  1498,   126,   127,   132,  2490,  2542,  2543,  2544,
    2624,  2575,  2576,  2569,  2585,  2595,  2584,  2588,  2596,  2583,
    2602,     0,   129,   131,   133,   136,   130,   125,   128,   135,
     140,   134,   139,   137,   138,   141,   142,   143,  2822,  1727,
    2819,    66,  2560,  2559,     0,  2624,     0,  2852,  2084,  2085,
    2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,
    2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,  2104,  2105,
    2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,
    2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,
    2126,  2127,  2076,  2128,  2129,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,
    2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,  2164,
    2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,
    2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,
    2185,  2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,  2194,
    2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,
    2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,
    2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,
    2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,
    2235,  2236,  2237,  2238,  2239,  2242,  2240,  2241,  2243,  2244,
    2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,
    2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,
    2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,
    2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2077,  2283,
    2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,
    2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,
    2304,  2305,  2306,  2307,  2308,  2508,  2309,  2310,  2311,  2312,
    2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,
    2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,
    2526,  2074,  2075,  2081,  2082,  2083,  2501,  2522,  2528,  2848,
    2527,  2080,  2675,     0,     0,  2768,  2769,  2770,  2771,  2772,
    2773,  2823,  2824,  2825,  2826,  2827,  2829,  2828,  2637,  2795,
    2832,  2636,  2833,  2640,  2834,  2835,  2836,  2837,  2796,  2838,
    2639,  2830,  2792,  2641,  2634,  2635,  2793,  2743,  2744,  2047,
    2794,  2791,  2831,  2529,  2790,  2645,  2644,  1460,  2847,  2046,
    1461,     0,  2647,  2774,  2775,  2776,  2777,  2779,  2778,  2780,
    2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,
    2421,  2422,  2805,  2423,  2424,  2425,  2818,  2426,  2427,  2806,
    2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,
    2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
    2448,  2449,  2450,  2451,  2807,  2808,  2452,  2453,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,
    2809,  2476,  2477,  2810,  2478,  2479,  2480,  2811,  2481,  2482,
    2483,  2484,  2485,  2815,  2816,  2817,  2804,  2598,  2781,  2803,
    2814,  2812,  2813,  2608,  2604,  2612,  2607,     0,     0,     0,
       0,  2624,  1285,  1284,  1270,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2498,     0,  1296,   373,
     372,  1371,  1352,   580,     0,  1273,   401,     0,     0,     0,
       0,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   192,     0,     0,
     425,   424,     0,     0,     0,  1003,   430,     0,     0,     0,
       0,     0,   568,  2507,  2502,  2512,     0,  2505,  2506,  2790,
       0,  2939,  2240,  2538,  2539,  2937,  2294,  1462,   270,   273,
     274,   271,   272,     0,  1113,  1114,  1116,     0,     0,  1126,
     830,   831,     0,     0,     0,   833,     0,     0,     0,   827,
       0,     0,     0,     0,     0,     0,   832,   824,     0,   823,
       0,     0,  1126,     0,     0,     0,   825,     0,     0,  1274,
       0,  2590,  2591,  2176,  1411,   431,     0,     0,  1498,     0,
    1389,  1390,  1372,  1379,  1391,  1384,  1386,  1385,  1387,  1383,
    1388,  2085,   941,  2099,   941,  2166,   938,   939,   941,   941,
     941,  2257,     0,     0,   913,     0,   924,  2070,   941,  2071,
    2848,   946,   486,   486,   486,     0,   945,   950,   486,     0,
    1267,  1305,  2051,  1511,     0,  2099,  2166,   914,  1266,  2309,
    1403,     0,     0,  1141,  1137,  1139,  1140,  1138,     0,     0,
       0,  2273,  1278,   254,  2788,  2282,  2374,  2309,  2789,   253,
     248,   249,  2783,  2784,  2786,   222,  2787,  2785,  2782,  2089,
       0,     0,   945,     0,  1275,  1276,   899,  1518,  1516,     0,
    2033,     0,     0,  2107,     0,  2120,  2201,   245,  2268,  2274,
    2282,  2374,  2309,  2340,   201,   211,   206,     0,   263,  2282,
    2374,  2309,     0,  1296,     0,  1487,  1616,  2042,     0,     0,
    2599,  1269,  1268,  1373,     0,  1376,     0,  1577,  2253,  1491,
    1494,  1378,  1492,  1483,     0,     0,  2489,  1367,  1515,  1515,
       0,  1515,     0,  1475,  1483,  1478,  1482,     0,     0,     0,
       0,  1286,     0,  2567,  2595,  2574,  2630,  2571,     0,     0,
    2620,  2616,  2613,  2621,  2622,  2615,  2603,  1716,  1717,  1718,
    1715,  1728,  1714,     0,  2548,  1719,  2587,  2554,     0,  2562,
    2561,  2865,  2866,  2677,  2500,  2519,     0,     0,     0,     0,
       0,     0,     0,  2646,  2648,  2650,  2610,  2609,  2605,     0,
       0,     0,     0,  2735,  2736,  2734,     0,  2731,  2733,     0,
    2630,     0,  2799,  2793,  2802,     0,  2052,  2794,  2791,  2790,
       0,   840,     0,  1308,   990,     0,     0,     0,     0,  2046,
       0,     0,     0,     0,     0,  2074,     0,  2175,     0,     0,
       0,  1941,  1952,  1953,  1954,  2111,  2161,  1949,  1950,  1951,
    1943,  1944,  1945,  1946,  1947,  1948,     0,  1111,  1942,     0,
    2175,     0,   170,     0,   148,     0,     0,  2175,     0,     0,
       0,     0,     0,  2175,     0,     0,     0,     0,     0,   170,
    2206,     0,   148,  2175,     0,     0,     0,  1290,     0,     0,
       0,  1292,  1295,  1271,  1355,     0,  2042,     0,     0,   876,
     868,     0,   877,   869,     0,     0,   879,     0,     0,   871,
       0,     0,     0,     0,   880,     0,   870,   872,   882,   873,
     878,     0,     0,     0,     0,   874,     0,     0,  1282,   486,
     379,     0,     0,     0,     0,     0,   148,  1340,     0,  2175,
     148,     0,     0,   429,   428,   148,   427,   426,  2111,  2161,
       0,  1030,     0,   148,  2175,     0,   194,   651,   583,     0,
       0,   752,  2206,   148,     0,     0,     0,     0,     0,     0,
    1006,     0,     0,     0,   567,   580,     0,  2511,  2517,     0,
    2509,  2678,  2940,  2938,  2633,     0,  1117,   246,   247,  1115,
    2175,     0,   347,     0,     0,  2175,  1327,  1674,  1703,  1681,
    1703,  1703,  1670,  1670,  2145,  1683,  2175,  1671,  1672,  1710,
       0,  1703,  1670,  1675,     0,  1673,  1713,  1713,  1698,   347,
     844,  1655,  1656,  1657,  1658,  1684,  1685,  1659,  1690,  1691,
    1705,  1660,  1727,  2800,  1670,  2801,  2798,  2797,   829,     0,
     828,  2175,     0,  2175,  2078,   185,     0,   826,  2111,  2161,
    2175,     0,     0,  2175,     0,  2175,   177,  2175,     0,  2175,
     347,  2175,   584,     0,     0,  2175,     0,  2175,   347,  2175,
    2206,   179,     0,  2175,   347,   838,     0,     0,  2870,  2874,
       0,  2872,  2867,  2589,  2643,  2642,  2541,     0,  2951,     0,
    1462,  1381,  1396,     0,  1392,  1399,  1395,  1498,   941,   940,
       0,   941,     0,  2961,   941,     0,   941,     0,  2961,   941,
       0,     0,     0,   941,  2072,  2073,     0,     0,  2960,  2956,
    2959,   915,   925,     0,   947,     0,     0,   954,   953,   952,
       0,     0,     0,   955,     0,  1620,  1434,     0,   922,     0,
     920,     0,  1264,  1281,     0,     0,     0,     0,  1006,  1144,
       0,  1142,  1133,  1134,  1277,   252,   250,     0,     0,     0,
       0,     0,     0,  1283,     0,     0,     0,     0,  2854,  2058,
    1955,  2853,     0,  2344,  2345,  2346,  2014,     0,  2795,  2347,
    2348,  2390,  1857,  1844,  1853,  1858,  1845,  1847,  1854,  2349,
    2350,  2351,  2352,  2065,  2353,  2354,  2355,  2357,  2358,  2359,
    1849,  1851,  2360,  2361,     0,  2066,  2363,  2364,  2225,  2366,
    2367,  2369,  2370,  1855,  2372,  2373,  2374,  2375,  2376,  2377,
    2064,     0,  1856,  2378,  2380,  2381,  2382,  2383,  2384,  2385,
    2386,  2387,     0,     0,     0,  2039,     0,  1824,     0,  1663,
    1664,  1686,  1687,  1665,  1692,  1693,  1666,     0,  2038,  1730,
    1906,  1823,  1840,     0,  1829,  1830,     0,  1822,  1818,  1501,
    2034,     0,  1819,  2054,  2015,  2068,  2067,  2848,  2023,  2057,
    2055,  2056,  1501,  2032,     0,     0,     0,   214,     0,     0,
    2724,   265,     0,   266,  2040,  2282,   202,   244,   216,   243,
     217,   215,     0,  2109,   203,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,   259,  1272,     0,  1618,  1617,
       0,     0,  2021,  2043,   849,     0,  1365,  1366,  1364,     0,
    1361,  1363,  1375,  1372,  2028,  2027,  2029,     0,  1493,     0,
       0,     0,  1473,  1472,  1378,  1513,  1514,     0,     0,     0,
       0,     0,     0,     0,     0,  1567,  1529,  1530,  1532,  1564,
    1568,  1576,     0,  1479,     0,     0,  1622,     0,  1578,  2488,
    2630,  2631,     0,  2625,     0,  2624,  2624,  2618,  2617,  2614,
       0,     0,     0,     0,     0,     0,     0,     0,  2545,   562,
    2547,   559,     0,     0,  2521,     0,  2525,  2523,     0,  2670,
    2673,     0,  2671,  2672,  2674,     0,  2679,  2680,     0,     0,
    2861,     0,     0,     0,  2661,  2649,  2656,  2658,  2660,  2659,
    2668,  2664,  2667,  2669,  2611,  2624,  2742,     0,  2737,  2740,
       0,  2732,     0,     0,     0,  2053,     0,     0,     0,     0,
     841,     0,     0,     0,     0,  1316,  1317,  1318,     0,     0,
    1319,  1320,  1308,   256,  1326,  1324,  1307,  1309,  1322,  1314,
       0,     0,     0,     0,     0,     0,     0,  1332,     0,     0,
     183,   184,   595,   580,     0,  2175,     0,     0,     0,     0,
    1070,  1077,     0,     0,     0,     0,     0,     0,     0,  1071,
    1069,  1072,   258,  1081,  1097,  1100,     0,   980,     0,     0,
       0,     0,     0,  1196,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     279,   291,   342,     0,     0,  2175,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   146,   147,   152,
       0,     0,     0,     0,     0,     0,   546,   558,     0,     0,
       0,     0,     0,   555,     0,   148,   283,   539,   543,     0,
       0,     0,   660,   659,  1330,  1329,     0,     0,     0,  1196,
       0,   275,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   365,   366,     0,
       0,     0,   152,     0,     0,     0,     0,   285,     0,  2555,
       0,  1291,  1288,  1289,     0,  1294,     0,  1351,     0,     0,
       0,     0,     0,   884,     0,   881,     0,     0,   875,  2111,
    2161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   378,     0,     0,   749,     0,     0,     0,     0,     0,
     760,     0,  1308,  1339,     0,     0,     0,   589,     0,  2175,
       0,   150,   794,     0,   750,   430,     0,     0,   150,     0,
       0,   188,     0,   655,     0,     0,     0,     0,     0,     0,
     698,   697,     0,     0,     0,   751,     0,   150,     0,  2175,
     542,  2175,     0,   486,   486,     0,     0,  1005,  1008,     0,
       0,     0,     0,  2515,  2510,  2513,     0,  2503,  2517,  1465,
    1467,  1466,     0,  1464,     0,   347,   345,   346,   747,  1125,
       0,     0,  1702,  1689,  1697,  1696,     0,  1679,  1678,  1677,
       0,  1676,     0,  1703,  1703,  1701,  1680,  1655,     0,     0,
       0,  1709,     0,  1707,     0,   819,  1651,  1647,     0,     0,
    1695,  1716,  1715,  1714,     0,  1661,  1670,  1667,     0,     0,
     347,     0,     0,  2175,   347,  2175,     0,  2175,     0,     0,
     347,   347,     0,     0,     0,     0,     0,     0,   656,     0,
     837,   835,   834,   836,     0,     0,     0,     0,   817,     0,
       0,     0,  2175,   347,     0,     0,   816,  2868,     0,     0,
    2871,     0,  2592,  1965,     0,  2957,  1408,  2954,     0,     0,
    1498,     0,   233,   234,   232,  1397,   235,  1398,  1394,  1380,
       0,   933,     0,  2961,  2962,   918,     0,   928,     0,  2961,
     916,     0,   929,   926,   927,     0,     0,     0,  2955,  2839,
    2845,   932,     0,     0,   487,   489,     0,     0,  2131,  2144,
       0,  2167,  2194,  2195,  2274,  2278,     0,  2304,  2314,     0,
     956,   985,   951,   669,     0,     0,  1444,   923,   921,  1265,
    1401,  1972,     0,  1498,     0,     0,     0,     0,   251,   223,
       0,     0,     0,   987,  2273,  1280,   898,   580,     0,     0,
    1827,  1828,  2013,     0,     0,     0,     0,     0,     0,  1826,
    1980,     0,     0,     0,     0,     0,  1753,     0,     0,     0,
    1993,     0,  1999,     0,     0,  1790,     0,     0,     0,     0,
       0,     0,     0,     0,  1754,  1734,  1735,  2796,  1824,  1965,
       0,  1825,  2061,     0,  1727,  1955,     0,  1952,  1953,  1954,
       0,     0,     0,  2026,     0,  1963,     0,     0,  1768,  1961,
    1770,     0,     0,     0,     0,  1949,  1950,  1951,  1943,  1944,
    1945,  1946,  1947,  1948,  1959,  1750,     0,  2037,     0,  1908,
       0,  1749,     0,     0,  1580,  1500,     0,  2059,  2016,     0,
    2846,  2849,  1820,  1580,  2721,  2720,  2719,  2718,  2689,     0,
    2683,  2684,     0,  2722,  2723,   267,   268,   264,     0,     0,
     219,   218,     0,   241,   242,   213,   240,     0,   236,   237,
     221,  1897,  1896,   220,   212,   209,   207,   224,   226,   227,
     210,   208,   262,   260,     0,     0,     0,  2018,  2017,  2049,
    2022,     0,     0,   347,  2624,  1359,     0,  1356,  2031,     0,
    1495,     0,  2044,     0,  1368,  1490,  1489,  1522,  1523,  1023,
    1488,  1547,  1548,  1543,     0,     0,     0,  1573,  1571,  1539,
    1533,  1538,  1536,     0,  1540,  1730,  1566,  1477,  1527,  1528,
    1531,  1476,     0,  1569,     0,  1447,  1567,  1532,  1431,     0,
    1413,     0,  1623,     0,     0,  2632,  2630,  2570,  1655,  2624,
    2563,  2624,  2619,  2551,  1721,  1722,  1723,  1724,  1725,  1726,
    2552,     0,  2549,  1720,  2550,   560,   561,     0,     0,     0,
    2518,     0,  2499,  2524,  2655,  2290,  2687,     0,  2688,     0,
       0,  2652,     0,  2662,  2665,  2663,  2666,     0,  1655,  2842,
    2738,  2842,  1655,  1045,  1047,     0,  1046,     0,  1049,     0,
    1058,     0,     0,  1044,  1063,     0,  1052,  1050,     0,     0,
       0,     0,     0,     0,   842,     0,     0,     0,     0,  1315,
       0,     0,  2304,   255,  1318,  1323,  1310,  1321,     0,     0,
       0,     0,     0,   989,   988,     0,     0,  1010,     0,     0,
       0,  1335,   475,     0,   344,     0,     0,     0,     0,     0,
       0,     0,     0,   745,   742,     0,     0,   741,     0,   593,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   630,
       0,  1196,     0,   663,     0,  1079,     0,  1078,     0,     0,
       0,  1080,  1075,  1076,  2274,  2282,  2309,   257,  1099,     0,
    1098,  1096,  1033,     0,  1034,     0,     0,     0,     0,     0,
    2154,   293,   306,     0,  1195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   329,
       0,     0,   332,   331,     0,     0,     0,     0,     0,   336,
     315,     0,   316,     0,     0,   335,     0,     0,     0,     0,
       0,  1196,     0,   287,     0,     0,     0,     0,     0,     0,
    1112,     0,   687,     0,     0,   173,     0,   169,   172,     0,
       0,     0,     0,   545,   557,     0,   549,   550,   547,   551,
     552,     0,     0,     0,     0,     0,     0,   544,     0,     0,
     653,   652,   658,     0,     0,     0,     0,     0,     0,     0,
       0,  1146,  1145,     0,     0,     0,     0,     0,     0,   784,
       0,     0,     0,     0,     0,     0,     0,   176,   672,     0,
     671,     0,   174,   175,     0,     0,     0,     0,     0,     0,
       0,   231,  1287,  1293,  1354,  2050,  1353,     0,     0,     0,
       0,   883,     0,     0,     0,     0,     0,     0,     0,     0,
     885,   886,   887,   888,     0,     0,     0,     0,     0,     0,
       0,   381,   382,   148,   380,     0,   773,  2797,   748,     0,
       0,   761,     0,   763,   766,     0,  1306,   448,     0,     0,
     586,   630,     0,   433,   181,     0,     0,     0,     0,   689,
     145,   192,   194,   431,     0,   193,   195,   197,   198,   199,
     196,   200,   650,   654,     0,   582,     0,     0,     0,     0,
       0,   699,   703,   702,   706,   704,     0,   700,     0,     0,
    1643,     0,   168,     0,     0,   537,   541,     0,  2496,     0,
     433,   517,   358,  2175,     0,   486,     0,  2175,     0,  1007,
       0,     0,     0,     0,     0,     0,  2516,     0,     0,     0,
       0,  1463,     0,  1103,     0,  1328,     0,     0,     0,   347,
    1700,  1699,  1652,  1648,     0,     0,     0,     0,   845,     0,
       0,     0,     0,     0,     0,     0,  1668,  2175,   347,     0,
    1101,   186,  2079,     0,   821,     0,     0,     0,     0,     0,
    1105,   813,     0,   347,   178,     0,   347,   347,   585,     0,
       0,   347,   347,   180,     0,     0,     0,   577,   347,   839,
    2869,  2875,  2873,  1410,     0,  2958,  2952,  2953,   486,  1467,
    1382,  1393,   930,   937,   919,   936,   935,   917,   934,   931,
    2654,     0,     0,  2844,     0,   948,     0,   485,     0,     0,
       0,   962,   963,     0,     0,   961,   978,   964,     0,   966,
     958,   957,   967,   968,     0,     0,   987,   667,     0,     0,
       0,     0,  1441,     0,  1439,     0,  1621,  1443,  1432,  1402,
       0,  1400,  1405,  1407,  1406,  1404,     0,   530,     0,     0,
    1143,     0,     0,   945,     0,     0,   347,  1279,     0,   900,
     901,     0,     0,     0,     0,     0,     0,   907,   904,   905,
     906,   908,     0,   909,     0,     0,     0,  1976,     0,  1977,
       0,     0,  2012,  2008,     0,     0,     0,     0,     0,  1984,
    1985,  1986,  1983,  1987,  1982,     0,     0,  1988,  1981,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2370,     0,
       0,     0,     0,  1793,     0,     0,  1936,     0,  1965,  1998,
       0,     0,     0,     0,     0,     0,  1965,  2004,     0,     0,
       0,     0,  1895,     0,  1892,     0,     0,     0,     0,  2023,
       0,     0,  2062,  1731,  1745,  1746,  1747,  1751,  2036,     0,
    2025,     0,     0,  1732,  1759,     0,  2005,  1786,     0,  1791,
    1774,     0,  1767,     0,  1772,  1776,  1755,     0,  1752,     0,
    2026,  1964,     0,  1962,     0,  1742,  1743,  1744,  1736,  1737,
    1738,  1739,  1740,  1741,  1748,  1940,  1938,  1939,     0,     0,
       0,  1916,     0,     0,  1771,  2169,  2201,     0,  1512,  1512,
    1512,  1499,  1510,  2035,     0,  1638,     0,     0,     0,     0,
    1832,     0,  1969,  1521,  1967,  2052,  2851,  2850,  2024,  1638,
       0,     0,     0,  2041,     0,     0,  1727,     0,   261,  1619,
    2019,     0,   847,   848,   846,  1655,  1378,  1362,  1358,  1357,
    2030,  1377,     0,  1498,     0,  1021,  1022,     0,  1026,     0,
       0,  1541,  1574,     0,  1565,     0,  1545,  1546,  1537,  1575,
    1445,     0,  1570,  1481,  1480,     0,  1641,     0,     0,  1423,
    1415,     0,  1624,     0,  1580,  1449,  1451,  1452,     0,  2023,
    2568,  2626,  2573,  2594,  2564,  2597,  1729,  2546,  2586,     0,
    2520,  2690,  2691,     0,  2681,  2682,  2651,  2657,  2728,     0,
    2843,     0,     0,  1048,     0,  1670,  1059,     0,  1043,     0,
    1042,  1670,     0,  1060,     0,  1670,     0,     0,     0,  1224,
    1148,  1200,   843,  1225,  1149,  1201,  1226,  1150,  1325,  1313,
    1312,  1311,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   724,  2175,   347,  1333,
    1227,     0,  1151,   343,  1334,  1202,  1338,   744,   743,     0,
       0,  1203,     0,   594,     0,     0,   599,   600,   601,     0,
       0,     0,   602,     0,  2111,  2161,     0,   607,   614,   619,
     609,     0,     0,   621,   615,     0,     0,     0,     0,     0,
       0,   627,   629,     0,     0,     0,     0,     0,     0,  1073,
    1074,  1228,  1154,     0,  1204,  1032,     0,  1155,   182,     0,
       0,   280,   294,   636,   724,  1198,   313,     0,   328,   323,
     324,   322,  2175,   347,  2175,   347,     0,     0,     0,     0,
       0,   325,   320,   321,   317,     0,     0,   330,  2088,  2146,
    2283,     0,   640,   642,     0,   647,   333,  1171,   354,   353,
     352,     0,   337,     0,   359,   362,   334,   311,   314,   312,
     308,   292,     0,     0,     0,     0,     0,     0,     0,  2048,
       0,     0,  1107,     0,     0,     0,     0,     0,     0,   681,
     171,  1186,     0,     0,   157,     0,     0,     0,     0,   151,
     161,     0,  1234,  1161,     0,     0,   284,   540,   548,   553,
    1165,   556,  1214,   554,  1240,  1162,     0,  1196,     0,   276,
       0,  1163,     0,  1208,  1236,  1188,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1341,     0,     0,     0,     0,
       0,   347,     0,     0,     0,  1198,  2175,   347,  1235,     0,
    1193,  1222,     0,   367,     0,  1187,     0,     0,   286,  1167,
    1216,     0,     0,   229,   228,   230,     0,     0,  2144,     0,
     890,   852,   889,     0,     0,     0,     0,     0,     0,   860,
       0,     0,     0,   851,     0,   850,   403,   376,   377,   379,
     386,   772,     0,     0,     0,     0,   762,     0,     0,     0,
    1331,     0,   148,     0,     0,     0,   588,   629,   636,     0,
       0,     0,   432,   436,   440,   441,   442,     0,     0,     0,
       0,   162,   149,     0,   802,     0,   486,     0,   685,     0,
     194,   187,     0,     0,     0,   358,   759,   757,   756,   758,
       0,     0,     0,   777,   755,     0,  1642,  1644,     0,     0,
       0,     0,     0,     0,   435,     0,   489,     0,     0,   521,
       0,     0,     0,     0,   358,     0,     0,     0,  1037,     0,
    1055,  1038,     0,     0,     0,     0,  1085,  1092,  1086,  1065,
       0,     0,   565,  2514,  2508,  1468,  1469,     0,   347,     0,
       0,  1669,  1682,   820,     0,  1712,  1711,  1713,  1713,     0,
    1653,     0,  2941,  2949,  2948,     0,  1704,  1705,  1662,     0,
     631,   347,   347,     0,   347,     0,   347,   347,     0,   678,
       0,  1262,   657,     0,     0,   732,   818,     0,     0,   347,
     815,  1966,     0,  2653,  2840,   949,   488,     0,     0,     0,
       0,   960,     0,   563,   965,     0,   977,   972,   974,     0,
     981,   666,     0,     0,  1442,  1435,  1437,  1436,     0,     0,
    1433,  1973,   814,     0,   536,  1135,  1136,     0,     0,   347,
       0,   982,     0,     0,   902,   903,     0,     0,   910,     0,
       0,     0,  1517,  1974,  1975,     0,     0,     0,  2009,     0,
       0,  1870,     0,  1846,  1848,  1860,     0,  1871,  1831,  1872,
    1850,  1852,     0,  1956,     0,     0,  1861,     0,  1795,  1796,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1811,  1810,  1862,
    1935,     0,     0,  1996,  1997,  1863,     0,     0,  2003,     0,
       0,     0,  1868,  1873,     0,     0,     0,     0,  1879,     0,
    1900,     0,     0,     0,  1821,  1966,     0,     0,     0,     0,
       0,     0,     0,     0,  1792,  1775,  1769,     0,  1773,  1777,
       0,     0,     0,  1763,     0,     0,  1761,  1787,  1757,     0,
       0,  1788,     0,     0,     0,  1839,     0,     0,  1512,  1512,
    1512,  1512,  1509,     0,     0,     0,     0,  2271,     0,  1602,
    1579,  1581,  1589,  1602,  1607,  1841,  1636,  1842,     0,  2042,
       0,  1550,  1521,  1521,  1521,  1838,     0,     0,     0,     0,
    1520,  1550,  2703,  2705,  2706,  2707,  2708,  2709,  2711,  2712,
    2714,  2715,  2716,  2704,  2710,  2713,  2717,  2694,  2695,     0,
    2685,  2686,   205,     0,   238,   225,     0,  2728,  1360,  2045,
       0,  1524,     0,  1957,  1026,     0,  1526,     0,     0,  1572,
    1534,  1446,  1430,     0,  1428,  1417,     0,  1418,  2023,     0,
    1428,  1414,  1457,     0,     0,  1641,     0,  1456,     0,  2628,
    2556,     0,     0,  2727,  2730,  2741,  2739,  2566,     0,  1670,
    1040,  1041,     0,  1064,     0,  1223,  1147,  1199,   992,   993,
       0,   991,     0,     0,     0,   474,  1009,     0,     0,     0,
     724,     0,     0,   478,     0,  1336,     0,  1241,  1185,   596,
     597,     0,   608,     0,   617,   616,     0,     0,   604,     0,
       0,     0,     0,     0,   603,   623,   569,   624,   626,     0,
       0,   625,   628,   633,  1196,     0,   664,  1173,     0,  1220,
    1067,     0,  1035,     0,     0,     0,     0,   448,   307,     0,
       0,     0,   295,   305,     0,   339,     0,   310,     0,   303,
     326,   318,   327,   319,   338,   340,     0,   644,   645,   643,
     639,     0,   646,   648,     0,   356,     0,     0,     0,  1230,
       0,  1196,     0,   288,  1169,     0,  1218,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,  1205,
       0,     0,   686,     0,   683,     0,     0,   154,   153,     0,
     160,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   368,   349,     0,
     780,     0,     0,     0,   370,     0,     0,     0,     0,  1229,
    1156,   853,     0,     0,     0,   854,   865,     0,     0,   855,
       0,     0,     0,     0,   867,     0,     0,   375,   383,   774,
       0,  2225,  1943,  1944,   770,   775,   767,   769,   768,   771,
     724,     0,   764,   765,     0,     0,     0,     0,     0,   460,
       0,     0,   454,     0,     0,  1092,   447,   450,   451,     0,
       0,   589,   592,   590,   591,   622,     0,   467,   513,     0,
     164,     0,     0,   165,   163,     0,     0,   358,   690,   694,
     692,   691,   693,   688,     0,   681,     0,   190,   431,     0,
       0,   581,   705,   708,   701,     0,   776,   778,   753,     0,
     636,     0,   542,     0,  1411,   530,     0,   517,   513,   515,
     514,   516,     0,   523,   357,     0,     0,   530,   523,     0,
       0,  1010,  1036,     0,     0,     0,  1082,  1087,  1083,     0,
       0,  1051,     0,  1084,     0,  1066,  1029,  1257,  1258,  1255,
    1256,     0,     0,     0,  2531,  1459,  2540,  1104,     0,  1688,
       0,  1708,  1706,  1649,     0,  2624,     0,     0,     0,     0,
       0,  1654,  1694,   347,  1102,   822,     0,   809,     0,   811,
    1106,   347,   347,   347,   347,   673,     0,   578,     0,     0,
       0,     0,   959,   979,     0,   975,     0,     0,   942,   984,
       0,     0,  1440,  1438,   528,     0,   987,     0,   943,   986,
       0,     0,     0,     0,     0,     0,     0,  1978,     0,  2011,
    2007,     0,  1843,  1979,     0,  1991,  1990,  1936,     0,     0,
    1794,  1806,  1807,  1808,  1992,     0,  1816,     0,     0,  1803,
    1804,  1805,  1797,  1798,  1799,  1800,  1801,  1802,  1809,  2001,
    2000,  1994,  1995,     0,  1865,  1866,  1867,  2002,  1874,     0,
    2102,  1901,  1878,  1894,  1893,     0,     0,     0,  1881,     0,
       0,  1890,     0,  1937,  2063,  1733,     0,     0,  1760,  2006,
    1778,     0,     0,     0,  1756,  1956,     0,     0,     0,     0,
       0,  1765,     0,     0,     0,  1919,  1914,  1915,  1933,     0,
       0,     0,     0,     0,     0,  1503,  1502,  1508,  1602,  1607,
       0,  1483,     0,  1589,     0,  1601,  1587,  1600,     0,     0,
    1613,  1611,     0,  1613,     0,  1613,     0,  1583,     0,  1603,
    1585,  1600,     0,  1628,     0,  2043,  1637,     0,  1563,     0,
       0,     0,     0,  1970,  1971,     0,  1968,  1833,  1563,     0,
       0,     0,  2020,  2726,  1496,     0,  1525,  1024,  1025,  1542,
    1535,     0,  1639,     0,  1429,     0,     0,  1420,  1426,  1412,
       0,     0,  1450,  1428,  1453,  2572,     0,  2627,  2692,  2693,
    1061,     0,     0,  1053,   998,   999,   997,  1000,     0,     0,
       0,   724,     0,     0,   494,     0,  1017,  1017,     0,     0,
     480,   526,  1092,   727,     0,     0,     0,   725,   347,  1152,
       0,   618,     0,     0,   613,   611,   610,   612,     0,   570,
    1239,  1153,     0,     0,     0,     0,  1068,     0,     0,  1172,
       0,   445,     0,   300,  1197,     0,     0,     0,   299,     0,
     347,   347,   341,   641,   355,   360,   361,   364,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     803,   786,     0,     0,   804,   805,     0,     0,     0,  1109,
    1110,  1108,     0,  1159,     0,     0,   677,   158,   155,   156,
     159,  1183,  1166,  1215,     0,     0,     0,  1164,     0,  1209,
    1179,  1175,     0,     0,     0,     0,     0,  1238,  1192,  1213,
    1237,  1190,  1211,  1189,  1210,  1191,  1212,  1184,     0,  1646,
     783,     0,     0,     0,   347,   347,   675,  1168,  1217,     0,
       0,   856,     0,     0,   858,   859,     0,   862,   406,     0,
     409,   416,   387,   392,  1340,     0,  1340,     0,   389,   393,
    1340,   388,  1340,   385,   746,     0,     0,   723,     0,   452,
       0,   458,   462,   463,   461,   453,  1092,   486,   525,     0,
       0,   736,     0,   587,   433,   464,     0,     0,   437,   167,
     166,     0,     0,     0,   684,   683,   194,     0,     0,   710,
     714,   754,     0,  1645,   670,   358,   538,     0,   433,   530,
    2497,     0,   438,   443,   444,     0,   521,   517,     0,     0,
     527,  1304,     0,   531,   533,     0,     0,     0,  1039,  1056,
    1057,     0,     0,  1092,     0,     0,  1091,     0,     0,   572,
       0,  2504,   347,  1650,  2942,     0,  2943,  2944,  2945,  2946,
    2947,   632,   347,   347,   679,  1263,  1132,   733,     0,   971,
     970,   969,   564,     0,   973,   668,     0,   529,   347,     0,
       0,   912,   893,   911,     0,     0,   892,     0,   891,  2010,
    1859,  1869,  1989,  1935,  1966,     0,     0,  1817,     0,     0,
    1864,  2379,     0,     0,     0,     0,  1898,  1899,  1880,     0,
    2216,  1885,     0,     0,     0,  1784,  1782,  1779,     0,  1780,
    1764,     0,     0,  1762,  1758,     0,  1789,  1905,     0,  1921,
    1918,  1932,  1966,  1507,  1506,  1505,  1504,  1588,  1586,     0,
    1591,  1598,     0,  1582,     0,  1612,  1608,     0,  1609,     0,
       0,  1610,     0,     0,  1584,     0,  1598,     0,  1635,  1521,
       0,     0,  1910,  1836,  1837,  1834,  1521,  2060,  1910,  2696,
       0,  2699,  2697,  2698,  2702,   239,     0,     0,  2957,  1416,
    1419,     0,     0,     0,     0,  1458,  1448,  2629,  1054,  1062,
       0,     0,     0,   476,     0,  1092,     0,     0,     0,  1020,
    1020,     0,  1092,   525,   729,   728,   731,   726,   730,  1337,
       0,   605,   606,   620,  1174,     0,  1221,  1181,     0,  1444,
       0,   637,   296,   297,   298,   301,   349,   309,   302,     0,
       0,     0,  1170,     0,  1219,  1177,  1232,  1157,  1206,     0,
       0,   792,     0,     0,     0,     0,  1233,  1158,  1207,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,  1346,
       0,   348,   782,   781,   349,   369,  1194,     0,   857,   863,
     864,   861,   407,   148,     0,   384,     0,   414,     0,   412,
     411,   413,     0,   400,     0,     0,     0,     0,     0,     0,
       0,  1123,  1123,     0,   724,     0,     0,   449,   525,   493,
       0,   455,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   676,   189,   433,   636,   709,     0,
       0,     0,   779,     0,   435,     0,  1409,   434,     0,     0,
     523,   521,     0,   518,     0,   522,     0,  1297,     0,     0,
       0,     0,  1088,     0,  1094,     0,  1050,  1027,  1089,     0,
    1638,     0,     0,     0,     0,   576,  2530,  2534,  1124,  2950,
     810,   812,   674,   976,     0,   983,   347,   894,   895,   896,
     897,  1937,  1812,     0,     0,     0,     0,  1875,     0,  1876,
    1903,  1902,  1882,  1886,     0,  1883,  1884,  1781,  1785,  1783,
    1766,  1907,     0,  1521,  1934,  1631,     0,  1634,  1590,     0,
       0,  1592,     0,     0,  1594,  1596,     0,     0,     0,     0,
       0,     0,  2046,     0,  2127,  2355,  2270,     0,  1549,  1551,
    1554,  1556,  1555,  1557,  1553,  1562,     0,  1485,     0,  1484,
    2701,  2700,  1958,  1640,  1427,     0,     0,  1011,     0,     0,
    1455,  1454,   977,     0,   347,  1017,   525,   495,  2225,   496,
    1016,     0,  1018,  1023,  1023,     0,   525,   724,   598,     0,
       0,   281,   635,     0,   351,   363,     0,  1444,     0,     0,
       0,   799,   787,     0,     0,   806,  1160,   680,     0,     0,
     277,  1180,  1176,  1348,  1349,     0,     0,     0,     0,     0,
     347,   866,   386,     0,   410,   419,     0,   417,   390,   395,
       0,   399,   397,   396,   391,   394,  1123,     0,  1120,  1119,
     722,     0,   484,   456,     0,   504,     0,     0,   737,     0,
       0,   513,   473,   472,   469,   468,   470,   471,   466,   465,
       0,   636,   796,   358,  1304,   649,   711,   712,   707,     0,
       0,     0,   517,   513,   439,   448,   422,   523,   519,   520,
       0,     0,     0,   530,  1350,  1010,     0,  1093,     0,     0,
       0,     0,     0,     0,  1127,   571,     0,     0,   575,   566,
       0,  2532,   636,   944,  1813,     0,  1814,     0,     0,     0,
    1888,  1887,     0,  1924,  1636,     0,     0,  1630,     0,  1599,
    1615,     0,  1595,  1593,     0,  1604,     0,  1606,  1833,     0,
       0,     0,  1558,     0,  1909,  1911,     0,  1835,  1425,  1638,
       0,  1422,     0,   994,     0,   995,  1020,   499,     0,  1019,
    1026,  1026,   486,   724,   477,  1182,     0,   638,     0,   304,
       0,   289,  1178,     0,   790,     0,   801,   799,     0,     0,
       0,     0,  1342,     0,  1343,  1344,  1347,   371,   374,   405,
     415,     0,   398,  1118,  1122,  1121,     0,     0,   457,   490,
     491,   492,     0,   459,   500,   501,     0,   734,     0,   739,
       0,     0,   512,   661,     0,     0,     0,  1298,     0,     0,
    1304,   521,   517,   446,   420,     0,  1301,     0,   532,     0,
     358,  1092,  1095,  1090,  1261,     0,     0,   574,   573,  2535,
    2537,  2536,     0,   665,  1815,  1891,  1877,  1904,  1889,  1920,
       0,     0,     0,  1629,  1632,     0,  1597,     0,     0,  1605,
       0,     0,     0,  1552,     0,     0,  1424,  1012,     0,     0,
    1023,     0,   724,     0,  1014,  1013,   493,   479,  1444,   350,
       0,     0,     0,   797,   800,   788,   801,   808,   807,   682,
    1444,     0,   418,     0,   483,     0,     0,     0,   502,     0,
     503,   524,     0,   738,     0,     0,   795,     0,     0,   713,
       0,  1299,   523,   521,  1302,  1303,     0,   523,  1028,  1260,
    1259,  1498,     0,     0,  2533,  2343,     0,  2316,     0,  1922,
    1925,  1923,  1917,     0,  1614,  1627,  1560,     0,  1559,  1912,
    1913,  1638,   347,  1026,     0,   481,   497,   504,   282,  1444,
       0,     0,   789,   278,  1345,   714,   509,     0,   508,     0,
     506,   505,   735,   740,   636,   785,  1304,   717,   423,   523,
       0,  1638,  1243,  1498,  1242,  1244,  1252,  1249,  1251,  1250,
    1248,  1130,  1131,     0,  1929,  1928,  1927,  1931,  1930,  1633,
       0,  1625,  1561,  1421,   996,  1015,     0,   724,   290,   791,
     798,     0,   507,   511,   510,   662,  1300,     0,   715,   718,
     721,   719,   720,   421,   358,  1001,     0,  1253,  1247,  1483,
    1470,     0,     0,     0,     0,   498,   482,     0,   695,     0,
     523,  1245,  1498,     0,     0,  1926,     0,     0,   716,  1638,
    1246,     0,     0,  1626,     0,  1002,     0,     0,   717,     0,
       0,     0,  1128,  1129,   696
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4758, -4758,  4269, -4758, -1267,   209,  2664, -2260, -4758, -4758,
   -4758,   922, -4758, -4758, -4758, -4758, -4758, -4758, -4758,  3409,
   -4758, -4758,  1846, -2744, -4758, -4758,   -36,  3388, -1692,   -29,
    2957,  1483, -4758, -1499, -4758, -4758,  -906,    58, -4758,  3391,
     568, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -1175,
    1996,  1297,  3742, -3006, -4758, -4758, -1810, -3486, -4758,   638,
   -4758, -4758,  1933, -4758, -4758, -4758,  1136,   552,  -476, -4758,
   -4758, -4758, -4758, -4758, -4758, -4758,  -256, -4758, -4758,  -630,
     256,  -103, -2739,  -302, -4758, -4758,   514,  -304, -1710, -4758,
   -3851, -4758,    46, -4758, -4758, -4758,  -283, -1825,  1388, -4758,
   -1024, -1495,  1722,  -703, -4758,  -162, -4758,  -770,  -627,  -629,
    -717, -4030, -4038, -4489, -4076, -3696,  1400, -4758, -4028,   303,
     488, -4758,   353,   382, -4758,   504, -1155, -1859, -4758,  -503,
   -4758, -4758, -4758, -3235, -4758, -4758, -4758, -4758,   -90, -4758,
   -4758, -4758, -4758,   544, -4758, -4758, -4758, -4758, -4758, -4758,
   -3053,  1896,  1911, -4758, -4758, -3441, -4758, -1227, -4758,   684,
   -3278,  1324, -4758, -4758, -4758,  2661, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -1966, -4758, -4758, -4758, -4758,
   -4758,   540,    64, -4758, -4758, -4758, -4758,   396, -4758,  1925,
    1134, -4758, -4758, -4758,  -744,  -836,  -816, -4758, -3302, -4758,
   -4758, -4758, -4758,  -229, -4758, -4758, -4758, -4758, -4758, -4758,
   -1317, -4758,  1188, -3416, -4758, -4758,  1194, -4758, -4758, -4758,
   -4758, -4758,  -689,  -163,  2689, -4758,  -553,  -661, -4758, -4758,
   -4758,  -158, -4758, -4758, -4758, -4758, -4758, -4758, -1424, 15984,
   -1383,  -834, -4758, -4758, -4758, -4758, -2381, -4758, -4758, -4758,
   -3879, -4758,  4560,    20,  -792,   411, -4758,  -208,   -89,  3212,
   -1509, -2963,   464,  -346, -4758, -2193, -4758, -4758, -4758, -2841,
   -4758, -4758, -4758, -4758, -3786,   412, -4758,  3206, -4758, -4050,
   -4757, -3784, -4282, -4612, -4598, -3803, -4758, -4758, -1447, -4758,
   -4758, -4758, -1837,  2226, -2291, -4758, -2419,   537,  1481, -1283,
   -3060, -4060, -1041, -3534, -4758, -4758, -3998,  -458, -4758, -4758,
   -4758, -4758, -4758, -4758, -4758, -1428,  -910, -4758, -4758,  3801,
   -4758, -4644, -4758,  3774, -4758, -4758, -4758, -4758,  2497,  2502,
   -4758,  2505, -4758, -4758, -1814,  1274, -4758, -4758, -4758, -4758,
   -4758,  -670,  -778, -4758, -4758, -4758,   439, -4758, -4758, -4758,
   -4758,  1859, -1260, -1032,  3690,   457, -4499, -4758, -4758,  -812,
   -4758,  2920, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
   -2117, -4758, -4758, -4622, -4758, -4758, -4758, -4758, -4758,  2349,
    2350,   -96,  -233, -4758, -4758, -1628, -4758,  -850, -4758,  2580,
   -4758, -4758, -4758, -4758,  1581,   471,   578,   -70, -4758, -4758,
   -4758,   329, -4758, -4758, -3694,   -69, -4758, -4758, -4758, -4758,
   -4657, -4758,   -68,  -600,   865, -4758, -4758, -3079, -4758,   474,
     -51,  3290,  1843,   -71,  1858,  -235,  -242,  -237,   -75,   -60,
    3057, -4758,  3121, -4758,  -195,  1866, -4758, -4758, -1138,  -347,
   -4758,  1589,  -936,  2327,  3038,  3042, -4758,  1585, -4758, -4758,
    1594, -4758,   928,  -576,  -457, -4758, -4758, -4758, -4758,   371,
    -934,  2348, -4758,  3061, -4758, -4758, -4758, -2188,  1590, -3665,
     974, -3667, -3632,   417,   403, -1097,  -244,  -159, -1078,  3068,
   -4758, -4758,   978,  -418, -4758, -4758,  -416, -3106,   905, -4758,
   -4590, -2613,  5285, -1959, -1387, -4758, -4758, -1327,  7592, -4758,
   -4758, -4758, 24009, 25230, -4758, -4758, 25522, 25641, -4758, -1212,
    1180, 26219, 13987, -1330, -1351, -1606, 23616,  -192, -1094, -2797,
   -4758, -3819, -2344, -4758, -4758, -4758,  -203,  1039,   227, -4758,
   -4758, -4758, -4758,    11, -4758,  -539, -4758,  -538, -4758, -4758,
   -4758,  -525, -3778,  2489, -4758, -4758, -4758,  -815, -4758, 26834,
    1645, -4758, -1237, -3018, -3021, -3676, -2153, -4758, -4758, -4758,
   -4758, -4758, -4758, -4758, -2418, -3554,  -594,  1723, -4758, -4758,
    1811, -4758, -4758, -4758, -1674, -1186, -2908,  1727, -2305, -4758,
   -1137, -4758, -1071,  2495, -1084, 16562, -1176, 19090,  -114, -2583,
   -1645, -1936, -4758,  3371, -4758,  2455,  -135,  -742,  4412,  -954,
    -962,  6664,  5022,  4612, -3413, -4758, -4758,   492, -4758, -4758,
   -4758,  4201,  1225, -4758,  3485, -4758,  1985,  2763, -4758, -4758,
    2361,  -978,    10, -4758,  -497, -4758,  -109, -4758, -4758, -4758,
     171, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,
    3090, -4758, -4758, -1564, -4758, -4758, -4758, -4758, -4758,  4477,
    -386, -4758,  3867,  -378, -4758, -4758, -4758, -4758, -4758, -4758,
   -4758, -4758, -4758,  3102,  2397, -4758,  3688, -4758, -4758, -4758,
     -31,  3316, -4758, -4758, -4758, -1292,  -609,  3701,  3703,  2359,
   -4758, -4758, -4758, -4758, -4758, -4758, -4758, -4758,  2368, -4758,
   -4758,  1697, -2295,  2369, -4758, -4758,   950, -4758, -4758,   443,
   -4758,   951, -4758,  3214, -4758, -4758, -4758,   992, -4758, -4758,
   -4758,  -608, 16091,   -50,  -105,   107,  1509, -4758,  9145, 23575,
    -101,  3130,   -62, 12729, 21949,    84, -4758,  4461,  2385,  1928,
   -1065, -4758,   374,  2675, 21014, -4758, -1049,   191,  1755, -4758,
      -2,  -688, -1279,  3444,  -772, -2124, -4758,  4905, -4758, -3427,
   -4758, -1096,    72,  3877, -1315
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1939,  2814,  2697,  3571,  3572,   252,
     253,  1935,   254,   255,   256,   257,   258,   259,   260,  1873,
     261,   262,  1365,  2061,  2825,   263,  2553,  1115,  1116,  1117,
    2406,  2407,  2762,  2408,  2395,  1698,  2206,  1892,  1080,  1081,
    1854,  1893,   265,   266,  1692,  2387,   267,   268,   269,  1920,
    1921,  1867,  2108,  4599,  5289,  3412,  2675,  3611,  3413,  3414,
     270,  1987,  1988,   271,   272,  3539,  2032,  2793,  4127,  4128,
    4633,   907,  2790,  4933,  4934,  4619,  4620,  4940,  5156,  5157,
    2826,  2056,  3605,  4207,  3562,  4681,  3563,  4682,  3564,  4683,
    3550,  4156,  4157,  4158,  3565,  4655,  5188,  3566,  2572,  5318,
    2861,  2236,  2234,  5175,  4483,  4484,  5392,  5323,  5324,  5325,
    5480,  4657,  3609,  4213,  4690,  4961,  3306,  2082,  3714,  1010,
    2864,   939,  1011,  2827,   277,  2855,  2856,  1958,  2705,  4134,
    3694,   278,  1385,  3985,  5015,  5228,  5229,   279,   895,   280,
    2065,   281,   282,  2810,  3556,   283,  2589,  3323,   284,   285,
    3351,  3352,  3353,   286,   287,  4007,  4880,  1922,  3401,  3402,
    3403,  3404,  4032,   288,  2063,  1963,  2834,   289,   290,   291,
     292,   293,  2989,  2990,   294,  2749,   295,   296,   297,   298,
     299,  4064,  4566,  4185,  3439,  3578,  4183,  2828,  2073,  2846,
    2847,  4670,  4979,  5198,  4981,  5527,  5528,  4954,  3963,  4497,
     301,   302,  4650,  4651,  5330,   303,  2587,   304,   305,   306,
    2040,  2802,  2803,  4135,  2034,  2795,  2796,  4195,  4196,   307,
    3494,   308,  4550,  4551,   940,  5335,  5296,  5405,   309,   310,
    4554,  4555,   311,   312,   313,   314,   315,   998,  1484,  1485,
    1840,  1429,   316,  2423,   317,  1337,  3521,   318,  1576,  3035,
    4742,   319,  1034,  1509,  1510,  2829,   321,  1045,  3013,  1047,
    2249,  3696,  3697,  4288,  2975,  1242,   322,   323,  2986,  3016,
     324,  1860,  2563,  2564,  4478,  2830,   941,  2088,  2868,  3301,
    5096,  5097,  4859,  5113,  3208,  3906,   326,   942,  1897,  2633,
    2871,  3619,  2530,  2531,  2532,  4230,  2533,  3621,  2534,  1834,
    2535,  3627,  3628,  3629,  4226,  4233,  4236,  5004,  5005,   327,
    1895,  2631,   328,   329,   330,  1930,  1266,   331,   964,   965,
     332,  5168,   333,  1404,   334,  5013,   335,   336,  1069,  1070,
    1560,  1561,   337,   338,  2646,  4014,   339,   340,   341,  5494,
    5536,  5537,  5538,  4241,  5441,   342,  5496,  1552,   344,   345,
     346,   898,  1301,  1302,  1303,  2831,  4997,   348,   349,  1855,
    1856,  1857,  1858,  2558,   350,   351,   352,   353,   354,   355,
    2044,   356,   357,  5145,   358,   359,  2007,   360,  1729,  1730,
     361,   362,   902,  1135,  1733,  1741,   363,  1013,  1503,  1504,
    1505,  2208,   364,  1556,  3001,  1014,  1498,  1015,  2469,  3229,
    3916,  3917,  3920,  4843,  4454,  1016,  3226,   368,  2256,  2995,
    2998,  3222,  1017,  3234,  3235,  3236,  3237,  3238,  3923,  1018,
    1036,  1395,  2880,  1019,  1647,   373,   374,   375,  1145,  1139,
    1140,   377,  2364,  3161,  1054,  1747,  1099,  1100,  1152,  3870,
    2437,  2438,  2460,  2461,  1756,  1757,  2450,  2452,  3210,  2453,
    3218,  2443,  4428,  5078,  5079,  5080,  5081,  5082,  5083,  4822,
    2456,  2457,  1759,  1760,  1761,  2465,   378,  3165,  3850,  3851,
    3852,  4405,  4406,  4420,  4416,  4806,  5064,  3853,  1546,  1767,
    4814,  5511,  3854,  5055,  5056,  5247,  4423,  3861,  3914,  3595,
    3596,  3597,  2536,  2137,  1431,  1648,  1432,  2147,  1649,  2121,
    1434,  1650,  1651,  1652,  1437,  1653,  1654,  1655,  1440,  2113,
    2140,  1656,  1657,  2131,  1184,  1185,  2193,  3072,  1659,  1660,
    1661,  3856,  1662,  4361,  4773,  4762,  3093,  3094,  2403,  4357,
    3796,  2359,  3151,  5087,  5264,  5265,  3835,  4386,  4789,  5053,
    5372,  5449,  5450,  1663,  1664,  1665,  3148,  2354,  1268,  1666,
    4137,  2356,  3087,  3173,  3174,  2262,  2281,  3040,  3055,  3056,
    3067,  3755,  3075,  3080,  3783,  3784,  3088,  3117,  1667,  3042,
    3043,  3739,  2283,  1668,  1722,  1723,  2372,  3112,  1736,  1737,
    1137,  1682,  1669,  1670,  2250,  1126,  5060,   747,   730,  3428,
    2418,  1305,  1051,  1671,  1672,  1673,  1789,   690,  1454,  1455,
     692,   731,   732,  1222,   844,     2,    75,  1020,  3603,   382,
     383,   944,   945,   946,  1387,  1388,  2094,  2097,  1794,  2502,
     696,   697,   748,  4711,  5016,  5231,  1004,   384,   385,   386,
     387,  1790,  2498,  1186,    76,    84,    77,  1187,   424,   425,
    2479,   388,   861,   389,  1770,  1166,  3929,   390,   391,   392,
     393,   394,  1001,   395,  1168,   396,  1169,   397,   398,   399,
     400,  1176,   401,  1772,  1773,  4467,  1774,   402,   403,   734,
     735,  1496,   404,   405,  1203,  1204,  1528,  1529,  1800,  1815,
    1816,  1817,   406,   704,   407,   408,   409,  1806,  1807,   410,
    2380,  2381,  2507,  2382,   411,  3251,  3252,   412,  3887,  3888,
    4832,  3889,   413,  2376,   414,   415,  1129,  3934,   416,   857,
     417,  1217,   736,   737,   738,  1224,   847,  1085,   749,  1226,
    3405,   849,   850,   740,   741,   742,  2228,    78,  3259,  2229,
    1675,   750,  1676,  2370,  1677,  1678,  1679,  1680,  1681,  1823,
     744,  1193,  1488,  1489,  3260,  1491,    82,  1492,   421,  3655,
    2196,  1530,  2946,  2214,  2215
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1397,  1091,   376,  1163,  2150,  2205,   371,   366,   367,
     369,   845,  1164,  1360,  1144,   848,   419,  1762,  1537,  1538,
    1539,  1693,   419,  1768,  1543,  1992,  1715,  1153,   418,  1683,
    1466,  1038,  2154,  2160,   418,  1128,  2571,  2127,   943,  1835,
    2233,  1481,  2005,  2054,   955,   746,   938,  1506,  2976,  2420,
    1724,  3719,  1962,  1038,  2075,   752,   845,  1396,  2035,  2634,
     848,  2146,  2272,  1201,  1267,  1125,   418,  2942,  1012,   997,
    2764,  1461,  4008,  3871,  3561,  3171,   420,  2642,  3581,  2042,
    1707,  1046,   420,  2047,  3180,  2117,  2118,   701,  2051,   376,
     900,  2145,  2652,  4235,  1060,  2126,  2058,  2133,  2717,  4191,
     896,  4446,  3430,  1956,   733,   957,  2077,  2669,  1267,  1971,
    2851,   418,  3268,  3270,   420,  3991,  2434,  4165,  2105,  1997,
    4027,  1092,  4029,  1957,  3200,  3491,  3039,   845,  4218,  1147,
    4138,   848,  4143,  1244,  1155,  4138,   264,  1818,  4486,  1156,
    1273,   733,  4694,  1205,  4373,  3700,  1397,  3864,  3862,  3863,
     949,  1291,  2869,  1820,  3922,  2727,  4521,  4648,  1501,   420,
    1478,  2420,   947,   954,  2731,  2732,  1267,  4480,  2893,  4686,
    4703,  4697,   954,  4485,  2486,  2488,  2489,  4680,  4687,  1355,
    1079,  1114,   418,  4402,  1363,  3179,  1035,  4419,  1142,  4693,
    1122,  3804,  2641,    79,  2544,  1373,  2627,  4990,  2114,  2115,
     852,  1894,  1700,  2220,  3938,  4860,  2195,  1088,  1035,  2125,
    2190,  2480,  2480,   954,  2934,  1088,  1755,  1088,  1758,  1796,
    1797,  4417,  5121,   846,  4254,  5069,  4459,  5071,  1490,  4341,
     420,  1196,  1515,  3574,  3933,  2378,  1520,  1521,  1522,  3761,
    3267,  2106,  2138,  -148,  5216,   852,  1533,  2074,  5114,  2738,
    2421,  1218,  -148,   427,  3110,   423,  5140,  -148,  4224,   906,
    2194,  3110,  1391,   427,  1809,  1870,   427,    45,   846,  2226,
     958,  2326,  2117,  2118,  5295,  2743,  1554,    45,  4867,    37,
      38,    39,    40,  2565,  1809,  2106,    44,  4159,  1572,   858,
    2126,   859,  3513,  1087,  2362,  5147,  5148,  2133, -2529,  3992,
    2332,  1087,  3717,  1087,  1526,  5439,  3346,   376,  5169,  2106,
    1534,   371,   366,   367,   369,  2030,   852,  4841, -2053, -2053,
   -2053, -2053,  2644,  4583,  1157, -2053,   427,  5271,   419,   427,
    2334,  3927,  2859,  3664,   273,  3666,  1798,  2038,    43,   846,
     418,   427,  2573,    45,    37,    38,    39,    40,     3,  2326,
      43,    44,  1578,  1810,  4963,    45,  2567, -2800, -2800, -2800,
   -2800,  2574,  2565,   419, -2800,  2106,  5260,  3855,  5226,  1871,
    2574,  2326, -2800, -2800,  2568,   418,  2114,  2115,  2332,  2566,
    3347,   274, -1703, -1703, -1703, -1703,  1751,  4003,   420, -1703,
    1697, -1941, -1670, -1670, -1670, -1670,  2644,  3529, -1941, -1670,
    2332,  2125,  2197,  1158,  3332,  3533,  2848,  3535,  2334,  2320,
     129,   130,  2021,  4858,  1686,  3015,   121, -2801, -2801, -2801,
   -2801,  1133,  4178,   420, -2801,  4746,  1097,  4748,  3855,  2577,
    2334,   275, -2801, -2801,   125,  2567,  1192,  3449,  3145, -2214,
     264, -2798, -2798, -2798, -2798,  3146, -1703,  2005, -2798,   426,
    3164, -1960,  4004,  2568,  2644,  1753, -2798, -2798, -1960,  3317,
     276,  2321,  4964,   698,  2644,   702, -2797, -2797, -2797, -2797,
    5291,  1535,  5440, -2797,   300,  1220,  5272,  2422,  4584,  2292,
    5256, -2797, -2797,  1164, -2393, -2393, -2393, -2393,  2368,   320,
     325, -2393,  3449,  3761,  4863, -2529,  4522,  3737,  2107, -2393,
   -2393,  1527,  5207,  1526,  3992,  2575,  2569,  1267,  2161,  4842,
    4179, -1713, -1713, -1713, -1713,  5280,  5281,   343, -1713,  3242,
    1397,  1098,  5313,   959,  1526,  2254,  5227,  1206,  2860, -1713,
   -1713, -1713, -1713,  1527,  2653,   347, -1713,  1726,  3350,  1727,
    1039,   943,  2107,  1397, -1703, -1703, -1703, -1703,  2363,   365,
    1240, -1703,   370, -2529, -1683, -1683, -1683, -1683,  4160,  3258,
    -408, -1683,  1039,  3262,  2431,  4868,  2107,  2849,  1555,  2772,
     381,  1929,   860,  2365,  3111,   960,  2183, -1698, -1698, -1698,
   -1698,  3824,   897,  1542, -1698,  2569,  2365,  2251,  4225,  4180,
    1799,  1802,  -634,  2776,  1199,  1200,  1190,  1542, -1710, -1710,
   -1710, -1710,  3514,  2264,  1159, -1710,    35,  2744,  2570,  2739,
     961,  1831,   962,  1397,    41,    42,  2412,  2413,  2273,  2255,
    4677,  4536,  2107,  3355,  4138,    37,    38,    39,    40,  2039,
    2139,  2991,    44,    37,    38,    39,    40,  1872,   273,  2134,
      44, -1698,  5415,    37,    38,    39,    40,  2420,  4958,  4991,
      44,  4986,  3872,   949, -2214,  3873,  3874,  2209,  4490,  3761,
    2455,   249,  2039,  1937,  5390,   947,  3875,  3876,  3877,  2276,
    3878,  3879,  1805,  1811,  3776,  3880,  3881,  3882,  2227,  5490,
    1788,  5411,  1197,  2185,  1938,   274,  2713,  2570,  2715,  -148,
    -148,  4663,  1844,  1811,  2420,  5337,  4778,  3425,  3178,  1032,
    1033,  2613,  2379,   703,  2152,  5007,  2353,  2152,  3209,  1032,
    1033, -1941,  1134,   954,   954,  2189,  2210,  3956,  2798,  2212,
   -2214,  2578,  2216,  2850,  2218,  4181,  2767,  2221,  2900,  1284,
    1198,  2225,  4419, -2214,  2106,   275,  2722,  2964,  1861,  3318,
    1397,  5468,  1845,  4803,  2763,  3924,  1923,  4807,  1397,  1397,
    2992,  2683,   845,  5473,  1233,  4512,  1209,  2363,  3147,  4674,
    2938,  1192,  4752,  4287,   276,  4540,  4797,  1351,  1720,  4846,
   -2053, -1960,  1721,  1207,  1144,  1786,  1787,  1568,   300,  1507,
    3041,  2350,  2351,  2352,  2353,  5453,  1728,  1812,  1813,  2112,
    4182,  1720,  5463,   320,   325,  1721,  2391,  3356,  2255,   419,
    1346,  2348,  2349,  2350,  2351,  2352,  2353,   418,  1763, -2800,
    1241,   418,  5518,  1336,  2654,  2972,  4678,  2503,  4209,  2906,
    3857,   343,  3883,  5276,  2983,  2655,  2466,  2656,  2467,  4716,
    4717,  4718,  4719,  4720, -1703,  1846,  4187,  2644,  4634,   347,
    4932,  5431,  1862,  1393,  2116,  2099,  2725,  4436,  3940,   862,
    3941,  1449,  5432,   365,  2630,   420,   370,  5106,  1406,   420,
    5476,  5027,  2644,  1229,  5116,  5028,  5029,  3426,  5030, -2801,
    2014,  4077,  1229,   701,   381,  3171,  3171,  3171,  5120,  2887,
     701,  3857,  4472,  2657,  2554,  2579,  1508,  3891,  1514,  1205,
    1519,   701,   863, -2798,  1709,  1545,  1523,  2100,  2954,  2708,
    3282,  3704,  1499,  1155,  2957,  2947,  3537,  1229,  1156,  2190,
    3330,  2890,  2891,  1502,  5206,  3244,  1801,  3244, -2797,   701,
    1514,  1519,  5416,  2859,   701,  3773,  3774,  3775,  3776,  3372,
    2128,  2993,  3437,   376,  1063,   701, -2393,  2627,  5240,  3987,
    1745,   852,  4117,  4118,  5489,  3346,  5139,  2622,  2128,  2129,
    2994,  2112,  1777,  2842,  1394,  1500,  3884,  3706,  3220,  5011,
    1192,   701,   954,  2130,   846,  1229,  3292,  2129,  3386,  1545,
    3418,  1447,  1513,  3102,  1518,  1229,   701,  1850,  2973,  1851,
    5057,  2132,   701,   862,  1532,   751, -1471,  5526,  1863,  2101,
    1026,  2107,  1447,   701,  4524,  2152, -1703,  2717,    81,  3438,
    1766,  2579,  2207,  3885,  1548,  1550,  2120,   701,  4709,  4294,
    4457,  2668,  1027,  1495,  1064,  1297,  3130,   954,  1976,  3347,
    2580,  2690,  1864,  4486,  3387,  1063,   863,  1352,  2709, -1698,
    2710, -2163,  2843,  3620,  2623,  1746,  3408,  4486,  1731,  2102,
    2555,  3036,  3038,  1512,  3293,  1517,  3925,  5477,  3045,  3855,
   -1710,  3855,  1865,  3221,  3059,  3060,  3061,  1177,  1977,  3290,
    2862, -1471,  2971,  2152,  3077,  3079,  2977,  1725,  2979,  3089,
    1696,  2982,  4485,  1690,  1704,  1547,  1549,  2323,  1738,   418,
    2968,  4547,  1876,  5035,  4171,  2366,  3409,  2002,  1526,  3771,
    3772,  3773,  3774,  3775,  3776,  3185,  1026,  1229,  1229,  2945,
    2581,  3705,  3553,  3886,  1088,  1064,   701,  1298,  1088,  1710,
    2141,  1450,  1192,  1527,   733,  1866,  1267,  5478,  1027,  4976,
    1981,  3538,  2103,  4145,  4136,  1178,  1982,   420,  5241,  4136,
    2015,  5344,  2321,  5058,  1229,  4111,  4525, -2196,  2726,  5061,
    2127,  5479,  4115,  4116,  5065,  3131,  4119,  5067,  1299,  4295,
    3132,  5331, -1474,  4124,  3275,  1065, -1471,  3707,  5351,  3419,
    3855,  2980,  2981,  4078,  5341,  5349,  2141,  5117,  4148,  4235,
    3331,  3988,  3410,  5342,  5012,  1711,  3152,  3350,  1178,  4853,
    1005,  4548,  4486,  4050,  1179,  5348,  3133,  1180,  1568,  4983,
    1087,    79,  1066,  1067,  1087,   701,   701,  2911,  1778,  1300,
    1006,  2066,  2396,  2170,  5319,  4231,  3073,  2409,  2409,  2974,
    2924, -1471,   427,  1978,  3091,    37,    38,    39,    40, -1670,
    2844,    43,    44,  2780,  1983,  2933,    45, -1474, -2163,  5314,
    2806,  1859,  1007,  2845,  1178,  4172,  3897,  1179,  5523,  1506,
    2142,  2067,  4881,  2171,  4526,  4992,  1065,  4527,  2003,  2919,
    2969,  1079,  1966,  2817,  5182,   427,  2441,  4993,    37,    38,
      39,    40,  5173,  2781,    43,    44,  1578,  1810,  3554,    45,
      37,    38,    39,    40,  1684,  2487,  4549,    44,  1088,  1088,
    1181,  1068,  2970,  1066,  1067,  1202, -2163,  4051,  2889,  5505,
    4644,  1853,  5290,  1179, -1670,  2092,  2142,  2486,  3346,  2385,
    -840,  5210,  5183,  4956,  5433,  1229,  3153,  1979,  4152,  5211,
    5184,  3134,  1447, -1471,  1026,  2823,  1229,  5274,  3188,  5320,
      35,   427, -1474,  3411,    37,    38,    39,    40,    41,    42,
      43,    44,  1447,  1181, -2196,    45,  1027,  4316,  5185,  4474,
    1685,  1447,  2668,  2932,  1267,  3979,  4153,  2442,  4237, -1471,
    2950,  3555, -1471,  5438,  5343, -2215,  5488,  2004,  5235,  1026,
    4154,  5491,  2818,  2386,  1087,  1087,  4342,  3272,  1870,  5315,
    1984,  1181,  3347,  2099,  1791,  2615,   853, -1474,  5524,  1229,
    3219,  1027,  4845,  2621,  1182,  3980,   854,  5321,  3065,  1181,
    2824, -2050, -2196,  1821,   206,  1039,  2068,  1039,  2172,  1039,
   -2243,  5252,  3348,  1183,  1985,  1039,  4819,  2483,  4436,  2152,
    5277,  1144,  5186,  5533,  4826,  4994,  1839,  3485,  2782,  5506,
    5283,   216,  1447,   129,   130,  2949,  5057,  4238,  4645,  1039,
    1039,  4552,   376,  4052,  1986,  2393,  3349,  2143,  1150,  2518,
    1791,  4756,  2703,  4757,  3476,  2706,  2707,  1164,  4155, -1670,
    3477,  4486,  1818,  5293,   224,  4738,  2144,  5298,  5299,  2211,
     701,  2213,  3661,  3371,  2217,  5212,  2219,  4053,  1820,  2222,
    2223,  2224,  1871,  5125,  5559,  2484,  4138,  5394,  5395, -1474,
     701,  1005,  2231,  1267,    81,    81,  5387,    81,   855,  3662,
    2069,  3667,  2173,  2143,   235,  1229,  2257,  4054,  2258,  4283,
    2427,  1006,  3857,   701,  3857,  2435,  2436,   238,  2440,  4475,
    1156,  1156,  2783,  1156,  2773, -1474,  1150,  2101, -1474,  1148,
    3586,  3587,  3588,  3589,  1419,  5402,  3540,  3456,   248,  4002,
    3350,  4553,  3594,  1007,  2485,  3813,  5195,  3814,  1751,   701,
    3981,  4476,   249,  1752,  1381,  2180,  2394,  3457,  3478,  3469,
     920,  1297, -2215,  1447,  3273,   701,  3274,  1039,  1877,  1913,
    3815,  4409,  4477,  4239,  1495,  1541,  2181,  2102,  3898,  1959,
     701,   698,   698,   701,  4758,  2070,  1819,  3171,  3359,  3508,
    1149,  1720,  4307,  5187,  1229,  1721,  4673,  5403,  1205,  1170,
    2583,  1878,  2987,    35,   901,  2071,  1397, -2243,  2717,  3638,
    2584,    41,    42,  1960,  3118,  1766,  3119,  1753,   922,  1171,
   -2215,  3855,  1229,  3857,  3708,  3855,   845,  4486,  4136,  1172,
    2419,  4464,   856,  1039, -1670,  2791,  2792,  3868,  4240,  3120,
    1181,  4410,   920, -1670,  3982,  2116, -1670,  1839, -1670,  3304,
    1229,  1229,  1229,  1298,  1229,  1542,  1754,  1150,  1879,  3640,
    2103,  2484,  5171,  4079,  2985, -2243,  2357,  2383,  2384,  4830,
    5515,  4411,  1720,  3816,  1229,  3360,  1721,  5503,  3817,   845,
    1002,   418,  1945,  2988,  5146,  4009,  4412,    79,    79,  1844,
      79,  1880,  3368,  4722,  1299,  4723,  4413,  -431,  3709,  3336,
     922,   903,  2152,  3305,  3479,   206,  1791,  3482,   733,   733,
     701,  1812,  1813,  2399,  1961,  4429,  1382,  5336,   701,   701,
    2485,  4414,  4276,   419,   419,  1297,  1881,  3502,  1229,   420,
    1946,  1173,   216,  1982,   418,   418,   418,  3121,  3480,  1845,
    5062,  3483,  3122,  4611,   845,  1300,  3300,  3123,  2419,  4614,
    4615,  1130,  4617,  2585,  1934,  2072,  2492,  1229,  1882,  2493,
    5333,  1229,  1229,  1942,   930,   224,   931,    80,  3481,  2559,
    1383,  3484,  2500,   419,  1751,  5555,  1384,  1786,  1787,  2560,
    2522,  1151,   420,   420,   420,   418,  5026,  2586,  1049,  5225,
    2055,  5143,   418,  2608,  1267,  1174,  2561,  1943,  4415,   418,
   -1010,  5363,   904,   701,  3818,   235,  -431,  4210,  3691,  1008,
    4214,  1947,  5144,   733,  3819,   852,  1181,  1298,   238,  2724,
    3962,  1913,  3006,  2688,   209,  5284,  2628,  4235,  1885,  3202,
    4642,  1983,  1846,   420,  3256,  1886,  4075,  3388,   846,   248,
     420,  1447,  1887,  1753,  3760,  3894,   930,   420,   931,  2444,
    2629,  3614,  2494,  1009,   700,  5287,  3788,  1088,  1299,  1948,
    1859,  1949,  1889,  1093,  1859,  1175,  3205,  1053,    35,  4010,
    1890,  2716,  2055,  3124,  5437,  4286,    41,    42,  5063,  4447,
   -2074,  1847,  1754,  3125,  -170,  2039,  2445,  2689,  3811,  1039,
    5124,   862,  3939,  3389,  4643,  4011,  1088,  5102,  3275,  5104,
    1951,  4076,  2152,  3367,  1447,  4410,  1791,  4864,  2708,  1300,
    -170,  1791,  1791,  4287,  5221,  1848,  4538,   948,  3978,   209,
    2444,  2326,  1397,   966,  1891,  4966,  3837,  1710,  5150,  4871,
    4872,  2562,  4975,   852,   863,  4411,  1061,  1447,  4448,  2446,
    1953,  3227,  2660,  1087,   845,  1849,   372,  3206,  2804,  4985,
    4809,  1052,   862,  3860,  3442,  4493,   846,  2445,  2906,  1706,
    4413,  2660,  2369,  2778,  3441,    37,    38,    39,    40,  3304,
    4493,  4865,    44,  2661,  1850,  4325,  1851,  4326,  3632,  1955,
    2334,  4539,  1087,  2447,  1397,  3073,  3073,  2495,  2496,  1937,
    3073,  5397,  2661,  1711,  3924,   863,   864,  5316,   701,   418,
    2757,  2326,  5358,  1853,  3247,  3443,  1568,  2885,  1853,  2401,
    1938,   427,  3855,  2514,  2516,   905,   908,  3855,  1447,  3505,
    2779,    43,  3855,  3959,  1852,  3855,    45,  3073,  3073,   999,
    2332,  4494,   372,  1447,  2758,  4491,  1123,  2709,  2448,  2710,
    3679,  2797,  2670,  1836,  1136,  3869,  4494,   420,  3195,  2402,
    1859,  3970,  1447,  5525,  2447,  3855,  1164,  1853,  5550,  3444,
    2334,  1853,  4415,  2128,    37,    38,    39,    40,   701,  3855,
   -1520,    44,   701,  3012,  3857, -1520,  4967,  1837,  3857,  1791,
     216,  1094,  2129,  2648,   701,  2649,  4495,  1791,  4496,  1039,
      37,    38,    39,    40,  1039,  1039,  2130,    44,  4327,  1447,
    5465,  4495,  1280,  4496,  3486,  4192,  2996,  1838,  4328,  2448,
    2759,  5370,  1229,   224,  4201,  1502,  2644,  1143,  1447,  4968,
    2900,  5196,  2760,  1026,  1229,  2645,  3937,  4945,  1281,  3951,
    1447,  1062,  4946,   852,  3487,   376,  3993,  1374,  5371, -1520,
    3178,  2650,  1447,  3171,  4950,  1027,  1791,  2761,  3171,  1791,
    1791,  3445,  5197,   235,  3171,  4831,   846,  1229,  4013,   701,
     701,   216,  3892,    37,    38,    39,    40,  1096,  1375,  2952,
      44,  2953,   701,  5386,  4951,  2955,  4947,  2956, -1520,   698,
    2958,  2671,  1447,  1160,  2959,  1447,  1702,   701,   701,  3996,
    4513,  3011,  5143,   920,   224,  1374,    81,  3034,   376,    81,
    1376,   249,  3005,  3002,  3003,  3004,  1940,  2389,  2672,   701,
    4523,  4528,  3458,  5144,  3855,  1146,  2720,   209,  1791,  4297,
    3461,  1989,  3463,  3488,  1993,  5546,  1375,  3822,  2670,  2128,
    3202,  2673,  1167,  2674,   235,  1397,   845,  4541,  2128,  4928,
    3108,  4929,  4930,  2694,  1154,  4931,  1377,   238,  2129,  1229,
     372,   922,  1937,  3489,  4585,  5143, -2593,  2129,  4189,  4043,
    -535,  3446,  1039,  3178,  4601,  4037,  2668,   427,   248,  3447,
    1039,  2132,  3448,  1938,     8,  4586,  5144,  2820,  4038,  3855,
    1202,    45,  3228,  3683,  4602,  1148,  1229,  1229,  2878,  4302,
    2879,   418,  1229,  1229,  4696,  4161,  2852, -1521,  3058,  1229,
    1229,  1229, -1521,  1208,  1377,  1229,  2900,  1229,  1229,  1229,
    1229,  1229,  1229,  3928,  1229,  3520,  1229,  1229,  3211,  3591,
    1229,  2644,  1267,  1353,  3592,  1354,  2714,  4251,  4252,  1039,
    2651,  1234,  1039,  1039,  1447,  1229,  1229,  1229,  1229,   420,
    1731,  4067,  1356,  1229,  1357,  1972,  1149,  1229,  3948,  3949,
    1229,  1219,  4847,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  3294,  1229,  3297,  5513, -1521,  2671,  1251,  1236,
    1397,  1229,   419,  4622,  1229,  1252,  1253,  1254,  1249,  1973,
    4144,  4409,  1841,  1974,   418,  3592,  2191,  5492,   193,    79,
    2192,  4684,    79,  1250,  2672,  5535,  3620,   930,  5192,   931,
    2538,  1039,  3903,  1580,  4047, -1521,  3761,  1286,  3230,  1975,
    3762,  3763,  3764,  1150,  4741,  4623,  1842,  2673,  1295,  2674,
     948,  5003,    35,   936,  2191,   852,  3969,   419,  2941,   419,
      41,    42,   420,  3291,  2539,  1296,  5462,  1229,  4048,   418,
    4624,   418,  2374,  1340,  2670,  2375,  1843,  3287,   846,  4300,
     845,  4410,  2668,  3733,  2419,  4625,  3734,  2944,  3855,  4626,
    3735,  3354,  1343,  5565,  2540,  3857,  5551,    74,  4049,  5552,
    3857,   216,  2670,  4488,  4489,  3857,  1494,   427,  3857,  4627,
    4136,  4411,  4628,  3855,  1720,  3693, -2053,   420,  1721,   420,
      37,    38,    39,    40,  4062,  4629,  4412,    44,  3787, -1483,
    3789,  3790,  1345,  4070,   224,   418,  4413,  3944,  3857,   701,
    1361, -1483,  2116,  2695,  2545,  1348, -1483,  4942,  2698,  4944,
    1369,  1210,  3857,  4948,  4282,  4949,  2116,    81,  1839,    81,
    4318,  4414,  1192,  1211,  1212,  1447,  4471,  1151,  -534,  1447,
    1447,  2116,  2728,  2545,   235,  1742,  1378,  3095, -1471,   701,
    3098,  1379,  1213,   420,   701,  1214,  5151,   238,   701,  4145,
   -1483,  2279,  4177,   249,  4347,  4146,   701,  2747,  1380,   845,
    2756,  2753,  1386,   845,  4630,  3765,  4147,  3415,   248,  2116,
   -1483,  2545,  4631,  2671,   701,  1389,  2200,  1229,  2201,  3440,
     427,  2266,  5493,  2267,  5217,  1403,  3766,  2425,  1229,  2426,
    1448,  1397,  1447,  1397,  4148,  1229,  4149,  1456,  4415,  4389,
    2672,  2671,  1457,  4509,  1447,  4258,  4259,  4260,  4632, -1483,
    3902,  1473,  2906,  4170,   418,  4173,   701, -1483,   418,  1482,
    2428,  1037,  2429,  2673,  4290,  2674,  1462,  1088,  2672,   852,
    2123,  2124,  2005,   701,   701,    37,    38,    39,    40,  3855,
    1497,  1447,    44,  1037,  2943,  3767,  2944,  4162,  2965,  4164,
    2966,  2673,   846,  2674,  2967,  1000,  2966,  3857,  2668,  1338,
      45,  1397,   420,   701,  1215,  2999,   420,  3000,  3073,  3073,
    3073,  3073,  4150,  4425,  3073,  3073,  3073,  3073,  3073,  3073,
    3073,  3073,  3073,  3073,  2409,  3201,  2668,  3202,  1791,   963,
    1540,  3365,  1088,  3366,   701,  3450,    35,   427,   701,  2476,
    2477,  4351,  1216,   845,    41,    42,  1536,  3551,  1821,  1557,
      79,    45,    79,  1087,  2476,  3240,   701,  4228,  1398,   966,
    3583,  2670,  3857,  1544,  4430,  4431,  4432,   701,  3903,  4151,
    3073,  3073,  1551,  3903,  4152,   216, -1674, -1674, -1674, -1674,
     701, -1483,  2670, -1674,  3432,  3541,  3433,  3542,   852,   701,
    3450,  2420,   852,    35,  3546,    80,  3547,  5166,   418,  2670,
    1558,    41,    42,  4296,  3607,  3641,  3608,  2944,   224,  3216,
    3217,   846,  4153,  1559,  3685,   846,  2966,  3732,  1087,  2944,
   -1544, -1544,  3567,  3178,  1565,  2670,  4154,  1257,  1258,  1259,
    2670,  1260,  1261,  1262,  1263,  1264,  1265,  1229,  1447,  1566,
    3838,  1720,  3839,  1568,  1742,  1721,   420,  3741,   235,  2944,
    1567,  3747,  3450,  2944,  1553,  3866,  3867,  1039,  3450,  3357,
    1571,   238,  3768,  3769,  3770,  1574,  3771,  3772,  3773,  3774,
    3775,  3776,  3748,  3749,  2944,  2944,  1144,  1569,  1575,  3442,
    3427,  3780,   248,  2944,   193,  3793,  1705,  2944,  1573,  1570,
    3450,  4256,  4257,  4258,  4259,  4260,   249,  4074,  1687,  1577,
    2671,  4714,  1699,  1398,  1701,  1712,   372,  1143,  1447, -1050,
   -1050,  1039,   701,  1708,  4155,   698,  1713,  3758,  3759,  4606,
    1144,  2671,  3778,  4080,  1229,  1714,  1732,  2672,  4108,  1739,
    3443,  1819,   852,  3798,  1719,  3799,  1791,  4030,  2671,  4031,
    3840,  3857,  3841,   913,  1791,  4035,  1791,  4036,  2672,  4222,
    2673,  4223,  2674,  1742,  4249,   846,  2944,  4706,  1740,  3808,
    3809,  4348,  1743,  4349,  2671,  2672,  3857,   216,  5003,  2671,
    1749,  2673,  1039,  2674,   701,  2325,  1764,  1769,  2326,  3568,
    1765,  4358,  1229,  4359,  3444,  2668,  1771,  4369,  2673,  2944,
    2674,  2672,   700,   700,  1775,  1776,  2672,  1822,  2670,  4455,
     224,  4456,  1779,  3843,  3844,  3845,  2668,  2332,  4460,  1780,
    4461,  1192,  1781, -2802,  2673,  4774,  2674,  1792,  4470,  2673,
    3274,  2674,   701,  2668,   920,   845,  2670,  1782,  4492,  3794,
    2966,   845,  4635,  1144,  4636,  3801,  1783,  2334,  1447,  4675,
     235,  2966,  1784,  1154,   701, -1004,  3622,  1785,  4735,  2668,
    2255,  1793,   701,   238,  2668,  1748,  1229,  1750,  4753,  1447,
    2944,  4779,  1229,  3000,  1795,  1877, -1681, -1681, -1681, -1681,
    1447,  1825,  1824, -1681,   248,  4791,  3445,  2944,  1827,  1229,
     418,  4849,   922,  3274,  1229,  4855,   418,  4856,   249, -1254,
    1869,  4861, -1254,  2966,  3073,  4862,  4514,  2966,  1878,  1833,
    1839,  3810,  4256,  4257,  4258,  4259,  4260,  1229,  1229,  1229,
    4261,  4935,  1229,  4936,  1900,  4987,  3569,  4988,  1874,  1039,
    1229,  1229,  1229,  1229,  4542,  3582,  1896,  1039,   420,  1039,
    1898,  1901,  3857,  1229,   420,  1929,  1229,  2671,  1229,  5037,
    1932,  5038, -2802,  4729,  4730,  4731,  5039, -2802,  2944,  1229,
    1229,  1933,  4763,  1229,  5047,  1879,  3000,  1934,  5122,  3570,
    5123,  5193,  4939,  2966,  2672,  2671,  1931,  1229,   376,  1229,
    1941,  1229,  3005,  3002,  3003,  3004,  1944, -1672, -1672, -1672,
   -1672,  1936,  1967, -2802, -1672,  1968,  3446,  2673,  1880,  2674,
    1980,  1229,  2672,  1990,  3447,  1991,  5218,  3448,  5219,  5236,
    1994,  3000,  1229,  4684,  1229,  1229,  1229,  4972,  5244,  1791,
    5245,  5249,  1999,  3202,   852,  2673,  2000,  2674,  3623,  5255,
     852,  4199,  2668,  1881,  5257,   701,  4199,  2341,   930,  1229,
     931, -1675, -1675, -1675, -1675,  2001,  2008,   846, -1675,  5269,
     933,  5270,  1229,   846,  5310,  2006,  5311,  1229,  2010,  2013,
    2668,   935,  2024,  1229,  2055,  1882,  2017,  4659,  4660,  5332,
    2018,  2388,  3903,  1229,  4303,  2025,  5350,    35,  5270,  2028,
    4664,    37,    38,    39,    40,    41,    42,  1398,    44,  2031,
    2033,    80,    80,  2036,    80, -1673, -1673, -1673, -1673,  5501,
    5502,  5364, -1673,  3000,  5365,  5366,  3799,  2944,  2043,  5376,
    1398,  3202,  1447,  2048,  5379,  1447,  4199,  1447, -2802,  5401,
    2046,  3000,  1447,  2057,   701,  5407,  5408,  3000,  3000,  2059,
    5423,   209,  5424,  2060,  5454,  1885,  3202,  5455,  2039,  2944,
     701,   701,  1886,   845,   845,   845,  1229,  -191,  5456,  1887,
    2944,  1835,  5458,  5509,  2944,  4199,  2259,  2629,  5512,  5534,
    5263,  5270,  5548,  5574,  5549,  5549,  4808,   701,  4811,  1889,
     701,  2064,  2062,  1447,  2076,  2078,  2085,  1890,  2087,  2091,
    1398,   881,  2096,  2104,  2110,  2109,  2111,  3049,  2112,  2116,
    1447,  2119,  2122,  2120,  2136,  2148,  2149,  3625,   418,   418,
     418,  2151,  1039,  2152,  2159,  2162,  2163,  2164,  2165,  2166,
    2167, -2802,  2169,  2176,  1447,   372,  2175,  2177,  2348,  2349,
    2350,  2351,  2352,  2353,  2198,  2174,  5572,  5573,  1791,  2179,
    2184,  1891,  4838,  2263,  2232,  3626,  4234,  2268,  2270,  2271,
    2277,  2278,  2284,  2285,  2287,  2286,   420,   420,   420,  2288,
    2360,   249,  2290,  2322,  2291,  3050,  4916,  4917,  2292,  4919,
    2293,  2362,  2324,  2358,  2294,  2295,  2297,  2298,  2299,  2300,
     701,  2392,  2404,  2301,  2302,  2303,  2367,  2304,  2306,  1447,
    2307,  1447,   701,  2308,  2309,  2310,   701,  2311,  2312,  5155,
    2280,  2313,   845,  2363,  1526,   701,  2804,  2388,  2433,  2414,
    2424,  5161,  5163,  1752,  1754,    74,  2462,  1398,  2464,  2289,
    2398,  2400,  2473,  2475,  3051,  1398,  1398,  3052,  2482,  1181,
    2497,  2490,  2499,  2501,  2509,  2510,  1037,  2512,  1037,  2519,
    1037, -2745,   852,   852,   852,  4383,  1037,  1524,  1525,  2305,
    1447,  2517,  2521,  2541,  2542,  2545,  2546,   418,  2543,  2548,
    2547,  2549,  2550,  2551,  2318,   846,   846,   846,  2557,   701,
    1037,  1037,  2582,  2576,  2588,  1447,  2610,  2614,  2617,  2616,
     943,  2618,  2619,  2620,  2635,  2637,  2647,  2658,  4246,  2636,
    2662,  2664,  4205,  2667,  2665,  4836,  2666,  2668,  2676,  2677,
    4130,  1447,  4217,  1545,  2678,   420,  1447,  2679,  2680,  2684,
     700,   701,  2685,   701,  2693,  2696,  2700,  2701,  2704,  2711,
    3053,  1039,  2712,  4878,  1913,   701,  4245,   701,  2723,  2718,
    4321,  4322,  4323,  4324,  2740,  2719,  4329,  4330,  4331,  4332,
    4333,  4334,  4335,  4336,  4337,  4338,  2741,  2745,  2729,  2746,
    2769,  2730,  2770,  2742,  2777,  1144,  2771,  2751,  2785,  2786,
    2755,  2788,  2789,  2800,  1447,  1154,  1154,  2799,  1154,  2805,
    2808,  2809,  2812,  1144,  2813,  2821,  1961,   915,  2836,  2841,
    4912,   701,  1447,  4959,  2816,  2854,  2857,  2858,  2866,  2872,
    1267,   852,  4377,  4378,  2874,  2870,  2881,  1447,  1037,  2892,
    2875,  2894,  2895,  4391,  4392,  4393,  4394,   954,  2899,  2886,
    2901,  2903,  2904,  2913,   846,  2915,  2900,  1814,  2916,  1397,
    1580,  3073,  2917,  3761,  3054,  5312,  5152,  3762,  3763,  3764,
    5040,  2918,  2935,  2936,  2961,  2978,   701,  2984,  2997,  3090,
    3014,  5073,  2962,  5294,  4366,  3096,  2326,  3109,  5088,  3149,
    1229,  3622,   845,   701,  3041,  3129,  4353,  3100,  3046,  3150,
    3115,  3164,  3127,  5297,  1037,  3182,  3181,  5101,  3184,  3187,
    1877,  3189,  1149,  3192,  3193,   701,  2721,  3203,   701,  3212,
    3214,  5302,  3204,  5304,  3213,  3225,  3231,  3249,  2378,  3263,
    3215,  3246,  3248,  3264,  1791,  1229,  3266,  3298,  1447,  1791,
    3278,  3295,  2945,  1878,  1229,  3276,  3277,   418,  3309,  3300,
    1229,  3302,  1229,  3303,  3314,  1229,  3319,  3320,  3322,  1447,
    1229,  1229,  1229,  1229,  3333,  3325,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  3341,  3329,  3342,  1229,
    1229,  4732,  3345,  3358,  1447,  3363,  1702,  2794,  3377,  1229,
    1706,  3390,  3395,  1229,  3417,   420,  3396,  1229,  3422,  3423,
    1879,  5238,  3431,  3435,  3451,  1229,  3434,  3436,  1229,  3490,
    1229,  3493,  5155,  3504,  3511,  3512,  3516,  2832,  1447,  1229,
    3515,  3517,  1229,  1229,  3523,  3524,  3531,  1229,  1229,  3527,
    3534,  3525,  3526,  1880,  1229,  3536,  3543,  3559,  3573,  3577,
    2320,  3548,  3584,  3590,  1229,  3575,  1229,  3600,  3601,  3598,
    3602,  3593,  3612,  3766,  3599,  3610,  3613,  3616,  1229,  3617,
    3630,  3631,  3634,  3623,  1229,  1229,  1229,  1580,  1881,  4715,
    3761,  3635,  3636,  3637,  3762,  3763,  3764,  1164,  3639,  3642,
    3644,   852,  2493,  5248,  3659,  5190,  3645,  3646,  3668,  3647,
    3648,  4367,  3670,  3674,  5248,  3657,  3673,  3658,  3677,  3678,
    1882,  3687,  3688,  3689,   846,  3202,  3690,  3699,  2185,  3692,
    3702,  1229,  3767,  3015,  3703,  5243,  3710,  1039,  1791,  3713,
    3701,  3718,  1039,  3720,  1229,  1542,   845,  3727,  3725,  3724,
    4567,   845,  3728,   845,  3730,  3415,  5126,  4537,  3746,  3073,
    1447,    74,    74,    80,    74,  3743,    80,  5109,  3744, -1933,
    3812,  3745,  3750,  3751,  3795,  1229,  4641,  3829,  3834,  3757,
    1037,  3753,  3756,  3807,  3779,  3909,   209,  3860,  3785,  3913,
    3624,  2944,  3911,  5306,  3915,  3919,  1397,  1886,  3942,  3792,
    3806,   418,  3950,  3953,  1887,  3820,   418,   701,   418,  3865,
    5131,  3952,  2629,  3905,  3830,  3961,  3930,  3964,  3926,  3932,
    3966,  3973,  3832,  3833,  1889,  5369,  3836,  3931,  4000,  3989,
    4001,  2325,  1890,  3935,  2326,  3936,  2191,  5378, -2802, -2802,
   -2802,   845,  5380,  5519,  5382,  4621,  3990,  4006,  4005,   420,
    3957,  3958,  3625,  4015,   420,  1447,   420,  4016,  4018,  4024,
    4025,  4026,  1267,  2332,  4034,  3057,  4061,  4063,  4065,  2333,
    4066,  4069,  4071,  4088,  4083,  4072,  4084,  4073,   372,  4085,
    3766,  4081,  4091,  4093,  4095,  4082,  1891,  4086,  4087,  4099,
    3626,  4089,  4090,  2334,  3903,  5377,   418,  4092,  4101,  4103,
    2738,  4094,  4096,  4114,   701,  1267,  4105,   701,  4107,  3768,
    3769,  3770,  4120,  3771,  3772,  3773,  3774,  3775,  3776,  4121,
    4123,  1039,  4169,  4186,  4188,  4184,  4190,  4126,  4211,  4141,
    4212,  4168,  4198,  4208,  4175,   852,  4206,  4199,  4941,  3767,
     852,   372,   852,  4215,   420,  4216,  4219,  4220,  4232,  4243,
    2138,  4266,  4278,  4268,  4279,  4280,  4289,  4281,   846,  4291,
    4292,  4293,  4253,   846,  4691,   846,  1229,  4255,  4301,  4304,
    4306,  2279,  3186,  4310,  3782,  4284,  3761, -1932,  3781,  4360,
    1037,  4427,  4384,  4450,  4371,  1037,  1037,  4319,  4372,   701,
     701,  1150,  4390,  1447,  4400,  4453,  4458,  4344,  2335,  4345,
    4473,  4479,   701,  2336,   701,  4346,  4408,  4422,  4500,  4502,
    4508,  4503,  4352,   419,  3116,  4515,  4375,  4529,  4424,  4440,
    4516,  4517,  4466,  4518,  4445,   418,  4437,  4245,  4441,  4520,
     852,  4439,  4543,  4444,  4532,  4544,  4546,  4545,  4556,  2339,
    4557,  1447,  1229,  1229,  4558,  4562,  4559,  2325,  1791,  4560,
    2326,  4565,  4561,   846,  4564,  4574,  1221,  4575,  4582,  2491,
    4598,  1524,  1525,  4600,  4524,  1243,  4603,  4610,  4612,  4609,
    4613,  4616,  4638,   420,  4649,  4234,   700,  4646,  5396,  2332,
    2506,  4656,  2966,  2341,  4669, -2802,  4671,  2513,  2515,    35,
    4654,  4851,  1822,  4662,    80,  4688,    80,    41,    42,  4668,
    1341,  4672,  4689,  2325,  4704,   701,  2326,  4701,  4705,  2334,
    2327,  2328,  2329,  4707,  4710,  4713,  3768,  3769,  3770,  4702,
    3771,  3772,  3773,  3774,  3775,  3776,  1229,  2330,  4708,  4728,
    2331,  4733,  4737,  1398,  4739,  2332,  4712,  1229,  4740,  4744,
    4745,  2333,  4747,  2495,  2496,  4750,  4755,   372,  4759,  4764,
    4760,  4765,  4768,  1037,  4766,  4767,  4772,  4799,  1401, -1934,
    4787,  1037,  4804,  4802,  2343,  2334,  4800,  1229,  1452,  1397,
    4805,  4812,  4813,  3821,  4818,  4817,  4820,  1229,  1229,  4821,
    1447,  4823,  4824,  4825,  1229,  1229,  4837,  4844,  5393,  1229,
    1447,  4850,  4848,  4852,  1229,  4857,  4858,  1229,  1229,  1701,
    4866,  4882,  1229,  4883,  4839,  4889,  4890,  4891,  1229,  4902,
    4905,  4884,  4909,  4911, -2802,  4920,  4914,  4915,  4927, -2802,
    1037,  4952,  4953,  1037,  1037,  4965,  1229,  4960,  4969,  4970,
    1229,  1039,  4973,  4971,  4978,   845,  4998,  4999,  4980,  5000,
    5001,  5009,  1229,  4989,  5014,  4996,  5023,  1229,  5019,  5024,
    5033,  5034,  5036,  1229,  5043, -2802,  5041,  2344,  5045,  1039,
   -2802, -2802, -2802,  5044,  2348,  2349,  2350,  2351,  2352,  2353,
    2335,  1229,  5052,  5066,  5086,  2336,  5095,  5098,  2325,  5103,
    5115,  2326,  5059,  1267,    81,  5046,  5092,  5149,  5070,  5119,
     418,  5118,  1037,  5128,  5153,  1791,  2337,  2338,  5160,  2341,
    1229,  5099,  5133,  5167,  5134,  5138,  4645,  5177,  5174,  5179,
    2332,  2339,  5176,  5180,  5200,  5181, -2802,  5201,  1447,  5203,
    5205,   691,  5208,  5199,  5222,  5209,  5220,  5223,  5224,  5239,
    5230,  5242,  5246,  5251,  5254,   701,  5258,  5259,   420,  5261,
    2334,  5288,  2340,  5267,  5278,  3522,  5263,  1447,  5286,  5301,
    5317,  5322,  5326,  3522,  5329,  2341,  5334,  5327,  2342,  5339,
    5345,  3522,   701,  3522,  5346,  5347,  5354,  1447,  5355,  1580,
    5356,  2876,  3761,  5362,   701,  5357, -2802, -2802, -2802,  5368,
   -2802,  5367,  1229,  5032,  5375,  5381,  5384,  5385,  5388,  1877,
    5389,  5400,   701,  5295,  1580,  2888,  5404,  3761,  5391,  5413,
    5414,  3762,  3763,  3764,  4376,  2896,  5417,  2897,  5419,  5422,
    5425,  3585,  5427,  5428,  2902,  5442,  5436,  5434,  4781,  2905,
    5435,  1447,  1878,  5443,   852,  5452,  5471,  5415,  5416,  5475,
    5483,  5504,  4385,  5522,  5510,  1580,  2343,  5543,  3761,   701,
    5466,  3615,  3762,  3763,  3764, -2802,  5464,   846,  5487,  1398,
   -2802,  4833,  5541,  5482,  5547,  5553,  1229,  5544,  5542,  4782,
    5554,  5557,  5561,    74,  5562,  5569,    74,  1229,  5566,  5567,
    5570,  1162,  5568, -2802,  1899,  3654,  2752,    79,  1039,  1879,
    2348,  2349,  2350,  2351,  2352,  2353, -2802,  3579,  2411,  1965,
    3895,  1964,  4012,  3421,  4535,  4125,  5308,  4618,  2009,  3503,
    5154,  5412,  5202,  4658,  5204,  5189,  4957,  3955,  3686,  2016,
     380,  1398,  1880,  5467,  5107,  5418,   380,  5517,  5420,  5481,
    1447,   695,  1447,  3960,  4692,  4653,  4676,  3557,  2325,  2344,
    2341,  2326,  2345,  2346,  2347,  4533,  2348,  2349,  2350,  2351,
    2352,  2353,  3558,  4028,  2833,  4665,  4194,  1881,   380,  4974,
    3549,  5521,  5571,  5558,  5178,  4142,  4129,   701,  5485,  5132,
    2332,  2815,  3047,  3048,  5406,  5472, -2802,  5135,  1057,  3062,
    3063,  4734,  2089,  1229,  2252,  3943,  5273,  1447,  3269,  1882,
    4698,  5352,  1229,  3008,  2265,  1399,  1474,  3766,  3009,  4102,
    2334,  5495,  3010,   380,  5560,  3197,  2556,  3198,  3101,  1229,
    1229,  2951,  4679,  1229,  3900,  4840,  5093,  1883,  5461,  4462,
    2199, -2802,  3682,  3901,  3224,  2459,  2430,  1229,  2458,  4438,
    3910,  3767,  1229,  2373,  3908,  5457,  5383,  1229,  3766,  4828,
    1229,  1229,  1791,  1716,  3223,  3912,  4798,  4810,  1229,  1229,
    2463,  1884,  4403,  5253,  4399,   209,  3767,  5374,  5373,  1885,
    4463,   845,  2468,  5237,  2506,  4621,  1886,  4262,  4354,  5089,
    1229,  5234,  1144,  1887,   380,  5459,  5451,  5460,   701,  3154,
     701,  1888,  3904,  3738,  1229,  3827,  1195,  3825,  3163,  4244,
    3633,  2877,  3250,  1889,  1144,  5444,  2481,  3767,  1165,  1493,
    2260,  1890,  2474,  3241,  2098, -2802,  3257,  3254,  3890,  3255,
   -2802,  4468,  4829,  4469, -2802,  1188,   418,  1447,   701,  4443,
    3684,  2348,  2349,  2350,  2351,  2352,  2353,  1229,  1037,  2377,
    1039,  1803,  5194,  1804,  2478,  2963,  3261,    83,  1832,  2325,
    5094,  1531,  2326,     0,     0,     0, -2802,     0,     0,     0,
       0,     0,     0,     0,     0,  1891,     0,  5213,     0,  2318,
    2188,     0,     0,     0,   420,     0,   701,     0,     0,     0,
       0,  2332,  1398,     0,     0,     0,     0, -2802,  1229,     0,
       0,     0,  1037,     0,     0,     0,     0,     0,     0,  1580,
    2341,     0,  3761,     0,     0,     0,  3762,  3763,  3764,     0,
       0,  2334,  1814,  2318,    74,     0,    74,     0, -2802, -2802,
   -2802,     0,  3771,  3772,  3773,  3774,  3775,  3776,     0,     0,
    3116,     0,     0,     0,     0,  1039,     0,     0,     0,  1229,
       0,  1447,   380,  3768,  3769,  3770,  3831,  3771,  3772,  3773,
    3774,  3775,  3776,  1037,     0,     0,     0,     0,   845,     0,
     852,  5091,  3849,     0,     0,     0,     0,     0,     0,     0,
       0,  1229,  1447,     0,  1229,  4379,  1229,   380,     0,     0,
       0, -2802,     0,   846,  3768,  3769,  3770,     0,  3771,  3772,
    3773,  3774,  3775,  3776,     0,     0,     0,     0,     0,     0,
    1229,   372,     0,     0,  1229,     0,     0,     0,     0,     0,
    1447,     0,     0,   418,     0,  1229, -2802,  1398,     0,     0,
    1791, -2802,     0,  3849,     0,     0,  1143,     0,  2325,     0,
       0,  2326,     0,     0,     0,     0,     0,  1229,     0,     0,
     379,     0,     0,     0,     0,     0,   379,     0,     0,     0,
       0,   694,     0,     0,     0,     0,     0, -2802,     0,     0,
    2332,   420,     0,     0,     0,     0, -2802,  1447,     0,     0,
    5340,  1447,  1447,     0, -2802,     0,  1229,     0,   379,     0,
       0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
    2334,     0,  3766,     0,     0,     0,     0,     0,     0,  4033,
    1037,  2341,     0,     0,     0,     0,     0,     0,  1037,     0,
    1037,  2135,     0,     0,     0,     0,     0,  1229,     0,     0,
       0,     0,     0,   379,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1229,     0,     0,
    4068,     0,     0,     0,     0,     0,     0,   852,     0,     0,
       0,  3767,  2168,     0,  4380,     0,     0,  1447,  1447,     0,
    2178,     0,     0,     0,     0,     0,  2186,     0,  5361,     0,
     846,  1083,     0,     0,     0,     0,     0,     0,     0,  1083,
    1229,  1083, -2802,  1229,     0,     0,     0,     0,     0,  4100,
       0,     0,  1229,     0,   379, -2802,     0,  1229,  5540,  1229,
   -2802,  1229,     0,  1039,     0,     0,     0,     0,  1229,     0,
       0,  3522,     0,     0,     0,     0,     0,     0,  3522,  3522,
       0,     0,  3522,     0,     0,     0,  1229,  1245,     0,  3522,
       0,     0,     0,     0,  1274,     0, -2802,     0,  4139,     0,
       0,     0,     0,  4139,     0,  1292,     0,     0,  1398,   701,
    1398,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   691,     0, -2802,     0,  1229,   691,     0,
    2341,     0,  2348,  2349,  2350,  2351,  2352,  2353,  4197,   691,
       0,     0,     0,     0,  3649,  3652,     0,  5486,     0,     0,
       0,     0,     0,     0,     0,     0,   376,     0,  1229,  1229,
    5500,  5497,  5498,  5499,     0,     0,     0,  4227,  1398,  1229,
       0,  3018,   845,     0,     0,     0,  5530,   701,  3768,  3769,
    3770,     0,  3771,  3772,  3773,  3774,  3775,  3776,     0,  1229,
       0,     0,  1580,     0,     0,  3761,  3654,     0,     0,  3762,
    3763,  3764,   379,     0,     0,     0,     0,  2325,   376,     0,
    2326, -2802,  5500,  5497,  5498,  5499,     0,     0,  3019,     0,
       0,     0,     0,  1037,  1229,     0,     0,   418,     0,     0,
    1229,  1229,     0,  1229,   845,     0,     0,   379,  5530,  2332,
       0,     0,     0,     0,     0, -2802,     0,     0,     0,  3020,
       0,   372,  1229,   845,     0,     0,     0,  5530,     0,   380,
       0,   372,     0,   380,     0,  2882,     0,   376,     0,  2334,
    3021,  5500,  5497,  5498,  5499,   420,     0,   695,     0,     0,
       0,  3022,     0,     0,   695,   372,     0,     0,     0,   418,
       0,     0,     0,     0,     0,   695,     0,     0,     0,     0,
       0,  3023,     0,     0, -2802,     0,  3024,     0,   418,     0,
    2909,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
       0,     0,     0,   695,     0,     0,     0,     0,   695,     0,
       0,  1229,  1229,  4785,     0,     0,     0,   420,     0,   695,
       0,     0,     0,     0,     0,  1229,     0,     0,     0,     0,
       0,  4364,     0,     0,  3025,     0,   420,  1229,  1229,     0,
       0,   852,     0,     0,     0,   695,     0,     0,     0,     0,
       0,     0,     0,     0, -2802,  3026,     0,     0,     0, -2802,
     695,     0,     0,     0,   846, -2802,   695,     0,     0,     0,
       0,     0,     0,     0,  5360,     0,     0,   695,     0,   691,
     691,     0,  1243,     0,     0,     0,     0,     0,     0,     0,
       0,   695,     0,     0,     0, -2802,     0,     0,     0,     0,
       0,     0,     0,   852,     0,     0,     0,  2506,     0,     0,
    3893,     0,  1037,     0,     0,     0,   881,     0,     0,     0,
       0,     0,   852,     0,  3767,  2325,   846,     0,  2326,     0,
       0,     0,  2327,  2328,  2329,     0,     0,     0,     0,  2341,
       0,     0,     0,  3027,     0,   846,     0,     0,  5531,  2330,
    3028,     0,     0,     0,     0,     0,  3029,  2332,  2318,     0,
       0,     0,     0,  2333,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4398,     0,  4401,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2334,  3030,     0,
     695,  3031,     0,     0,     4,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3032,
    5531,   380,     0,     0,     5,     0,     0,     0,     0,     0,
   -2802,     0,     0,     0,     6,     7,     0,     0,     0,  5531,
       0,     9,    10,     0,  3033,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,  4139,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   695,
     695,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4568,  2335,     0,  4569,     0,  4570,  2336,     0,     0,
       0,  3768,  3769,  3770,     0,  3771,  3772,  3773,  3774,  3775,
    3776,     0,     0, -2802,     0,     0,     0,  2883,  2337,  2338,
    2348,  2349,  2350,  2351,  2352,  2353,    46,     0,     0,     0,
       0,     0,     0,  2339,     0,     0,     0,     0,     0,  3522,
       0,     0,     0,     0,     0,  3522,  3522,     0,  3522,   379,
    2794,     0,     0,   379,     0,     0,     0,     0,     0,     0,
       0,     0,  2910,     0,  2340,     0,  2914,   694,     0,     0,
       0,     0,  2920,  2921,   694,     0,     0,  2341,     0,     0,
    2342,     0,     0,     0,     0,   694,     0,     0,     0,     0,
       0,     0,     0,  2590,     0,  2937,     0,     0,    47,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,     0,     0,    48,     0,   694,     0,
       0,     0,     0,     0,     0,     0,  2591,     0,     0,   694,
       0,  3324,     0,     0,     0,     0,     0,    49,  1243,  2592,
       0,     0,     0,     0,  4695,     0,     0,     0,     0,     0,
       0,     0,     0,  2593,     0,   694,     0,     0,  2343,     0,
      50,     0,     0,     0,     0,     0,     0,     0,  1037,     0,
     694,     0,     0,  1037,     0,     0,   694,     0,     0,     0,
       0,  3654,  3654,  3654,  3654,  3654,     0,   694,     0,     0,
       0,     0,  2594,     0,     0,  4174,    51,     0,     0,    52,
       0,   694,     0,  2595,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,  2596,     0,     0,  4743,     0,  2597,  4743,
       0,  4743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   372,   695,     0,     0,     0,     0,     0,
       0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,
    2350,  2351,  2352,  2353,   695,     0,  3190,     0,     0,  4250,
       0,     0,  3191,     0,     0,     0,  3652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   695,     0,     0,
       0,     0,    54,     0,     0,     0,     0,  2598,  1083,     0,
     694,     0,  1083,     0,     0,     0,   372,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   379,     0,   695,     0,     0,     0,     0,  2599,     0,
       0,     0,     0,     0,     0,  3194,     0,     0,    55,   695,
     865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1037,    56,   695,     0,     0,   695,   881,     0,
       0,     0,  4827,     0,     0,  4834,  4835,     0,    57,     0,
       0,     0,     0,  2325,     0,     0,  2326,   691,     0,     0,
    2327,  2328,  2329,     0,     0,     0,   866,     0,     0,   694,
     694,    80,  2600,     0,     0,     0,    58,  2330,  2601,     0,
     867,  2602,     0,     0,    59,  2332,    60,    61,    62,    63,
      64,  2333,     0,    65,    66,  1486,     0,     0,   868,     0,
      71,  1487,     0,     0,   869,     0,     0,     0,  1430,     0,
    2603,     0,     0,     0,     0,  2334,  3849,  2604,  3622,   870,
    3849,     0,     0,     0,  2605,     0,     0,     0,     0,  1430,
     871,  2606,     0,     0,     0,     0,     0,  1877,   872,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     873,     0,  1083,  1083,     0,   874,  2607,     0,     0,     0,
       0,   875,     0,   372,   695,     0,     0,     0,     0,     0,
    1878,     0,   695,   695,     0,     0,     0,     0,   876,     0,
       0,     0,     0,   380,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2325,   877,     0,  2326,  4922,  4923,     0,  2327,
    2328,  2329,     0,     0,     0,  3522,     0,  3522,  3522,     0,
    2335,  3522,     0,     0,   878,  2336,  1398,  1879,     0,     0,
    4943,     0,     0,  4465,  2332,     0,   380,   380,   380,  3722,
    2333,     0,     0,     0,     0,  3726,  2337,  2338,     0,     0,
       0,     0,  2750,     0,     0,   879,     0,   695,     0,     0,
    1880,  2339,     0,     0,  2334,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   880,     0,  4982,     0,     0,
       0,     0,     0,     0,     0,   881,     0,   380,     0,     0,
    3623,     0,  2340,     0,   380,  1881,     0,     0,     0,     0,
       0,   380,     0,     0,     0,  2341,  5002,     0,  2342,     0,
       0,     0,   882,     0,     0,     0,     0,   883,     0,   884,
       0,     0,  2822,     0,     0,   885,  2835,  1882,   886,     0,
       0,     0,     0,     0,   694,     0,     0,     0,  2750,     0,
       0,     0,  1037,     0,     0,  4743,     0,     0,     0,  4743,
    4743,     0,  4743,     0,   694,     0,   887,   888,     0,     0,
     889,     0,     0,     0,   890,     0,     0,     0,     0,  2335,
    1037,     0,     0,   891,  2336,     0,     0,   694,   892,     0,
       0,     0,     0,     0,     0,  3858,  2343,     0,     0,     0,
     893,     0,     0,   209,     0,  2337,  2338,  1885,     0,     0,
       0,     0,     0,   894,  1886,     0,     0,     0,     0,     0,
    2339,  1887,     0,   694,  2912,     0,     0,     0,     0,  2629,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   694,
       0,  1889,     0,     0,     0,     0,     0,  1524,  1525,  1890,
       0,  2340,  2750,     0,   694,     0,  3858,   694,     0,  2012,
       0,     0,   695,     0,  2341,     0,     0,     0,     0,  3625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2027,
       0,     0,     0,     0,     0,     0,     0,     0,  2037,  2344,
       0,  3643,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,  1891,  4139,     0,     0,  3626,  3752,     0,
    3660,   380,  1902,     0,     0,     0,     0,     0,  1903,     0,
       0,     0,  3849,     0,     0,  3669,     0,  3849,  3671,  3672,
    3849,     0,   695,  3675,  3676,     0,   695,     0,     0,     0,
    3680,     0,  3522,  1945,     0,  2343,     0,     0,   695,     0,
       0,     0,     0,  1398,     0,     0,     0,  5158,  1904,  5159,
       0,     0,  5100,  5164,  5165,     0,     0,     0,     0,     0,
       0,  3652,  3652,  3652,  3652,  3652,     0,     0,     0,     0,
       0,     0,     0,     0,   694,     0,     0,     0,     0,     0,
       0,  1946,   694,   694,     0,     0,     0,     0,     0,  1037,
       0,     0,     0,   379,     0,     0,     0,     0,     0,  1905,
       0,     0,     0,   693,     0,     0,  1906,     0,  3721,  1907,
       0,     0,     0,   695,   695,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,  2344,     0,
     843,  2345,  2346,  2347,  1908,  2348,  2349,  2350,  2351,  2352,
    2353,   695,   695,     0,     0,     0,   379,   379,   379,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1947,   695,     0,  1909,     0,   694,     0,     0,
       0,     0,     0,     0,     0,   843,  2325,     0,     0,  2326,
       0,   372,     0,  2327,  2328,  2329,     0,     0,     0,     0,
    2261,     0,     0,     0,     0,     0,     0,   379,     0,     0,
    2330,     0,     0,     0,   379,     0,   372,     0,  2332,     0,
    1948,   379,  1949,     0,  2333,     0,     0,     0,     0,     0,
       0,  1083,  1950,  1082,  1911,     0,     0,     0,     0,     0,
       0,  1082,     0,  1082,  1912,     0,     0,     0,  2334,     0,
       0,     0,  1913,     0,     0,  2506,   843,     0,     0,     0,
       0,  1951,  1914,     0,     0,     0,     0,     0,  5309,     0,
    1083,     0,     0,   691,     0,     0,     0,     0,     0,     0,
       0,    74,     0,     0,  3849,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2318,  1952,     0,     0,  1916,
    1917,  1953,     0,   380,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3279,     0,     0,     0,  2318,  3283,     0,
       0,     0,  3286,     0,     0,     0,  1954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1955,  1037,     0,     0,     0,     0,     0,     0,  3310,     0,
       0,     0,     0,  2335,     0,     0,     0,     0,  2336,     0,
       0,     0,  4899,  4900,     0,     0,     0,  4903,  4904, -2305,
       0,     0,   694,     0,     0,     0,     0,     0,     0,  2337,
    2338,     0,     0,     0,     0,     0,     0,     0,     0,  1919,
    3361,     0,     0,     0,  2339,     0,   380,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   691,     0,     0,
    3965,     0,     0,     0,     0,     0,     0, -2305,     0,   372,
       0,   379,     0,  1243,     0,  2340,  1398,     0,     0, -2305,
       0,     0,     0,     0, -2305,     0,  1037,  3406,  2341, -2305,
       0,  2342,   694,     0, -2305,     0,   694, -2305,     0,     0,
   -2305,   380,     0,   380,     0,     0,     0,     0,   694,     0,
       0,     0,     0,     0,     0,     0,     0,  2325,   691,     0,
    2326,     0,  3452,   695,  2327,  2328,  2329,     0, -2305,     0,
       0,     0,     0,     0,     0,  4017,     0,  4019,     0,     0,
    3464,  2330,     0,     0,     0,     0,     0,     0, -2305,  2332,
       0,  3474,     0,     0,     0,  2333,     0,     0,     0,     0,
       0,     0,     0,   695,  3498,     0,     0,   380,   695,  2343,
       0,     0,   695,   691,     0,     0,     0,     0,     0,  2334,
     695,     0,     0,   694,   694,     0,     0, -2305,     0, -2305,
       0,     0,     0,     0,     0, -2305,   694,     0,   695,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   694,   694,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2687,     0,     0,  3858,     0,  3858,
       0,     0,     0,   694,     0,     0,     0,     0,     0,     0,
     695,     0,     0,  4097, -2305,     0,     0,     0,     0,  4104,
       0,     0,  5532,     0,     0,     0,     0,   695,   695,     0,
       0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,     0,
       0,  3802,     0,     0,  2335,     0,   380,   695,     0,  2336,
     380,     0,     0,  1053,     0,  5090,   372,     0,     0,     0,
       0,     0,     0,     0,     0,  2768,     0,     0,     0,   372,
    2337,  2338,     0,     0,  5532,     0,     0,     0,   695, -2305,
    2784,     0,   695,     0,     0,  2339,     0,     0,     0,     0,
       0,     0,     0,  5532,     0,     0,     0,     0,  3858,  2807,
     695,     0,     0, -2305,     0, -2305, -2305,     0,     0,     0,
       0,   695,     0,     0,  1037,     0,  2340,     0,     0,     0,
       0,  5539,     0,   379,   695,     0,     0,     0,     0,  2341,
       0,     0,  2342,   695,     0,     0,     0,     0,     0, -2305,
       0,     0, -2305, -2305,     0, -2305,  2873,     0,     0,     0,
    4247,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2884,  3698,     0,     0,     0,
       0,     0,     0,  4264,  4265,     0,  4267,  1430,  4269,  4270,
     372,     0,     0,     0,     0,     0,     0,     0,  3712,  2898,
     380,  4277,  2325,     0,     0,  2326,  3698,     0,     0,  2327,
    2328,  2329,     0,     0,     0,     0,     0,     0,     0,     0,
    2343,     0,     0,     0,     0,     0,   379,     0,     0,     0,
       0,     0,     0,     0,  2332,     0,     0,     0,     0,  2929,
    2333,  4298,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2334,     0,   695,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   379,     0,   379,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1902,     0,     0,     0,     0,     0,  1903,
       0,   843,     0,   694,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2344,     0,     0,  2345,  2346,  2347,   693,
    2348,  2349,  2350,  2351,  2352,  2353,   693,     0,   695,     0,
    3099,     0,     0,     0,     0,     0,     0,   693,     0,  1904,
       0,     0,     0,   694,     0,     0,     0,   379,   694,     0,
       0,     0,   694,     0,     0,     0,     0,     0,     0,     0,
     694,     0,     0,     0,     0,   693,     0,     0,     0,  2335,
     693,     0,     0,     0,  2336,     0,   695,     0,   694,     0,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
    1905,  3103,     0,     0,     0, -2802, -2802,  1906,   695,     0,
    1907,     0,     0,     0,     0,     0,   695,   693,     0,     0,
    2339,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     694,     0,   693,     0,     0,  1908,     0,     0,   693,     0,
       0,  1083,     0,     0,     0,     0,     0,   694,   694,   693,
       0, -2802,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   693,  2341,     0,  1909,     0,     0,     0,
       0,     0,     0,     0,     0,  5359,   379,   694,  3945,     0,
     379,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   380,     0,  2325,     0,     0,  2326,   380,     0,
       0,  2327,  2328,  2329,     0,  1902,  1083,     0,   694,     0,
       0,  1903,   694,     0,     0,     0,     0,     0,  2330,     0,
       0,  3967,     0,  1910,     0,  1911,  2332,     0,     0,     0,
     694,     0,  2333,     0,     0,  1912,     0,     0,     0,     0,
       0,   694,     0,  1913,     0,  2343,     0,     0,     0,     0,
       0,  1904,     0,  1914,   694,     0,  2334,     0,     0,     0,
    1082,     0,   693,   694,  1082,     0,     0,     0,     0,  3858,
       0,     0,     0,  3858,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1915,     0,   695,
    1916,  1917,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1905,     0,     0,     0,     0,     0,     0,  1906,
       0,     0,  1907,     0,     0,     0,     0,  1918,     0,     0,
     379,     0,     0,     0,  4039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4058,  1908,  2344,     0,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,   693,   693,     0,     0,     0,     0,     0,     0,     0,
       0,  2335,     0,     0,     0,     0,  2336,     0,  1909,  3328,
       0,     0,     0,     0,     0,     0,     0,     0,   695,     0,
    1919,  3343,     0,     0,     0,     0,   694,  2337,  2338,     0,
       0,     0,     0,     0,   695,   695,     0,     0,     0,     0,
       0,     0,  2339,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4109,     0,     0,     0,     0,  3373,     0,
       0,   695,     0,     0,   695,  1910,     0,  1911,     0,     0,
       0,     0,  5529,  2340,  1082,  1082,     0,  1912,     0,     0,
       0,     0,     0,     0,     0,  1913,  2341,     0,   694,  2342,
       0,     0,     0,     0,     0,  1914,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1969,
       0,     0,  1916,  1917,  5529,  4721,   694,     0,     0,     0,
     380,   380,   380,  4724,  4725,  4726,  4727,     0,     0,     0,
    4962,     0,     0,  5529,     0,     0,     0,     0,   694,  1970,
       0,     0,     0,     0,   695,     0,   694,  2343,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,  2325,     0,
     695,  2326,     0,     0,     0,  2327,  2328,  2329,     0,   695,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,     0,  2330,     0,     0,  1903,     0,     0,     0,     0,
    2332,     0,     0,     0,     0,  3545,  2333,     0,     0,     0,
    2750,     0,  1919,     0,     0,     0,     0,     0,     0,     0,
    1945,     0,     0,     0,     0,     0,     0,  4285,     0,     0,
    2334,     0,   379,     0,     0,  1904,     0,     0,   379,     0,
       0,     0,     0,   695,     0,     0,   693,     0,     0,     0,
    2344,     0,  4299,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,   693,  4140,  1946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   380,
       0,     0,  1902,     0,     0,   695,  1905,   695,  1903,   693,
    3858,     0,     0,  1906,     0,  3858,  1907,     0,     0,   695,
    3858,   695,     0,  3858,  5068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1908,     0,     0,     0,   693,     0,     0,  1904,   694,
       0,     0,     0,  3858,     0,  2335,     0,     0,     0,     0,
    2336,   693,     0,     0,     0,     0,     0,  3858,     0,  1947,
       0,     0,  1909,     0,     0,   695,   693,     0,     0,   693,
    4869,  2337,  2338,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2339,     0,     0,  1905,
       0,     0,     0,     0,     0,     0,  1906,     0,     0,  1907,
    5130,     0,  4887,  4888,     0,     0,     0,  1948,     0,  1949,
       0,     0,     0,     0,     0,  3711,     0,  2340,     0,  1950,
     695,  1911,     0,     0,  1908,     0,     0,     0,   694,     0,
    2341,  1912,     0,  2342,     0,     0,  3723,   695,     0,  1913,
       0,     0,     0,     0,   694,   694,     0,  3729,  1951,  1914,
       0,  1243,     0,     0,     0,  1909,     0,  2325,     0,   695,
    2326,     0,   695,     0,  2327,  2328,  2329,     0,     0,     0,
       0,   694,     0,     0,   694,     0,  4925,  4926,     0,     0,
       0,  2330,     0,  3454,     0,     0,  1916,  1917,  1953,  2332,
       0,     0,     0,     0,     0,  2333,   693,     0,     0,     0,
       0,     0,  3858,     0,   693,   693,     0,     0,     0,     0,
       0,  2343,  1910,  3455,  1911,   843,     0,     0,     0,  2334,
       0,     0,     0,     0,  1912,     0,     0,  1955,     0,     0,
       0,  4510,  1913,     0,     0,     0,     0,     0,     0,   380,
       0,     0,  1914,     0,     0,     0,     0,     0,     0,     0,
     379,   379,   379,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3858,   843,     0,
       0,     0,     0,     0,   694,     0,  1919,     0,     0,  1916,
    1917,     0,     0,     0,  5018,     0,   694,     0,     0,   693,
     694,     0,     0,     0,  5020,  5021,     0,     0,     0,   694,
       0,     0,     0,     0,  2344,     0,  1918,  2345,  2346,  2347,
    5025,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
       0,  4312,     0,     0,  2335,     0,     0,     0,  4587,  2336,
       0,  4590,     0,   843,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1082,     0,     0,     0,     0,     0,     0,
    2337,  2338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,     0,  2339,     0,     0,     0,  1919,
    2325,     0,     0,  2326,     0,     0,     0,  2327,  2328,  2329,
    5328,     0,  1082,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2330,  1433,  2340,     0,     0,   379,
       0,     0,  2332,     0,     0,   694,     0,   694,  2333,  2341,
       0,     0,  2342,     0,     0,     0,  1433,     0,     0,   694,
       0,   694,     0,     0,     0,     0,     0,     0,  4666,     0,
       0,   695,  2334,     0,     0,     0,     0,     0,     0,     0,
    3971,     0,     0,     0,     0,     0,  3858,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3983,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3858,     0,   380,     0,   694,     0,     0,   380,     0,
     380,     0,     0,     0,   693,     0,     0,     0,  2325,     0,
    2343,  2326,     0,     0,     0,  2327,  2328,  2329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2330,     0,     0,     0,     0,     0,     0,     0,
    2332,     0,     0,     0,     0,     0,  2333,     0,   695,  3698,
     694,   695,     0,   843,     0,     0,     0,  2335,     0,     0,
    5430,     0,  2336,     0,     0,     0,  4055,   694,  4057,     0,
    2334,     0,     0,     0,   693,     0,     0,     0,   693,     0,
       0,     0,     0,  2337,  2338,     0,     0,     0,   380,   694,
     693,     0,   694,     0,     0,     0,     0,     0,  2339,     0,
       0,     0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,  5233,     0,
    4363,     0,  5470,     0,     0,     0,     0,  4098,     0,  2340,
       0,     0,     0,   695,   695,     0,     0,     0,     0,     0,
       0,     0,  2341,     0,     0,  2342,   695,     0,   695,     0,
       0,     0,  4112,     0,     0,     0,     0,  3858,     0,     0,
       0,     0,     0,  1243,  1243,   693,   693,     0,     0,   379,
       0,     0,     0,     0,     0,  2335,     0,     0,   693,     0,
    2336,     0,     0,     0,     0,  1902,     0,     0,     0,     0,
       0,  1903,     0,   693,   693,     0,  5275,     0,     0,     0,
    1902,  2337,  2338,     0,     0,     0,  1903,     0,     0,     0,
       0,     0,     0,     0,     0,   693,  2339,   380,     0,     0,
       0,     0,     0,  2343,     0,     0,     0,     0,     0,     0,
       0,  1904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3373,  5307,     0,     0,     0,  1904,  2340,     0,   695,
       0,     0,     0,     0,     0,     0,  1433,     0,     0,     0,
    2341,     0,     0,  2342,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4248,     0,  1433,     0,  5564,     0,
       0,     0,  1905,     0,     0,  1433,     0,     0,     0,  1906,
    1243,  1243,  1907,     0,     0,     0,     0,  1905,     0,     0,
       0,     0,     0,     0,  1906,     0,  4896,  1907,     0,     0,
       0,     0,     0,     0,     0,     0,  2344,  1908,  4906,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
       0,     0,  1908,  4449,     0,     0,     0,     0,     0,     0,
       0,  2343,     0,     0,     0,   843,     0,     0,  1909,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   694,     0,  1909,     0,     0,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,  4311,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4320,     0,     0,     0,
       0,     0,     0,   379,     0,  1910,     0,  1911,   379,     0,
     379,     0,     0,     0,     0,     0,     0,  1912,     0,     0,
    1910,  4343,  1911,     0,     0,  1913,     0,     0,     0,     0,
       0,     0,  1912,     0,  2344,  1914,     0,  2345,  2346,  2347,
    1913,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
    1914,  4481,     0,     0,     0,  2261,     0,     0,   694,     0,
       0,   694,     0,     0,     0,     0,     0,     0,     0,  1995,
       0,     0,  1916,  1917,     0,     0,     0,     0,     0,   695,
       0,     0,   380,     0,  2611,     0,     0,  1916,  1917,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,   379,  1996,
       0,  3698,     0,     0,     0,     0,   695,     0,     0,     0,
       0,     0,     0,     0,  2612,   693,     0,     0,   695,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,     0,     0,
       0,     0,     0,   694,   694,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5514,   693,   694,     0,   694,   843,
     693,     0,  1919,     0,   693,     0,     0,     0,     0,     0,
       0,     0,   693,     0,     0,     0,     0,  1919,     0,     0,
       0,     0,     0,   695,     0,     0,     0,     0,     0,   739,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3698,     0,  3698,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   739,   379,     0,     0,
      85,     0,   693,     0,     0,     0,    89,     0,     0,     0,
      93,     0,    94,  1082,    96,    97,     0,   739,     0,   693,
     693,     0,     0,     0,     0,   106,     0,     0,     0,   694,
       0,     0,     0,     0,     0,  1048,     0,     0,     0,     0,
       0,   118,   119,     0,     0,     0,     0,     0,   843,   693,
    1050,     0,   843,     0,     0,     0,     0,     0,  1058,     0,
       0,  2325,     0,     0,  2326,     0,     0,     0,  2327,  2328,
    2329,   695,     0,  1072,     0,  1048,     0,     0,  1082,  1095,
     693,     0,     0,     0,   693,  2330,     0,     0,     0,  1127,
       0,   127,     0,  2332,     0,     0,     0,     0,  1132,  2333,
       0,   128,   693,   129,   130,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,  2334,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,     0,   140,     0,
     141,   142,     0,     0,     0,  1433,   145,     0,   146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   148,
       0,   149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   152,     0,   153,     0,
    4661,   156,   695,     0,   695,     0,     0,     0,     0,     0,
       0,     0,   843,   157,     0,   158,     0,     0,     0,   159,
       0,     0,     0,     0,     0,   160,     0,     0,  1433,     0,
       0,     0,     0,   162,     0,   164,     0,     0,     0,     0,
       0,   166,   695,     0,     0,     0,     0,     0,  2335,     0,
       0,     0,     0,  2336,     0,     0,   170,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,     0,  2337,  2338,     0,     0,   693,   694,
       0,     0,   379,     0,  2325,     0,     0,  2326,   380,  2339,
     695,  2327,  2328,  2329,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   694,     0,  2330,     0,
       0,   185,   186,     0,     0,     0,  2332,   187,   694,     0,
    2340,     0,  2333,     0,     0,     0,     0,     0,   188,     0,
       0,     0,     0,  2341,     0,     0,   694,     0,     0,   193,
     693,     0,  1433,     0,     0,     0,  2334,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,   203,     0,
       0,     0,     0,   694,     0,     0,     0,     0,   693,     0,
     205,     0,     0,     0,     0,   206,   207,  2261,   208,     0,
       0,     0,     0,   209,     0,     0,     0,     0,   210,     0,
     693,   212,     0,     0,  2343,     0,   214,     0,   693,     0,
       0,   215,   216,  1433,     0,     0,     0,     0,     0,   217,
       0,     0,     0,   219,     0,     0,     0,     0,     0,     0,
       0,     0,  1433,   222,     0,     0,     0,     0,     0,     0,
       0,  2335,  1902,     0,  1433,   224,  2336,     0,  1903,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,     0,     0,
       0,     0,     0,     0,   230,   380,   231,  2337,  2338,     0,
       0,     0,     0,     0,   233,     0,     0,     0,     0,     0,
     234,     0,  2339,     0,   843,   235,     0,     0,  1904,     0,
     843,   694,     0,     0,     0,     0,  1433,  2344,   238,  1433,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
       0,     0,     0,  2340,     0,  4870,     0,     0,     0,   248,
       0,     0,     0,     0,     0,     0,  2341,     0,     0,  2342,
     739,  3698,     0,   249,     0,     0,     0,  -144,     0,  1905,
       0,     0,     0,     0,  4886,     0,  1906,     0,     0,  1907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4901,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1908,     0,     0,     0,     0,     0,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   694,     0,   694,  1909,  2325,  2343,     0,  2326,
       0,     0,     0,  2327,  2328,  2329,     0,     0,  4924,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2330,     0,     0,     0,     0,     0,     0,     0,  2332,     0,
       0,     0,   694,     0,  2333,     0,     0,     0,  1433,     0,
       0,     0,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,  1910,     0,  1911,     0,     0,     0,  2334,     0,
     693,     0,     0,     0,  1912,     0,     0,     0,     0,     0,
       0,     0,  1913,     0,     0,     0,   693,   693,   379,     0,
     694,     0,  1914,     0,     0,     0,     0,     0,     0,     0,
    2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,   693,     0,     0,   693,  4751,     0,  5008,
       0,     0,     0,     0,     0,     0,  2681,     0,     0,  1916,
    1917,   695,     0,     0,     0,     0,     0,     0,     0,     0,
    1225,  1231,  1231,   739,     0,  1231,     0,  1239,     0,  1225,
       0,  1127,     0,     0,  1269,     0,  2682,     0,     0,     0,
    1127,     0,     0,  1127,     0,     0,     0,  1231,     0,  1127,
       0,     0,     0,  2335,  2261,     0,     0,  1306,  2336,     0,
    1902,     0,  1127,     0,  1225,     0,  1903,  1231,     0,   739,
       0,  1231,   843,   843,   843,     0,     0,     0,  1269,  2337,
    2338,     0,  1366,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,  2339,     0,   693,     0,     0,  1919,
       0,     0,     0,     0,     0,     0,  1904,     0,   693,   380,
       0,     0,   693,     0,     0,     0,     0,     0,     0,     0,
       0,   693,  1225,     0,     0,  2340,     0,   739,     0,  1433,
       0,     0,  1225,  1433,  1433,     0,  1269,  2325,  2341,     0,
    2326,  2342,     0,     0,  2327,  2328,  2329,     0,     0,     0,
       0,     0,     0,  1231,     0,   379,     0,  1905,     0,     0,
       0,  2330,     0,     0,  1906,     0,     0,  1907,     0,  2332,
       0,   380,     0,     0,     0,  2333,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,     0,     0,     0,
     380,     0,  1908,     0,     0,     0,  1433,     0,     0,  2334,
       0,     0,     0,     0,     0,     0,     0,     0,  1433,  1127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2343,
       0,   843,     0,  1909,  1127,     0,  1564,   693,     0,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   693,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,  1674,     0,     0,     0,   739,
    1127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1127,
    1910,     0,  1911,  1127,     0,     0,     0,     0,     0,     0,
       0,  1674,  1912,     0,     0,     0,     0,   693,     0,     0,
    1913,     0,  1127,     0,  2335,     0,     0,     0,     0,  2336,
    1914,     0,  2344,     0,  1127,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,  4442,     0,  2261,
    2337,  2338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,  3370,  2339,     0,  1916,  1917,     0,
       0,     0,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4098,     0,   693,
       0,     0,  1902,     0,  1918,     0,  2340,     0,  1903,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2341,
       0,   693,  2342,     0,   693,     0,  1127,     0,     0,     0,
       0,     0,  1433,     0,     0,  1127,     0,     0,     0,     0,
    1231,  1231,     0,     0,     0,     0,     0,     0,  1904,     0,
       0,   694,     0,     0,  2261,     0,     0,     0,  2261,  2261,
       0,     0,     0,     0,     0,     0,     0,  1919,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1225,     0,     0,     0,     0,     0,     0,  1905,
    2343,   843,  1433,  1225,     0,     0,  1906,  1269,     0,  1907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1908,     0,     0,  1127,     0,     0,
       0,     0,     0,  1231,  1231,  5353,     0,     0,     0,   379,
    2325,     0,     0,  2326,     0,     0,     0,  2327,  2328,  2329,
    1127,  1127,  1127,     0,  1231,  1909,  1225,     0,     0,     0,
       0,  2095,     0,     0,  2330,     0,     0,     0,     0,     0,
       0,     0,  2332,  2325,     0,     0,  2326,     0,  2333,     0,
    2327,  2328,  2329,  2344,     0,     0,  2345,  2346,  2347,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,  2330,     0,     0,
    4786,   379,  2334,     0,     0,  2332,     0,     0,     0,     0,
       0,  2333,  1910,     0,  1911,     0,     0,     0,     0,     0,
     379,     0,  1433,     0,  1912,     0,     0,     0,     0,     0,
       0,  1231,  1913,  1231,  1231,  2334,     0,     0,     0,     0,
       0,     0,  1914,  1433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,     0,
    2325,     0,     0,  2326,     0,     0,     0,  2327,  2328,  2329,
       0,     0,  1674,     0,     0,     0,  3467,     0,     0,  1916,
    1917,     0,     0,   693,  2330,     0,     0,     0,     0,     0,
       0,     0,  2332,     0,     0,     0,     0,     0,  2333,     0,
       0,     0,     0,     0,     0,     0,  3468,  2335,     0,     0,
    2235,  2235,  2336,     0,     0,  1127,     0,  1048,     0,     0,
       0,     0,  2334,     0,     0,   843,     0,     0,     0,     0,
     843,     0,   843,  2337,  2338,     0,     0,     0,     0,     0,
    2335,     0,     0,  2269,     0,  2336,  1127,     0,  2339,  2275,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,  2337,  2338,     0,  1919,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2340,
     693,  2339,     0,   693,     0,     0,     0,     0,     0,  1674,
       0,     0,  2341,     0,     0,  2342,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2340,     0,     0,     0,     0,  1674,  1674,  1674,
     843,  1674,     0,     0,     0,  2341,     0,  2335,  2342,     0,
       0,     0,  2336,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2337,  2338,     0,     0,     0,     0,     0,
       0,     0,     0,   739,   739,   693,   693,     0,  2339,     0,
       0,     0,     0,  2343,     0,     0,     0,     0,   693,     0,
     693,     0,     0,     0,     0,     0,  1433,     0,     0,  1433,
       0,  1433,  1127,     0,     0,  1674,  1433,     0,     0,  2340,
       0,     0,     0,     0,     0,     0,  2343,     0,     0,     0,
       0,     0,  2341,     0,     0,  2342,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,  1674,  1674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1127,
    1127,  2472,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,  2344,     0,   739,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
       0,   693,     0,  5031,     0,     0,     0,     0,  1433,     0,
       0,     0,     0,  2343,     0,     0,     0,     0,     0,  2344,
       0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,     0,     0,  5042,     0,     0,     0,
       0,     0,     0,     0,     0,  1902,     0,     0,     0,     0,
       0,  1903,     0,     0,  1902,     0,     0,     0,     0,     0,
    1903,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1433,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1904,     0,     0,     0,     0,  1127,  2643,     0,     0,
    1904,     0,     0,     0,  1127,     0,  2344,  1231,     0,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
       0,     0,     0,  5051,     0,     0,  1269,     0,  1127,     0,
       0,     0,     0,     0,  1433,     0,  1127,     0,     0,  1127,
       0,     0,  1905,     0,     0,     0,     0,     0,     0,  1906,
       0,  1905,  1907,     0,     0,     0,     0,     0,  1906,  1433,
       0,  1907,     0,  1127,     0,     0,     0,     0,     0,     0,
       0,  1231,  1231,  1231,  1231,  1127,     0,  1908,     0,     0,
       0,     0,     0,     0,     0,  1433,  1908,     0,     0,  1127,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2765,     0,  1127,     0,     0,     0,     0,  1909,     0,
       0,     0,     0,     0,  1231,  1231,     0,  1909,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,   693,     0,  1231,   843,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1433,     0,
       0,     0,  1127,     0,     0,     0,     0,     0,   693,     0,
       0,  1231,  1231,  1231,  1231,  1910,  1433,  1911,     0,     0,
     693,     0,     0,  1127,  1910,     0,  1911,  1912,     0,     0,
    1127,  1433,     0,  2765,     0,  1913,  1912,     0,   693,     0,
       0,     0,     0,     0,  1913,  1914,     0,     0,     0,  1225,
       0,     0,     0,     0,  1914,     0,   739,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3506,
       0,     0,  1916,  1917,     0,   693,     0,     0,  3994,     0,
       0,  1916,  1917,     0,  1225,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,  1269,     0,  1903,     0,  1231,  3507,
       0,  1231,     0,     0,     0,     0,     0,     0,  3995,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,  1231,
    1231,     0,  1433,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1127,     0,     0,  1904,     0,     0,     0,
       0,     0,     0,  1433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1919,     0,     0,     0,     0,  2235,  1433,     0,
       0,  1919,     0,     0,  1231,     0,  1225,     0,     0,     0,
    1127,  1127,     0,  1231,     0,     0,     0,  1905,     0,     0,
    1127,     0,     0,   693,  1906,     0,     0,  1907,     0,     0,
    1127,     0,  1433,     0,     0,  1048,  1048,     0,     0,  3017,
       0,     0,     0,  1674,  1674,     0,     0,     0,     0,  1674,
    1674,     0,  1908,     0,     0,     0,  1674,  1674,  1674,     0,
       0,     0,  1674,  1269,  1674,  1674,  1674,  1674,  1674,  1674,
       0,  1674,     0,  1674,  1674,     0,     0,  1674,     0,     0,
       0,     0,     0,  1909,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,  1674,  1674,  1674,     0,     0,     0,  1231,
    1674,     0,     0,     0,  1674,     0,     0,  1674,     0,     0,
    1674,  1674,  1674,  1674,  1674,  1674,  1674,  1674,  1674,     0,
    1674,     0,     0,     0,     0,     0,     0,  1127,  1674,     0,
       0,  1674,     0,     0,   693,     0,   693,     0,     0,     0,
    1910,     0,  1911,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1912,  1127,  1433,     0,     0,     0,     0,     0,
    1913,     0,     0,     0,     0, -2307,     0,     0,     0,     0,
    1914,     0,     0,     0,   693,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1127,     0,  1127,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4041,     0,     0,  1916,  1917,     0,
       0,     0,     0, -2307,     0,     0,     0,     0,     0,     0,
     843,     0,   693,     0,     0, -2307,     0,     0,     0,  1127,
   -2307,     0,     0,     0,  4042, -2307,  3232,     0,  3239,     0,
   -2307,     0,     0, -2307,     0,     0, -2307,     0,     0,  1433,
       0,     0,     0,     0,     0,     0,     0,     0,  2325,     0,
       0,  2326,     0,     0,     0,  2327,  2328,  2329,     0,     0,
       0,     0,     0,     0, -2307,     0,     0,     0,     0,     0,
       0,     0,  2330,     0,     0,     0,     0,     0,     0,     0,
    2332,     0,     0,     0, -2307,     0,  2333,  1919,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2325,     0,   739,  2326,     0,     0,
    2334,  2327,  2328,  2329,     0,  1048,     0,  1048,     0,     0,
       0,     0,     0, -2307,     0, -2307,     0,     0,  2330,     0,
       0, -2307,     0,     0,  1674,     0,  2332,     0,     0,     0,
       0,     0,  2333,     0,     0,  1225,     0,  1231,  1231,     0,
       0,     0,  1225,     0,  1269,     0,  1231,     0,  1231,     0,
       0,     0,  1231,     0,     0,  1127,  2334,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
   -2307,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2643,     0,     0,   843,     0,     0,
       0,  3375,     0,     0,     0,     0,     0,  3385,     0,     0,
       0,     0,     0,     0,     0,  2335,  1127,     0,     0,     0,
    2336,     0,     0,     0,     0,  1433,     0,     0,     0,  1053,
       0,     0,     0,     0,     0,  1127,     0,     0,     0,  3429,
    3429,  2337,  2338,     0,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0, -2307,  2339,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,  2335,     0,     0,     0,     0,  2336,     0,     0, -2307,
       0, -2307, -2307,     0,     0,     0,     0,  2340,     0,     0,
       0,     0,     0,  3492,     0,  3495,  3497,  2337,  2338,     0,
    2341,     0,     0,  2342,     0,     0,     0,     0,     0,     0,
       0,     0,  2339,     0,     0, -2307,     0,     0, -2307, -2307,
       0, -2307,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,  1231,     0,     0,     0,     0,     0,
    1231,     0,     0,  2340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,  2341,     0,     0,  2342,
       0,     0,     0,     0,  1433,     0,     0,     0,  2643,     0,
       0,  3429,     0,  1127,  1433,     0,  3580,     0,     0,  1048,
       0,  2343,     0,     0,     0,   693,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3492,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,  3606,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2095,     0,     0,     0,     0,     0,     0,  2343,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3653,  3656,     0,     0,     0,
       0,     0,     0,   693,     0,     0,     0,     0,  1231,     0,
    1231,  3429,  1231,  3429,  2344,     0,     0,  2345,  2346,  2347,
       0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
       0,  5054,     0,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,  1433,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2235,     0,     0,     0,     0,     0,     0,     0,     0,
    2344,  1433,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,     0,  5105,     0,     0,
       0,  1433,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   843,     0,  1127,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1225,     0,     0,     0,     0,     0,  1225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,  1674,     0,     0,     0,
       0,  1674,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   843,  1674,  1674,  1674,     0,     0,  1674,
       0,     0,     0,     0,     0,     0,     0,  1674,  1674,  1674,
    1674,     0,   843,     0,     0,     0,     0,     0,     0,     0,
    1674,     0,     0,  1674,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1674,  1674,     0,     0,
    1674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1269,     0,  1674,     0,  1674,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,  1674,     0,
       0,     0,  1127,     0,     0,     0,     0,     0,     0,  3859,
       0,  1674,  1674,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2325,     0,     0,  2326,     0,     0,     0,
    2327,  2328,  2329,     0,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2330,     0,  1674,
       0,  1433,     0,     0,  1674,  2332,     0,     4,     0,     0,
    1674,  2333,     0,     0,     0,     0,     0,     0,     0,     0,
    3859,     0,     0,  3918,     0,     0,  3921,     5,  3239,     0,
       0,     0,     0,     0,     0,  2334,     0,     6,     7,     0,
       0,     0,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,  1674,     0,  3429,     0,     0,     0,     0,
    2235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,  1231,  1231,
    1231,  1433,     0,     0,     0,     0,     0,     0,     0,    46,
    2335,     0,     0,     0,     0,  2336,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2337,  2338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2339,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,  2340,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,  2342,    48,
       0,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1433,  2325,     0,     0,  2326,
      49,     0,     0,  2327,  2328,  2329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2330,     0,     0,    50,     0,     0,  1433,     0,  2332,     0,
       0,     0,     0,     0,  2333,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2343,     0,  2334,    51,
       0,     0,    52,  1231,  1433,     0,     0,     0,     0,     0,
    3429,  3429,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1127,  1127,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1127,  1433,     0,     0,     0,  1433,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,  2235,  1127,     0,     0,     0,
       0,     0,     0,     0,  2235,  1127,  1127,     0,     0,  2344,
       0,     0,  2345,  2346,  2347,    54,  2348,  2349,  2350,  2351,
    2352,  2353,  1127,  2335,     0,     0,  5137,     0,  2336,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2337,
    2338,     0,     0,     0,     0,     0,  3653,     0,     0,     0,
       0,    55,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,     0,  1433,  1231,     0,  1231,    56,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,  2340,     0,  1225,     0,     0,
       0,     0,     0,     0,     0,   851,     0,  1127,  2341,     0,
       0,  2342,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,  1127,     0,     0,     0,    59,     0,    60,
      61,    62,    63,    64,     0,  1231,    65,    66,  1486,  2187,
       0,     0,  1674,    71,     0,     0,     0,     0,     0,     0,
     851,  1674,     0,     0,     0,     0,     0,  1674,     0,  1674,
       0,     0,  1674,     0,     0,     0,     0,  1674,  1674,  1674,
    1674,     0,     0,  1674,  1674,  1674,  1674,  1674,  1674,  1674,
    1674,  1674,  1674,     0,     0,     0,  1674,  1674,     0,  2343,
       0,     0,     0,     0,     0,     0,  1674,     0,  1086,     0,
    1674,     0,     0,     0,  1674,     0,  1086,     0,  1086,     0,
       0,     0,  1674,     0,     0,  1674,     0,  1674,     0,     0,
       0,   851,     0,     0,     0,     0,  1674,     0,     0,  1674,
    1674,     0,     0,     0,  1674,  1674,     0,     0,     0,  4387,
       0,  1674,     0,     0,     0,     0,     0,     0,  1127,  1127,
    1127,  1225,     0,  3859,  4407,     0,     0,     0,  4407,  4421,
       0,     0,     0,     0,     0,  1674,     0,     0,     0,     0,
       0,  1674,  1674,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,  5172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3239,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4487,  2235,  2235,     0,  2765,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,  1231,  1231,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4531,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     8,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,    36,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4604,     0,
       0,     0,     0,     0,  2325,     0,     0,  2326,     0,     0,
       0,  2327,  2328,  2329,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2330,     0,
       0,    46,     0,     0,     0,     0,  2332,     0,     0,  1127,
       0,  1231,  2333,  1674,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,  4652,     0,     0,     0,     0,
       0,     0,     0,     0,  2643,     0,  2334,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3492,     0,     0,     0,     0,     0,
       0,  4685,     0,    47,     0,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,  2765,     0,     0,     0,  1674,
    1674,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,  3653,  3653,  3653,  3653,  3653,     0,     0,     0,     0,
       0,  3429,     0,  3429,     0,    50,     0,     0,     0,     0,
       0,  2335,     0,     0,     0,     0,  2336,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2337,  2338,     0,
       0,    51,     0,  1674,    52,     0,     0,     0,     0,     0,
       0,     0,  2339,     0,  1674,     0,     0,     0,     0,    53,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2340,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,  1674,  2341,     0,     0,  2342,
       0,  1674,  1674,     0,     0,     0,  1674,     0,     0,     0,
       0,  1674,     0,     0,  1674,  1674,     0,     0,     0,  1674,
    4790,     0,     0,     0,     0,  1674,  1127,  1127,  1127,  1127,
       0,     0,     0,  4407,  4421,     0,  4407,    54,     0,  4801,
       0,     0,     0,  3859,     0,     0,     0,  3859,     0,     0,
       0,     0,     0,  4816,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
    1674,     0,     0,     0,     0,     0,   851,  2343,  2325,     0,
    1269,  2326,     0,    55,  1227,  2327,  2328,  2329,  1674,     0,
       0,  3918,     0,  1227,     0,     0,  3239,     0,    56,     0,
       0,     0,  2330,     0,     0,     0,     0,     0,     0,     0,
    2332,     0,     0,    57,  1048,     0,  2333,  1674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,  3429,  3429,     0,
    2334,    58,     0,     0,     0,     0,     0,     0,     0,    59,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
      67,    68,  4885,    69,    70,    71,    72,    73,     0,     0,
    2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,  1227,  5409,     0,     0,
       0,     0,  1445,     0,     0,     0,  1227,     0,     0,  1674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,  2325,     0,     0,  2326,  1231,
       0,     0,  2327,  2328,  2329,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,  2330,
       0,     0,     0,     0,     0,  2335,     0,  2332,     0,     0,
    2336,     0,     0,  2333,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2337,  2338,  1674,     0,     0,     0,  2334,     0,     0,
       0,     0,     0,     0,  1225,     0,  2339,     0,     0,  2643,
       0,     0,     0,     0,     0,     0,     0,  2235,     0,     0,
       0,     0,     0, -2321,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  2643,     0,     0,     0,  2340,  1227,  1227,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,  1086,
    2341,     0,     0,  2342,     0,     0,     0,     0,     0,     0,
       0,     0,  1127,     0,     0,  5017,     0,     0,     0,     0,
       0, -2321,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0, -2321,     0,     0,     0,     0, -2321,     0,
       0,     0,     0, -2321,     0,     0,     0,     0, -2321,     0,
       0, -2321,  2335,     0, -2321,     0,     0,  2336,     0,     0,
    1674,     0,     0,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,     0,     0,     0,     0,     0,  2337,  2338,
       0,  2343, -2321,     0,     0,     0,  1674,  1674,     0,     0,
    1674,     0,     0,  2339,     0,     0,     0,     0,     0,     0,
       0,     0, -2321,     0,  1225,  4407,     0,     0,     0,  3859,
       0,     0,     0,     0,  3859,     0,     0,  3859,  1225,     0,
    3492,     0,  5072,     0,  2340,  1674,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2341,     0,     0,
    2342, -2321,     0, -2321,     0,     0,     0,  4487,     0, -2321,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4487,  1269,  1231,  1231,  1231,     0,     0,     0,  1086,
    1086,     0,     0,     0,  2344,     0,     0,  2345,  2346,  2347,
       0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
       0,  5429,     0,     0,     0,     0,  1227,     0, -2321,     0,
       0,     0,     0,  1445,  1225,  1269,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2343,     0,
       0,  2325,     0,  1445,  2326,     0,     0,     0,  2327,  2328,
    2329,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2330,     0,  1053,     0,     0,
       0,  2235,  2235,  2332,     0,  1225,     0,     0,  1127,  2333,
       0,     0,     0,     0,     0,     0,     0,     0,  4652,     0,
    1227,     0,     0, -2321,  1127,     0,  3429,     0,     0,     0,
       0,  2643,     0,  2334,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4685,     0,     0,     0, -2321,     0, -2321,
   -2321,     0,     0,     0,  1231,  1127,  4487,     0,     0,     0,
       0,  2344,     0,  1445,  2345,  2346,  2347,     0,  2348,  2349,
    2350,  2351,  2352,  2353,     0,     0,     0,     0,  5545,     0,
       0,     0,     0, -2321,     0,     0, -2321, -2321,  1674, -2321,
       0,  1674,     0,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1674,     0,     0,
       0,  3859,     0,     0,     0,  5072,     0,     0,     0,     0,
       0,     0,  1674,     0,     0,     0,  1227,     0,  2335,     0,
       0,  5266,     0,  2336,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2337,  2338,  1231,     0,     0,     0,
    1127,     0,     0,     0,     0,     0,     0,     0,     0,  2339,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,  1445,     0,     0,     0,     0,     0,
    1231,  1231,  1231,  1231,     0,     0,     0,     0,     0,     0,
    2340,     0,     0,     0,     0,  2235,     0,     0,     0,     0,
       0,     0,     0,  2341,     0,  1227,  2342,     0,     0,     0,
       0,     0,     0,     0,  1225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,  1674,     0,     0,     0,     0,     0,
    2325,     0,     0,  2326,     0,     0,     0,  2327,  2328,  2329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,  1227,  1227,  2330,  1227,     0,     0,  3205,     0,
       0,     0,  2332,     0,     0,     0,     0,  1674,  2333,     0,
    1225,     0,     0,     0,  2343,  1227,     0,     0,     0,  1674,
       0,     0,     0,     0,  1674,     0,  1674,     0,  1674,     0,
       0,     0,  2334,     0,     0,  4487,     0,     0,     0,     0,
       0,  1231,     0,  1269,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
     851,     0,     0,     0,     0,     0,     0,     0,     0,  3206,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,  1231,
       0,     0,  1227,  1227,  1225,     0,     0,  2344,     0,     0,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
       0,     0,     0,     0,  5563,     0,     0,  5017,     0,     0,
       0,     0,     0,     0,     0,  1674,  1674,  2335,     0,     0,
    3492,     0,  2336,     0,     0,     0,  1674,     0,     0,  5266,
       0,     0,     0,  3239,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2337,  2338,     0,  1225,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,  2339,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,  4487,     0,     0,     0,     0,     0,  1225,  1225,  2340,
    1674,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2341,     0,     0,  2342,     0,     0,     0,  1674,
       0,     0,     5,     0,     0,     0,  1231,  1086,     0,     0,
       0,     0,     6,     7,     0,  1445,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,  1445,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2343,     0,     0,     0,     0,  1674,  1674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1225,  1225,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3207,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,  1445,     0,     0,  2344,     0,     0,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    48,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,    49,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     4,    51,     0,     0,    52,     0,     0,
       0,     0,     0,  1445,     0,     0,  1445,     0,     0,     0,
       0,     0,    53,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
    1442,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1227,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
      54,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,  1227,     0,
       0,     0,     0,  1227,  1227,     0,     0,     0,     0,     0,
    1227,  1227,  1227,     0,     0,    46,  1227,     0,  1227,  1227,
    1227,  1227,  1227,  1227,     0,  1227,    55,  1227,  1227,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,     0,     0,     0,  1445,  1227,  1227,  1227,  1227,
     851,     0,     0,     0,  1227,     0,    57,     0,  1227,     0,
       0,  1227,     0,     0,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,    58,  1227,     0,    47,     0,     0,
       0,     0,    59,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1486,  2940,    48,     0,     0,    71,     0,
       0,     0,     0,  2325,     0,     0,  2326,     0,     0,     0,
    2327,  2328,  2329,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,     0,     0,  2332,     0,     0,  1227,    50,
       0,  2333,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2325,     0,  2334,  2326,     0,     0,     0,
    2327,  2328,  2329,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,    53,     0,  2332,     0,     0,     0,     0,
       0,  2333,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2334,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1445,     0,     0,     0,
    1445,  1445,     0,     0,     0,     0,     0,     0,  3781,     0,
       0,     0,  2325,  3782,   851,  2326,     0,     0,     0,  2327,
    2328,  2329,     0,     0,     0,     0,     0,     0,     0,     0,
    2335,    54,     0,     0,     0,  2336,  2330,     0,     0,     0,
       0,  1442,     0,     0,  2332,     0,     0,     0,  1227,     0,
    2333,     0,     0,     0,     0,     0,  2337,  2338,     0,  1227,
       0,  1442,     0,  1445,     0,     0,  1227,     0,     0,     0,
    1442,  2339,     0,     0,  2334,  1445,     0,    55,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2335,     0,    56,     0,     0,  2336,     0,     0,  1086,     0,
       0,     0,  2340,     0,     0,     0,     0,    57,     0,     0,
       0,     0,  1445,     0,     0,  2341,  2337,  2338,  2342,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2339,     0,   851,     0,    58,     0,   851,     0,     0,
       0,     0,     0,    59,     0,    60,    61,    62,    63,    64,
       0,  1442,    65,    66,  1486,     0,  5507,     0,     0,    71,
       0,     0,  2340,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,  2342,  2335,
       0,     0,     0,     0,  2336,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2343,     0,     0,  4355,
       0,     0,     0,     0,     0,  2337,  2338,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2325,     0,     0,  2326,
    2339,     0,     0,  2327,  2328,  2329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2330,     0,     0,  3740,     0,     0,     0,     0,  2332,     0,
       0,  2340,     0,     0,  2333,     0,  2343,     0,     0,     0,
       0,     0,     0,     0,  2341,     0,     0,  2342,  1227,  1445,
       0,     0,  4356,     0,     0,     0,     0,   851,  2334,     0,
       0,     0,  1442,     0,     0,     0,  5508,     0,     0,  2344,
       0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,  2343,     0,     0,     0,  2344,
       0,     0,  2345,  2346,  2347,  1227,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,     0,     0,     0,     0,     0,  2325,
       0,     0,  2326,     0,     0,     0,  2327,  2328,  2329,     0,
       0,     0,     0,  2335,     0,     0,     0,     0,  2336,     0,
       0,     0,     0,  2330,     0,     0,     0,     0,     0,     0,
       0,  2332,     0,     0,     0,     0,     0,  2333,     0,  2337,
    2338,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,  2334,  2397,     0,     0,     0,     0,     0,  2344,     0,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,     0,     0,     0,     0,  2340,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2341,  1445,
       0,  2342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
    1445,     0,     0,  1227,     0,  2325,     0,     0,  2326,     0,
       0,  1445,  2327,  2328,  2329,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,  1227,     0,     0,     0,  2330,
       0,     0,  3786,     0,     0,     0,     0,  2332,     0,     0,
       0,     0,     0,  2333,     0,     0,  2335,     0,  1227,  1227,
    1227,  2336,     0,  1227,     0,     0,     0,     0,     0,  2343,
       0,  1227,  1227,  1227,  1227,     0,     0,  2334,     0,   851,
    1442,     0,  2337,  2338,  1227,   851,     0,  1227,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,  2339,     0,     0,
    1227,  1227,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
    1227,     0,  1227,     0,     0,     0,     0,     0,  2340,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2341,  1227,  1442,  2342,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,  1227,  1227,  1227,     0,  3754,
       0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,  1442,     0,     0,     0,
    1227,     0,  2335,     0,     0,     0,     0,  2336,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,  2337,  2338,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,  2343,  2339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,  2340,     0,  1445,  1442,  1445,     0,
       0,     0,     0,  1445,     0,     0,  2325,  2341,     0,  2326,
    2342,     0,  1442,  2327,  2328,  2329,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
    2330,  1442,     0,     0,     0,     0,     0,     0,  2332,   967,
       0,     0,     0,     0,  2333,     0,     0,     0,     0,     0,
       0,   968,     0,     0,  1445,  2344,     0,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,  2334,     0,
       0,  1445,   969,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,   970,     0,     0,  2343,     0,
       0,     0,     0,     0,     0,  1445,     0,  1442,     0,   971,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,   972,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,   851,   851,   851,
       0,     0,     0,     0,     0,     0,     0,     0,   973,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   974,
       0,     0,     0,     0,     0,     0,  3791,   975,     0,     0,
    1445,  1442,  1445,     0,  1442,     0,     0,     0,     0,   976,
       0,     0,     0,  2335,   977,     0,     0,     0,  2336,     0,
     978,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,
    2350,  2351,  2352,  2353,     0,     0,     0,   979,     0,  2337,
    2338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   980,     0,  2340,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2341,     0,
       0,  2342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,   981,     0,   851,  1445,     0,     0,
       0,     0,     0,     0,     0,   982,     0,     0,     0,     0,
       0,     0,     0,     0,   983,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,   881,     0,     0,     0,  1084,     0,
    1084,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   984,     0,     0,     0,  1445,   985,     0,   986,  2343,
       0,     0,     0,     0,   987,     0,     0,   988,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,     0,
       0,     0,  2325,     0,     0,  2326,     0,     0,  1445,  2327,
    2328,  2329,     0,     0,     0,     0,   989,     0,     0,   990,
       0,     0,     0,   991,     0,     0,  2330,     0,     0,  3797,
     992,     0,   993,     0,  2332,     0,     0,   994,     0,     0,
    2333,     0,     0,     0,     0,     0,     0,     0,     0,   995,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,   996,     0,  2334,     0,     0,     0,     0,     0,
       0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,  1445,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,  1227,     0,  1227,     0,     0,  1227,     0,     0,     0,
    1445,  1227,  1227,  1227,  1227,     0,     0,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,     0,     0,     0,
    1227,  1227,     0,     0,  1442,  1445,     0,     0,  1442,  1442,
    1227,     0,     0,     0,  1227,     0,   851,     0,  1227,  2335,
       0,     0,     0,     0,  2336,     0,  1227,     0,     0,  1227,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,  1445,
    1227,     0,     0,  1227,  1227,  2337,  2338,     0,  1227,  1227,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
    2339,     0,     0,     0,     0,  1227,     0,  1227,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,  1442,     0,  1227,  1227,  1227,     0,     0,
       0,  2340,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2341,     0,     0,  2342,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,  2325,     0,     0,  2326,
       0,     0,  1227,  2327,  2328,  2329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
    2330,     0,     0,     0,     0,     0,     0,     0,  2332,     0,
       0,  1445,     0,     0,  2333,     0,  1307,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,  2343,     0,     0,  2334,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1308,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1309,  1310,     0,     0,     0,     0,     0,     0,
       0,     0,  1311,     0,     0,     0,  1312,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1313,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,   851,  1445,   851,     0,     0,
       0,     0,     0,     0,     0,  1314,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1315,  1442,  2344,     0,
       0,  2345,  2346,  2347,  1316,  2348,  2349,  2350,  2351,  2352,
    2353,     0,     0,  2335,     0,     0,  1317,     0,  2336,     0,
       0,  1318,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2337,
    2338,     0,     0,     0,  1319,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2339,     0,     0,     0,     0,     0,
    1230,  1232,     0,     0,  1235,   851,  1237,  1442,     0,  1320,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2340,  1288,  1227,     0,     0,
    1321,     0,     0,     0,     0,     0,     0,     0,  2341,     0,
       0,  2342,     0,     0,     0,     0,  1344,     0,     0,     0,
    1347,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,  1322,     0,     0,     0,     0,     0,     0,  1371,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1323,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,  1227,  1227,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,  1324,  2343,
       0,     0,     0,  1325,     0,  1326,     0,     0,     0,     0,
       0,  1327,     0,     0,  1328,     0,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4308,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,  1329,     0,     0,  1330,     0,     0,  1442,
    1331,     0,     0,     0,     0,     0,     0,  1332,     0,  1333,
       0,     0,     0,     0,  1334,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,  1335,
       0,     0,  2344,     0,  1443,  2345,  2346,  2347,  1223,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,  1227,  1227,
       0,  1445,     0,     0,     0,  1227,  1227,     0,     0,     0,
    1227,  1445,     0,     0,     0,  1227,     0,     0,  1227,  1227,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,  1227,
       0,     0,  2325,     0,     0,  2326,     0,     0,     0,  2327,
    2328,  2329,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,  1227,     0,     0,     0,     0,  2330,     0,     0,  4362,
       0,     0,     0,  1227,  2332,     0,     0,     0,  1227,     0,
    2333,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,  2325,     0,     0,  2326,     0,     0,     0,  2327,
    2328,  2329,  1227,     0,  2334,     0,     0,     0,     0,     0,
    1223,  1223,     0,     0,     0,     0,  2330,  1084,     0,     0,
       0,  1084,     0,     0,  2332,     0,     0,     0,     0,     0,
    2333,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,  1445,
       0,     0,     0,     0,  2334,     0,     0,     0,     0,  1927,
    1928,     0,     0,     0,     0,     0,     0,     0,     0,   851,
       0,  1442,     0,     0,  1442,     0,  1442,     0,  1445,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2335,
       0,     0,     0,  1227,  2336,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,  2337,  2338,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,     0,     0,     0,  1442,
    2339,     0,  1445,     0,     0,     0,     0,     0,     0,  2335,
       0,     0,  2052,  2053,  2336,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,  2340,     0,  2086,     0,  2337,  2338,  1227,     0,     0,
       0,  1084,  1084,     0,  2341,     0,     0,  2342,  1227,     0,
    2339,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,  1223,
       0,  2340,     0,     0,     0,     0,     0,     0,  1442,     0,
    1442,     0,     0,     0,  2341,  1443,     0,  2342,     0,     0,
       0,  1445,     0,  1445,  1443,     0,     0,     0,  1248,     0,
       0,     0,  2156,  2158,     0,     0,     0,  1278,     0,     0,
       0,     0,     0,     0,     0,  2343,  1294,     0,     0,     0,
       0,     0,     0,     0,  1304,     0,     0,     0,     0,  1339,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,  1227,     0,     0,     0,  1445,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,  2343,     0,     0,     0,     0,
    1227,  1227,     0,     0,  1227,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
    1442,     0,     0,  1227,     0,  1442,     0,     0,  1227,     0,
       0,  1227,  1227,     0,     0,     0,     0,     0,  2344,  1227,
    1227,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,  1223,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,  2344,     0,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,  1442,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,  1227,     0,
       0,  1562,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   851,     0,  1694,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,  1227,
       0,     0,     0,     0,     0,     0,  1718,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,  1744,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,     0,
    1227,     0,  1445,  1223,  1223,  1223,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,  1227,  1445,     0,  1227,     0,  1227,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,  1227,  1442,     0,     0,
       0,  1223,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,  1223,  1223,     0,     0,     0,     0,
       0,     0,   851,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,  1445,  1445,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2663,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,  2050,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,  1227,  1442,
       0,     0,     0,     0,     0,     0,     0,  2080,  2083,  2084,
    1084,     0,     0,     0,     0,     0,     0,     0,  1445,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2733,  2734,  2735,  2736,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,  1227,     0,     0,     0,     0,  1084,
       0,     0,     0,  1227,     0,     0,     0,  1443,  1227,     0,
    1227,     0,  1227,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,  2774,  2775,     0,     0,     0,     0,     0,
       0,     0,  2787,     0,     0,     0,     0,  1227,     0,     0,
    1443,     0,  2801,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2837,  2838,  2839,  2840,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
    1227,  1443,  1694,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
    1227,     0,     0,  1694,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2923,     0,     0,
    2926,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2931,     0,  1442,     0,     0,  1227,     0,     0,     0,  2939,
       0,  1227,  1227,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,  1223,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,  1223,     0,     0,
    1442,     0,     0,  1443,     0,     0,   851,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,  1443,     0,
       0,     0,  1227,  1227,     0,     0,     0,     0,   851,  2415,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,  1227,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3113,     0,
       0,     0,     0,     0,     0,     0,     0,  2470,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
    1223,     0,     0,     0,     0,  1223,  1223,     0,     0,     0,
       0,     0,  1223,  1223,  1223,     0,     0,     0,  1223,     0,
    1223,  1223,  1223,  1223,  1223,  1223,     0,  1223,     0,  1223,
    1223,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,  1223,  1223,
    1223,  1223,     0,     0,     0,     0,  1223,     0,     0,     0,
    1223,     0,     0,  1223,     0,     0,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,  1223,     0,     0,
       0,     0,     0,  2638,     0,     0,     0,     0,     0,     0,
       0,  2659,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,  2692,     0,   909,     0,     0,
       0,     0,     0,  2699,     0,     0,  2702,     0,     0,   910,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     911,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,  2737,   912,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   913,     0,     0,  2754,  -794,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2766,     0,     0,     0,     0,   914,  3326,  3327,     0,     0,
       0,   915,     0,     0,     0,  3338,     0,  3340,     0,     0,
    1442,  3344,     0,     0,     0,     0,   916,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   917,     0,     0,
       0,     0,     0,     0,     0,   918,     0,     0,  1443,  2819,
       0,     0,  1443,  1443,     0,     0,     0,   919,     0,     0,
       0,     0,     0,     0,   920,     0,     0,     0,   921,     0,
    2853,     0,     0,     0,     0,     0,     0,  2865,     0,     0,
       0,     0,     0,     0,     0, -1004,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,  1443,     0,     0,  1223,     0,
       0,  1442,   922,     0,     0,  3459,     0,  1443,     0,     0,
       0,  -535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   923,     0,  1443,   924,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,   925,  3519,     0,     0,     0,     0,     0,     0,
    2948,  3528,     0,  3530,     0,     0,     0,     0,     0,  3532,
       0,  -431,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1084,     0,     0,     0,   926,
       0,     0,     0,     0,     0,     0,   927,     0,     0,     0,
       0,     0,  -431,     0,     0,   928,     0,  1694,  1694,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3007,     0,     0,
       0,     0,     0,     0,  -431,     0,     0,   929,   930,     0,
     931,   932,     0,  3604,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,   934,     0,     0,     0,     0,
       0,   935,     0,     0,   936,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
    -431,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1443,     0,     0,     0,     0,     0,     0,     0,  3663,
       0,  3665,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3196,     0,  3199,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3731,
       0,  1442,     0,     0,     0,     0,  1694,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,  1443,     0,     0,  1223,  1442,     0,     0,     0,
    1442,  1442,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,  1223,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,  1223,  1223,  1223,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,  1223,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,  1223,     0,     0,  1223,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,  1223,  3397,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3424,   953,  1223,     0,     0,     0,     0,     0,
       0,     0,   953,     0,     0,  1223,     0,  1223,  1223,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   953,     0,  1223,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,  3974,  1223,  3975,  3976,  3977,
       0,     0,     0,     0,     0,     0,     0,     0,  1141,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1141,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,  1443,     0,
    1443,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3576,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4113,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1191,     0,     0,     0,
       0,     0,  1443,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3715,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4271,     0,  4272,     0,     0,     0,  4274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4305,  1443,     0,     0,     0,  3842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   953,   953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,  1443,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,  1191,     0,  1223,     0,  1223,     0,     0,  1223,     0,
       0,     0,  1443,  1223,  1223,  1223,  1223,     0,     0,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,     0,
       0,     0,  1223,  1223,     0,     0,     0,  1443,     0,     0,
       0,     0,  1223,     0,     0,     0,  1223,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,  1223,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,  1443,  1223,     0,     0,  1223,  1223,     0,     0,     0,
    1223,  1223,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,  1223,  1223,  1223,
       0,     0,  1238,  4504,  4505,  4506,  4507,     0,     0,     0,
    1271,     0,     0,  1275,  1276,     0,  1279,     0,     0,  1285,
       0,  1287,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4060,     0,
    1342,     0,     0,     0,  1223,     0,     0,     0,  1350,     0,
       0,     0,     0,     0,     0,  1362,     0,  1223,  1367,  1368,
       0,     0,     0,  1370,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
    1191,     0,   953,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1464,     0,  1468,     0,     0,  1470,     0,
    1472,     0,     0,  1476,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4166,  4167,     0,     0,     0,     0,     0,  1443,     0,
    4639,     0,     0,     0,     0,     0,     0,  4176,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4193,     0,     0,     0,     0,     0,     0,
    1563,     0,  4202,  4203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1141,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1694,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1826,     0,  1828,     0,     0,     0,  1830,     0,     0,     0,
       0,     0,     0,     0,  1443,  1223,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,  2011,     0,     0,     0,  4395,  4396,  4397,     0,     0,
    1223,     0,     0,  2022,     0,  2023,     0,     0,     0,     0,
       0,     0,     0,  2026,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2041,     0,     0,  2045,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,     0,  1443,     0,     0,     0,  1223,  1223,     0,
       0,     0,  1223,  1443,     0,     0,     0,  1223,     0,     0,
    1223,  1223,  2090,     0,     0,  1223,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4918,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,  4921,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2253,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,  4984,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2865,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1141,
    2432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5110,  5112,  5112,     0,  1223,     0,     0,     0,
    1443,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,  1223,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2504,     0,
    1223,  2504,     0,     0,     0,  1223,     0,     0,     0,  2511,
    1223,     0,     0,  1223,  1223,     0,     0,     0,     0,     0,
       0,  1223,  1223,     0,     0,     0,     0,  2520,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,  4793,  4794,  4795,  4796,     0,     0,     0,
       0,     0,     0,     0,  2609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,  5214,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2691,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,  1443,  5279,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,   743,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     743,     0,     0,     0,  1223,  1443,     0,  1223,     0,  1223,
    5303,     0,  5305,     0,     0,     0,     0,     0,  2811,     0,
       0,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,   743,     0,  1223,     0,     0,
       0,     0,     0,  1443,     0,     0,   743,   743,  1223,     0,
     743,     0,     0,     0,     0,     0,   743,     0,     0,     0,
    1040,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1040,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   743,     0,     0,
    1443,     0,     0,     0,  1443,  1443,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,  2908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2922,     0,     0,  2925,     0,  2927,     0,  2928,
    5112,     0,     0,     0,     0,  2930,     0,     0,     0,  5010,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,  1443,     0,     0,     0,     0,  2960,     0,  5426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2432,     0,
       0,     0,  2432,  1223,  2432,     0,  1223,  2432,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
    1223,     0,  1223,     0,  1223,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5520,     0,     0,     0,  3176,
       0,  1223,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5170,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,  1694,     0,  1223,  1223,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,  5215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3280,  3281,  1223,  1223,     0,  3284,  3285,     0,
       0,     0,  3288,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,  3299,     0,     0,     0,
    1223,  1223,     0,  3308,     0,     0,     0,  3311,  3312,   743,
       0,  3315,  3316,     0,     0,     0,     0,  5282,  3321,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3337,     0,  3339,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3362,
       0,     0,     0,     0,  3364,     0,     0,   743,   743,     0,
       0,     0,     0,     0,     0,     0,     0,  3369,     0,     0,
       0,     0,     0,     0,     0,  3374,     0,  3376,     0,  3378,
    3381,  3383,     0,     0,     0,     0,  3391,  3394,     0,     0,
       0,     0,     0,     0,     0,     0,  3407,     0,     0,     0,
       0,  3416,     0,     0,     0,   743,  3420,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3460,     0,  3462,     0,     0,     0,     0,  3465,
       0,     0,     0,  3466,     0,  3470,  3471,  3472,  3473,     0,
    3475,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3499,  3500,  3501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3509,  3510,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,  3552,
     115,   116,   117,     0,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1390,   743,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,     0,
       0,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,   743,     0,     0,
     743,   743,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,   699,     0,  1040,     0,  1040,
       0,   154,   155,     0,     0,   699,     0,     0,     0,   743,
       0,  1191,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2432,     0,     0,     0,   161,  1040,
    1040,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,  3716,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,   743,     0,   743,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,   699,   699,     0,     0,  1808,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3899,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,  3946,  3947,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2432,     0,     0,     0,     0,
       0,     0,  3243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3968,     0,     0,     0,     0,     0,     0,     0,     0,  3972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3984,  3986,     0,     0,     0,
    3986,     0,     0,     0,     0,  3997,  3998,  3999,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4020,  4021,  4022,  4023,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4040,     0,  4044,  4045,  4046,     0,   699,
       0,     0,     0,     0,   743,  4059,   743,     0,     0,   743,
       0,   743,     0,     0,   743,   743,   743,     0,     0,     0,
    2230,     0,     0,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,     0,   743,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4106,     0,     0,     0,     0,     0,
       0,     0,  4110,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4122,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4163,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4200,     0,
       0,  2371,  4204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   743,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,  4242,     0,     0,   699,   699,     0,   953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4263,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4273,     0,     0,     0,  4275,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   743,     0,   699,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,  2508,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,   699,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,  1228,
       0,     0,     0,     0,  4498,     0,  4499,     0,     0,     0,
       0,     0,     0,  4501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4511,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4530,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4534,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4563,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4571,  4572,  4573,     0,     0,  4576,  4577,  4578,
    4579,  4580,  4581,     0,     0,     0,     0,  4588,  4589,     0,
    4591,  4592,  4593,  4594,  4595,  4596,  4597,     0,     0,     0,
       0,     0,     0,     0,     0,  4605,     0,  4607,  4608,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   743,     0,   743,     0,     0,     0,
     743,     0,   743,     0,     0,   743,     0,  4640,     0,   743,
       0,     0,     0,     0,  2371,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,  3986,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
    2432,  2432,     0,  1446,     0,     0,  2230,     0,     0,     0,
       0,  4736,     0,  3177,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2508,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,   699,     0,     0,     0,     0,
       0,  3253,     0,  1808,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,  1228,  1228,     0,  1228,     0,     0,  4873,     0,
       0,     0,  4874,  4875,  4876,  4877,     0,     0,  4879,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4892,  4893,  4894,  4895,     0,  4897,  4898,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4907,  4908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4913,     0,     0,     0,  1228,
       0,     0,  2432,  2432,     0,  2432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,  1228,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,   699,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4977,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4995,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,   743,  2230,     0,     0,     0,
       0,  5127,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,  1446,     0,     0,     0,     0,     0,  5136,
       0,     0,     0,     0,  5141,  5142,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,  1446,
    5191,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,  3986,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5232,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5268,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,  2508,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,  5285,
       0,     0,     0,     0,     0,     0,     0,     0,  5292,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,  1228,     0,
       0,     0,     0,  1228,  1228,     0,     0,     0,     0,  2432,
    1228,  1228,  1228,     0,     0,     0,  1228,     0,  1228,  1228,
    1228,  1228,  1228,  1228,     0,  1228,     0,  1228,  1228,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,  1228,  1228,  1228,  1228,
       0,     0,     0,     0,  1228,     0,     0,     0,  1228,     0,
       0,  1228,     0,     0,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,  1228,     0,  3986,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5398,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5410,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5421,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
    1446,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
    5469,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5484,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,  1446,     0,     0,  1228,     0,  1444,     0,
       0,     0,     0,     0,     0,  1446,     0,   699,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1658,  1658,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,  1228,  1446,
       0,     0,  1735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3253,     0,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
    1446,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,  1446,  1435,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,  1228,     0,     0,     0,  1444,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,  1228,
    1228,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,  1228,  1228,  1228,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,  1228,     0,  1228,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,  1228,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,   699,
    1228,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,  1228,  1228,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2282,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,  1446,     0,  1446,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
    2296,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2314,  2315,
    2316,     0,  2319,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,  2361,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,   699,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2416,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2439,     0,     0,     0,  2451,
    2454,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2508,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,  2537,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,     0,  2537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,  1228,     0,     0,  1446,
       0,     0,     0,     0,     0,  1228,     0,  1444,     0,     0,
       0,  1228,     0,  1228,     0,     0,  1228,     0,     0,  1444,
    1446,  1228,  1228,  1228,  1228,     0,     0,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,     0,     0,     0,
    1228,  1228,     0,     0,     0,  1446,     0,     0,     0,     0,
    1228,     0,     0,     0,  1228,     0,     0,     0,  1228,  1444,
       0,     0,  1444,     0,     0,     0,  1228,     0,     0,  1228,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,  1446,
    1228,     0,     0,  1228,  1228,     0,     0,     0,  1228,  1228,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,  1228,  1228,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,     0,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
    3044,  1444,     0,   699,     0,  1435,  1228,     0,     0,     0,
       0,     0,     0,  3064,     0,  3066,     0,     0,  3078,  3081,
    3086,     0,     0,     0,     0,  3092,     0,     0,  3097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,  3175,     0,  3104,  3105,  3106,  3107,     0,     0,     0,
       0,  3114,     0,     0,     0,  3126,     0,     0,  3128,     0,
       0,  3135,  3136,  3137,  3138,  3139,  3140,  3141,  3142,  3143,
       0,  3144,     0,     0,     0,     0,     0,     0,     0,  1658,
       0,     0,  3172,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,  1735,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
    1435,     0,  3265,     0,     0,     0,  2537,  3271,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,  1446,  1228,  1228,     0,     0,     0,     0,     0,
       0,  1444,     0,  1435,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,  3313,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,  1436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,  1228,
       0,  1446,     0,     0,     0,  1228,  1228,     0,     0,     0,
    1228,  1446,     0,     0,     0,  1228,     0,     0,  1228,  1228,
       0,     0,     0,  1228,     0,  1435,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,  1444,     0,     0,  1228,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3544,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2537,     0,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
    1435,  1435,     0,     0,  1436,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
    3681,     0,     0,     0,  1436,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,  1228,     0,
       0,     0,     0,  1435,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,  1439,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,  1435,  1446,  1436,     0,     0,  3736,     0,     0,
       0,     0,  3742,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3086,     0,
    3086,  3086,     0,     0,  1228,     0,     0,     0,  1446,     0,
       0,  3800,     0,  1228,  3803,     0,  3805,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,  1228,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,  3175,  3175,  3175,     0,  3823,     0,  3826,  1228,  3828,
       0,     0,     0,  1228,     0,     0,     0,     0,  1228,     0,
       0,  1228,  1228,     0,     0,     0,     0,     0,     0,  1228,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3172,  3172,  3172,  1436,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,  3896,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2439,     0,     0,     0,     0,  3907,     0,     0,     0,     0,
       0,  2454,     0,     0,     0,     0,  1438,     0,  1446,  2537,
       0,     0,  3271,     0,  3271,     0,     0,     0,  1228,  2537,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3954,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2537,     0,     0,     0,     0,  1438,     0,     0,     0,
    1228,     0,  1446,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,  1228,  1446,  1439,  1228,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,  1444,  1435,
       0,  1228,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,  1228,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,  1439,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,  1446,     0,
       0,     0,  1446,  1446,     0,     0,     0,  1228,     0,     0,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3271,     0,
       0,     0,     0,  3271,     0,     0,  1436,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,  1441,     0,  1228,     0,  1439,     0,     0,  3271,
       0,     0,     0,  1228,     0,     0,     0,     0,  1228,     0,
    1228,     0,  1228,  1441,  1444,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1436,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,  1436,     0,  1435,     0,  1435,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,  1228,
    1228,  1436,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,  1435,     0,  1444,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,  1435,  1436,  4309,     0,  1438,     0,     0,     0,     0,
       0,  1444,  4313,     0,  1436,     0,     0,     0,  4314,     0,
    4315,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,  1228,  1228,     0,  1228,  1444,     0,  4339,  4340,     0,
       0,     0,     0,     0,  1436,     0,     0,  1436,     0,     0,
       0,     0,     0,  1228,     0,  3092,     0,     0,  1438,     0,
       0,     0,     0,  4365,     0,     0,  4368,     0,  4370,     0,
       0,     0,     0,     0,     0,     0,     0,  4374,     0,     0,
    1435,     0,  1435,  3175,     0,  4381,  4382,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1439,     0,  4426,     0,     0,     0,
       0,     0,  4433,  4434,  3172,     0,     0,     0,     0,     0,
       0,     0,  1228,  1228,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2537,  1228,  1228,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,  4452,
       0,     0,  1438,  1441,     0,     0,     0,  1439,     0,     0,
       0,     0,  1735,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,  1435,  1441,     0,  1438,  1436,  1435,     0,     0,
       0,     0,  1441,     0,     0,     0,  1438,     0,     0,     0,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3271,  1438,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,  1438,     0,     0,     0,  1435,     0,
       0,  1439,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1439,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
    1444,  1439,     0,     0,     0,     0,     0,  1436,     0,     0,
       0,  1436,  1436,  1439,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,     0,  1441,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,  2537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1439,     0,     0,  1439,     0,
       0,     0,     0,     0,  1436,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,     0,
    4699,  4700,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4754,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,  4769,  4771,     0,     0,     0,
       0,     0,  4775,  4776,     0,     0,     0,  4777,     0,     0,
       0,     0,  4780,     0,     0,  4783,  4784,     0,     0,  3175,
    4788,     0,     0,     0,  3175,     0,  4792,     0,     0,     0,
    3175,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3172,     0,     0,     0,     0,  3172,  1435,     0,     0,  1438,
       0,  3172,  1441,  1438,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1658,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4854,     0,
    1436,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,  1438,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,  1439,     0,
       0,     0,  1439,  1439,     0,     0,     0,     0,  1444,     0,
    4910,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
    1436,     0,  1435,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,  1439,     0,     0,
       0,  1436,  1441,     0,  4955,     0,     0,     0,     0,     0,
       0,     0,  1436,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5006,     0,  1444,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,  1441,     0,     0,  1441,  5048,  5049,     0,
       0,  5050,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5084,  5085,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3271,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,  1436,     0,     0,  1436,     0,  1436,
       0,     0,     0,     0,  1436,     0,     0,     0,     0,  1435,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,  1438,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,  1436,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,  1436,     0,     0,     0,     0,     0,  3271,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,  1435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,  3092,     0,     0,     0,     0,     0,     0,     0,
       0,  1436,  1439,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,     0,     0,     0,  5250,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2319,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,  1444,  1444,
       0,     0,     0,  1435,     0,  1735,     0,     0,     0,     0,
       0,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,  1436,     0,     0,
    1441,  1441,     0,     0,  5300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,  1436,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,  1438,
       0,  1438,     0,     0,  5006,  1444,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,  5338,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,  1436,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,  1438,     0,     0,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5084,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,  5399,  1439,     0,     0,  1439,     0,
    1439,     0,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,     0,  5448,  5448,     0,     0,
       0,  1436,     0,     0,     0,     0,     0,  5084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,  1435,     0,  1438,     0,  1436,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5448,     0,     0,     0,  1438,     0,     0,     0,     0,
    1438,     0,  1439,     0,  1439,     0,     0,     0,     0,     0,
    5516,  1435,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
    2355,     0,     0,  1439,  3074,     0,     0,     0,  1435,     0,
       0,     0,  1435,  1435,     0,     0,  1438,     0,  2355,  2355,
    2355,     0,     0,  2355,     0,     0,     0,     0,  1439,  5448,
    5556,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,  1439,
       0,     0,     0,     0,     0,  2355,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
    2355,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,  1439,     0,  1436,     0,     0,
       0,     0,     0,  2355,     0,     0,     0,     0,     0,     0,
    1439,     0,     0,  1438,     0,  2355,     0,     0,  2355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1439,     0,     0,  1436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,  1441,     0,  1441,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,  1441,     0,     0,     0,     0,
       0,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,  1441,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,  2355,     0,
    2355,     0,     0,  3074,  3074,     0,  3777,     0,  3074,     0,
       0,     0,  2355,     0,     0,  2355,     0,     0,     0,     0,
    2355,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,  2355,     0,     0,  1436,     0,     0,     0,  2355,  2355,
    2355,  2355,     0,     0,     0,  3074,  3074,     0,  2355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
    2355,     0,  2355,     0,     0,     0,     0,     0,     0,  2355,
    2355,  2355,  2355,  2355,  2355,  2355,  2355,  2355,  2355,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,  1441,  2355,     0,     0,     0,
       0,     0,     0,  1439,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,    86,    87,
      88,  1438,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,  1438,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,     0,    35,     0,     0,     0,     0,     0,     0,  1436,
      41,    42,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,  1441,     0,     0,   134,   135,   136,   137,   138,     0,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
    1439,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,  1438,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,  1441,     0,     0,   163,
       0,     0,     0,   165,  1436,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,  1438,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,  1436,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,  1436,
       0,   192,     0,  1436,  1436,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,   201,
    1439,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,  2355,     0,     0,     0,     0,
       0,   236,     0,     0,   237,  1438,     0,     0,     0,     0,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,     0,     0,     0,     0,  3245,  2355,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,  3777,  3777,  1438,     0,  3074,  3074,  3074,  3074,
       0,     0,  3074,  3074,  3074,  3074,  3074,  3074,  3074,  3074,
    3074,  3074,  3777,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,  2355,     0,  2355,
       0,     0,  3777,  3777,  1439,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,  1438,  1438,  2355,  3074,  3074,
    2355,     0,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,  1438,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
    1439,     0,     0,     0,  1439,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,  3074,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2355,     0,     0,     0,  2355,  2355,  2355,
       0,     0,     0,     0,     0,  3777,  3777,  3777,  3777,     0,
       0,     0,     0,  3777,  3777,  3777,  3777,  3777,  3777,  3777,
    3777,  3777,  3777,  2355,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,  2355,     0,  2355,     0,     0,     0,  2355,     0,
       0,  3777,  3777,     0,     0,  2355,  2355,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
    2355,     0,     0,     0,     0,     0,     0,  2355,  2355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,  1441,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3777,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    85,  2355,  2355,    86,    87,    88,    89,    90,
      91,    92,    93,     0,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   106,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,     0,
     115,   116,   117,   118,   119,     0,     0,     0,   120,   121,
       0,     0,     0,  2355,   122,     0,     0,     0,  2355,  3074,
       0,     0,     0,   123,     0,   124,     0,   125,   126,    35,
       0,     0,     0,  2355,     0,  2355,     0,    41,    42,  2355,
    2355,  2355,     0,     0,  2355,     0,     0,  2355,  2355,     0,
       0,     0,  2355,   127,     0,     0,  2355,     0,     0,     0,
       0,     0,     0,   128,     0,   129,   130,     0,     0,     0,
       0,     0,     0,     0,     0,   131,     0,   132,     0,     0,
     133,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
     140,     0,   141,   142,   143,     0,   144,     0,   145,     0,
     146,     0,   147,     0,     0,     0,     0,     0,  2355,     0,
       0,   148,     0,   149,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,   152,     0,
     153,   154,   155,   156,     0,     0,     0,     0,     0, -1498,
       0,     0,     0,     0,     0,   157,     0,   158,     0,     0,
       0,   159,     0,     0,     0,     0,     0,   160,   161,     0,
       0,     0,     0,     0,  2355,   162,   163,   164,     0,     0,
     165,     0,     0,   166,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,   170,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,   174,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,   175,   176,     0,     0, -1498,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,   185,   186,     0,     0,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,     0,     0,   189,   190,   191,     0,     0,   192,     0,
       0,   193,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,  3777,  3074,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,  2355,  2355,  2355,     0,   201,     0,   202,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,   205,     0,     0,     0,     0,   206,   207,     0,
     208,     0,     0,     0,     0,   209,     0,     0,  2355,  2355,
     210,   211,     0,   212,     0,   213,     0,     0,   214,     0,
       0,     0,     0,   215,   216,     0,     0,     0,     0,     0,
       0,   217,     0,   218,     0,   219,   220,     0,     0,   221,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,   224,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,   230,     0,   231,     0,
       0,     0,     0,   232,     0,     0,   233,     0,     0, -1498,
       0,     0,   234,     0,     0,     0,     0,   235,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
     238,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,     0,     0,     0,
       0,   248,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   249,     0,     0,     0,  -144,
       0,     0,     0,     0,     0,     0,     0,     0,  3777,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2355,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
    2355,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,   428,   429,   430,   431,   432,   433,   434,   435,   760,
     436,   437,   438,   761,   762,   763,   764,   765,   766,   767,
     439,   440,   768,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,   769,   446,   447,   448,   449,   450,
     770,   771,   451,   452,   772,   139,   453,   773,   454,   455,
     456,   457,   143,   774,   144,   775,   458,   459,   460,   461,
     147,   462,   463,   776,   777,   464,   465,   466,   467,   468,
     469,   778,   150,   470,   471,   779,   780,   781,   782,   151,
     783,   784,   785,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   786,   479,   787,   480,   481,   482,   483,   484,
     788,   485,   486,   487,   789,   790,   488,   489,   490,   491,
     492,   791,   493,   494,   495,   792,   496,   497,   498,   793,
     499,   500,   501,   502,   163,   503,   504,   505,   165,   794,
     506,   795,   507,   508,   167,   509,   796,   510,   797,   511,
     168,   798,   169,   512,   513,   514,   799,   515,   171,   800,
     172,   516,   801,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,   802,   525,   526,   527,   528,   529,   530,
     803,   531,   175,   176,   804,   532,   533,   534,   805,   177,
     806,   178,   807,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,   808,   809,   542,   182,   183,   543,   184,
     810,   544,   545,   546,   811,   812,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,   813,   562,   563,
     194,   564,   814,   195,   565,   196,   566,   567,   568,   815,
     569,   816,   817,   570,   571,   572,   818,   819,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,   820,   582,   583,   201,   584,   202,   585,   586,   587,
     821,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,   822,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   823,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   824,   623,   624,   625,   626,   627,   825,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,   826,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,   827,   647,   648,   828,   649,   225,   650,   651,
     652,   653,   654,   829,   226,   227,   830,   831,   656,   657,
     228,   658,   229,   832,   659,   660,   661,   662,   663,   664,
     665,   833,   834,   666,   667,   668,   669,   670,   835,   836,
     671,   672,   673,   674,   675,   837,   236,   838,   676,   237,
     677,   678,   679,   680,   839,   840,   681,   841,   842,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,  1000,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  3166,   436,   437,   438,     0,     0,     0,
       0,  1582,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,  1583,   136,  1584,  1585,     0,   446,
     447,   448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,
     453,     0,   454,   455,   456,   457,  1590,     0,  1591,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
    1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,
     476,   722,   477,  1599,  1600,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,  3167,     0,
     488,   489,  1414,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,  1601,   503,
     504,   505,  1602,  1603,   506,     0,   507,   508,  1604,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,  1605,     0,  1606,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,  1417,  1607,     0,  1608,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
    1609,   183,   543,   184,     0,   544,   545,   546,  1610,  1611,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1612,   190,  1613,   560,   561,
     192,  1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,
     566,   567,   568,     0,   569,     0,     0,  1618,   571,   572,
       0,     0,   573,   197,   198,   574,   199,  1619,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,  1620,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1621,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,  1622,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,  1623,   629,   630,   218,   631,   632,   220,   633,
     634,  1624,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,  1625,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1626,  1627,
       0,     0,   656,   657,  1628,   658,  1629,  1630,   659,   660,
     661,   662,   663,   664,   665,     0,  1631,   666,   667,   668,
     669,   670,  1632,     0,   671,   672,   673,   674,   675,   728,
    1633,  3168,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,
     689,  1642,     0,     0,     0,     0,     0,     0,  1643,  1644,
    3169,     0,     0,     0,     0,     0,     0,  1646,  3170,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,   216,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,   224,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,   663,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,  2317,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,   238,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,   248,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    1646,  5262,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,  1580,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1583,   136,  1584,  1585,     0,   446,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,   561,   192,  1614,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,  1618,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1622,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,   663,   664,
     665,     0,  1631,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,   728,  1633,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,
       0,     0,     0,     0,  1643,  1644,     0,     0,     0,     0,
       0,     0,     0,  1646,  3076,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,     0,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,  4317,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,  1582,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,  1583,   136,  1584,  1585,
       0,   446,   447,   448,   449,   450,  1586,  1587,   451,   452,
    1588,  1589,   453,     0,   454,   455,   456,   457,  1590,     0,
    1591,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,
     474,   475,   476,   722,   477,  1599,  1600,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,  1414,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
    1601,   503,   504,   505,  1602,  1603,   506,     0,   507,   508,
    1604,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1605,     0,  1606,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,  1417,  1607,     0,  1608,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1609,   183,   543,   184,     0,   544,   545,   546,
    1610,  1611,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1612,   190,  1613,
     560,   561,   192,  1614,   562,   563,   194,   564,  1615,  1616,
     565,  1617,   566,   567,   568,     0,   569,     0,     0,  1618,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1619,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1620,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,  1621,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,  1622,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1623,   629,   630,   218,   631,   632,
     220,   633,   634,  1624,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1625,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
    1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,
     659,   660,   661,   662,   663,   664,   665,     0,  1631,   666,
     667,   668,   669,   670,  1632,     0,   671,   672,   673,   674,
     675,   728,  1633,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
     729,   688,   689,  1642,     0,     0,     0,     0,     0,     0,
    1643,  1644,     0,     0,     0,     0,     0,     0,     0,  1646,
    4388,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1407,
     136,  1408,  1409,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1410,  1411,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1412,  1413,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1415,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,  2523,   525,   526,   527,   528,   529,   530,     0,
     531,   175,  2524,     0,   532,   533,   534,  1417,  1418,     0,
    1419,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1420,   190,  1421,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1422,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,  2526,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1423,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    2527,   631,   632,   220,   633,   634,  1425,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1426,  1427,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1428,  2528,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,     0,     0,     0,     0,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,  2632,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,     0,  1407,   136,
    1408,  1409,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,  1410,  1411,   453,     0,   454,   455,   456,   457,
       0,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,   722,   477,  1412,  1413,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1414,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,     0,   503,   504,   505,     0,     0,   506,     0,
     507,   508,  1415,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,     0,     0,     0,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,  2523,   525,   526,   527,   528,   529,   530,     0,   531,
     175,  2524,     0,   532,   533,   534,  1417,  1418,     0,  1419,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,     0,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1420,
     190,  1421,   560,   561,     0,     0,   562,   563,   194,   564,
       0,     0,   565,  1422,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,  2526,   198,   574,
     199,     0,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,   584,     0,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1423,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,     0,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,  2527,
     631,   632,   220,   633,   634,  1425,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1426,  1427,     0,     0,   656,   657,     0,   658,
       0,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,  1428,  2528,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   729,   688,   689,     0,     0,     0,     0,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,  3618,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,  1734,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,   216,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,   224,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,   663,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,  2317,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,   238,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,   248,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    1646,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,   216,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,   224,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,   663,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,  2317,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,   238,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,  1642,     0,   248,     0,
       0,     0,     0,  1643,  1644,     0,     0,     0,     0,     0,
       0,     0,  1646,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1583,   136,  1584,  1585,  3082,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,  3083,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,  3084,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,  1614,   562,
     563,   194,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1622,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,  3085,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,  1631,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,
       0,     0,     0,     0,     0,  1643,  1644,     0,     0,     0,
       0,     0,     0,     0,  1646,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,     0,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,  2279,  3037,  1646,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  1606,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
     561,   192,  1614,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,  1618,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1622,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,   663,   664,   665,     0,  1631,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,  1642,     0,     0,     0,     0,     0,     0,  1643,
    1644,  1645,     0,     0,     0,     0,     0,     0,  1646,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,  1734,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,   663,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,     0,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    1646,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,  2449,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,   663,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,     0,
       0,     0,     0,  1643,  1644,     0,     0,     0,     0,     0,
       0,     0,  1646,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,  3083,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,  1614,   562,
     563,   194,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1622,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,  1631,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,
       0,     0,     0,     0,     0,  1643,  1644,     0,     0,     0,
       0,     0,     0,     0,  1646,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
    4435,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,     0,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
    4451,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  1606,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
     561,   192,  1614,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,  1618,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1622,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,   663,   664,   665,     0,  1631,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,  1642,     0,     0,     0,     0,     0,     0,  1643,
    1644,     0,     0,     0,     0,     0,     0,     0,  1646,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,  5445,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,  5446,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,  5447,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,     0,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    1646,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,  5446,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,  5447,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,     0,
       0,     0,     0,  1643,  1644,     0,     0,     0,     0,     0,
       0,     0,  1646,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,  1614,   562,
     563,   194,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1622,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,  1631,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,
       0,     0,     0,     0,     0,  1643,  1644,     0,     0,     0,
       0,     0,     0,     0,  1646,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,  4761,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,     0,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  1606,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
    4770,   192,  1614,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,  1618,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1622,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,   663,   664,   665,     0,  1631,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,  1642,     0,     0,     0,     0,     0,     0,  1643,
    1644,     0,     0,     0,     0,     0,     0,     0,  1646,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,  5074,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,  5075,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,  5076,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,   663,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,     0,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    5077,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445, -2802,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,  5446,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520, -2802,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,     0,     0,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543, -2802,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,     0,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632, -2802,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,  5447,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689, -2802,     0,     0,     0,
       0,     0,     0,  1643,  1644,     0,     0,     0,     0,     0,
       0,     0,  1646,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,     0,   562,
     563,   194,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  3068,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,
       0,     0,     0,     0,     0,  3069,  3070,     0,     0,     0,
       0,     0,     0,     0,  3071,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,     0,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
       0,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  3068,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  3069,  3070,     0,
       0,     0,     0,     0,     0,     0,  3071,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,     0,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  1606,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
     561,   192,     0,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  3068,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,     0,     0,     0,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  3071,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,     0,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,  4350,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
       0,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  3068,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,  3071,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
       0,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,     0,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,     0,     0,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
       0,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,  1614,   562,
     563,     0,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1622,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,     0,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,  1631,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,
       0,     0,     0,     0,     0,  1643,  1644,     0,     0,     0,
       0,     0,     0,     0,  1646,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,  1587,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,  1602,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,   172,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,  3846,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,  1616,   565,   196,   566,
     567,   568,     0,   569,     0,  1124,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,  3847,   617,   618,
     619,   620,   621,   727,   622,   216,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,   224,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,  1628,   658,  1629,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,  2317,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,   238,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
       0,     0,   248,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,  3848,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,  1587,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,  1602,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,   172,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,  3846,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,  1616,   565,   196,   566,   567,   568,
       0,   569,     0,  1124,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,  3847,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,  1628,   658,  1629,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,
       0,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,  3848,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
    1587,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,  1602,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,   172,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,  1616,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,  3847,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,  1628,
     658,  1629,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,     0,     0,     0,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,   249,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,  1587,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,  1602,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,   172,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
    1616,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,  1628,   658,  1629,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,     0,     0,     0,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    4482,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,     0,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  5129,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,  4404,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0, -1602,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0, -1602,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531, -1602,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
   -1602,   537,   538,   539,   540,   541,     0,     0,   542,   182,
   -1602,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189, -1602,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612, -1602,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  1742,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,  3650,  3651,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,  3651,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
     216,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,   224,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  2317,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,   238,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,   248,     0,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,   249,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,   216,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,   224,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,  2317,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,   238,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,   248,     0,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,   249,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  1717,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  3233,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,  4385,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,  4815,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,  1251,    45,     0,
       0,     0,     0,     0,  1252,  1253,  1254,   428,   429,   430,
     431,   432,   433,   434,   435,   760,   436,   437,   438,   761,
     762,   763,   764,   765,   766,   767,   439,   440,   768,   441,
     442,   132,   443,   444,   445,     0,  1407,   136,  1408,  1409,
     769,   446,   447,   448,   449,   450,   770,   771,   451,   452,
    1410,  1411,   453,   773,   454,   455,   456,   457,     0,   774,
     144,   775,   458,   459,   460,   461,   147,   462,   463,   720,
     777,   464,   465,   466,   467,   468,   469,   778,   150,   470,
     471,     0,   780,   781,   782,   151,   783,   784,   785,   473,
     474,   475,   476,   722,   477,  1412,  1413,   478,   786,   479,
     787,   480,   481,   482,   483,   484,   788,   485,   486,   487,
     789,   790,   488,   489,  1414,   491,   492,   791,   493,   494,
     495,   792,   496,   497,   498,   793,   499,   500,   501,   502,
       0,   503,   504,   505,     0,   794,   506,   795,   507,   508,
    1415,   509,   796,   510,   797,   511,   168,   798,   169,   512,
     513,   514,   799,   515,     0,   800,     0,   516,   801,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,   802,
     525,   526,   527,   528,   529,   530,   803,   531,   175,     0,
       0,   532,   533,   534,  1417,  1418,   806,  1419,   807,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,   808,
     809,   542,     0,   183,   543,   184,   810,   544,   545,   546,
     811,   812,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1420,   190,  1421,
     560,   561,     0,   813,   562,   563,   194,   564,   814,     0,
     565,  1422,   566,   567,   568,   815,   569,   816,   817,  4131,
     571,   572,   818,   819,   573,     0,   198,   574,   199,     0,
     575,   576,   577,   578,   579,   580,   581,   820,   582,   583,
       0,   584,     0,   585,   586,   587,   821,   588,   589,   590,
     591,   592,   593,   594,   595,  1423,   596,   597,   598,   599,
     822,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   823,   611,   612,   211,   613,   614,   615,     0,
     616,   617,   618,   619,   620,   621,   727,   622,   824,   623,
     624,   625,   626,   627,   825,   629,   630,  2527,   631,   632,
     220,   633,   634,  1425,   635,   826,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,     0,   827,   647,
     648,   828,   649,   225,   650,   651,   652,   653,   654,   829,
    1426,  1427,     0,   831,   656,   657,     0,   658,     0,   832,
     659,   660,   661,   662,   663,   664,   665,     0,   834,   666,
     667,   668,   669,   670,   835,   836,   671,   672,   673,   674,
     675,     0,  1428,   838,   676,   237,   677,   678,   679,   680,
     839,   840,   681,   841,   842,   682,   683,   684,   685,   686,
     687,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     729,   688,   689,     0,     0,     0,  1257,  1258,  1259,     0,
    4132,  4133,  1262,  1263,  1264,  1265,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1251,     0,     0,     0,     0,     0,
       0,  1252,  1253,  1254,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,  1255,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,  1256,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,  1257,  1258,  1259,     0,  1260,  1261,  1262,
    1263,  1264,  1265,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1251,     0,     0,     0,     0,     0,     0,  1252,  1253,
    1254,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,  1358,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
    1359,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
    1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,     0,     0,  1252,  1253,  1254,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,  1458,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,  1459,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,  1460,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,  1257,  1258,  1259,
       0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1251,     0,     0,     0,     0,
       0,     0,  1252,  1253,  1254,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,  2019,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,  2020,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,  1261,
    1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1251,     0,     0,     0,     0,     0,     0,  1252,
    1253,  1254,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,     0,     0,
       0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,
    1265,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1251,
       0,     0,     0,     0,     0,     0,  1252,  1253,  1254,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,  3334,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,  3335,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,  1257,  1258,
    1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1251,     0,     0,     0,
       0,     0,     0,  1252,  1253,  1254,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,  5108,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,
    1261,  1262,  1263,  1264,  1265,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   760,   436,   437,   438,   761,   762,   763,   764,
     765,   766,   767,   439,   440,   768,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,   769,   446,   447,
     448,   449,   450,   770,   771,   451,   452,   772,   139,   453,
     773,   454,   455,   456,   457,   143,   774,   144,   775,   458,
     459,   460,   461,   147,   462,   463,   776,   777,   464,   465,
     466,   467,   468,   469,   778,   150,   470,   471,   779,   780,
     781,   782,   151,   783,   784,   785,   473,   474,   475,   476,
     722,   477,   154,   155,   478,   786,   479,   787,   480,   481,
     482,   483,   484,   788,   485,   486,   487,   789,   790,   488,
     489,   490,   491,   492,   791,   493,   494,   495,   792,   496,
     497,   498,   793,   499,   500,   501,   502,   163,   503,   504,
     505,   165,   794,   506,   795,   507,   508,   167,   509,   796,
     510,   797,   511,   168,   798,   169,   512,   513,   514,   799,
     515,   171,   800,   172,   516,   801,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,   802,   525,   526,   527,
     528,   529,   530,   803,   531,   175,   176,   804,   532,   533,
     534,   805,   177,   806,   178,   807,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,   808,   809,   542,   182,
     183,   543,   184,   810,   544,   545,   546,   811,   812,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,   190,   191,   560,   561,   192,
     813,   562,   563,   194,   564,   814,   195,   565,   196,   566,
     567,   568,   815,   569,   816,   817,   570,   571,   572,   818,
     819,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,   820,   582,   583,   201,   584,   202,
     585,   586,   587,   821,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,   822,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   823,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,   824,   623,   624,   625,   626,
     627,   825,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,   826,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,   827,   647,   648,   828,   649,
     225,   650,   651,   652,   653,   654,   829,   226,   227,   830,
     831,   656,   657,   228,   658,   229,   832,   659,   660,   661,
     662,   663,   664,   665,   833,   834,   666,   667,   668,   669,
     670,   835,   836,   671,   672,   673,   674,   675,   837,   236,
     838,   676,   237,   677,   678,   679,   680,   839,   840,   681,
     841,   842,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
     753,    86,    87,    88,   705,    90,    91,    92,   706,  2417,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,     0,  1407,   136,
    1408,  1409,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,  1410,  1411,   453,     0,   454,   455,   456,   457,
       0,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,   722,   477,  1412,  1413,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1414,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,     0,   503,   504,   505,     0,     0,   506,     0,
     507,   508,  1415,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,     0,     0,     0,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,  2523,   525,   526,   527,   528,   529,   530,     0,   531,
     175,  2524,     0,   532,   533,   534,  1417,  1418,     0,  1419,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,     0,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1420,
     190,  1421,   560,   561,     0,     0,   562,   563,   194,   564,
       0,     0,   565,  1422,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,  2525,   573,  2526,   198,   574,
     199,     0,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,   584,     0,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1423,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,     0,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,  2527,
     631,   632,   220,   633,   634,  1425,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1426,  1427,     0,     0,   656,   657,     0,   658,
       0,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,  1428,  2528,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   729,   688,   689,     0,    86,    87,    88,   705,
      90,    91,    92,   706,  2529,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,    86,    87,    88,   705,    90,    91,    92,   706,  1131,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,    86,    87,    88,   705,
      90,    91,    92,   706,  5162,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   428,  1021,   430,   431,   432,   433,
     434,   435,  1022,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,  1023,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,  1024,   167,   509,     0,
     510,     0,  1025,     0,  1026,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,  1027,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,  1028,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,  1029,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,  1030,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
    1031,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  1032,  1033,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   428,  1021,   430,
     431,   432,   433,   434,   435,  1022,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,  1055,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,  1024,
     167,   509,     0,   510,     0,  1056,     0,  1026,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,  1027,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,  1028,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
    1029,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,  1030,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,  1031,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,     0,     0,     0,
    1032,  1033,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,  1511,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
    1026,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,  1027,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
       0,     0,     0,  1032,  1033,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1516,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,  1026,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,  1027,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,     0,     0,     0,  1032,  1033,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,   723,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,  1688,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,     0,  1101,  1689,    86,    87,
      88,   705,    90,    91,    92,   706,  1102,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,  1103,   452,  1074,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,  1104,     0,
    1105,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,  1106,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,  1107,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,  1108,   614,   615,   213,   616,
     617,   618,  1109,   620,   621,   727,   622,     0,   623,   624,
     625,   626,  1110,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,  1111,
     227,     0,     0,  1112,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
    1078,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,  1113,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   760,
     436,   437,   438,   761,   762,   763,   764,   765,   766,   767,
     439,   440,   768,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,   769,   446,   447,   448,   449,   450,
     770,   771,   451,   452,   772,   139,   453,   773,   454,   455,
     456,   457,   143,   774,   144,   775,   458,   459,   460,   461,
     147,   462,   463,   776,   777,   464,   465,   466,   467,   468,
     469,   778,   150,   470,   471,   779,   780,   781,   782,   151,
     783,   784,   785,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   786,   479,   787,   480,   481,   482,   483,   484,
     788,   485,   486,   487,   789,   790,   488,   489,   490,   491,
     492,   791,   493,   494,   495,   792,   496,   497,   498,   793,
     499,   500,   501,   502,   163,   503,   504,   505,   165,   794,
     506,   795,   507,   508,   167,   509,   796,   510,   797,   511,
     168,   798,   169,   512,   513,   514,   799,   515,   171,   800,
     172,   516,   801,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,   802,   525,   526,   527,   528,   529,   530,
     803,   531,   175,   176,   804,   532,   533,   534,   805,   177,
     806,   178,   807,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,   808,   809,   542,   182,   183,   543,   184,
     810,   544,   545,   546,   811,   812,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,   813,   562,   563,
     194,   564,   814,   195,   565,   196,   566,   567,   568,   815,
     569,   816,   817,   570,   571,   572,   818,   819,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,   820,   582,   583,   201,   584,   202,   585,   586,   587,
     821,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,   822,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   823,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   824,   623,   624,   625,   626,   627,   825,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,   826,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,   827,   647,   648,   828,   649,   225,   650,   651,
     652,   653,   654,   829,   226,   227,   830,   831,   656,   657,
     228,   658,   229,   832,   659,   660,   661,   662,   663,   664,
     665,   833,   834,   666,   667,   668,   669,   670,   835,   836,
     671,   672,   673,   674,   675,   837,   236,   838,   676,   237,
     677,   678,   679,   680,   839,   840,   681,   841,   842,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   760,   436,   437,   438,   761,   762,
     763,   764,   765,   766,   767,   439,   440,   768,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,   769,
     446,   447,   448,   449,   450,   770,   771,   451,   452,   772,
     139,   453,   773,   454,   455,   456,   457,   143,   774,   144,
     775,   458,   459,   460,   461,   147,   462,   463,   776,   777,
     464,   465,   466,   467,   468,   469,   778,   150,   470,   471,
     779,   780,   781,   782,   151,   783,   784,   785,   473,   474,
     475,   476,   722,   477,   154,   155,   478,   786,   479,   787,
     480,   481,   482,   483,   484,   788,   485,   486,   487,   789,
     790,   488,   489,   490,   491,   492,   791,   493,   494,   495,
     792,   496,   497,   498,   793,   499,   500,   501,   502,   163,
     503,   504,   505,   165,   794,   506,   795,   507,   508,   167,
     509,   796,   510,   797,   511,   168,   798,   169,   512,   513,
     514,   799,   515,   171,   800,   172,   516,   801,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,   802,   525,
     526,   527,   528,   529,   530,   803,   531,   175,   176,   804,
     532,   533,   534,   805,   177,   806,   178,   807,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,   808,   809,
     542,   182,   183,   543,   184,   810,   544,   545,   546,   811,
     812,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,   813,   562,   563,   194,   564,   814,   195,   565,
     196,   566,   567,   568,   815,   569,   816,   817,   570,   571,
     572,   818,   819,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,   820,   582,   583,   201,
     584,   202,   585,   586,   587,   821,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,   822,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   823,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,   824,   623,   624,
     625,   626,   627,   825,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,   826,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,   827,   647,   648,
     828,   649,   225,   650,   651,   652,   653,   654,   829,   226,
     227,   830,   831,   656,   657,   228,   658,   229,   832,   659,
     660,   661,   662,   663,   664,   665,   833,   834,   666,   667,
     668,   669,   670,   835,   836,   671,   672,   673,   674,   675,
     837,   236,   838,   676,   237,   677,   678,   679,   680,   839,
     840,   681,   841,   842,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,  3398,   433,   434,   435,   760,
     436,   437,   438,   761,   762,   763,   764,   765,   766,   767,
     439,   440,   768,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,   769,   446,   447,   448,   449,   450,
     770,   771,   451,   452,   772,   139,   453,   773,   454,   455,
     456,   457,   143,   774,   144,   775,   458,   459,   460,   461,
     147,   462,   463,   776,   777,   464,   465,   466,   467,   468,
     469,   778,   150,   470,   471,   779,   780,   781,   782,   151,
     783,   784,   785,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   786,   479,   787,   480,   481,   482,   483,   484,
     788,   485,   486,   487,   789,   790,   488,   489,   490,  3399,
     492,   791,   493,   494,   495,   792,   496,   497,   498,   793,
     499,   500,   501,   502,   163,   503,   504,   505,   165,   794,
     506,   795,   507,   508,   167,   509,   796,   510,   797,   511,
     168,   798,   169,   512,   513,   514,   799,   515,   171,   800,
     172,   516,   801,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,   802,   525,   526,   527,   528,   529,   530,
     803,   531,   175,   176,   804,   532,   533,   534,   805,   177,
     806,   178,   807,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,   808,   809,   542,   182,   183,   543,   184,
     810,   544,   545,   546,   811,   812,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,   813,   562,   563,
     194,   564,   814,   195,   565,   196,   566,   567,   568,   815,
     569,   816,   817,   570,   571,   572,   818,   819,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,   820,   582,   583,   201,   584,   202,   585,   586,   587,
     821,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,   822,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   823,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   824,   623,   624,   625,   626,   627,   825,  3400,
     630,   218,   631,   632,   220,   633,   634,   221,   635,   826,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,   827,   647,   648,   828,   649,   225,   650,   651,
     652,   653,   654,   829,   226,   227,   830,   831,   656,   657,
     228,   658,   229,   832,   659,   660,   661,   662,   663,   664,
     665,   833,   834,   666,   667,   668,   669,   670,   835,   836,
     671,   672,   673,   674,   675,   837,   236,   838,   676,   237,
     677,   678,   679,   680,   839,   840,   681,   841,   842,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,  1587,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,  1602,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,   172,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,  1616,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,  1628,   658,  1629,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,  1400,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1451,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,  2523,   525,
     526,   527,   528,   529,   530,     0,   531,   175,  2524,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,  2526,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  2527,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,  2528,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1407,   136,  1408,  1409,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1410,  1411,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1412,
    1413,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1415,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,  1417,  1418,
       0,  1419,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1420,   190,  1421,   560,   561,     0,     0,   562,   563,
     194,   564,  2620,     0,   565,  1422,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1423,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  2527,   631,   632,   220,   633,   634,  1425,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,  4229,   649,   225,   650,   651,
     652,   653,   654,     0,  1426,  1427,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1428,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,     0,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,  2686,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,     0,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  1424,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1407,   136,  1408,  1409,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1410,  1411,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1412,
    1413,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1415,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,  1417,  1418,
       0,  1419,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1420,   190,  1421,   560,   561,  4056,     0,   562,   563,
     194,   564,     0,     0,   565,  1422,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1423,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  1424,   631,   632,   220,   633,   634,  1425,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1426,  1427,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1428,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,  1416,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,     0,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,     0,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  1424,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1407,   136,  1408,  1409,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1410,  1411,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1412,
    1413,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1415,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,  1477,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,  1417,  1418,
       0,  1419,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1420,   190,  1421,   560,   561,     0,     0,   562,   563,
     194,   564,     0,     0,   565,  1422,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1423,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  1424,   631,   632,   220,   633,   634,  1425,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1426,  1427,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1428,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,     0,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,     0,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  1424,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1407,   136,  1408,  1409,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1410,  1411,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1412,
    1413,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1415,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,  1417,  1418,
       0,  1419,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1420,   190,  1421,   560,   561,     0,     0,   562,   563,
     194,   564,     0,     0,   565,  1422,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1423,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  2527,   631,   632,   220,   633,   634,  1425,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1426,  1427,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1428,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,     0,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,     0,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,     0,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
       0,   136,     0,     0,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,     0,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,     0,
       0,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,     0,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,     0,     0,
       0,     0,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,     0,   190,     0,   560,   561,     0,     0,   562,   563,
     194,   564,     0,     0,   565,     0,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,     0,   631,   632,   220,   633,   634,     0,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,     0,     0,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,     0,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   760,   436,   437,   438,   761,   762,   763,
     764,   765,   766,   767,   439,   440,   768,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,   769,   446,
     447,   448,   449,   450,   770,   771,   451,   452,     0,   139,
     453,   773,   454,   455,   456,   457,   143,   774,   144,   775,
     458,   459,   460,   461,   147,   462,   463,   776,   777,   464,
     465,   466,   467,   468,   469,   778,   150,   470,   471,     0,
     780,   781,   782,   151,   783,   784,   785,   473,   474,   475,
     476,     0,   477,   154,   155,   478,   786,   479,   787,   480,
     481,   482,   483,   484,   788,   485,   486,   487,   789,   790,
     488,   489,   490,   491,   492,   791,   493,   494,   495,   792,
     496,   497,   498,   793,   499,   500,   501,   502,   163,   503,
     504,   505,   165,   794,   506,   795,   507,   508,   167,   509,
     796,   510,   797,   511,   168,   798,   169,   512,   513,   514,
     799,   515,   171,   800,   172,   516,   801,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,   802,   525,   526,
     527,   528,   529,   530,   803,   531,   175,   176,     0,   532,
     533,   534,     0,   177,   806,   178,   807,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,   808,   809,   542,
     182,   183,   543,   184,   810,   544,   545,   546,   811,   812,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,   813,   562,   563,   194,   564,   814,   195,   565,   196,
     566,   567,   568,   815,   569,   816,   817,   570,   571,   572,
     818,   819,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,   820,   582,   583,   201,   584,
     202,   585,   586,   587,   821,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,   822,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     823,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,   824,   623,   624,   625,
     626,   627,   825,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,   826,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,   827,   647,   648,   828,
     649,   225,   650,   651,   652,   653,   654,   829,   226,   227,
       0,   831,   656,   657,   228,   658,   229,   832,   659,   660,
     661,   662,   663,   664,   665,     0,   834,   666,   667,   668,
     669,   670,   835,   836,   671,   672,   673,   674,   675,     0,
     236,   838,   676,   237,   677,   678,   679,   680,   839,   840,
     681,   841,   842,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
    1194,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,  2565,   454,   455,   456,   457,   143,     0,
       0,  2639,   458,   459,   460,   461,     0,   462,   463,   720,
    2566,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,  2640,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,  2568,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,  2569,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,  2570,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,  2565,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,  2566,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
    2640,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,  2568,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,  3560,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
    2569,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,  2570,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
    1089,   434,   435,  1041,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,  1042,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
    1090,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,  1043,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,  1044,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1041,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,  1042,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,  3296,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,  1043,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
    1044,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,  2565,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
    2566,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,  2640,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,  2568,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,  2569,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,  2570,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   718,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,   721,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   723,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1041,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,  1042,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,  1043,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,  1044,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,   950,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   951,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   952,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  2237,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,  2238,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,  2239,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
    2240,   511,     0,     0,     0,  2241,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,  2242,  2243,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,  2244,
     620,   621,   727,   622,     0,  2245,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,  2246,   649,     0,
    2247,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,  2248,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,  1042,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
    1043,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,  1044,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,  2226,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,  3155,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,  3156,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
    2505,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,  3157,   649,     0,   650,  3158,
     652,  3159,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,  3160,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   745,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
     723,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   899,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1282,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1283,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,  1124,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1392,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,   129,   130,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  3379,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,  3380,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  3392,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
    3393,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   956,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,  1003,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,  1059,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,  1124,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1246,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1247,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1691,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1875,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,  1124,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1924,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1925,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,  2093,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,  2226,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,  2505,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,  4404,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,  4418,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,  5111,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,  1071,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1073,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1074,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,  1075,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,  1076,   227,     0,     0,  1077,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1118,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  1119,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,  1120,   227,
       0,     0,  1121,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
    1138,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1270,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1277,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1293,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1349,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1364,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1405,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1463,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1467,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1469,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1471,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1475,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1483,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,  1702,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,  1103,   452,  1074,   139,  1703,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
    1107,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
    1108,   614,   615,   213,   616,   617,   618,  1109,   620,   621,
     727,   622,     0,   623,   624,   625,   626,  1695,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,  1111,   227,     0,     0,  1112,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,  1113,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,  1829,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1073,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2049,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2079,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  2081,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2153,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2155,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2157,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,  2274,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,  2471,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,     0,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2863,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2867,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2907,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  3307,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  3382,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  3384,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  3496,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,  3518,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,  1103,   452,
    1074,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,  1107,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,  1108,   614,   615,   213,
     616,   617,   618,  1109,   620,   621,   727,   622,     0,   623,
     624,   625,   626,  1695,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
    1111,   227,     0,     0,  1112,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,  1078,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
    1113,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1074,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,  1103,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,  1107,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,  1108,   614,   615,   213,   616,   617,
     618,  1109,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  1695,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,  2552,   651,   652,   653,   654,     0,  1111,   227,
       0,     0,  1112,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,  1113,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
    1103,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,  1107,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,  1108,   614,
     615,   213,   616,   617,   618,  2624,   620,   621,   727,   622,
       0,   623,   624,   625,   626,  2625,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,  1111,   227,     0,     0,  2626,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,  1113,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,  1103,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,  1107,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,  1108,   614,   615,   213,   616,   617,   618,  1109,
     620,   621,   727,   622,     0,   623,   624,   625,   626,  2625,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,  1111,   227,     0,     0,
    2626,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,  1113,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,     0,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,     0,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
       0,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114, -2557,   115,   116,
     117,     0,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,   122,     0,     0,     0,     0,     0,     0,     0,
       0,   123,     0,   124,     0,   125,   126,    35,     0,   422,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114, -2558,   115,
     116,   117,     0,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,   122,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,   125,   126,    35,     0,
    1189,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,     0,
     115,   116,   117,     0,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,     0,
       0,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,     0,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
    2202,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,     0,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,  2203,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,  2204,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,     0,
       0,     0,     0,    41,    42,  1786,  1787,  4937,     0,     0,
       0,     0,     0,     0,  4938,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,   129,   130,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
     216,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,   224,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   235,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,   238,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   688,   689,    35,   427,   248,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,   249,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,     0,   477,   154,   155,   478,
    2405,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,  2202,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,  2203,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,  2204,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   688,   689,     0,     0,     0,     0,     0,
      35,   427,  1786,  1787,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
       0,   477,   154,   155,   478,  2410,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,  2202,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,  2203,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,  2204,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,   688,   689,
       0,     0,     0,     0,     0,    35,   427,  1786,  1787,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,  2202,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,  2203,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,  2204,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   688,   689,     0,     0,     0,     0,     0,
      35,   427,  1786,  1787,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
       0,   477,   154,   155,   478,  3289,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,  2202,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,  2203,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,  2204,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,   688,   689,
       0,     0,     0,     0,     0,    35,   427,  1032,  1033,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
     472,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,   655,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   688,   689,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
     472,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,  2202,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,  2203,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,  2204,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,  2390,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,     0,   473,
     474,   475,   476,     0,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,  2182,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,  1272,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,   472,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1289,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,   472,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
    1290,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   688,   689,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,   472,
     473,   474,   475,   476,     0,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  2748,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    35,   688,   689,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,   472,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,  3695,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   688,
     689,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,   472,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,     0,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
     472,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,  1372,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,   472,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,  1453,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,  1465,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,   472,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,  1479,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,  1480,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,   129,
     130,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,     0,   473,
     474,   475,   476,     0,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
       0,   688,   689
};

static const yytype_int16 yycheck[] =
{
       2,   963,   210,    78,   390,  1452,  1505,    78,    78,    78,
      78,   116,   390,   923,   249,   116,    78,  1155,  1042,  1043,
    1044,  1105,    84,  1160,  1048,  1292,  1122,   374,    78,  1100,
     984,   166,  1456,  1461,    84,   230,  1861,  1424,   152,  1225,
    1535,   995,  1302,  1360,   153,    96,   149,  1009,  2241,  1723,
    1128,  3014,  1279,   188,  1371,   106,   161,   963,  1341,  1896,
     161,  1444,  1571,   751,   879,   224,   116,  2191,   164,   159,
    2006,   981,  3374,  3179,  2813,  2366,    78,  1902,  2822,  1346,
    1112,   170,    84,  1350,  2379,  1412,  1413,    89,  1355,   164,
     141,  1442,  1906,  3627,   203,  1422,  1363,  1427,  1957,  3585,
     131,  3904,  2685,  1278,    94,   156,  1373,  1917,   923,  1284,
    2076,   161,  2531,  2532,   116,  3350,  1744,  3558,  1401,  1294,
    3398,   210,  3400,  1278,  2429,  2738,  2279,   232,  3614,   362,
    3543,   232,  3548,   875,   376,  3548,    78,  1202,  3957,   376,
     882,   131,  4218,   752,  3820,  2986,  1108,  3168,  3166,  3167,
     152,   893,  2088,  1202,  3233,  1969,  4007,  4155,  1008,   161,
     994,  1835,   152,   153,  1974,  1975,   981,  3953,  2127,  4207,
    4230,  4221,   162,  3957,  1780,  1781,  1782,  4205,  4208,   921,
     209,   217,   232,  3848,   926,  2373,   166,  3854,   248,  4217,
     219,  3099,  1902,     2,  1839,   937,  1888,  4686,  1410,  1411,
     116,  1242,  1108,  1518,  3264,  4487,  1498,   209,   188,  1421,
    1489,  1775,  1776,   203,  2180,   217,  1152,   219,  1152,  1197,
    1198,  3853,  4879,   116,  3651,  4815,  3920,  4817,  1000,  3783,
     232,    21,  1024,  2816,    30,    10,  1028,  1029,  1030,    87,
    2531,   131,   138,    71,  5001,   161,  1038,   111,  4860,   117,
     160,   859,    80,    71,   115,    84,  4913,    85,   185,   124,
    1497,   115,   950,    71,    14,    98,    71,    85,   161,    14,
     102,    87,  1599,  1600,   229,   117,   234,    85,   187,    74,
      75,    76,    77,   140,    14,   131,    81,   216,   234,    37,
    1617,    39,   152,   209,   275,  4917,  4918,  1627,   275,  3352,
     116,   217,   234,   219,   275,   103,   244,   382,  4952,   131,
     365,   382,   382,   382,   382,  1339,   232,   334,    74,    75,
      76,    77,   148,   229,   190,    81,    71,   321,   390,    71,
     146,  3239,   330,  2916,    78,  2918,   275,   234,    80,   232,
     390,    71,   157,    85,    74,    75,    76,    77,     0,    87,
      80,    81,    82,    83,   108,    85,   213,    74,    75,    76,
      77,   185,   140,   425,    81,   131,   413,  3164,   318,   202,
     185,    87,    89,    90,   231,   425,  1588,  1589,   116,   157,
     318,    78,    74,    75,    76,    77,   224,   347,   390,    81,
     185,   102,    74,    75,    76,    77,   148,  2778,   109,    81,
     116,  1613,  1498,   269,  2597,  2786,   209,  2788,   146,  1646,
     106,   107,  1322,   146,  1102,   240,    50,    74,    75,    76,
      77,   235,   102,   425,    81,  4304,   102,  4306,  3225,   157,
     146,    78,    89,    90,    68,   213,   426,  2697,   102,   234,
     382,    74,    75,    76,    77,   109,   138,  1707,    81,    14,
     234,   102,   412,   231,   148,   293,    89,    90,   109,   105,
      78,  1647,   216,    89,   148,    29,    74,    75,    76,    77,
    5127,   526,   270,    81,    78,   861,   470,   387,   384,   526,
    5070,    89,    90,   861,    74,    75,    76,    77,  1674,    78,
      78,    81,  2752,    87,  4492,   472,   320,   204,   388,    89,
      90,   472,  4991,   275,  3557,   320,   363,  1322,  1462,   526,
     190,    74,    75,    76,    77,  5113,  5114,    78,    81,  2478,
    1482,   197,  5166,   355,   275,   256,   476,    25,   526,    74,
      75,    76,    77,   472,   105,    78,    81,   233,   476,   235,
     166,   655,   388,  1505,    74,    75,    76,    77,   529,    78,
     178,    81,    78,   530,    74,    75,    76,    77,   487,  2518,
     192,    81,   188,  2522,  1740,   474,   388,   370,   526,  2016,
      78,   526,   320,  1669,   435,   407,  1482,    74,    75,    76,
      77,   435,   184,   529,    81,   363,  1682,  1541,   515,   269,
    1199,  1200,   530,  2021,   703,   704,   425,   529,    74,    75,
      76,    77,   462,  1557,   470,    81,    70,   449,   465,   477,
     442,  1219,   444,  1575,    78,    79,  1712,  1713,  1572,   529,
     330,  4037,   388,   449,  4037,    74,    75,    76,    77,   526,
     526,    96,    81,    74,    75,    76,    77,   470,   382,   529,
      81,   138,   190,    74,    75,    76,    77,  2321,  4646,  4687,
      81,  4679,     8,   655,   449,    11,    12,  1507,  3960,    87,
    1754,   526,   526,   491,  5276,   655,    22,    23,    24,  1575,
      26,    27,   477,   423,   522,    31,    32,    33,   423,  5436,
    1183,  5303,   472,   529,   512,   382,  1953,   465,  1955,   517,
     518,  4177,   156,   423,  2368,  5194,  4372,   449,  2372,   517,
     518,  1876,   477,   267,   529,  4703,   522,   529,   526,   517,
     518,   422,   526,   703,   704,  1487,  1508,  3300,  2035,  1511,
     515,   449,  1514,   526,  1516,   405,  2009,  1519,   524,   888,
     520,  1523,  4399,   528,   131,   382,  1963,  2232,    98,   385,
    1702,  5398,   206,  4408,  2004,   529,  1249,  4412,  1710,  1711,
     215,  1926,   857,  5410,   868,   449,   857,   529,   422,  4200,
    2184,   751,  4316,   529,   382,   449,  4398,   178,   524,  4463,
     526,   422,   528,   271,  1009,   517,   518,   528,   382,  1012,
     487,   519,   520,   521,   522,  5375,   482,   517,   518,   481,
     470,   524,  5390,   382,   382,   528,  1702,  2611,   529,   861,
     914,   517,   518,   519,   520,   521,   522,   857,  1155,   526,
     438,   861,  5469,   903,   385,  2239,   526,  1795,   333,  2146,
    3164,   382,   178,  5105,  2248,   396,  1762,   398,  1762,  4256,
    4257,  4258,  4259,  4260,   526,   299,  3580,   148,  4140,   382,
     472,  5340,   202,   952,   526,   124,   157,  3868,  3267,   451,
    3269,   178,  5341,   382,  1895,   857,   382,  4855,   972,   861,
     131,  4740,   148,   865,  4862,  4744,  4745,  2681,  4747,   526,
     178,   157,   874,   875,   382,  3166,  3167,  3168,   412,  2116,
     882,  3225,  3942,   454,   348,   185,  1021,  3182,  1023,  1498,
    1025,   893,   494,   526,   234,  1054,  1031,   176,  2213,   177,
    2545,   215,  1005,  1145,  2219,  2197,   234,   909,  1145,  2188,
     178,  2123,  2124,  1009,  4990,  2479,   275,  2481,   526,   921,
    1055,  1056,   470,   330,   926,   519,   520,   521,   522,  2639,
     493,   396,   382,  1008,   179,   937,   526,  2629,   318,   244,
     102,   857,  3525,  3526,  5433,   244,   412,   189,   493,   512,
     415,   481,    25,   190,   956,  1006,   312,   215,   324,   234,
     950,   963,   952,   526,   857,   967,   393,   512,   398,  1128,
     144,   973,  1023,  2324,  1025,   977,   978,   441,   178,   443,
    4799,   526,   984,   451,  1035,    14,   164,  5486,   348,   268,
     234,   388,   994,   995,   178,   529,   526,  2856,  1000,   449,
    1159,   185,  1505,   359,  1055,  1056,   526,  1009,  4243,   178,
    3918,   526,   256,  1003,   259,   187,   122,  1007,   154,   318,
     320,  1931,   382,  4842,   454,   179,   494,   438,   306,   526,
     308,   275,   269,  2870,   276,   197,   185,  4856,  1134,   318,
    1852,  2278,  2279,  1023,   471,  1025,  3234,   318,  2285,  3846,
     526,  3848,   412,   419,  2291,  2292,  2293,   180,   194,  2558,
    2084,   239,  2238,   529,  2301,  2302,  2242,  1129,  2244,  2306,
    1106,  2247,  4856,  1104,  1110,  1055,  1056,   526,  1138,  1129,
     237,   236,  1241,  4759,   242,   526,   235,   335,   275,   517,
     518,   519,   520,   521,   522,   526,   234,  1099,  1100,  2195,
     400,   415,   234,   459,  1106,   259,  1108,   279,  1110,   449,
     180,   438,  1102,   472,  1104,   475,  1931,   388,   256,   526,
      98,   449,   401,   140,  3543,   248,   104,  1129,   508,  3548,
     438,  5207,  2318,  4800,  1136,  3516,   320,   275,   449,  4804,
    2527,   412,  3523,  3524,  4809,   251,  3527,  4812,   320,   318,
     256,  5181,   164,  3534,  2537,   400,   334,   415,  5218,   333,
    3957,  2245,  2246,   449,  5202,  5215,   180,  4863,   185,  4703,
     438,   476,   321,  5203,   449,   515,   396,   476,   248,  4481,
     164,   336,  5001,    98,   307,  5213,   292,   310,   528,  4675,
    1106,  1000,   437,   438,  1110,  1197,  1198,  2151,   271,   371,
     184,   154,  1705,   154,   235,  3624,  2300,  1710,  1711,   409,
    2164,   389,    71,   349,  2308,    74,    75,    76,    77,   110,
     457,    80,    81,   154,   202,  2179,    85,   239,   472,   114,
    2042,  1233,   216,   470,   248,   393,  3195,   307,   185,  2201,
     310,   194,  4520,   194,   428,   190,   400,   431,   496,  2159,
     407,  1280,  1281,   375,   102,    71,   226,   202,    74,    75,
      76,    77,  4958,   194,    80,    81,    82,    83,   400,    85,
      74,    75,    76,    77,   449,   307,   431,    81,  1280,  1281,
     403,   526,   439,   437,   438,   472,   530,   202,  2122,   228,
     187,  1233,   412,   307,   185,  1385,   310,  2903,   244,   188,
     412,   132,   150,   320,  5342,  1307,   526,   443,   325,   140,
     158,   417,  1314,   491,   234,   164,  1318,  5103,  2414,   350,
      70,    71,   334,   472,    74,    75,    76,    77,    78,    79,
      80,    81,  1334,   403,   472,    85,   256,  3755,   186,   237,
     515,  1343,   526,  2177,  2159,   154,   363,   317,   190,   527,
    2200,   483,   530,  5351,  5205,   275,  5432,   529,  5034,   234,
     377,  5437,   484,   252,  1280,  1281,  3784,   340,    98,   254,
     348,   403,   318,   124,  1183,  1878,    25,   389,   325,  1381,
    2464,   256,  4461,  1886,   507,   194,    35,   418,  2298,   403,
     239,   334,   530,  1202,   378,  1021,   349,  1023,   349,  1025,
     275,  5066,   348,   526,   382,  1031,  4424,   180,  4429,   529,
    5106,  1646,   260,  5489,  4435,   360,   528,  2734,   349,   358,
    5116,   405,  1424,   106,   107,   176,  5245,   269,   325,  1055,
    1056,   236,  1507,   348,   412,   185,   382,   507,   340,  1825,
    1249,   197,  1945,   199,    98,  1948,  1949,  1825,   465,   340,
     104,  5270,  2517,  5129,   438,  4296,   526,  5133,  5134,  1510,
    1462,  1512,  2909,  2638,  1515,   296,  1517,   382,  2517,  1520,
    1521,  1522,   202,  4889,  5550,   248,  4889,  5280,  5281,   491,
    1482,   164,  1533,  2298,  1486,  1487,  5270,  1489,   137,  2913,
     443,  2919,   443,   507,   478,  1497,  1547,   412,  1549,  3692,
    1733,   184,  3846,  1505,  3848,  1747,  1748,   491,  1750,   407,
    1747,  1748,   443,  1750,  2017,   527,   340,   268,   530,   212,
    2837,  2838,  2839,  2840,   274,   340,  2793,  2702,   512,  3366,
     476,   336,  2849,   216,   307,   197,  4977,   199,   224,  1541,
     349,   439,   526,   229,   236,   229,   296,  2702,   202,  2724,
     238,   187,   472,  1555,   527,  1557,   529,  1183,   130,   338,
     222,   165,   460,   405,  1554,   449,   250,   318,  3196,   348,
    1572,  1197,  1198,  1575,   330,   100,  1202,  3868,   189,  2754,
     273,   524,  3735,   431,  1586,   528,  4199,   402,  2197,     5,
     195,   163,   212,    70,   482,   120,  2558,   472,  3457,  2882,
     205,    78,    79,   382,   197,  1764,   199,   293,   296,    25,
     530,  4408,  1614,  3957,   396,  4412,  1721,  5436,  4037,    35,
    1721,  3926,   271,  1249,   515,   429,   430,   529,   470,   222,
     403,   235,   238,   524,   443,   526,   527,   528,   529,   472,
    1642,  1643,  1644,   279,  1646,   529,   332,   340,   220,  2886,
     401,   248,  4954,  3467,   491,   530,  1658,  1688,  1689,   518,
    5463,   265,   524,   325,  1666,   276,   528,  5445,   330,  1774,
     161,  1721,   129,   293,   384,   202,   280,  1486,  1487,   156,
    1489,   253,  2636,  4266,   320,  4268,   290,   375,   470,  2599,
     296,   334,   529,   526,   348,   378,  1505,   348,  1688,  1689,
    1702,   517,   518,  1705,   483,   529,   398,  5193,  1710,  1711,
     307,   315,  3678,  1775,  1776,   187,   288,    98,  1720,  1721,
     177,   137,   405,   104,  1774,  1775,  1776,   320,   382,   206,
     334,   382,   325,  4114,  1839,   371,   472,   330,  1839,  4120,
    4121,   232,  4123,   348,   256,   270,   307,  1749,   320,   310,
    5191,  1753,  1754,   348,   442,   438,   444,     2,   412,   229,
     452,   412,  1793,  1825,   224,  5543,   458,   517,   518,   239,
    1832,   464,  1774,  1775,  1776,  1825,  4739,   382,   231,  5014,
     468,   491,  1832,  1873,  2599,   201,   256,   382,   392,  1839,
     526,  5232,   362,  1795,   456,   478,   484,  3607,  2974,   482,
    3610,   258,   512,  1793,   466,  1721,   403,   279,   491,  1968,
    3305,   338,   449,   348,   386,  5117,   388,  5351,   390,   529,
     188,   202,   299,  1825,  2512,   397,   347,   398,  1721,   512,
    1832,  1833,   404,   293,  3071,  3186,   442,  1839,   444,   281,
     412,  2865,   403,   526,    89,  5123,  3083,  1849,   320,   306,
    1852,   308,   424,   362,  1856,   271,   112,   438,    70,   386,
     432,   318,   468,   456,  5350,   491,    78,    79,   472,   226,
     382,   348,   332,   466,   386,   526,   318,   412,  3115,  1505,
    4886,   451,  3265,   454,   252,   412,  1888,  4850,  3271,  4852,
     347,   412,   529,  2635,  1896,   235,  1705,   188,   177,   371,
     412,  1710,  1711,   529,  5010,   382,   347,   152,  3336,   386,
     281,    87,  2874,   158,   486,  4654,  3153,   449,  4924,  4502,
    4503,   391,  4666,  1839,   494,   265,   347,  1929,   285,   371,
     387,   185,   230,  1849,  2039,   412,    78,   193,  2039,  4678,
     280,   186,   451,   488,   156,   187,  1839,   318,  3275,   421,
     290,   230,    22,   277,  2696,    74,    75,    76,    77,   472,
     187,   252,    81,   261,   441,   197,   443,   199,  2874,   426,
     146,   412,  1888,   415,  2936,  3069,  3070,  1786,  1787,   491,
    3074,  5283,   261,   515,   529,   494,   127,   229,  1990,  2039,
     348,    87,  5227,  1935,  2497,   207,   528,  2111,  1940,   159,
     512,    71,  4799,  1812,  1813,   146,   148,  4804,  2010,  2751,
     334,    80,  4809,   526,   491,  4812,    85,  3111,  3112,   160,
     116,   263,   164,  2025,   382,  3961,   451,   306,   470,   308,
    2936,  2033,   302,   348,   526,  3173,   263,  2039,  2424,   199,
    2042,  3324,  2044,  5484,   415,  4842,  2424,  1989,  5534,   261,
     146,  1993,   392,   493,    74,    75,    76,    77,  2060,  4856,
     224,    81,  2064,  2271,  4408,   229,   214,   382,  4412,  1878,
     405,   212,   512,   396,  2076,   398,   318,  1886,   320,  1705,
      74,    75,    76,    77,  1710,  1711,   526,    81,   320,  2091,
    5392,   318,   386,   320,   382,  3590,  2255,   412,   330,   470,
     371,   370,  2104,   438,  3599,  2201,   148,   249,  2110,   257,
     524,   396,   383,   234,  2116,   157,   530,   320,   412,  3295,
    2122,   305,   325,  2039,   412,  2200,  3353,   375,   397,   293,
    3804,   454,  2134,  4424,   236,   256,  1945,   408,  4429,  1948,
    1949,   353,   427,   478,  4435,  4440,  2039,  2149,  3375,  2151,
    2152,   405,  3184,    74,    75,    76,    77,   282,   406,  2210,
      81,  2212,  2164,  5269,   266,  2216,   369,  2218,   332,  1795,
    2221,   441,  2174,   529,  2225,  2177,   118,  2179,  2180,  3354,
    3994,  2270,   491,   238,   438,   375,  2188,  2277,  2263,  2191,
     438,   526,  2263,  2263,  2263,  2263,  1274,   139,   468,  2201,
    4010,  4011,  2705,   512,  5001,   530,   325,   386,  2017,  3718,
    2713,  1289,  2715,   382,  1292,  5517,   406,  3127,   302,   493,
     529,   491,   530,   493,   478,  3187,  2331,  4041,   493,  4610,
    2331,  4612,  4613,   412,   376,  4616,   484,   491,   512,  2241,
     382,   296,   491,   412,   229,   491,   532,   512,   438,  3424,
     305,   463,  1878,  3927,   100,   515,   526,    71,   512,   471,
    1886,   526,   474,   512,    40,   250,   512,  2058,   528,  5066,
     472,    85,   526,  2961,   120,   212,  2278,  2279,   491,  3726,
     493,  2331,  2284,  2285,  4220,  3552,  2077,   224,  2290,  2291,
    2292,  2293,   229,   271,   484,  2297,   524,  2299,  2300,  2301,
    2302,  2303,  2304,   531,  2306,   325,  2308,  2309,  2443,   334,
    2312,   148,  3127,   442,   339,   444,   400,  3647,  3648,  1945,
     157,   365,  1948,  1949,  2326,  2327,  2328,  2329,  2330,  2331,
    2426,   325,   442,  2335,   444,   348,   273,  2339,  3292,  3293,
    2342,    16,  4466,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,  2353,  2560,  2355,  2562,  5461,   293,   441,    84,   454,
    3322,  2363,  2424,   124,  2366,    91,    92,    93,   329,   382,
     334,   165,   348,   386,  2424,   339,   529,   321,   322,  2188,
     533,  4206,  2191,   484,   468,  5491,  4223,   442,  4971,   444,
     348,  2017,  3207,    84,   348,   332,    87,   402,  2469,   412,
      91,    92,    93,   340,   325,   166,   382,   491,   283,   493,
     655,  4702,    70,   468,   529,  2331,  3322,  2479,   533,  2481,
      78,    79,  2424,  2558,   382,    34,  5389,  2429,   382,  2479,
     191,  2481,   331,   449,   302,   334,   412,  2551,  2331,  3722,
    2545,   235,   526,   525,  2545,   206,   525,   529,  5245,   210,
     529,  2610,   526,  5559,   412,  4799,   527,     2,   412,   530,
    4804,   405,   302,  3958,  3959,  4809,    70,    71,  4812,   230,
    4889,   265,   233,  5270,   524,  2978,   526,  2479,   528,  2481,
      74,    75,    76,    77,  3438,   246,   280,    81,  3082,   212,
    3084,  3085,   454,  3447,   438,  2545,   290,   521,  4842,  2501,
     384,   224,   526,  1935,   528,   454,   229,  4624,  1940,  4626,
     402,     7,  4856,  4630,  3690,  4632,   526,  2519,   528,  2521,
    3757,   315,  2512,    19,    20,  2527,   521,   464,   305,  2531,
    2532,   526,   400,   528,   478,   527,   305,  2310,   530,  2541,
    2313,   161,    38,  2545,  2546,    41,  4927,   491,  2550,   140,
     273,   524,  3576,   526,  3791,   146,  2558,  1989,   259,  2664,
     400,  1993,    84,  2668,   325,   256,   157,  2668,   512,   526,
     293,   528,   333,   441,  2576,   531,   527,  2579,   529,  2693,
      71,   527,   526,   529,  5003,   250,   277,   527,  2590,   529,
     454,  3553,  2594,  3555,   185,  2597,   187,   153,   392,  3836,
     468,   441,   484,  3986,  2606,   519,   520,   521,   369,   332,
     336,   402,  3939,  3567,  2664,  3569,  2618,   340,  2668,   283,
     527,   166,   529,   491,  3702,   493,   128,  2629,   468,  2545,
     137,   138,  3892,  2635,  2636,    74,    75,    76,    77,  5436,
     526,  2643,    81,   188,   527,   336,   529,  3553,   527,  3555,
     529,   491,  2545,   493,   527,   532,   529,  5001,   526,   904,
      85,  3623,  2664,  2665,   160,   527,  2668,   529,  3762,  3763,
    3764,  3765,   263,  3859,  3768,  3769,  3770,  3771,  3772,  3773,
    3774,  3775,  3776,  3777,  3187,   527,   526,   529,  2497,   283,
     334,   527,  2694,   529,  2696,  2697,    70,    71,  2700,   529,
     530,  3795,   198,  2808,    78,    79,   526,  2808,  2517,   128,
    2519,    85,  2521,  2629,   529,   530,  2718,  3623,   963,   964,
    2823,   302,  5066,   400,  3862,  3863,  3864,  2729,  3543,   320,
    3824,  3825,   529,  3548,   325,   405,    74,    75,    76,    77,
    2742,   464,   302,    81,   527,   527,   529,   529,  2664,  2751,
    2752,  4425,  2668,    70,   527,  1000,   529,  4950,  2808,   302,
     484,    78,    79,  3717,   491,   527,   493,   529,   438,   396,
     397,  2664,   363,   482,   527,  2668,   529,   527,  2694,   529,
     396,   397,    99,  4457,   118,   302,   377,   513,   514,   515,
     302,   517,   518,   519,   520,   521,   522,  2799,  2800,   509,
     442,   524,   444,   528,   527,   528,  2808,   527,   478,   529,
     279,   527,  2814,   529,  1059,    89,    90,  2443,  2820,   400,
     334,   491,   513,   514,   515,   449,   517,   518,   519,   520,
     521,   522,   527,   527,   529,   529,  3071,   337,   229,   156,
     400,   527,   512,   529,   322,   527,   509,   529,  1093,   337,
    2852,   517,   518,   519,   520,   521,   526,   400,  1103,   334,
     441,   527,  1107,  1108,  1109,   118,  1008,  1009,  2870,    89,
      90,  2497,  2874,   337,   465,  2501,   509,  3069,  3070,  4106,
    3115,   441,  3074,   400,  2886,   279,   233,   468,   400,   529,
     207,  2517,  2808,   527,   519,   529,  2705,   527,   441,   529,
     442,  5245,   444,   157,  2713,   527,  2715,   529,   468,   527,
     491,   529,   493,   527,   527,  2808,   529,  4234,   526,  3111,
    3112,   527,   527,   529,   441,   468,  5270,   405,  5219,   441,
     128,   491,  2558,   493,  2936,    84,   234,   530,    87,   256,
     275,   527,  2944,   529,   261,   526,   519,   527,   491,   529,
     493,   468,  1197,  1198,   532,   532,   468,  1202,   302,   527,
     438,   529,   271,  3158,  3159,  3160,   526,   116,   527,   449,
     529,  2961,   449,   122,   491,  4362,   493,   208,   527,   491,
     529,   493,  2984,   526,   238,  3090,   302,   449,   527,  3090,
     529,  3096,   491,  3228,   493,  3096,   449,   146,  3000,   527,
     478,   529,   526,  1145,  3006,   259,   111,   449,   527,   526,
     529,   111,  3014,   491,   526,  1149,  3018,  1151,   527,  3021,
     529,   527,  3024,   529,   128,   130,    74,    75,    76,    77,
    3032,   277,   271,    81,   512,   527,   353,   529,   449,  3041,
    3090,   527,   296,   529,  3046,   527,  3096,   529,   526,   527,
     412,   527,   530,   529,  4148,   527,   400,   529,   163,   526,
     528,   210,   517,   518,   519,   520,   521,  3069,  3070,  3071,
     525,   527,  3074,   529,   256,   527,   393,   529,   495,  2705,
    3082,  3083,  3084,  3085,   400,   339,   526,  2713,  3090,  2715,
     382,   217,  5436,  3095,  3096,   526,  3098,   441,  3100,   527,
     217,   529,   251,  4279,  4280,  4281,   527,   256,   529,  3111,
    3112,   334,  4349,  3115,   527,   220,   529,   256,   527,   436,
     529,   527,  4621,   529,   468,   441,   528,  3129,  3203,  3131,
     334,  3133,  3203,  3203,  3203,  3203,   217,    74,    75,    76,
      77,   382,   256,   292,    81,   217,   463,   491,   253,   493,
     334,  3153,   468,   229,   471,   382,   527,   474,   529,   527,
     217,   529,  3164,  4988,  3166,  3167,  3168,  4662,   527,  2978,
     529,   527,   530,   529,  3090,   491,   291,   493,   283,   527,
    3096,   529,   526,   288,   527,  3187,   529,   336,   442,  3191,
     444,    74,    75,    76,    77,   187,   334,  3090,    81,   527,
     454,   529,  3204,  3096,   527,   472,   529,  3209,   526,   454,
     526,   465,   402,  3215,   468,   320,   329,  4171,  4172,   527,
     484,   529,  4037,  3225,  3727,   229,   527,    70,   529,   283,
    4184,    74,    75,    76,    77,    78,    79,  1482,    81,   368,
     526,  1486,  1487,   140,  1489,    74,    75,    76,    77,  5442,
    5443,   527,    81,   529,   527,   527,   529,   529,   111,   527,
    1505,   529,  3264,   495,   527,  3267,   529,  3269,   417,   527,
     320,   529,  3274,   334,  3276,   527,   527,   529,   529,   320,
     527,   386,   529,   118,   527,   390,   529,   527,   526,   529,
    3292,  3293,   397,  3398,  3399,  3400,  3298,   118,   527,   404,
     529,  4487,   527,   527,   529,   529,  1551,   412,   527,   527,
     529,   529,   527,   527,   529,   529,  4413,  3319,  4415,   424,
    3322,   348,   459,  3325,   229,   484,   484,   432,   153,   229,
    1575,   366,   531,   217,   526,   217,   217,   180,   481,   526,
    3342,   359,   217,   526,   110,   495,   217,   452,  3398,  3399,
    3400,   217,  2978,   529,   217,   217,   334,   217,   217,   334,
     217,   510,   217,   334,  3366,  1507,   217,   217,   517,   518,
     519,   520,   521,   522,   438,   229,  5569,  5570,  3187,   217,
     217,   486,  4453,   111,   526,   490,   491,   291,   229,   229,
     334,   526,   526,   526,   526,   229,  3398,  3399,  3400,   526,
     345,   526,   526,  1648,   526,   248,  4582,  4583,   526,  4585,
     526,   275,  1657,   492,   526,   526,   526,   526,   526,   526,
    3422,   111,   168,   526,   526,   526,  1671,   526,   526,  3431,
     526,  3433,  3434,   526,   526,   526,  3438,   526,   526,  4938,
    1582,   526,  3547,   529,   275,  3447,  3547,   529,   111,   291,
     277,  4946,  4947,   229,   332,  1000,   229,  1702,   330,  1601,
    1705,  1706,   412,   519,   307,  1710,  1711,   310,   271,   403,
     529,   310,   184,   471,   529,   515,  1021,    14,  1023,   526,
    1025,   526,  3398,  3399,  3400,  3832,  1031,  1032,  1033,  1631,
    3492,   529,   526,   449,   449,   528,   449,  3547,   400,   400,
     449,   293,   449,   449,  1646,  3398,  3399,  3400,   515,  3511,
    1055,  1056,   157,   449,   400,  3517,   217,   334,   288,   404,
    3634,   449,   449,   325,   449,   441,   334,   396,  3637,   471,
     330,   526,  3603,   249,   449,  4445,   449,   526,   157,   529,
    3542,  3543,  3613,  3702,   348,  3547,  3548,   256,   217,   472,
    1795,  3553,   472,  3555,   179,   449,   449,   449,   128,   128,
     403,  3187,   449,  4517,   338,  3567,  3637,  3569,   441,   449,
    3762,  3763,  3764,  3765,   117,   449,  3768,  3769,  3770,  3771,
    3772,  3773,  3774,  3775,  3776,  3777,   117,   400,   449,   529,
     334,   449,   277,   449,   334,  3830,   495,   449,   334,   277,
     449,   277,   491,   111,  3606,  1747,  1748,   526,  1750,   100,
     334,   217,   320,  3848,   526,   217,   483,   185,   299,   330,
    4574,  3623,  3624,  4647,   472,   320,   320,   111,   229,   111,
    4445,  3547,  3824,  3825,   283,   526,   401,  3639,  1183,   110,
     528,   447,   447,  3838,  3839,  3840,  3841,  3637,   524,   526,
     412,   449,   449,   217,  3547,   217,   524,  1202,   472,  4621,
      84,  4755,   217,    87,   507,  5160,  4933,    91,    92,    93,
    4764,   472,   217,   217,    14,   329,  3678,   449,   324,   312,
     234,  4819,   529,  5130,   108,   312,    87,   447,  4826,   242,
    3692,   111,  3797,  3695,   487,   449,  3797,   529,   526,   225,
     526,   234,   526,  5131,  1249,   515,   529,  4844,   451,   529,
     130,   527,   273,   249,   249,  3717,  1961,   526,  3720,   415,
     335,  5145,   529,  5147,   281,   472,   111,    34,    10,   342,
     529,   527,   527,   128,  3543,  3737,   527,   526,  3740,  3548,
     400,   400,  4838,   163,  3746,   449,   449,  3797,   325,   472,
    3752,   281,  3754,   281,   325,  3757,   449,   449,   449,  3761,
    3762,  3763,  3764,  3765,   484,   526,  3768,  3769,  3770,  3771,
    3772,  3773,  3774,  3775,  3776,  3777,   402,   454,   229,  3781,
    3782,  4284,   283,   325,  3786,   334,   118,  2032,   291,  3791,
     421,   291,   291,  3795,   333,  3797,   396,  3799,   449,   441,
     220,  5038,   529,   400,   382,  3807,   449,   334,  3810,   382,
    3812,   250,  5311,   409,   449,   449,   277,  2062,  3820,  3821,
     371,   111,  3824,  3825,   277,   277,   283,  3829,  3830,   277,
     277,   472,   472,   253,  3836,   333,   515,   217,   229,   229,
    5077,   515,   231,   330,  3846,   484,  3848,   217,   217,   409,
     216,   526,   320,   277,   526,   491,   111,   320,  3860,   334,
     334,   283,   520,   283,  3866,  3867,  3868,    84,   288,  4255,
      87,   247,   247,   229,    91,    92,    93,  4255,   111,   527,
     524,  3797,   310,  5059,   217,  4969,   509,   509,   334,   527,
     527,   108,   334,   334,  5070,   527,   283,   527,   409,   229,
     320,   256,   256,   256,  3797,   529,   495,    99,   529,   529,
     526,  3913,   336,   240,   234,  5053,   309,  3543,  3727,   491,
     449,   334,  3548,   128,  3926,   529,  4031,   329,   438,   454,
    4065,  4036,   484,  4038,   283,  4036,  4890,  4038,   234,  5033,
    3942,  1486,  1487,  2188,  1489,   527,  2191,  4857,   527,   345,
     234,   527,   527,   527,   352,  3957,  4148,   449,   344,   526,
    1505,   527,   527,   509,   527,   470,   386,   488,   527,   488,
     390,   529,   301,  5149,   478,   334,  4938,   397,   128,   527,
     527,  4031,   334,   334,   404,   526,  4036,  3989,  4038,   527,
    4900,   337,   412,   511,   526,   259,   530,   217,   515,   515,
     449,   495,   526,   526,   424,  5242,   526,   529,   267,   449,
     325,    84,   432,   527,    87,   527,   529,  5254,    91,    92,
      93,  4126,  5259,  5470,  5261,  4126,   449,   338,   449,  4031,
     526,   526,   452,   404,  4036,  4037,  4038,   217,   217,   404,
     404,   291,  4857,   116,   259,  2290,   449,   472,   293,   122,
     353,   353,   469,   400,   303,   449,   303,   449,  2200,   303,
     277,   449,   400,   400,   400,   449,   486,   449,   449,   320,
     490,   449,   449,   146,  4889,  5251,  4126,   449,   412,   217,
     117,   449,   449,   277,  4086,  4900,   449,  4089,   449,   513,
     514,   515,   277,   517,   518,   519,   520,   521,   522,   277,
     277,  3727,   529,   118,   384,   449,   178,   526,   333,   527,
     334,   527,   527,   527,   459,  4031,   526,   529,  4621,   336,
    4036,  2263,  4038,   111,  4126,   217,   449,   217,   229,   244,
     138,   472,   229,   472,   400,   400,   337,   400,  4031,   409,
     215,   215,   525,  4036,  4215,  4038,  4148,   526,   277,   277,
     277,   524,  2397,   208,   234,   529,    87,   345,   229,   483,
    1705,   242,   488,   335,   234,  1710,  1711,   529,   526,  4171,
    4172,   340,   529,  4175,   234,   389,   155,   527,   251,   527,
     459,   229,  4184,   256,  4186,   527,   529,   512,   111,   472,
     283,   472,   527,  4255,  2336,   449,   527,   459,   526,   515,
     267,   128,   515,   441,   526,  4255,   527,  4278,   527,   526,
    4126,   529,   449,   527,   404,   449,   400,   449,   449,   292,
     449,  4223,  4224,  4225,   400,   382,   527,    84,  4037,   527,
      87,   491,   527,  4126,   526,   128,   865,   441,   229,  1784,
     146,  1786,  1787,   217,   178,   874,   459,   277,   277,   527,
     277,   277,   526,  4255,   367,   491,  2501,   281,  5282,   116,
    1805,   262,   529,   336,   229,   122,   527,  1812,  1813,    70,
     526,  4479,  2517,   526,  2519,   151,  2521,    78,    79,   495,
     909,   529,   441,    84,   459,  4287,    87,   529,   529,   146,
      91,    92,    93,   449,    84,   525,   513,   514,   515,   526,
     517,   518,   519,   520,   521,   522,  4308,   108,   526,   409,
     111,   239,   178,  2558,   234,   116,   527,  4319,   277,   277,
     277,   122,   277,  4132,  4133,   527,   234,  2469,   526,   376,
     527,   128,   527,  1878,   489,   489,   529,   526,   967,   345,
     527,  1886,   280,   526,   417,   146,   527,  4349,   977,  5311,
     343,   280,   440,   210,   341,   526,   128,  4359,  4360,   245,
    4362,   527,   527,   527,  4366,  4367,   330,   515,  5278,  4371,
    4372,   449,   459,   234,  4376,   491,   146,  4379,  4380,  2624,
     261,   325,  4384,   325,  4455,   515,   128,   441,  4390,   529,
     529,  4526,   449,   140,   251,   217,   449,   449,   277,   256,
    1945,   236,   234,  1948,  1949,   256,  4408,   472,   526,   409,
    4412,  4037,   111,   472,   203,  4520,   111,   234,   487,   334,
     526,   229,  4424,   491,   264,   491,   337,  4429,   527,   275,
     234,   526,   526,  4435,   477,   292,   376,   510,   527,  4065,
     513,   514,   515,   425,   517,   518,   519,   520,   521,   522,
     251,  4453,   351,   280,   490,   256,   157,   198,    84,   334,
     377,    87,   526,  5278,  4466,   527,   527,   229,   526,   449,
    4520,   527,  2017,   449,   192,  4284,   277,   278,   325,   336,
    4482,   526,   526,   111,   526,   526,   325,   526,   304,   367,
     116,   292,   259,   526,   216,   527,   122,   111,  4500,   527,
     338,    89,   397,   526,   423,   397,   459,   423,   527,   128,
     515,   128,   111,   526,   526,  4517,   527,   526,  4520,   526,
     146,   472,   323,   527,   526,  2770,   529,  4529,   441,   441,
     318,   334,   441,  2778,    81,   336,   223,   527,   339,   367,
     140,  2786,  4544,  2788,   337,   140,   198,  4549,   491,    84,
     491,  2096,    87,    84,  4556,   476,    91,    92,    93,   477,
     417,   376,  4564,  4755,   526,   526,   529,   111,   412,   130,
     234,   441,  4574,   229,    84,  2120,   374,    87,   488,   203,
     261,    91,    92,    93,   210,  2130,   334,  2132,   334,   526,
     409,  2836,   111,   111,  2139,   236,   526,   337,   108,  2144,
     337,  4603,   163,   236,  4520,   527,   128,   190,   470,   396,
      81,   396,   526,    97,   383,    84,   417,   108,    87,  4621,
     527,  2866,    91,    92,    93,   251,   526,  4520,   526,  2874,
     256,  4440,   529,   527,   216,   449,  4638,   526,   529,   108,
     234,   367,   423,  2188,   423,   236,  2191,  4649,   491,   491,
     236,   382,   526,   510,  1245,  2900,  1992,  4466,  4284,   220,
     517,   518,   519,   520,   521,   522,   292,  2821,  1711,  1281,
    3187,  1280,  3375,  2677,  4036,  3539,  5152,  4125,  1307,  2746,
    4936,  5311,  4984,  4169,  4988,  4968,  4640,  3299,  2966,  1318,
      78,  2936,   253,  5396,  4856,  5324,    84,  5467,  5325,  5416,
    4702,    89,  4704,  3303,  4216,  4161,  4202,  2811,    84,   510,
     336,    87,   513,   514,   515,  4031,   517,   518,   519,   520,
     521,   522,  2811,  3399,  2063,  4185,  3592,   288,   116,  4665,
    2805,  5475,  5568,  5549,  4963,  3547,  3542,  4739,  5427,  4902,
     116,  2052,  2287,  2288,  5297,  5406,   122,  4905,   188,  2294,
    2295,  4287,  1381,  4755,  1542,  3274,  5102,  4759,  2532,   320,
    4223,  5219,  4764,  2266,  1558,   964,   992,   277,  2266,  3495,
     146,  5441,  2267,   161,  5552,  2426,  1856,  2427,  2323,  4781,
    4782,  2201,  4204,  4785,  3203,  4456,  4837,   348,  5388,  3924,
    1500,   417,  2949,  3204,  2467,  1757,  1739,  4799,  1756,  3871,
    3215,   336,  4804,  1682,  3210,  5381,  5263,  4809,   277,  4438,
    4812,  4813,  4621,  1123,  2466,  3225,  4399,  4414,  4820,  4821,
    1759,   382,  3848,  5067,  3846,   386,   336,  5245,  5244,   390,
    3925,  4936,  1764,  5036,  2379,  4936,   397,  3657,  3799,  4828,
    4842,  5033,  5077,   404,   232,  5384,  5371,  5385,  4850,  2360,
    4852,   412,  3207,  3042,  4856,  3132,   655,  3130,  2363,  3634,
    2875,  2098,  2501,   424,  5099,  5362,  1776,   336,   391,  1002,
    1554,   432,  1770,  2476,  1389,   251,  2517,  2509,  3181,  2510,
     256,  3931,  4439,  3932,   510,   424,  4936,  4889,  4890,  3897,
    2962,   517,   518,   519,   520,   521,   522,  4899,  2443,  1685,
    4526,  1200,  4973,  1200,  1774,  2230,  2521,     2,  1220,    84,
    4838,  1034,    87,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   486,    -1,  4998,    -1,  3071,
    1486,    -1,    -1,    -1,  4936,    -1,  4938,    -1,    -1,    -1,
      -1,   116,  3187,    -1,    -1,    -1,    -1,   122,  4950,    -1,
      -1,    -1,  2497,    -1,    -1,    -1,    -1,    -1,    -1,    84,
     336,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,   146,  2517,  3115,  2519,    -1,  2521,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
    3132,    -1,    -1,    -1,    -1,  4621,    -1,    -1,    -1,  5001,
      -1,  5003,   390,   513,   514,   515,  3148,   517,   518,   519,
     520,   521,   522,  2558,    -1,    -1,    -1,    -1,  5123,    -1,
    4936,  4830,  3164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5033,  5034,    -1,  5036,   210,  5038,   425,    -1,    -1,
      -1,   417,    -1,  4936,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,
    5062,  3203,    -1,    -1,  5066,    -1,    -1,    -1,    -1,    -1,
    5072,    -1,    -1,  5123,    -1,  5077,   251,  3322,    -1,    -1,
    4889,   256,    -1,  3225,    -1,    -1,  3228,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    -1,    -1,  5099,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    89,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
     116,  5123,    -1,    -1,    -1,    -1,   122,  5129,    -1,    -1,
    5201,  5133,  5134,    -1,   510,    -1,  5138,    -1,   116,    -1,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
     146,    -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,  3404,
    2705,   336,    -1,    -1,    -1,    -1,    -1,    -1,  2713,    -1,
    2715,  1429,    -1,    -1,    -1,    -1,    -1,  5179,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5199,    -1,    -1,
    3445,    -1,    -1,    -1,    -1,    -1,    -1,  5123,    -1,    -1,
      -1,   336,  1470,    -1,   210,    -1,    -1,  5219,  5220,    -1,
    1478,    -1,    -1,    -1,    -1,    -1,  1484,    -1,  5230,    -1,
    5123,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,
    5242,   219,   417,  5245,    -1,    -1,    -1,    -1,    -1,  3494,
      -1,    -1,  5254,    -1,   232,   251,    -1,  5259,  5493,  5261,
     256,  5263,    -1,  4889,    -1,    -1,    -1,    -1,  5270,    -1,
      -1,  3516,    -1,    -1,    -1,    -1,    -1,    -1,  3523,  3524,
      -1,    -1,  3527,    -1,    -1,    -1,  5288,   875,    -1,  3534,
      -1,    -1,    -1,    -1,   882,    -1,   292,    -1,  3543,    -1,
      -1,    -1,    -1,  3548,    -1,   893,    -1,    -1,  3553,  5311,
    3555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   921,    -1,   510,    -1,  5339,   926,    -1,
     336,    -1,   517,   518,   519,   520,   521,   522,  3593,   937,
      -1,    -1,    -1,    -1,  2899,  2900,    -1,  5428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5441,    -1,  5370,  5371,
    5441,  5441,  5441,  5441,    -1,    -1,    -1,  3622,  3623,  5381,
      -1,   101,  5487,    -1,    -1,    -1,  5487,  5389,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,  5401,
      -1,    -1,    84,    -1,    -1,    87,  3651,    -1,    -1,    91,
      92,    93,   390,    -1,    -1,    -1,    -1,    84,  5493,    -1,
      87,   417,  5493,  5493,  5493,  5493,    -1,    -1,   148,    -1,
      -1,    -1,    -1,  2978,  5436,    -1,    -1,  5487,    -1,    -1,
    5442,  5443,    -1,  5445,  5549,    -1,    -1,   425,  5549,   116,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,   179,
      -1,  3603,  5464,  5568,    -1,    -1,    -1,  5568,    -1,   857,
      -1,  3613,    -1,   861,    -1,  2104,    -1,  5552,    -1,   146,
     200,  5552,  5552,  5552,  5552,  5487,    -1,   875,    -1,    -1,
      -1,   211,    -1,    -1,   882,  3637,    -1,    -1,    -1,  5549,
      -1,    -1,    -1,    -1,    -1,   893,    -1,    -1,    -1,    -1,
      -1,   231,    -1,    -1,   510,    -1,   236,    -1,  5568,    -1,
    2149,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,    -1,   921,    -1,    -1,    -1,    -1,   926,    -1,
      -1,  5543,  5544,   210,    -1,    -1,    -1,  5549,    -1,   937,
      -1,    -1,    -1,    -1,    -1,  5557,    -1,    -1,    -1,    -1,
      -1,  3806,    -1,    -1,   284,    -1,  5568,  5569,  5570,    -1,
      -1,  5487,    -1,    -1,    -1,   963,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,   305,    -1,    -1,    -1,   256,
     978,    -1,    -1,    -1,  5487,   277,   984,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5230,    -1,    -1,   995,    -1,  1197,
    1198,    -1,  2241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1009,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5549,    -1,    -1,    -1,  3182,    -1,    -1,
    3185,    -1,  3187,    -1,    -1,    -1,   366,    -1,    -1,    -1,
      -1,    -1,  5568,    -1,   336,    84,  5549,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,   336,
      -1,    -1,    -1,   393,    -1,  5568,    -1,    -1,  5487,   108,
     400,    -1,    -1,    -1,    -1,    -1,   406,   116,  3830,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3846,    -1,  3848,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,   438,    -1,
    1108,   441,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,
    5549,  1129,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,  5568,
      -1,    42,    43,    -1,   484,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,  4037,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,  1197,
    1198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4066,   251,    -1,  4069,    -1,  4071,   256,    -1,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,   510,    -1,    -1,    -1,  2105,   277,   278,
     517,   518,   519,   520,   521,   522,   137,    -1,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,  4114,
      -1,    -1,    -1,    -1,    -1,  4120,  4121,    -1,  4123,   857,
    4125,    -1,    -1,   861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2150,    -1,   323,    -1,  2154,   875,    -1,    -1,
      -1,    -1,  2160,  2161,   882,    -1,    -1,   336,    -1,    -1,
     339,    -1,    -1,    -1,    -1,   893,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   101,    -1,  2183,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   921,    -1,    -1,   227,    -1,   926,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,   937,
      -1,  2590,    -1,    -1,    -1,    -1,    -1,   248,  2597,   147,
      -1,    -1,    -1,    -1,  4219,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,   963,    -1,    -1,   417,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3543,    -1,
     978,    -1,    -1,  3548,    -1,    -1,   984,    -1,    -1,    -1,
      -1,  4256,  4257,  4258,  4259,  4260,    -1,   995,    -1,    -1,
      -1,    -1,   200,    -1,    -1,  3570,   307,    -1,    -1,   310,
      -1,  1009,    -1,   211,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,  4301,    -1,   236,  4304,
      -1,  4306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4215,  1462,    -1,    -1,    -1,    -1,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,  1482,    -1,   525,    -1,    -1,  3644,
      -1,    -1,   531,    -1,    -1,    -1,  3651,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1505,    -1,    -1,
      -1,    -1,   403,    -1,    -1,    -1,    -1,   305,  1106,    -1,
    1108,    -1,  1110,    -1,    -1,    -1,  4278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1129,    -1,  1541,    -1,    -1,    -1,    -1,   336,    -1,
      -1,    -1,    -1,    -1,    -1,  2423,    -1,    -1,   449,  1557,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3727,   464,  1572,    -1,    -1,  1575,   366,    -1,
      -1,    -1,  4437,    -1,    -1,  4440,  4441,    -1,   479,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,  1795,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,   147,    -1,    -1,  1197,
    1198,  4466,   400,    -1,    -1,    -1,   507,   108,   406,    -1,
     161,   409,    -1,    -1,   515,   116,   517,   518,   519,   520,
     521,   122,    -1,   524,   525,   526,    -1,    -1,   179,    -1,
     531,   532,    -1,    -1,   185,    -1,    -1,    -1,   973,    -1,
     438,    -1,    -1,    -1,    -1,   146,  4408,   445,   111,   200,
    4412,    -1,    -1,    -1,   452,    -1,    -1,    -1,    -1,   994,
     211,   459,    -1,    -1,    -1,    -1,    -1,   130,   219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    -1,  1280,  1281,    -1,   236,   484,    -1,    -1,    -1,
      -1,   242,    -1,  4455,  1702,    -1,    -1,    -1,    -1,    -1,
     163,    -1,  1710,  1711,    -1,    -1,    -1,    -1,   259,    -1,
      -1,    -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,   284,    -1,    87,  4601,  4602,    -1,    91,
      92,    93,    -1,    -1,    -1,  4610,    -1,  4612,  4613,    -1,
     251,  4616,    -1,    -1,   305,   256,  4621,   220,    -1,    -1,
    4625,    -1,    -1,  3928,   116,    -1,  1774,  1775,  1776,  3018,
     122,    -1,    -1,    -1,    -1,  3024,   277,   278,    -1,    -1,
      -1,    -1,  1990,    -1,    -1,   336,    -1,  1795,    -1,    -1,
     253,   292,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   356,    -1,  4672,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   366,    -1,  1825,    -1,    -1,
     283,    -1,   323,    -1,  1832,   288,    -1,    -1,    -1,    -1,
      -1,  1839,    -1,    -1,    -1,   336,  4701,    -1,   339,    -1,
      -1,    -1,   393,    -1,    -1,    -1,    -1,   398,    -1,   400,
      -1,    -1,  2060,    -1,    -1,   406,  2064,   320,   409,    -1,
      -1,    -1,    -1,    -1,  1462,    -1,    -1,    -1,  2076,    -1,
      -1,    -1,  4037,    -1,    -1,  4740,    -1,    -1,    -1,  4744,
    4745,    -1,  4747,    -1,  1482,    -1,   437,   438,    -1,    -1,
     441,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,   251,
    4065,    -1,    -1,   454,   256,    -1,    -1,  1505,   459,    -1,
      -1,    -1,    -1,    -1,    -1,  3164,   417,    -1,    -1,    -1,
     471,    -1,    -1,   386,    -1,   277,   278,   390,    -1,    -1,
      -1,    -1,    -1,   484,   397,    -1,    -1,    -1,    -1,    -1,
     292,   404,    -1,  1541,  2152,    -1,    -1,    -1,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1557,
      -1,   424,    -1,    -1,    -1,    -1,    -1,  4132,  4133,   432,
      -1,   323,  2180,    -1,  1572,    -1,  3225,  1575,    -1,  1314,
      -1,    -1,  1990,    -1,   336,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1343,   510,
      -1,  2889,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,   486,  4889,    -1,    -1,   490,   529,    -1,
    2908,  2039,    98,    -1,    -1,    -1,    -1,    -1,   104,    -1,
      -1,    -1,  4804,    -1,    -1,  2923,    -1,  4809,  2926,  2927,
    4812,    -1,  2060,  2931,  2932,    -1,  2064,    -1,    -1,    -1,
    2938,    -1,  4927,   129,    -1,   417,    -1,    -1,  2076,    -1,
      -1,    -1,    -1,  4938,    -1,    -1,    -1,  4942,   144,  4944,
      -1,    -1,  4844,  4948,  4949,    -1,    -1,    -1,    -1,    -1,
      -1,  4256,  4257,  4258,  4259,  4260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1702,    -1,    -1,    -1,    -1,    -1,
      -1,   177,  1710,  1711,    -1,    -1,    -1,    -1,    -1,  4284,
      -1,    -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,   195,
      -1,    -1,    -1,    89,    -1,    -1,   202,    -1,  3016,   205,
      -1,    -1,    -1,  2151,  2152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2164,    -1,   510,    -1,
     116,   513,   514,   515,   230,   517,   518,   519,   520,   521,
     522,  2179,  2180,    -1,    -1,    -1,  1774,  1775,  1776,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   258,  2201,    -1,   261,    -1,  1795,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    84,    -1,    -1,    87,
      -1,  4973,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
    1555,    -1,    -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,
     108,    -1,    -1,    -1,  1832,    -1,  4998,    -1,   116,    -1,
     306,  1839,   308,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,  1849,   318,   209,   320,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,   219,   330,    -1,    -1,    -1,   146,    -1,
      -1,    -1,   338,    -1,    -1,  4440,   232,    -1,    -1,    -1,
      -1,   347,   348,    -1,    -1,    -1,    -1,    -1,  5153,    -1,
    1888,    -1,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4466,    -1,    -1,  5066,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5077,   382,    -1,    -1,   385,
     386,   387,    -1,  2331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2541,    -1,    -1,    -1,  5099,  2546,    -1,
      -1,    -1,  2550,    -1,    -1,    -1,   412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,  4526,    -1,    -1,    -1,    -1,    -1,    -1,  2576,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,  4547,  4548,    -1,    -1,    -1,  4552,  4553,   164,
      -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
    2618,    -1,    -1,    -1,   292,    -1,  2424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2635,    -1,    -1,
    3308,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,  5201,
      -1,  2039,    -1,  3692,    -1,   323,  5311,    -1,    -1,   224,
      -1,    -1,    -1,    -1,   229,    -1,  4621,  2665,   336,   234,
      -1,   339,  2060,    -1,   239,    -1,  2064,   242,    -1,    -1,
     245,  2479,    -1,  2481,    -1,    -1,    -1,    -1,  2076,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,  2696,    -1,
      87,    -1,  2700,  2501,    91,    92,    93,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,  3383,    -1,  3385,    -1,    -1,
    2718,   108,    -1,    -1,    -1,    -1,    -1,    -1,   293,   116,
      -1,  2729,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2541,  2742,    -1,    -1,  2545,  2546,   417,
      -1,    -1,  2550,  2751,    -1,    -1,    -1,    -1,    -1,   146,
    2558,    -1,    -1,  2151,  2152,    -1,    -1,   332,    -1,   334,
      -1,    -1,    -1,    -1,    -1,   340,  2164,    -1,  2576,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2179,  2180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1929,    -1,    -1,  3846,    -1,  3848,
      -1,    -1,    -1,  2201,    -1,    -1,    -1,    -1,    -1,    -1,
    2618,    -1,    -1,  3491,   389,    -1,    -1,    -1,    -1,  3497,
      -1,    -1,  5487,    -1,    -1,    -1,    -1,  2635,  2636,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      -1,   529,    -1,    -1,   251,    -1,  2664,  2665,    -1,   256,
    2668,    -1,    -1,   438,    -1,  4830,  5428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,  5441,
     277,   278,    -1,    -1,  5549,    -1,    -1,    -1,  2696,   464,
    2025,    -1,  2700,    -1,    -1,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5568,    -1,    -1,    -1,    -1,  3957,  2044,
    2718,    -1,    -1,   488,    -1,   490,   491,    -1,    -1,    -1,
      -1,  2729,    -1,    -1,  4889,    -1,   323,    -1,    -1,    -1,
      -1,  5493,    -1,  2331,  2742,    -1,    -1,    -1,    -1,   336,
      -1,    -1,   339,  2751,    -1,    -1,    -1,    -1,    -1,   524,
      -1,    -1,   527,   528,    -1,   530,  2091,    -1,    -1,    -1,
    3638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2110,  2984,    -1,    -1,    -1,
      -1,    -1,    -1,  3661,  3662,    -1,  3664,  2122,  3666,  3667,
    5552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3006,  2134,
    2808,  3679,    84,    -1,    -1,    87,  3014,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,  2424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,  2174,
     122,  3719,  2177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,  2874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2479,    -1,  2481,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,   857,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   875,
     517,   518,   519,   520,   521,   522,   882,    -1,  2936,    -1,
     527,    -1,    -1,    -1,    -1,    -1,    -1,   893,    -1,   144,
      -1,    -1,    -1,  2541,    -1,    -1,    -1,  2545,  2546,    -1,
      -1,    -1,  2550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2558,    -1,    -1,    -1,    -1,   921,    -1,    -1,    -1,   251,
     926,    -1,    -1,    -1,   256,    -1,  2984,    -1,  2576,    -1,
      -1,   937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     195,  2326,    -1,    -1,    -1,   277,   278,   202,  3006,    -1,
     205,    -1,    -1,    -1,    -1,    -1,  3014,   963,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2618,    -1,   978,    -1,    -1,   230,    -1,    -1,   984,    -1,
      -1,  2629,    -1,    -1,    -1,    -1,    -1,  2635,  2636,   995,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1009,   336,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5230,  2664,  2665,  3276,    -1,
    2668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3090,    -1,    84,    -1,    -1,    87,  3096,    -1,
      -1,    91,    92,    93,    -1,    98,  2694,    -1,  2696,    -1,
      -1,   104,  2700,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,  3319,    -1,   318,    -1,   320,   116,    -1,    -1,    -1,
    2718,    -1,   122,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,  2729,    -1,   338,    -1,   417,    -1,    -1,    -1,    -1,
      -1,   144,    -1,   348,  2742,    -1,   146,    -1,    -1,    -1,
    1106,    -1,  1108,  2751,  1110,    -1,    -1,    -1,    -1,  4408,
      -1,    -1,    -1,  4412,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,  3187,
     385,   386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,   202,
      -1,    -1,   205,    -1,    -1,    -1,    -1,   412,    -1,    -1,
    2808,    -1,    -1,    -1,  3422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3434,   230,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,  1197,  1198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,   261,  2594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3276,    -1,
     475,  2606,    -1,    -1,    -1,    -1,  2874,   277,   278,    -1,
      -1,    -1,    -1,    -1,  3292,  3293,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3511,    -1,    -1,    -1,    -1,  2643,    -1,
      -1,  3319,    -1,    -1,  3322,   318,    -1,   320,    -1,    -1,
      -1,    -1,  5487,   323,  1280,  1281,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,   336,    -1,  2936,   339,
      -1,    -1,    -1,    -1,    -1,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,   386,  5549,  4263,  2984,    -1,    -1,    -1,
    3398,  3399,  3400,  4271,  4272,  4273,  4274,    -1,    -1,    -1,
    4649,    -1,    -1,  5568,    -1,    -1,    -1,    -1,  3006,   412,
      -1,    -1,    -1,    -1,  3422,    -1,  3014,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3434,    -1,    84,    -1,
    3438,    87,    -1,    -1,    -1,    91,    92,    93,    -1,  3447,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,   108,    -1,    -1,   104,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,  2800,   122,    -1,    -1,    -1,
    3678,    -1,   475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     129,    -1,    -1,    -1,    -1,    -1,    -1,  3695,    -1,    -1,
     146,    -1,  3090,    -1,    -1,   144,    -1,    -1,  3096,    -1,
      -1,    -1,    -1,  3511,    -1,    -1,  1462,    -1,    -1,    -1,
     510,    -1,  3720,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,  1482,   527,   177,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3547,
      -1,    -1,    98,    -1,    -1,  3553,   195,  3555,   104,  1505,
    4799,    -1,    -1,   202,    -1,  4804,   205,    -1,    -1,  3567,
    4809,  3569,    -1,  4812,  4813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,  1541,    -1,    -1,   144,  3187,
      -1,    -1,    -1,  4842,    -1,   251,    -1,    -1,    -1,    -1,
     256,  1557,    -1,    -1,    -1,    -1,    -1,  4856,    -1,   258,
      -1,    -1,   261,    -1,    -1,  3623,  1572,    -1,    -1,  1575,
    4498,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,   195,
      -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,   205,
    4899,    -1,  4530,  4531,    -1,    -1,    -1,   306,    -1,   308,
      -1,    -1,    -1,    -1,    -1,  3000,    -1,   323,    -1,   318,
    3678,   320,    -1,    -1,   230,    -1,    -1,    -1,  3276,    -1,
     336,   330,    -1,   339,    -1,    -1,  3021,  3695,    -1,   338,
      -1,    -1,    -1,    -1,  3292,  3293,    -1,  3032,   347,   348,
      -1,  4950,    -1,    -1,    -1,   261,    -1,    84,    -1,  3717,
      87,    -1,  3720,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,  3319,    -1,    -1,  3322,    -1,  4604,  4605,    -1,    -1,
      -1,   108,    -1,   382,    -1,    -1,   385,   386,   387,   116,
      -1,    -1,    -1,    -1,    -1,   122,  1702,    -1,    -1,    -1,
      -1,    -1,  5001,    -1,  1710,  1711,    -1,    -1,    -1,    -1,
      -1,   417,   318,   412,   320,  1721,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,   330,    -1,    -1,   426,    -1,    -1,
      -1,  3989,   338,    -1,    -1,    -1,    -1,    -1,    -1,  3797,
      -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3398,  3399,  3400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5066,  1774,    -1,
      -1,    -1,    -1,    -1,  3422,    -1,   475,    -1,    -1,   385,
     386,    -1,    -1,    -1,  4712,    -1,  3434,    -1,    -1,  1795,
    3438,    -1,    -1,    -1,  4722,  4723,    -1,    -1,    -1,  3447,
      -1,    -1,    -1,    -1,   510,    -1,   412,   513,   514,   515,
    4738,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,   527,    -1,    -1,   251,    -1,    -1,    -1,  4086,   256,
      -1,  4089,    -1,  1839,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1849,    -1,    -1,    -1,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3511,    -1,   292,    -1,    -1,    -1,   475,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
    5179,    -1,  1888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,   973,   323,    -1,    -1,  3547,
      -1,    -1,   116,    -1,    -1,  3553,    -1,  3555,   122,   336,
      -1,    -1,   339,    -1,    -1,    -1,   994,    -1,    -1,  3567,
      -1,  3569,    -1,    -1,    -1,    -1,    -1,    -1,  4186,    -1,
      -1,  3989,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3325,    -1,    -1,    -1,    -1,    -1,  5245,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5270,    -1,  4031,    -1,  3623,    -1,    -1,  4036,    -1,
    4038,    -1,    -1,    -1,  1990,    -1,    -1,    -1,    84,    -1,
     417,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,  4086,  4287,
    3678,  4089,    -1,  2039,    -1,    -1,    -1,   251,    -1,    -1,
    5339,    -1,   256,    -1,    -1,    -1,  3431,  3695,  3433,    -1,
     146,    -1,    -1,    -1,  2060,    -1,    -1,    -1,  2064,    -1,
      -1,    -1,    -1,   277,   278,    -1,    -1,    -1,  4126,  3717,
    2076,    -1,  3720,    -1,    -1,    -1,    -1,    -1,   292,    -1,
      -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,  5026,    -1,
     527,    -1,  5401,    -1,    -1,    -1,    -1,  3492,    -1,   323,
      -1,    -1,    -1,  4171,  4172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,   339,  4184,    -1,  4186,    -1,
      -1,    -1,  3517,    -1,    -1,    -1,    -1,  5436,    -1,    -1,
      -1,    -1,    -1,  5442,  5443,  2151,  2152,    -1,    -1,  3797,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,  2164,    -1,
     256,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
      -1,   104,    -1,  2179,  2180,    -1,  5104,    -1,    -1,    -1,
      98,   277,   278,    -1,    -1,    -1,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2201,   292,  4255,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3606,  5150,    -1,    -1,    -1,   144,   323,    -1,  4287,
      -1,    -1,    -1,    -1,    -1,    -1,  1314,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3639,    -1,  1334,    -1,  5557,    -1,
      -1,    -1,   195,    -1,    -1,  1343,    -1,    -1,    -1,   202,
    5569,  5570,   205,    -1,    -1,    -1,    -1,   195,    -1,    -1,
      -1,    -1,    -1,    -1,   202,    -1,  4544,   205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,   230,  4556,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,   230,   527,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,    -1,  2331,    -1,    -1,   261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3989,    -1,   261,    -1,    -1,  1424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3761,    -1,    -1,    -1,
      -1,    -1,    -1,  4031,    -1,   318,    -1,   320,  4036,    -1,
    4038,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
     318,  3786,   320,    -1,    -1,   338,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,   510,   348,    -1,   513,   514,   515,
     338,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
     348,   527,    -1,    -1,    -1,  3820,    -1,    -1,  4086,    -1,
      -1,  4089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,   386,    -1,    -1,    -1,    -1,    -1,  4517,
      -1,    -1,  4520,    -1,   382,    -1,    -1,   385,   386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1555,  4126,   412,
      -1,  4739,    -1,    -1,    -1,    -1,  4544,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,  2501,    -1,    -1,  4556,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4574,    -1,    -1,    -1,
      -1,    -1,    -1,  4171,  4172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5462,  2541,  4184,    -1,  4186,  2545,
    2546,    -1,   475,    -1,  2550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2558,    -1,    -1,    -1,    -1,   475,    -1,    -1,
      -1,    -1,    -1,  4621,    -1,    -1,    -1,    -1,    -1,    94,
    2576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4850,    -1,  4852,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   131,  4255,    -1,    -1,
       3,    -1,  2618,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      13,    -1,    15,  2629,    17,    18,    -1,   152,    -1,  2635,
    2636,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,  4287,
      -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    44,    45,    -1,    -1,    -1,    -1,    -1,  2664,  2665,
     185,    -1,  2668,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,  4739,    -1,   208,    -1,   210,    -1,    -1,  2694,   214,
    2696,    -1,    -1,    -1,  2700,   108,    -1,    -1,    -1,   224,
      -1,    94,    -1,   116,    -1,    -1,    -1,    -1,   233,   122,
      -1,   104,  2718,   106,   107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2729,    -1,    -1,    -1,    -1,   121,    -1,
      -1,    -1,    -1,   146,    -1,    -1,  2742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2751,    -1,    -1,   141,    -1,
     143,   144,    -1,    -1,    -1,  1833,   149,    -1,   151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,   181,    -1,
    4175,   184,  4850,    -1,  4852,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2808,   196,    -1,   198,    -1,    -1,    -1,   202,
      -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,  1896,    -1,
      -1,    -1,    -1,   216,    -1,   218,    -1,    -1,    -1,    -1,
      -1,   224,  4890,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,    -1,   256,    -1,    -1,   239,    -1,    -1,    -1,
      -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   255,    -1,   277,   278,    -1,    -1,  2874,  4517,
      -1,    -1,  4520,    -1,    84,    -1,    -1,    87,  4936,   292,
    4938,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,   108,    -1,
      -1,   294,   295,    -1,    -1,    -1,   116,   300,  4556,    -1,
     323,    -1,   122,    -1,    -1,    -1,    -1,    -1,   311,    -1,
      -1,    -1,    -1,   336,    -1,    -1,  4574,    -1,    -1,   322,
    2936,    -1,  2010,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2044,    -1,   361,    -1,
      -1,    -1,    -1,  4621,    -1,    -1,    -1,    -1,  2984,    -1,
     373,    -1,    -1,    -1,    -1,   378,   379,  4372,   381,    -1,
      -1,    -1,    -1,   386,    -1,    -1,    -1,    -1,   391,    -1,
    3006,   394,    -1,    -1,   417,    -1,   399,    -1,  3014,    -1,
      -1,   404,   405,  2091,    -1,    -1,    -1,    -1,    -1,   412,
      -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2110,   426,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    98,    -1,  2122,   438,   256,    -1,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   457,  5123,   459,   277,   278,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,
     473,    -1,   292,    -1,  3090,   478,    -1,    -1,   144,    -1,
    3096,  4739,    -1,    -1,    -1,    -1,  2174,   510,   491,  2177,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,   323,    -1,  4500,    -1,    -1,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
     655,  5389,    -1,   526,    -1,    -1,    -1,   530,    -1,   195,
      -1,    -1,    -1,    -1,  4529,    -1,   202,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,
      -1,  3187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4850,    -1,  4852,   261,    84,   417,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,  4603,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,  4890,    -1,   122,    -1,    -1,    -1,  2326,    -1,
      -1,    -1,    -1,  5311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   318,    -1,   320,    -1,    -1,    -1,   146,    -1,
    3276,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   338,    -1,    -1,    -1,  3292,  3293,  4936,    -1,
    4938,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,  3319,    -1,    -1,  3322,   527,    -1,  4704,
      -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,
     386,  5389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     865,   866,   867,   868,    -1,   870,    -1,   872,    -1,   874,
      -1,   876,    -1,    -1,   879,    -1,   412,    -1,    -1,    -1,
     885,    -1,    -1,   888,    -1,    -1,    -1,   892,    -1,   894,
      -1,    -1,    -1,   251,  4759,    -1,    -1,   902,   256,    -1,
      98,    -1,   907,    -1,   909,    -1,   104,   912,    -1,   914,
      -1,   916,  3398,  3399,  3400,    -1,    -1,    -1,   923,   277,
     278,    -1,   927,    -1,    -1,    -1,    -1,    -1,    -1,   934,
      -1,    -1,    -1,    -1,   292,    -1,  3422,    -1,    -1,   475,
      -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,  3434,  5487,
      -1,    -1,  3438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3447,   967,    -1,    -1,   323,    -1,   972,    -1,  2527,
      -1,    -1,   977,  2531,  2532,    -1,   981,    84,   336,    -1,
      87,   339,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,   998,    -1,  5123,    -1,   195,    -1,    -1,
      -1,   108,    -1,    -1,   202,    -1,    -1,   205,    -1,   116,
      -1,  5549,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3511,    -1,    -1,    -1,    -1,
    5568,    -1,   230,    -1,    -1,    -1,  2594,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2606,  1054,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,  3547,    -1,   261,  1069,    -1,  1071,  3553,    -1,  3555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3567,    -1,  3569,    -1,  2643,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1099,  1100,    -1,    -1,    -1,  1104,
    1105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1124,
     318,    -1,   320,  1128,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1136,   330,    -1,    -1,    -1,    -1,  3623,    -1,    -1,
     338,    -1,  1147,    -1,   251,    -1,    -1,    -1,    -1,   256,
     348,    -1,   510,    -1,  1159,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,   525,    -1,  5034,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5311,   382,   292,    -1,   385,   386,    -1,
      -1,    -1,  3678,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5072,    -1,  3695,
      -1,    -1,    98,    -1,   412,    -1,   323,    -1,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,
      -1,  3717,   339,    -1,  3720,    -1,  1241,    -1,    -1,    -1,
      -1,    -1,  2800,    -1,    -1,  1250,    -1,    -1,    -1,    -1,
    1255,  1256,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,
      -1,  5389,    -1,    -1,  5129,    -1,    -1,    -1,  5133,  5134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1307,    -1,    -1,    -1,    -1,    -1,    -1,   195,
     417,  3797,  2870,  1318,    -1,    -1,   202,  1322,    -1,   205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   230,    -1,    -1,  1352,    -1,    -1,
      -1,    -1,    -1,  1358,  1359,  5220,    -1,    -1,    -1,  5487,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
    1375,  1376,  1377,    -1,  1379,   261,  1381,    -1,    -1,    -1,
      -1,  1386,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    84,    -1,    -1,    87,    -1,   122,    -1,
      91,    92,    93,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,   108,    -1,    -1,
     527,  5549,   146,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,
    5568,    -1,  3000,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,  1456,   338,  1458,  1459,   146,    -1,    -1,    -1,    -1,
      -1,    -1,   348,  3021,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3032,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,  1497,    -1,    -1,    -1,   382,    -1,    -1,   385,
     386,    -1,    -1,  3989,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,   251,    -1,    -1,
    1535,  1536,   256,    -1,    -1,  1540,    -1,  1542,    -1,    -1,
      -1,    -1,   146,    -1,    -1,  4031,    -1,    -1,    -1,    -1,
    4036,    -1,  4038,   277,   278,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,  1568,    -1,   256,  1571,    -1,   292,  1574,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1586,    -1,    -1,    -1,    -1,   277,   278,    -1,   475,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
    4086,   292,    -1,  4089,    -1,    -1,    -1,    -1,    -1,  1614,
      -1,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    -1,    -1,  1642,  1643,  1644,
    4126,  1646,    -1,    -1,    -1,   336,    -1,   251,   339,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1688,  1689,  4171,  4172,    -1,   292,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,  4184,    -1,
    4186,    -1,    -1,    -1,    -1,    -1,  3264,    -1,    -1,  3267,
      -1,  3269,  1717,    -1,    -1,  1720,  3274,    -1,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1749,    -1,    -1,    -1,  1753,  1754,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1764,
    1765,  1766,    -1,    -1,    -1,    -1,    -1,  3325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3342,    -1,   510,    -1,  1793,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,  4287,    -1,   527,    -1,    -1,    -1,    -1,  3366,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3431,    -1,  3433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   144,    -1,    -1,    -1,    -1,  1901,  1902,    -1,    -1,
     144,    -1,    -1,    -1,  1909,    -1,   510,  1912,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,   527,    -1,    -1,  1931,    -1,  1933,    -1,
      -1,    -1,    -1,    -1,  3492,    -1,  1941,    -1,    -1,  1944,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,   202,
      -1,   195,   205,    -1,    -1,    -1,    -1,    -1,   202,  3517,
      -1,   205,    -1,  1968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1976,  1977,  1978,  1979,  1980,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3543,   230,    -1,    -1,  1994,
    3548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2006,    -1,  2008,    -1,    -1,    -1,    -1,   261,    -1,
      -1,    -1,    -1,    -1,  2019,  2020,    -1,   261,    -1,    -1,
      -1,    -1,    -1,  2028,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4517,    -1,  2038,  4520,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3606,    -1,
      -1,    -1,  2057,    -1,    -1,    -1,    -1,    -1,  4544,    -1,
      -1,  2066,  2067,  2068,  2069,   318,  3624,   320,    -1,    -1,
    4556,    -1,    -1,  2078,   318,    -1,   320,   330,    -1,    -1,
    2085,  3639,    -1,  2088,    -1,   338,   330,    -1,  4574,    -1,
      -1,    -1,    -1,    -1,   338,   348,    -1,    -1,    -1,  2104,
      -1,    -1,    -1,    -1,   348,    -1,  2111,    -1,    -1,    -1,
      -1,  2116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,   386,    -1,  4621,    -1,    -1,   382,    -1,
      -1,   385,   386,    -1,  2149,    -1,    -1,    -1,    -1,    -1,
      98,    -1,    -1,    -1,  2159,    -1,   104,    -1,  2163,   412,
      -1,  2166,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,
      -1,  2176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2184,
    2185,    -1,  3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2198,    -1,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,  3761,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   475,    -1,    -1,    -1,    -1,  2232,  3786,    -1,
      -1,   475,    -1,    -1,  2239,    -1,  2241,    -1,    -1,    -1,
    2245,  2246,    -1,  2248,    -1,    -1,    -1,   195,    -1,    -1,
    2255,    -1,    -1,  4739,   202,    -1,    -1,   205,    -1,    -1,
    2265,    -1,  3820,    -1,    -1,  2270,  2271,    -1,    -1,  2274,
      -1,    -1,    -1,  2278,  2279,    -1,    -1,    -1,    -1,  2284,
    2285,    -1,   230,    -1,    -1,    -1,  2291,  2292,  2293,    -1,
      -1,    -1,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,
      -1,  2306,    -1,  2308,  2309,    -1,    -1,  2312,    -1,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2327,  2328,  2329,  2330,    -1,    -1,    -1,  2334,
    2335,    -1,    -1,    -1,  2339,    -1,    -1,  2342,    -1,    -1,
    2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,    -1,
    2355,    -1,    -1,    -1,    -1,    -1,    -1,  2362,  2363,    -1,
      -1,  2366,    -1,    -1,  4850,    -1,  4852,    -1,    -1,    -1,
     318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,  2388,  3942,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
     348,    -1,    -1,    -1,  4890,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2425,    -1,  2427,    -1,  2429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   382,    -1,    -1,   385,   386,    -1,
      -1,    -1,    -1,   212,    -1,    -1,    -1,    -1,    -1,    -1,
    4936,    -1,  4938,    -1,    -1,   224,    -1,    -1,    -1,  2464,
     229,    -1,    -1,    -1,   412,   234,  2471,    -1,  2473,    -1,
     239,    -1,    -1,   242,    -1,    -1,   245,    -1,    -1,  4037,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,   273,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,   293,    -1,   122,   475,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,  2551,    87,    -1,    -1,
     146,    91,    92,    93,    -1,  2560,    -1,  2562,    -1,    -1,
      -1,    -1,    -1,   332,    -1,   334,    -1,    -1,   108,    -1,
      -1,   340,    -1,    -1,  2579,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,  2590,    -1,  2592,  2593,    -1,
      -1,    -1,  2597,    -1,  2599,    -1,  2601,    -1,  2603,    -1,
      -1,    -1,  2607,    -1,    -1,  2610,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4175,    -1,    -1,
     389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2639,    -1,    -1,  5123,    -1,    -1,
      -1,  2646,    -1,    -1,    -1,    -1,    -1,  2652,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,  2661,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,  4223,    -1,    -1,    -1,   438,
      -1,    -1,    -1,    -1,    -1,  2680,    -1,    -1,    -1,  2684,
    2685,   277,   278,    -1,    -1,    -1,    -1,    -1,  2693,    -1,
      -1,    -1,    -1,    -1,    -1,   464,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2711,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,   488,
      -1,   490,   491,    -1,    -1,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,  2738,    -1,  2740,  2741,   277,   278,    -1,
     336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,   524,    -1,    -1,   527,   528,
      -1,   530,    -1,    -1,  2769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2777,    -1,  2779,    -1,    -1,    -1,    -1,    -1,
    2785,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2799,    -1,   336,    -1,    -1,   339,
      -1,    -1,    -1,    -1,  4362,    -1,    -1,    -1,  2813,    -1,
      -1,  2816,    -1,  2818,  4372,    -1,  2821,    -1,    -1,  2824,
      -1,   417,    -1,    -1,    -1,  5311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2850,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2859,  2860,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2875,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,  2886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2900,  2901,    -1,    -1,    -1,
      -1,    -1,    -1,  5389,    -1,    -1,    -1,    -1,  2913,    -1,
    2915,  2916,  2917,  2918,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2944,
      -1,    -1,  4500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,  4529,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,    -1,
      -1,  4549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5487,    -1,  3008,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3018,    -1,    -1,    -1,    -1,    -1,  3024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3035,    -1,    -1,    -1,    -1,    -1,  3041,    -1,    -1,    -1,
      -1,  3046,    -1,    -1,    -1,  4603,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5549,  3069,  3070,  3071,    -1,    -1,  3074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,  3083,  3084,
    3085,    -1,  5568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3095,    -1,    -1,  3098,    -1,  3100,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3111,  3112,    -1,    -1,
    3115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3127,    -1,  3129,    -1,  3131,    -1,  3133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4704,    -1,  3153,    -1,
      -1,    -1,  3157,    -1,    -1,    -1,    -1,    -1,    -1,  3164,
      -1,  3166,  3167,  3168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,  3191,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,  3204,
      -1,  4759,    -1,    -1,  3209,   116,    -1,     5,    -1,    -1,
    3215,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3225,    -1,    -1,  3228,    -1,    -1,  3231,    25,  3233,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,  3298,    -1,  3300,    -1,    -1,    -1,    -1,
    3305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3331,    -1,  3333,  3334,
    3335,  4889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,
     251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,   227,
      -1,  3436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5003,    84,    -1,    -1,    87,
     248,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,   271,    -1,    -1,  5034,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,   146,   307,
      -1,    -1,   310,  3518,  5072,    -1,    -1,    -1,    -1,    -1,
    3525,  3526,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3559,  3560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3575,  5129,    -1,    -1,    -1,  5133,  5134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3590,  3591,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3599,  3600,  3601,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   403,   517,   518,   519,   520,
     521,   522,  3617,   251,    -1,    -1,   527,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3634,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,    -1,    -1,  3651,    -1,    -1,    -1,
      -1,   449,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5220,  3668,    -1,  3670,   464,    -1,    -1,  3674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,    -1,   323,    -1,  3692,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,  3702,   336,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
      -1,    -1,    -1,  3718,    -1,    -1,    -1,   515,    -1,   517,
     518,   519,   520,   521,    -1,  3730,   524,   525,   526,   527,
      -1,    -1,  3737,   531,    -1,    -1,    -1,    -1,    -1,    -1,
     161,  3746,    -1,    -1,    -1,    -1,    -1,  3752,    -1,  3754,
      -1,    -1,  3757,    -1,    -1,    -1,    -1,  3762,  3763,  3764,
    3765,    -1,    -1,  3768,  3769,  3770,  3771,  3772,  3773,  3774,
    3775,  3776,  3777,    -1,    -1,    -1,  3781,  3782,    -1,   417,
      -1,    -1,    -1,    -1,    -1,    -1,  3791,    -1,   209,    -1,
    3795,    -1,    -1,    -1,  3799,    -1,   217,    -1,   219,    -1,
      -1,    -1,  3807,    -1,    -1,  3810,    -1,  3812,    -1,    -1,
      -1,   232,    -1,    -1,    -1,    -1,  3821,    -1,    -1,  3824,
    3825,    -1,    -1,    -1,  3829,  3830,    -1,    -1,    -1,  3834,
      -1,  3836,    -1,    -1,    -1,    -1,    -1,    -1,  3843,  3844,
    3845,  3846,    -1,  3848,  3849,    -1,    -1,    -1,  3853,  3854,
      -1,    -1,    -1,    -1,    -1,  3860,    -1,    -1,    -1,    -1,
      -1,  3866,  3867,  3868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3913,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3924,
      -1,  3926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3957,  3958,  3959,    -1,  3961,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3979,  3980,  3981,  3982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4018,    -1,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    40,    -1,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,   137,    -1,    -1,    -1,    -1,   116,    -1,    -1,  4144,
      -1,  4146,   122,  4148,    -1,    -1,    -1,    -1,    -1,  4154,
      -1,    -1,    -1,    -1,    -1,  4160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4169,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4189,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4199,    -1,    -1,    -1,    -1,    -1,
      -1,  4206,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4216,    -1,    -1,    -1,  4220,    -1,    -1,    -1,  4224,
    4225,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4256,  4257,  4258,  4259,  4260,    -1,    -1,    -1,    -1,
      -1,  4266,    -1,  4268,    -1,   271,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,   278,    -1,
      -1,   307,    -1,  4308,   310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,  4319,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,  4349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4359,  4360,   336,    -1,    -1,   339,
      -1,  4366,  4367,    -1,    -1,    -1,  4371,    -1,    -1,    -1,
      -1,  4376,    -1,    -1,  4379,  4380,    -1,    -1,    -1,  4384,
    4385,    -1,    -1,    -1,    -1,  4390,  4391,  4392,  4393,  4394,
      -1,    -1,    -1,  4398,  4399,    -1,  4401,   403,    -1,  4404,
      -1,    -1,    -1,  4408,    -1,    -1,    -1,  4412,    -1,    -1,
      -1,    -1,    -1,  4418,    -1,    -1,    -1,    -1,    -1,  4424,
      -1,    -1,    -1,    -1,  4429,    -1,    -1,    -1,    -1,    -1,
    4435,    -1,    -1,    -1,    -1,    -1,   857,   417,    84,    -1,
    4445,    87,    -1,   449,   865,    91,    92,    93,  4453,    -1,
      -1,  4456,    -1,   874,    -1,    -1,  4461,    -1,   464,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,   479,  4479,    -1,   122,  4482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4502,  4503,    -1,
     146,   507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
      -1,   517,   518,   519,   520,   521,    -1,    -1,   524,   525,
     526,   527,  4527,   529,   530,   531,   532,   533,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,   967,   527,    -1,    -1,
      -1,    -1,   973,    -1,    -1,    -1,   977,    -1,    -1,  4564,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   994,    -1,    84,    -1,    -1,    87,  4584,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4598,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,   251,    -1,   116,    -1,    -1,
     256,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   277,   278,  4638,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,  4649,    -1,   292,    -1,    -1,  4654,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4662,    -1,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4677,  4678,    -1,    -1,    -1,   323,  1099,  1100,
      -1,    -1,    -1,    -1,    -1,  1106,    -1,    -1,    -1,  1110,
     336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4707,    -1,    -1,  4710,    -1,    -1,    -1,    -1,
      -1,   212,    -1,    -1,    -1,  1136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,   229,    -1,
      -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,   239,    -1,
      -1,   242,   251,    -1,   245,    -1,    -1,   256,    -1,    -1,
    4755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4764,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,   278,
      -1,   417,   273,    -1,    -1,    -1,  4781,  4782,    -1,    -1,
    4785,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,  4799,  4800,    -1,    -1,    -1,  4804,
      -1,    -1,    -1,    -1,  4809,    -1,    -1,  4812,  4813,    -1,
    4815,    -1,  4817,    -1,   323,  4820,  4821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,   332,    -1,   334,    -1,    -1,    -1,  4842,    -1,   340,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4856,  4857,  4858,  4859,  4860,    -1,    -1,    -1,  1280,
    1281,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,   527,    -1,    -1,    -1,    -1,  1307,    -1,   389,    -1,
      -1,    -1,    -1,  1314,  4899,  4900,    -1,  1318,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
      -1,    84,    -1,  1334,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   438,    -1,    -1,
      -1,  4946,  4947,   116,    -1,  4950,    -1,    -1,  4953,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4963,    -1,
    1381,    -1,    -1,   464,  4969,    -1,  4971,    -1,    -1,    -1,
      -1,  4976,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4988,    -1,    -1,    -1,   488,    -1,   490,
     491,    -1,    -1,    -1,  4999,  5000,  5001,    -1,    -1,    -1,
      -1,   510,    -1,  1424,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,    -1,   524,    -1,    -1,   527,   528,  5033,   530,
      -1,  5036,    -1,  5038,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5062,    -1,    -1,
      -1,  5066,    -1,    -1,    -1,  5070,    -1,    -1,    -1,    -1,
      -1,    -1,  5077,    -1,    -1,    -1,  1497,    -1,   251,    -1,
      -1,  5086,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   277,   278,  5111,    -1,    -1,    -1,
    5115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5138,  1555,    -1,    -1,    -1,    -1,    -1,
    5145,  5146,  5147,  5148,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,  5160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   336,    -1,  1586,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1614,  5199,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1642,  1643,  1644,   108,  1646,    -1,    -1,   112,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,  5242,   122,    -1,
    5245,    -1,    -1,    -1,   417,  1666,    -1,    -1,    -1,  5254,
      -1,    -1,    -1,    -1,  5259,    -1,  5261,    -1,  5263,    -1,
      -1,    -1,   146,    -1,    -1,  5270,    -1,    -1,    -1,    -1,
      -1,  5276,    -1,  5278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1720,
    1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1749,  5334,
      -1,    -1,  1753,  1754,  5339,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,    -1,   527,    -1,    -1,  5362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5370,  5371,   251,    -1,    -1,
    5375,    -1,   256,    -1,    -1,    -1,  5381,    -1,    -1,  5384,
      -1,    -1,    -1,  5388,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,   278,    -1,  5401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5411,    -1,   292,    -1,
      -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,  1839,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,    -1,
      -1,  5436,    -1,    -1,    -1,    -1,    -1,  5442,  5443,   323,
    5445,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,  5464,
      -1,    -1,    25,    -1,    -1,    -1,  5471,  1888,    -1,    -1,
      -1,    -1,    35,    36,    -1,  1896,    -1,    -1,    -1,    42,
      43,    -1,    -1,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,  1929,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,  5543,  5544,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5569,  5570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,  2010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,  2039,    -1,
      -1,    -1,    -1,  2044,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
    2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2104,    -1,   248,    -1,    -1,    -1,  2110,
      -1,    -1,    -1,    -1,    -1,  2116,    -1,    -1,    -1,    -1,
      -1,  2122,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2149,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,   307,    -1,    -1,   310,    -1,    -1,
      -1,    -1,    -1,  2174,    -1,    -1,  2177,    -1,    -1,    -1,
      -1,    -1,   325,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      42,    43,    -1,    -1,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
     973,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
    2241,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2278,  2279,    -1,
      -1,    -1,    -1,  2284,  2285,    -1,    -1,    -1,    -1,    -1,
    2291,  2292,  2293,    -1,    -1,   137,  2297,    -1,  2299,  2300,
    2301,  2302,  2303,  2304,    -1,  2306,   449,  2308,  2309,    -1,
      -1,  2312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   464,    -1,    -1,    -1,  2326,  2327,  2328,  2329,  2330,
    2331,    -1,    -1,    -1,  2335,    -1,   479,    -1,  2339,    -1,
      -1,  2342,    -1,    -1,  2345,  2346,  2347,  2348,  2349,  2350,
    2351,  2352,  2353,    -1,  2355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2363,    -1,   507,  2366,    -1,   209,    -1,    -1,
      -1,    -1,   515,    -1,   517,   518,   519,   520,   521,    -1,
      -1,   524,   525,   526,   527,   227,    -1,    -1,   531,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,  2429,   271,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,   146,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,   307,    -1,    -1,   310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,   325,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2527,    -1,    -1,    -1,
    2531,  2532,    -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,
      -1,    -1,    84,   234,  2545,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,   403,    -1,    -1,    -1,   256,   108,    -1,    -1,    -1,
      -1,  1314,    -1,    -1,   116,    -1,    -1,    -1,  2579,    -1,
     122,    -1,    -1,    -1,    -1,    -1,   277,   278,    -1,  2590,
      -1,  1334,    -1,  2594,    -1,    -1,  2597,    -1,    -1,    -1,
    1343,   292,    -1,    -1,   146,  2606,    -1,   449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,   464,    -1,    -1,   256,    -1,    -1,  2629,    -1,
      -1,    -1,   323,    -1,    -1,    -1,    -1,   479,    -1,    -1,
      -1,    -1,  2643,    -1,    -1,   336,   277,   278,   339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,  2664,    -1,   507,    -1,  2668,    -1,    -1,
      -1,    -1,    -1,   515,    -1,   517,   518,   519,   520,   521,
      -1,  1424,   524,   525,   526,    -1,   228,    -1,    -1,   531,
      -1,    -1,   323,  2694,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,   251,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,   360,
      -1,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
     292,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,   111,    -1,    -1,    -1,    -1,   116,    -1,
      -1,   323,    -1,    -1,   122,    -1,   417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,   339,  2799,  2800,
      -1,    -1,   433,    -1,    -1,    -1,    -1,  2808,   146,    -1,
      -1,    -1,  1555,    -1,    -1,    -1,   358,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2870,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,  2886,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,   277,
     278,    -1,    -1,  2944,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,   146,  1705,    -1,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,  3000,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3018,    -1,    -1,
    3021,    -1,    -1,  3024,    -1,    84,    -1,    -1,    87,    -1,
      -1,  3032,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
    3041,    -1,    -1,    -1,    -1,  3046,    -1,    -1,    -1,   108,
      -1,    -1,   111,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,   251,    -1,  3069,  3070,
    3071,   256,    -1,  3074,    -1,    -1,    -1,    -1,    -1,   417,
      -1,  3082,  3083,  3084,  3085,    -1,    -1,   146,    -1,  3090,
    1833,    -1,   277,   278,  3095,  3096,    -1,  3098,    -1,  3100,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
    3111,  3112,    -1,    -1,  3115,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,    -1,
    3131,    -1,  3133,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,  3153,  1896,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3164,    -1,  3166,  3167,  3168,    -1,   354,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,  1929,    -1,    -1,    -1,
    3191,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,  3209,    -1,
      -1,    -1,    -1,    -1,  3215,    -1,    -1,    -1,   277,   278,
      -1,    -1,    -1,    -1,  3225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3264,   323,    -1,  3267,  2010,  3269,    -1,
      -1,    -1,    -1,  3274,    -1,    -1,    84,   336,    -1,    87,
     339,    -1,  2025,    91,    92,    93,    -1,    -1,    -1,    -1,
    2033,    -1,    -1,    -1,    -1,    -1,    -1,  3298,    -1,    -1,
     108,  2044,    -1,    -1,    -1,    -1,    -1,    -1,   116,   101,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,  3325,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,   146,    -1,
      -1,  3342,   134,    -1,    -1,    -1,    -1,    -1,  2091,    -1,
      -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,   417,    -1,
      -1,    -1,    -1,    -1,    -1,  3366,    -1,  2110,    -1,   161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,    -1,
      -1,  2134,    -1,    -1,    -1,    -1,    -1,  3398,  3399,  3400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,
      -1,    -1,    -1,    -1,    -1,    -1,   234,   219,    -1,    -1,
    3431,  2174,  3433,    -1,  2177,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,   251,   236,    -1,    -1,    -1,   256,    -1,
     242,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,   259,    -1,   277,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   305,    -1,   323,  3517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3543,    -1,   336,    -1,  3547,  3548,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,   366,    -1,    -1,    -1,   217,    -1,
     219,    -1,    -1,  2326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   393,    -1,    -1,    -1,  3606,   398,    -1,   400,   417,
      -1,    -1,    -1,    -1,   406,    -1,    -1,   409,    -1,    -1,
      -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  3639,    91,
      92,    93,    -1,    -1,    -1,    -1,   438,    -1,    -1,   441,
      -1,    -1,    -1,   445,    -1,    -1,   108,    -1,    -1,   111,
     452,    -1,   454,    -1,   116,    -1,    -1,   459,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3692,   484,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3737,    -1,    -1,  3740,
      -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,    -1,    -1,
      -1,  3752,    -1,  3754,    -1,    -1,  3757,    -1,    -1,    -1,
    3761,  3762,  3763,  3764,  3765,    -1,    -1,  3768,  3769,  3770,
    3771,  3772,  3773,  3774,  3775,  3776,  3777,    -1,    -1,    -1,
    3781,  3782,    -1,    -1,  2527,  3786,    -1,    -1,  2531,  2532,
    3791,    -1,    -1,    -1,  3795,    -1,  3797,    -1,  3799,   251,
      -1,    -1,    -1,    -1,   256,    -1,  3807,    -1,    -1,  3810,
      -1,  3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3820,
    3821,    -1,    -1,  3824,  3825,   277,   278,    -1,  3829,  3830,
      -1,    -1,    -1,    -1,    -1,  3836,    -1,    -1,    -1,    -1,
     292,    -1,    -1,    -1,    -1,  3846,    -1,  3848,    -1,    -1,
      -1,  2594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3860,
      -1,    -1,    -1,  2606,    -1,  3866,  3867,  3868,    -1,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2643,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,  3913,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3926,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,  3942,    -1,    -1,   122,    -1,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3957,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,   146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   157,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,
    4031,    -1,    -1,    -1,    -1,  4036,  4037,  4038,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   211,  2800,   510,    -1,
      -1,   513,   514,   515,   219,   517,   518,   519,   520,   521,
     522,    -1,    -1,   251,    -1,    -1,   231,    -1,   256,    -1,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,   259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,
     866,   867,    -1,    -1,   870,  4126,   872,  2870,    -1,   284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   323,   892,  4148,    -1,    -1,
     305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
      -1,   339,    -1,    -1,    -1,    -1,   912,    -1,    -1,    -1,
     916,    -1,    -1,    -1,  4175,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,   934,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4223,  4224,  4225,    -1,   865,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   874,    -1,    -1,   393,   417,
      -1,    -1,    -1,   398,    -1,   400,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,   409,    -1,    -1,  3000,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   446,    -1,
     909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3021,    -1,
      -1,    -1,    -1,   438,    -1,    -1,   441,    -1,    -1,  3032,
     445,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,   454,
      -1,    -1,    -1,    -1,   459,    -1,    -1,  4308,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   967,   484,
      -1,    -1,   510,    -1,   973,   513,   514,   515,   977,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,  4349,    -1,
      -1,    -1,    -1,    -1,    -1,   994,    -1,    -1,  4359,  4360,
      -1,  4362,    -1,    -1,    -1,  4366,  4367,    -1,    -1,    -1,
    4371,  4372,    -1,    -1,    -1,  4376,    -1,    -1,  4379,  4380,
      -1,    -1,    -1,  4384,    -1,    -1,    -1,    -1,    -1,  4390,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,  4408,    -1,    -1,
      -1,  4412,    -1,    -1,    -1,    -1,   108,    -1,    -1,   111,
      -1,    -1,    -1,  4424,   116,    -1,    -1,    -1,  4429,    -1,
     122,    -1,    -1,    -1,  4435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,  4453,    -1,   146,    -1,    -1,    -1,    -1,    -1,
    1099,  1100,    -1,    -1,    -1,    -1,   108,  1106,    -1,    -1,
      -1,  1110,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,  4482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1136,    -1,  4500,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,  1255,
    1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4520,
      -1,  3264,    -1,    -1,  3267,    -1,  3269,    -1,  4529,    -1,
      -1,  3274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,    -1,  4564,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3325,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,  1337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,
     292,    -1,  4603,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,  1358,  1359,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3366,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   323,    -1,  1379,    -1,   277,   278,  4638,    -1,    -1,
      -1,  1280,  1281,    -1,   336,    -1,    -1,   339,  4649,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1307,    -1,
      -1,    -1,    -1,    -1,    -1,  1314,    -1,    -1,    -1,  1318,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,
    3433,    -1,    -1,    -1,   336,  1334,    -1,   339,    -1,    -1,
      -1,  4702,    -1,  4704,  1343,    -1,    -1,    -1,   876,    -1,
      -1,    -1,  1458,  1459,    -1,    -1,    -1,   885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,   894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   902,    -1,    -1,    -1,    -1,   907,
      -1,    -1,  1381,    -1,    -1,    -1,    -1,    -1,    -1,  3492,
      -1,    -1,    -1,    -1,  4755,    -1,    -1,    -1,  4759,    -1,
      -1,    -1,    -1,  4764,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3517,   417,    -1,    -1,    -1,    -1,
    4781,  4782,    -1,    -1,  4785,  1424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4799,    -1,
    3543,    -1,    -1,  4804,    -1,  3548,    -1,    -1,  4809,    -1,
      -1,  4812,  4813,    -1,    -1,    -1,    -1,    -1,   510,  4820,
    4821,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4856,    -1,    -1,  1497,    -1,
      -1,    -1,    -1,  3606,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,  3624,    -1,    -1,    -1,    -1,    -1,    -1,  4889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3639,    -1,  4899,    -1,
      -1,  1069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4936,    -1,  1105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1586,    -1,  4950,
      -1,    -1,    -1,    -1,    -1,    -1,  1124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1614,    -1,    -1,    -1,  1147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,
    5001,    -1,  5003,  1642,  1643,  1644,    -1,  1646,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3761,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1666,    -1,    -1,
      -1,    -1,  5033,  5034,    -1,  5036,    -1,  5038,    -1,    -1,
      -1,    -1,    -1,  3786,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5062,    -1,    -1,    -1,  5066,    -1,    -1,    -1,    -1,
      -1,  5072,    -1,    -1,    -1,    -1,  5077,  3820,    -1,    -1,
      -1,  1720,  1250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5099,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1749,    -1,    -1,    -1,  1753,  1754,    -1,    -1,    -1,    -1,
      -1,    -1,  5123,    -1,    -1,    -1,    -1,    -1,  5129,    -1,
      -1,    -1,  5133,  5134,    -1,    -1,    -1,  5138,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5179,    -1,
      -1,    -1,    -1,    -1,  1352,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1833,    -1,    -1,    -1,  5199,  3942,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1375,  1376,  1377,
    1849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,  5220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1976,  1977,  1978,  1979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5242,    -1,    -1,  5245,    -1,    -1,    -1,    -1,  1888,
      -1,    -1,    -1,  5254,    -1,    -1,    -1,  1896,  5259,    -1,
    5261,    -1,  5263,    -1,    -1,    -1,    -1,    -1,    -1,  5270,
      -1,    -1,    -1,  2019,  2020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2028,    -1,    -1,    -1,    -1,  5288,    -1,    -1,
    1929,    -1,  2038,    -1,  4037,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2066,  2067,  2068,  2069,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5370,
    5371,  2010,  1540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5381,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,
    5401,    -1,    -1,  1571,    -1,  2044,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2163,    -1,    -1,
    2166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2176,    -1,  4175,    -1,    -1,  5436,    -1,    -1,    -1,  2185,
      -1,  5442,  5443,    -1,  5445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5464,    -1,  2104,    -1,    -1,    -1,    -1,
      -1,  2110,    -1,    -1,    -1,    -1,    -1,  2116,    -1,    -1,
    4223,    -1,    -1,  2122,    -1,    -1,  5487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,  2177,    -1,
      -1,    -1,  5543,  5544,    -1,    -1,    -1,    -1,  5549,  1717,
      -1,    -1,    -1,    -1,    -1,    -1,  5557,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5568,  5569,  5570,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1765,    -1,    -1,
      -1,    -1,  2241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2278,
    2279,    -1,    -1,    -1,    -1,  2284,  2285,    -1,    -1,    -1,
      -1,    -1,  2291,  2292,  2293,    -1,    -1,    -1,  2297,    -1,
    2299,  2300,  2301,  2302,  2303,  2304,    -1,  2306,    -1,  2308,
    2309,    -1,    -1,  2312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,  2327,  2328,
    2329,  2330,    -1,    -1,    -1,    -1,  2335,    -1,    -1,    -1,
    2339,    -1,    -1,  2342,    -1,    -1,  2345,  2346,  2347,  2348,
    2349,  2350,  2351,  2352,  2353,    -1,  2355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2363,    -1,    -1,  2366,    -1,    -1,
      -1,    -1,    -1,  1901,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1933,    -1,   101,    -1,    -1,
      -1,    -1,    -1,  1941,    -1,    -1,  1944,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,    -1,  4529,    -1,    -1,    -1,
    2429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,  4549,    -1,    -1,    -1,
      -1,    -1,  1980,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   157,    -1,    -1,  1994,   161,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2008,    -1,    -1,    -1,    -1,   179,  2592,  2593,    -1,    -1,
      -1,   185,    -1,    -1,    -1,  2601,    -1,  2603,    -1,    -1,
    4603,  2607,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   219,    -1,    -1,  2527,  2057,
      -1,    -1,  2531,  2532,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,   242,    -1,
    2078,    -1,    -1,    -1,    -1,    -1,    -1,  2085,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   259,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2590,    -1,    -1,    -1,  2594,    -1,    -1,  2597,    -1,
      -1,  4704,   296,    -1,    -1,  2711,    -1,  2606,    -1,    -1,
      -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,  2643,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4759,    -1,    -1,    -1,
      -1,    -1,   356,  2769,    -1,    -1,    -1,    -1,    -1,    -1,
    2198,  2777,    -1,  2779,    -1,    -1,    -1,    -1,    -1,  2785,
      -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2694,    -1,    -1,    -1,   393,
      -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,   409,    -1,  2245,  2246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,    -1,    -1,
      -1,    -1,    -1,    -1,   438,    -1,    -1,   441,   442,    -1,
     444,   445,    -1,  2859,    -1,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,
      -1,   465,    -1,    -1,   468,    -1,    -1,   471,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4889,    -1,    -1,    -1,
     484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2799,  2800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2915,
      -1,  2917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2425,    -1,  2427,
    5003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3035,
      -1,  5034,    -1,    -1,    -1,    -1,  2464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5072,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3018,
      -1,    -1,  3021,    -1,    -1,  3024,  5129,    -1,    -1,    -1,
    5133,  5134,    -1,  3032,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3041,    -1,    -1,    -1,    -1,  3046,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3069,  3070,  3071,    -1,    -1,  3074,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3082,  3083,  3084,  3085,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3095,    -1,    -1,  3098,
      -1,  3100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3111,  3112,    -1,    -1,  3115,  5220,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3129,    -1,  3131,  2661,  3133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2680,   153,  3153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,  3164,    -1,  3166,  3167,  3168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   203,    -1,  3204,    -1,    -1,    -1,    -1,
    3209,    -1,    -1,    -1,    -1,    -1,  3215,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3331,  3225,  3333,  3334,  3335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3264,    -1,    -1,  3267,    -1,
    3269,    -1,    -1,    -1,    -1,  3274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3342,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3366,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,    -1,  3431,    -1,  3433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3517,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3543,    -1,    -1,    -1,    -1,  3548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3668,    -1,  3670,    -1,    -1,    -1,  3674,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3606,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3730,  3624,    -1,    -1,    -1,  3157,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3692,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   703,   704,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3737,    -1,
      -1,  3740,    -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,
      -1,   751,    -1,  3752,    -1,  3754,    -1,    -1,  3757,    -1,
      -1,    -1,  3761,  3762,  3763,  3764,  3765,    -1,    -1,  3768,
    3769,  3770,  3771,  3772,  3773,  3774,  3775,  3776,  3777,    -1,
      -1,    -1,  3781,  3782,    -1,    -1,    -1,  3786,    -1,    -1,
      -1,    -1,  3791,    -1,    -1,    -1,  3795,    -1,    -1,    -1,
    3799,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3807,    -1,
      -1,  3810,    -1,  3812,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3820,  3821,    -1,    -1,  3824,  3825,    -1,    -1,    -1,
    3829,  3830,    -1,    -1,    -1,    -1,    -1,  3836,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3846,    -1,  3848,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3860,    -1,    -1,    -1,    -1,    -1,  3866,  3867,  3868,
      -1,    -1,   872,  3979,  3980,  3981,  3982,    -1,    -1,    -1,
     880,    -1,    -1,   883,   884,    -1,   886,    -1,    -1,   889,
      -1,   891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3436,    -1,
     910,    -1,    -1,    -1,  3913,    -1,    -1,    -1,   918,    -1,
      -1,    -1,    -1,    -1,    -1,   925,    -1,  3926,   928,   929,
      -1,    -1,    -1,   933,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3942,    -1,    -1,    -1,    -1,    -1,    -1,
     950,    -1,   952,    -1,    -1,    -1,    -1,    -1,  3957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   968,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   983,    -1,   985,    -1,    -1,   988,    -1,
     990,    -1,    -1,   993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1007,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3559,  3560,    -1,    -1,    -1,    -1,    -1,  4037,    -1,
    4146,    -1,    -1,    -1,    -1,    -1,    -1,  3575,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3591,    -1,    -1,    -1,    -1,    -1,    -1,
    1070,    -1,  3600,  3601,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3617,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1138,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1210,    -1,  1212,    -1,    -1,    -1,  1216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4223,  4224,  4225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4308,
      -1,  1311,    -1,    -1,    -1,  3843,  3844,  3845,    -1,    -1,
    4319,    -1,    -1,  1323,    -1,  1325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1345,    -1,    -1,  1348,    -1,
    4349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4359,  4360,    -1,  4362,    -1,    -1,    -1,  4366,  4367,    -1,
      -1,    -1,  4371,  4372,    -1,    -1,    -1,  4376,    -1,    -1,
    4379,  4380,  1382,    -1,    -1,  4384,    -1,    -1,    -1,    -1,
      -1,  4390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4408,
      -1,    -1,    -1,  4412,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4424,    -1,    -1,    -1,    -1,
    4429,    -1,    -1,    -1,    -1,    -1,  4435,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4453,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,    -1,    -1,  4482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1544,    -1,    -1,    -1,    -1,    -1,
    4549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4564,    -1,    -1,    -1,    -1,
      -1,  4677,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4603,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4638,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4216,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4702,    -1,  4704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,
    1740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4858,  4859,  4860,    -1,  4755,    -1,    -1,    -1,
    4759,    -1,    -1,    -1,    -1,  4764,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4781,  4782,    -1,    -1,  4785,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1798,    -1,
    4799,  1801,    -1,    -1,    -1,  4804,    -1,    -1,    -1,  1809,
    4809,    -1,    -1,  4812,  4813,    -1,    -1,    -1,    -1,    -1,
      -1,  4820,  4821,    -1,    -1,    -1,    -1,  1827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4856,    -1,    -1,
      -1,    -1,    -1,  4391,  4392,  4393,  4394,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1874,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4889,    -1,    -1,  4999,    -1,    -1,    -1,    -1,    -1,    -1,
    4899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5001,    -1,  5003,  5111,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,    94,    -1,
      96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     106,    -1,    -1,    -1,  5033,  5034,    -1,  5036,    -1,  5038,
    5146,    -1,  5148,    -1,    -1,    -1,    -1,    -1,  2048,    -1,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5062,    -1,   141,    -1,  5066,    -1,    -1,
      -1,    -1,    -1,  5072,    -1,    -1,   152,   153,  5077,    -1,
     156,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,
    5129,    -1,    -1,    -1,  5133,  5134,    -1,    -1,    -1,  5138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2162,    -1,    -1,  2165,    -1,  2167,    -1,  2169,
    5276,    -1,    -1,    -1,    -1,  2175,    -1,    -1,    -1,  4707,
    5179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5219,  5220,    -1,    -1,    -1,    -1,  2226,    -1,  5334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2238,    -1,
      -1,    -1,  2242,  5242,  2244,    -1,  5245,  2247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5254,    -1,    -1,    -1,    -1,
    5259,    -1,  5261,    -1,  5263,    -1,    -1,    -1,    -1,    -1,
      -1,  5270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5411,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5471,    -1,    -1,    -1,  2369,
      -1,  5370,  5371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5436,    -1,    -1,
      -1,  4969,    -1,  5442,  5443,    -1,  5445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5464,    -1,    -1,    -1,    -1,
      -1,    -1,  5000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2542,  2543,  5543,  5544,    -1,  2547,  2548,    -1,
      -1,    -1,  2552,    -1,    -1,    -1,    -1,    -1,  5557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2566,    -1,    -1,    -1,
    5569,  5570,    -1,  2573,    -1,    -1,    -1,  2577,  2578,   655,
      -1,  2581,  2582,    -1,    -1,    -1,    -1,  5115,  2588,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2600,    -1,  2602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2619,
      -1,    -1,    -1,    -1,  2624,    -1,    -1,   703,   704,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2637,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2645,    -1,  2647,    -1,  2649,
    2650,  2651,    -1,    -1,    -1,    -1,  2656,  2657,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2666,    -1,    -1,    -1,
      -1,  2671,    -1,    -1,    -1,   751,  2676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2712,    -1,  2714,    -1,    -1,    -1,    -1,  2719,
      -1,    -1,    -1,  2723,    -1,  2725,  2726,  2727,  2728,    -1,
    2730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2743,  2744,  2745,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2755,  2756,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,  2809,
      41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   949,   950,    -1,   952,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,
      -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,
      -1,    -1,   153,    -1,    -1,    -1,    -1,  1003,    -1,    -1,
    1006,  1007,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,  1021,    -1,  1023,    -1,  1025,
      -1,   182,   183,    -1,    -1,  1031,    -1,    -1,    -1,  1035,
      -1,  2961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2974,    -1,    -1,    -1,   209,  1055,
    1056,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,  3009,
     241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,    -1,    -1,  1102,    -1,  1104,    -1,
      -1,    -1,    -1,    -1,   265,   266,    -1,    -1,    -1,    -1,
      -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,   280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   314,   315,   316,    -1,    -1,   319,    -1,
      -1,    -1,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1183,    -1,    -1,
      -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,    -1,
      -1,  1197,  1198,    -1,    -1,  1201,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   414,    -1,    -1,   417,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3202,   434,    -1,    -1,    -1,    -1,    -1,   440,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,    -1,
      -1,    -1,   453,    -1,   455,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,
      -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,  3277,  3278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3295,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3345,  3346,    -1,    -1,    -1,
    3350,    -1,    -1,    -1,    -1,  3355,  3356,  3357,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3386,  3387,  3388,  3389,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3423,    -1,  3425,  3426,  3427,    -1,  1505,
      -1,    -1,    -1,    -1,  1510,  3435,  1512,    -1,    -1,  1515,
      -1,  1517,    -1,    -1,  1520,  1521,  1522,    -1,    -1,    -1,
    1526,    -1,    -1,    -1,    -1,    -1,    -1,  1533,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1547,    -1,  1549,    -1,    -1,    -1,    -1,  1554,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3554,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,
      -1,  1677,  3602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1688,  1689,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1705,
      -1,  3631,    -1,    -1,  1710,  1711,    -1,  3637,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3659,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3673,    -1,    -1,    -1,  3677,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1793,    -1,  1795,
      -1,    -1,    -1,    -1,   865,    -1,    -1,    -1,    -1,  1805,
      -1,    -1,    -1,   874,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   967,    -1,    -1,    -1,
      -1,    -1,   973,    -1,    -1,    -1,   977,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1945,
      -1,    -1,  1948,  1949,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1099,  1100,
      -1,    -1,    -1,    -1,  3964,    -1,  3966,    -1,    -1,    -1,
      -1,    -1,    -1,  3973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3990,    -1,    -1,    -1,    -1,  1136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4005,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4016,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4034,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4072,  4073,  4074,    -1,    -1,  4077,  4078,  4079,
    4080,  4081,  4082,    -1,    -1,    -1,    -1,  4087,  4088,    -1,
    4090,  4091,  4092,  4093,  4094,  4095,  4096,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4105,    -1,  4107,  4108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2210,    -1,  2212,    -1,    -1,    -1,
    2216,    -1,  2218,    -1,    -1,  2221,    -1,  4147,    -1,  2225,
      -1,    -1,    -1,    -1,  2230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1307,    -1,    -1,    -1,
      -1,    -1,    -1,  1314,    -1,    -1,    -1,  1318,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1381,    -1,    -1,  4243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4279,
    4280,  4281,    -1,  1424,    -1,    -1,  2362,    -1,    -1,    -1,
      -1,  4291,    -1,  2369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2379,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,    -1,    -1,
      -1,  2497,    -1,    -1,    -1,  2501,    -1,    -1,    -1,    -1,
      -1,  2507,    -1,  2509,    -1,    -1,  2512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1586,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1614,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1642,  1643,  1644,    -1,  1646,    -1,    -1,  4508,    -1,
      -1,    -1,  4512,  4513,  4514,  4515,    -1,    -1,  4518,    -1,
      -1,    -1,    -1,    -1,    -1,  1666,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4540,  4541,  4542,  4543,    -1,  4545,  4546,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4557,  4558,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4575,    -1,    -1,    -1,  1720,
      -1,    -1,  4582,  4583,    -1,  4585,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1749,    -1,
      -1,    -1,  1753,  1754,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2705,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2713,    -1,  2715,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4668,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4689,
      -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4728,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4817,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,  2961,  2962,    -1,    -1,    -1,
      -1,  4891,  2033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2978,  2044,    -1,    -1,    -1,    -1,    -1,  4909,
      -1,    -1,    -1,    -1,  4914,  4915,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2104,    -1,    -1,    -1,    -1,    -1,  2110,
    4970,    -1,    -1,    -1,    -1,  2116,    -1,    -1,    -1,    -1,
      -1,  2122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2149,    -1,
      -1,    -1,    -1,    -1,  5014,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5024,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2174,    -1,    -1,  2177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5059,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5095,    -1,    -1,    -1,    -1,
    2241,    -1,    -1,    -1,    -1,    -1,  3182,    -1,    -1,    -1,
      -1,  3187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2278,  2279,    -1,
      -1,    -1,    -1,  2284,  2285,    -1,    -1,    -1,    -1,  5149,
    2291,  2292,  2293,    -1,    -1,    -1,  2297,    -1,  2299,  2300,
    2301,  2302,  2303,  2304,    -1,  2306,    -1,  2308,  2309,    -1,
      -1,  2312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2326,  2327,  2328,  2329,  2330,
      -1,    -1,    -1,    -1,  2335,    -1,    -1,    -1,  2339,    -1,
      -1,  2342,    -1,    -1,  2345,  2346,  2347,  2348,  2349,  2350,
    2351,  2352,  2353,    -1,  2355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2363,    -1,    -1,  2366,    -1,  5227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5286,    -1,  2429,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2527,    -1,    -1,    -1,
    2531,  2532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2579,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2590,
      -1,    -1,    -1,  2594,    -1,    -1,  2597,    -1,   973,    -1,
      -1,    -1,    -1,    -1,    -1,  2606,    -1,  3543,    -1,    -1,
      -1,    -1,  3548,    -1,    -1,    -1,    -1,    -1,    -1,   994,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1099,  1100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3727,    -1,    -1,    -1,    -1,    -1,    -1,  2799,  2800,
      -1,    -1,  1136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2870,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2886,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,
      -1,    -1,    -1,  2944,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1343,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,  3000,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3018,    -1,    -1,
    3021,    -1,    -1,  3024,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3032,   973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3041,    -1,    -1,    -1,    -1,  3046,    -1,    -1,    -1,  1424,
      -1,    -1,    -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3069,  3070,
    3071,    -1,    -1,  3074,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3082,  3083,  3084,  3085,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3095,    -1,    -1,  3098,    -1,  3100,
      -1,  4037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3111,  3112,    -1,    -1,  3115,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,  4065,
    3131,    -1,  3133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3164,    -1,  3166,  3167,  3168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,  3209,    -1,
      -1,    -1,    -1,    -1,  3215,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3264,    -1,    -1,  3267,    -1,  3269,    -1,
      -1,    -1,    -1,  3274,    -1,    -1,    -1,    -1,    -1,    -1,
    1614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1642,  1643,
    1644,    -1,  1646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3342,    -1,    -1,    -1,    -1,    -1,    -1,  4284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1314,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1720,    -1,    -1,    -1,
      -1,    -1,    -1,  1334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1749,    -1,    -1,    -1,  1753,
    1754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3431,    -1,  3433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3517,    -1,    -1,    -1,
      -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3543,    -1,    -1,    -1,    -1,  3548,    -1,    -1,
      -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,  3639,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2033,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2044,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4621,    -1,    -1,    -1,    -1,
      -1,  3692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2091,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2110,  3737,    -1,    -1,  3740,
      -1,    -1,    -1,    -1,    -1,  3746,    -1,  2122,    -1,    -1,
      -1,  3752,    -1,  3754,    -1,    -1,  3757,    -1,    -1,  2134,
    3761,  3762,  3763,  3764,  3765,    -1,    -1,  3768,  3769,  3770,
    3771,  3772,  3773,  3774,  3775,  3776,  3777,    -1,    -1,    -1,
    3781,  3782,    -1,    -1,    -1,  3786,    -1,    -1,    -1,    -1,
    3791,    -1,    -1,    -1,  3795,    -1,    -1,    -1,  3799,  2174,
      -1,    -1,  2177,    -1,    -1,    -1,  3807,    -1,    -1,  3810,
      -1,  3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3820,
    3821,    -1,    -1,  3824,  3825,    -1,    -1,    -1,  3829,  3830,
      -1,    -1,    -1,    -1,    -1,  3836,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3846,    -1,  3848,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3860,
      -1,    -1,    -1,    -1,    -1,  3866,  3867,  3868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3926,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2284,  2326,    -1,  4889,    -1,  1896,  3957,    -1,    -1,    -1,
      -1,    -1,    -1,  2297,    -1,  2299,    -1,    -1,  2302,  2303,
    2304,    -1,    -1,    -1,    -1,  2309,    -1,    -1,  2312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,
      -1,  2366,    -1,  2327,  2328,  2329,  2330,    -1,    -1,    -1,
      -1,  2335,    -1,    -1,    -1,  2339,    -1,    -1,  2342,    -1,
      -1,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
      -1,  2355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2363,
      -1,    -1,  2366,    -1,    -1,    -1,  4037,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2033,    -1,    -1,  2429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2044,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,    -1,    -1,
    2091,    -1,  2527,    -1,    -1,    -1,  2531,  2532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2110,
      -1,    -1,    -1,    -1,  4175,    -1,    -1,    -1,    -1,    -1,
      -1,  2122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2594,
      -1,    -1,  4223,  4224,  4225,    -1,    -1,    -1,    -1,    -1,
      -1,  2606,    -1,  2174,    -1,    -1,  2177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2643,    -1,
      -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4308,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4359,  4360,
      -1,  4362,    -1,    -1,    -1,  4366,  4367,    -1,    -1,    -1,
    4371,  4372,    -1,    -1,    -1,  4376,    -1,    -1,  4379,  4380,
      -1,    -1,    -1,  4384,    -1,  2326,    -1,    -1,    -1,  4390,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4408,    -1,    -1,
      -1,  4412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4424,    -1,  2800,    -1,    -1,  4429,    -1,
      -1,    -1,    -1,    -1,  4435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2799,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2870,    -1,    -1,    -1,  4500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,  4549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4564,    -1,    -1,   994,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2527,    -1,    -1,    -1,
    2531,  2532,    -1,    -1,  1314,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2944,    -1,    -1,    -1,  1334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1343,    -1,  3000,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4638,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3021,    -1,  4649,    -1,
      -1,    -1,    -1,  2594,    -1,    -1,    -1,  3032,    -1,    -1,
      -1,    -1,    -1,    -1,   973,  2606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4702,  2643,  4704,  1424,    -1,    -1,  3041,    -1,    -1,
      -1,    -1,  3046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3071,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,    -1,
    3084,  3085,    -1,    -1,  4755,    -1,    -1,    -1,  4759,    -1,
      -1,  3095,    -1,  4764,  3098,    -1,  3100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4781,  4782,    -1,    -1,  4785,    -1,    -1,    -1,    -1,    -1,
      -1,  3166,  3167,  3168,    -1,  3129,    -1,  3131,  4799,  3133,
      -1,    -1,    -1,  4804,    -1,    -1,    -1,    -1,  4809,    -1,
      -1,  4812,  4813,    -1,    -1,    -1,    -1,    -1,    -1,  4820,
    4821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3166,  3167,  3168,  1555,    -1,    -1,    -1,    -1,
      -1,  4842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4856,    -1,  3191,    -1,  2800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3204,    -1,    -1,    -1,    -1,  3209,    -1,    -1,    -1,    -1,
      -1,  3215,    -1,    -1,    -1,    -1,  1314,    -1,  4889,  3264,
      -1,    -1,  3267,    -1,  3269,    -1,    -1,    -1,  4899,  3274,
      -1,    -1,    -1,    -1,    -1,    -1,  1334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2870,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4950,
    3325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3298,    -1,    -1,  3342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3366,    -1,    -1,    -1,    -1,  1424,    -1,    -1,    -1,
    5001,    -1,  5003,    -1,    -1,  1314,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1334,    -1,    -1,    -1,    -1,
      -1,    -1,  5033,  5034,  1343,  5036,    -1,  5038,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,  3433,  3000,
      -1,  5062,    -1,    -1,    -1,  5066,    -1,    -1,    -1,    -1,
      -1,  5072,    -1,    -1,    -1,    -1,  5077,    -1,    -1,    -1,
    3021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3032,    -1,    -1,    -1,    -1,    -1,    -1,  5099,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1833,    -1,  1424,    -1,  3492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1555,  5129,    -1,
      -1,    -1,  5133,  5134,    -1,    -1,    -1,  5138,    -1,    -1,
      -1,    -1,  3517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3543,    -1,
      -1,    -1,    -1,  3548,    -1,    -1,  1896,    -1,  5179,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5199,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,  5220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5242,   973,    -1,  5245,    -1,  1555,    -1,    -1,  3624,
      -1,    -1,    -1,  5254,    -1,    -1,    -1,    -1,  5259,    -1,
    5261,    -1,  5263,   994,  3639,    -1,    -1,    -1,    -1,  5270,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5288,    -1,    -1,
    2010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3264,  2044,    -1,  3267,    -1,  3269,    -1,
      -1,    -1,    -1,  3274,    -1,    -1,    -1,    -1,  5339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,    -1,  5370,
    5371,  2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5381,    -1,    -1,    -1,  3325,    -1,  3761,    -1,    -1,    -1,
    2110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5401,  3342,  2122,  3737,    -1,  1833,    -1,    -1,    -1,    -1,
      -1,  3786,  3746,    -1,  2134,    -1,    -1,    -1,  3752,    -1,
    3754,    -1,    -1,    -1,    -1,  3366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5436,    -1,    -1,    -1,    -1,
      -1,  5442,  5443,    -1,  5445,  3820,    -1,  3781,  3782,    -1,
      -1,    -1,    -1,    -1,  2174,    -1,    -1,  2177,    -1,    -1,
      -1,    -1,    -1,  5464,    -1,  3799,    -1,    -1,  1896,    -1,
      -1,    -1,    -1,  3807,    -1,    -1,  3810,    -1,  3812,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3821,    -1,    -1,
    3431,    -1,  3433,  3868,    -1,  3829,  3830,    -1,    -1,    -1,
      -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1833,    -1,  3860,    -1,    -1,    -1,
      -1,    -1,  3866,  3867,  3868,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5543,  5544,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3492,    -1,    -1,    -1,    -1,  5557,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,  5569,  5570,
      -1,    -1,    -1,    -1,    -1,    -1,  3517,    -1,    -1,  3913,
      -1,    -1,  2010,  1314,    -1,    -1,    -1,  1896,    -1,    -1,
      -1,    -1,  3926,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,    -1,  3543,  1334,    -1,  2033,  2326,  3548,    -1,    -1,
      -1,    -1,  1343,    -1,    -1,    -1,  2044,    -1,    -1,    -1,
    1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4037,  2091,    -1,  3606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2110,  3624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1424,  2122,    -1,    -1,    -1,  3639,    -1,
      -1,  2010,    -1,    -1,    -1,    -1,  2134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2044,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,  2177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,
    4175,  2110,    -1,    -1,    -1,    -1,    -1,  2527,    -1,    -1,
      -1,  2531,  2532,  2122,    -1,    -1,    -1,    -1,    -1,    -1,
    3761,    -1,    -1,    -1,  1555,  2134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3786,    -1,    -1,  4223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,  2177,    -1,
      -1,    -1,    -1,    -1,  2594,    -1,    -1,    -1,    -1,  3820,
      -1,    -1,    -1,    -1,    -1,    -1,  2606,    -1,    -1,    -1,
    4224,  4225,    -1,    -1,    -1,    -1,    -1,    -1,  2326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2643,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4308,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4319,    -1,  4362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4372,    -1,    -1,
      -1,  3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4359,  4360,    -1,    -1,    -1,
      -1,    -1,  4366,  4367,    -1,    -1,    -1,  4371,    -1,    -1,
      -1,    -1,  4376,    -1,    -1,  4379,  4380,    -1,    -1,  4424,
    4384,    -1,    -1,    -1,  4429,    -1,  4390,    -1,    -1,    -1,
    4435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4424,    -1,    -1,    -1,    -1,  4429,  4037,    -1,    -1,  2527,
      -1,  4435,  1833,  2531,  2532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4453,
      -1,    -1,    -1,    -1,    -1,  4500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4482,    -1,
    2870,    -1,    -1,    -1,  4529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1896,  2594,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4549,    -1,    -1,    -1,  2606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2643,    -1,    -1,  2527,    -1,
      -1,    -1,  2531,  2532,    -1,    -1,    -1,    -1,  4603,    -1,
    4564,    -1,    -1,    -1,  4175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,
    3000,    -1,  4223,    -1,    -1,  2594,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,    -1,    -1,  2606,    -1,    -1,
      -1,  3021,  2033,    -1,  4638,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3032,  2044,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4702,    -1,  4704,
      -1,    -1,    -1,    -1,  2643,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2800,    -1,    -1,    -1,    -1,    -1,    -1,  2110,
      -1,    -1,    -1,    -1,  4759,    -1,    -1,    -1,    -1,    -1,
      -1,  2122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2870,  2174,    -1,    -1,  2177,  4781,  4782,    -1,
      -1,  4785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4820,  4821,    -1,    -1,
      -1,  2800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1658,    -1,  3264,    -1,    -1,  3267,    -1,  3269,
      -1,    -1,    -1,    -1,  3274,    -1,    -1,    -1,    -1,  4500,
      -1,  2870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4529,    -1,
      -1,    -1,    -1,  3021,    -1,  2326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3032,  3325,    -1,    -1,  4549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1735,
      -1,    -1,  3342,    -1,    -1,    -1,    -1,    -1,  5003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3366,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5034,
      -1,    -1,  4603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3000,    -1,    -1,    -1,    -1,    -1,  5072,    -1,    -1,
      -1,    -1,  5036,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3431,  3021,  3433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3032,    -1,    -1,    -1,    -1,  5062,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5077,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5129,    -1,    -1,    -1,  5133,  5134,
      -1,    -1,    -1,  4704,    -1,  5099,    -1,    -1,    -1,    -1,
      -1,    -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2527,  3517,    -1,    -1,
    2531,  2532,    -1,    -1,  5138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4759,    -1,
      -1,    -1,    -1,  3543,    -1,    -1,    -1,    -1,  3548,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3264,    -1,    -1,  3267,
      -1,  3269,    -1,    -1,  5219,  5220,  3274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2594,    -1,  5199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3606,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3325,    -1,    -1,
      -1,    -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2643,    -1,  3342,    -1,    -1,    -1,    -1,  3639,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4889,    -1,
      -1,    -1,    -1,    -1,  5288,  3264,    -1,    -1,  3267,    -1,
    3269,    -1,    -1,    -1,    -1,  3274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3431,    -1,  3433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3325,    -1,    -1,    -1,
    3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3342,    -1,    -1,  5370,  5371,    -1,    -1,
      -1,  3761,    -1,    -1,    -1,    -1,    -1,  5381,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3366,    -1,    -1,
      -1,    -1,  5003,    -1,  3492,    -1,  3786,    -1,    -1,  2800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3517,
      -1,    -1,    -1,  5034,    -1,    -1,    -1,    -1,    -1,    -1,
    3820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5445,    -1,    -1,    -1,  3543,    -1,    -1,    -1,    -1,
    3548,    -1,  3431,    -1,  3433,    -1,    -1,    -1,    -1,    -1,
    5464,  5072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2870,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3606,    -1,
    2296,    -1,    -1,  3492,  2300,    -1,    -1,    -1,  5129,    -1,
      -1,    -1,  5133,  5134,    -1,    -1,  3624,    -1,  2314,  2315,
    2316,    -1,    -1,  2319,    -1,    -1,    -1,    -1,  3517,  5543,
    5544,  3639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3543,    -1,    -1,    -1,    -1,  3548,
      -1,    -1,    -1,    -1,    -1,  2361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3000,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3021,    -1,    -1,    -1,    -1,    -1,    -1,  3606,    -1,    -1,
    2416,  3032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3740,    -1,    -1,  3624,    -1,  4037,    -1,    -1,
      -1,    -1,    -1,  2439,    -1,    -1,    -1,    -1,    -1,    -1,
    3639,    -1,    -1,  3761,    -1,  2451,    -1,    -1,  2454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3786,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3761,    -1,    -1,  4175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3786,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3820,    -1,    -1,  3942,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3264,    -1,    -1,  3267,    -1,  3269,    -1,
      -1,    -1,    -1,  3274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4037,
      -1,  3342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3942,    -1,  3366,    -1,    -1,    -1,    -1,
      -1,    -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3431,    -1,  3433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4037,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4500,    -1,    -1,    -1,    -1,    -1,  3517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4529,
      -1,    -1,  3543,    -1,    -1,    -1,    -1,  3548,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4603,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3639,    -1,
      -1,    -1,    -1,    -1,  4223,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3044,    -1,
      -1,    -1,    -1,    -1,  4362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4372,    -1,    -1,    -1,  3064,    -1,
    3066,    -1,    -1,  3069,  3070,    -1,  3072,    -1,  3074,    -1,
      -1,    -1,  3078,    -1,    -1,  3081,    -1,    -1,    -1,    -1,
    3086,    -1,    -1,    -1,    -1,    -1,  3092,    -1,    -1,    -1,
      -1,  3097,    -1,    -1,  4704,    -1,    -1,    -1,  3104,  3105,
    3106,  3107,    -1,    -1,    -1,  3111,  3112,    -1,  3114,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,
    3126,    -1,  3128,    -1,    -1,    -1,    -1,    -1,    -1,  3135,
    3136,  3137,  3138,  3139,  3140,  3141,  3142,  3143,  3144,    -1,
    3761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4759,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4362,    -1,  3786,  3172,    -1,    -1,    -1,
      -1,    -1,    -1,  4372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3820,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,  4529,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,  4549,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,  4889,
      78,    79,    -1,    -1,    -1,  4603,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4500,    -1,    -1,    -1,    -1,    -1,  3313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,  3942,    -1,    -1,   122,   123,   124,   125,   126,    -1,
    4529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
    4549,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,  4704,    -1,    -1,    -1,
      -1,    -1,    -1,  5003,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4603,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,  4037,    -1,    -1,   217,
      -1,    -1,    -1,   221,  5034,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,
      -1,  4759,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5072,    -1,    -1,    -1,    -1,   265,   266,    -1,
      -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,
     278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,  5129,
      -1,   319,    -1,  5133,  5134,   323,    -1,    -1,   326,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3544,    -1,
      -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,  4175,    -1,    -1,    -1,    -1,   357,
    4759,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4889,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,
      -1,    -1,  4223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5220,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3681,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,   482,  5003,    -1,    -1,    -1,    -1,
    4889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5034,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3736,    -1,    -1,    -1,    -1,   533,  3742,    -1,    -1,    -1,
      -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4372,  3758,  3759,  5072,    -1,  3762,  3763,  3764,  3765,
      -1,    -1,  3768,  3769,  3770,  3771,  3772,  3773,  3774,  3775,
    3776,  3777,  3778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3800,    -1,    -1,  3803,    -1,  3805,
      -1,    -1,  3808,  3809,  5003,    -1,    -1,    -1,    -1,    -1,
      -1,  5129,    -1,    -1,    -1,  5133,  5134,  3823,  3824,  3825,
    3826,    -1,  3828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5034,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5072,    -1,    -1,    -1,    -1,    -1,  4500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3907,  5220,    -1,    -1,    -1,    -1,    -1,  4529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4549,    -1,
    5129,    -1,    -1,    -1,  5133,  5134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3954,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4704,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4759,    -1,
      -1,    -1,  4148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4309,    -1,    -1,    -1,  4313,  4314,  4315,
      -1,    -1,    -1,    -1,    -1,  4321,  4322,  4323,  4324,    -1,
      -1,    -1,    -1,  4329,  4330,  4331,  4332,  4333,  4334,  4335,
    4336,  4337,  4338,  4339,  4340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4365,
      -1,    -1,  4368,    -1,  4370,    -1,    -1,    -1,  4374,    -1,
      -1,  4377,  4378,    -1,    -1,  4381,  4382,    -1,    -1,    -1,
      -1,    -1,  5003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5034,    -1,    -1,    -1,    -1,    -1,    -1,
    4426,    -1,    -1,    -1,    -1,    -1,    -1,  4433,  4434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4452,    -1,    -1,    -1,
      -1,  5072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5129,    -1,
      -1,    -1,  5133,  5134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4641,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,  4699,  4700,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,  4749,    55,    -1,    -1,    -1,  4754,  4755,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,  4769,    -1,  4771,    -1,    78,    79,  4775,
    4776,  4777,    -1,    -1,  4780,    -1,    -1,  4783,  4784,    -1,
      -1,    -1,  4788,    94,    -1,    -1,  4792,    -1,    -1,    -1,
      -1,    -1,    -1,   104,    -1,   106,   107,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,   118,    -1,    -1,
     121,   122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,    -1,    -1,  4854,    -1,
      -1,   162,    -1,   164,   165,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,
     181,   182,   183,   184,    -1,    -1,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,   196,    -1,   198,    -1,    -1,
      -1,   202,    -1,    -1,    -1,    -1,    -1,   208,   209,    -1,
      -1,    -1,    -1,    -1,  4910,   216,   217,   218,    -1,    -1,
     221,    -1,    -1,   224,    -1,    -1,   227,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,    -1,   239,    -1,
     241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,  4955,
      -1,    -1,    -1,    -1,   265,   266,    -1,    -1,   269,    -1,
      -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,   280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,
      -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,   300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,    -1,
      -1,   322,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5032,  5033,    -1,    -1,
      -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,    -1,
      -1,    -1,  5048,  5049,  5050,    -1,   357,    -1,   359,    -1,
     361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   372,   373,    -1,    -1,    -1,    -1,   378,   379,    -1,
     381,    -1,    -1,    -1,    -1,   386,    -1,    -1,  5084,  5085,
     391,   392,    -1,   394,    -1,   396,    -1,    -1,   399,    -1,
      -1,    -1,    -1,   404,   405,    -1,    -1,    -1,    -1,    -1,
      -1,   412,    -1,   414,    -1,   416,   417,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,    -1,    -1,    -1,   438,    -1,   440,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,    -1,
      -1,    -1,   453,    -1,   455,    -1,   457,    -1,   459,    -1,
      -1,    -1,    -1,   464,    -1,    -1,   467,    -1,    -1,   470,
      -1,    -1,   473,    -1,    -1,    -1,    -1,   478,   479,    -1,
      -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,    -1,    -1,    -1,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,   530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
    5516,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5556,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   532,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
     519,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,   527,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,   527,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,   527,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
     527,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   527,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
      -1,    -1,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,   358,    -1,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,   508,   509,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   527,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,   524,   525,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,   519,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   526,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   526,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   526,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   526,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   527,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,   525,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,   512,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   526,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,   512,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   526,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   526,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   526,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    84,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,   219,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,    -1,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,    -1,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     507,   508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       5,     6,     7,     8,     9,    10,    11,    12,    13,   519,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
      -1,    -1,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,   358,    -1,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,   508,   509,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   519,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   519,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   519,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,   234,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,   234,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
     234,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,   234,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   517,   518,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,     4,   515,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
      -1,   124,    -1,    -1,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,    -1,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,    -1,
      -1,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,    -1,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
      -1,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,    -1,   317,   318,    -1,    -1,   321,   322,
     323,   324,    -1,    -1,   327,    -1,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,    -1,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,    -1,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
      -1,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,   231,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,   231,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,   231,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,   168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
     231,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,   106,   107,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,    -1,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,    -1,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,
     123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
     233,    -1,   235,    -1,    -1,    -1,    -1,    -1,   241,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   265,   266,    -1,    -1,    -1,    -1,    -1,   272,
      -1,   274,    -1,    -1,   277,   278,    -1,   280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   314,   315,   316,    -1,    -1,   319,    -1,    -1,    -1,
     323,    -1,    -1,   326,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,
     343,    -1,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   414,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,    -1,    -1,    -1,    -1,
     453,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,   482,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   498,   499,   500,   501,   502,
     503,   504,   505,   506,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,
      -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,   241,
      -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   265,   266,    -1,    -1,    -1,    -1,    -1,
     272,    -1,   274,    -1,    -1,   277,   278,    -1,   280,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   314,   315,   316,    -1,    -1,   319,    -1,    -1,
      -1,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     342,   343,    -1,   345,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   414,    -1,    -1,   417,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,    -1,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,    -1,    -1,    -1,
      -1,   453,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,
     482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   498,   499,   500,   501,
     502,   503,   504,   505,   506,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    -1,
      41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,
      -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,
      -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,
     241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   265,   266,    -1,    -1,    -1,    -1,
      -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,   280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   314,   315,   316,    -1,    -1,   319,    -1,
      -1,    -1,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   414,    -1,    -1,   417,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,    -1,   440,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,    -1,
      -1,    -1,   453,    -1,   455,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,
      -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,   500,
     501,   502,   503,   504,   505,   506,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,
      -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,    -1,
      -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,
     280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   314,   315,   316,    -1,    -1,   319,
      -1,    -1,    -1,   323,    -1,    -1,   326,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,   359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   392,    -1,    -1,    -1,   396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   414,    -1,    -1,   417,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,    -1,
     440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,
      -1,    -1,    -1,   453,    -1,   455,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,
      -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,
     500,   501,   502,   503,   504,   505,   506,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,
      -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,
      -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,
      -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,
      -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,    -1,
     319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
     359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
      -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    -1,
      -1,    -1,    -1,    78,    79,   517,   518,   519,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,   508,   509,    70,    71,   512,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,   526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,   508,   509,    -1,    -1,    -1,    -1,    -1,
      70,    71,   517,   518,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,   508,   509,
      -1,    -1,    -1,    -1,    -1,    70,    71,   517,   518,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,   508,   509,    -1,    -1,    -1,    -1,    -1,
      70,    71,   517,   518,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,   508,   509,
      -1,    -1,    -1,    -1,    -1,    70,    71,   517,   518,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,   508,   509,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    70,   508,   509,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,   508,
     509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,   106,
     107,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      -1,   508,   509
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   535,  1139,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   209,   227,   248,
     271,   307,   310,   325,   403,   449,   464,   479,   507,   515,
     517,   518,   519,   520,   521,   524,   525,   526,   527,   529,
     530,   531,   532,   533,  1129,  1140,  1168,  1170,  1261,  1271,
    1272,  1274,  1280,  1281,  1169,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   196,   198,   202,
     208,   209,   216,   217,   218,   221,   224,   227,   233,   235,
     239,   241,   243,   251,   255,   265,   266,   272,   274,   277,
     278,   280,   289,   290,   292,   294,   295,   300,   311,   314,
     315,   316,   319,   322,   323,   326,   328,   342,   343,   345,
     346,   357,   359,   361,   372,   373,   378,   379,   381,   386,
     391,   392,   394,   396,   399,   404,   405,   412,   414,   416,
     417,   420,   426,   434,   438,   440,   447,   448,   453,   455,
     457,   459,   464,   467,   473,   478,   479,   482,   491,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   512,   526,
     536,   537,   543,   544,   546,   547,   548,   549,   550,   551,
     552,   554,   555,   559,   571,   576,   577,   580,   581,   582,
     594,   597,   598,   614,   653,   656,   657,   658,   665,   671,
     673,   675,   676,   679,   682,   683,   687,   688,   697,   701,
     702,   703,   704,   705,   708,   710,   711,   712,   713,   714,
     721,   734,   735,   739,   741,   742,   743,   753,   755,   762,
     763,   766,   767,   768,   769,   770,   776,   778,   781,   785,
     789,   790,   800,   801,   804,   809,   820,   843,   846,   847,
     848,   851,   854,   856,   858,   860,   861,   866,   867,   870,
     871,   872,   879,   880,   882,   883,   884,   889,   891,   892,
     898,   899,   900,   901,   902,   903,   905,   906,   908,   909,
     911,   914,   915,   920,   926,   929,   931,   939,   941,   946,
     953,   957,   958,   959,   960,   961,   962,   965,  1000,  1136,
    1137,  1141,  1143,  1144,  1161,  1162,  1163,  1164,  1175,  1177,
    1181,  1182,  1183,  1184,  1185,  1187,  1189,  1191,  1192,  1193,
    1194,  1196,  1201,  1202,  1206,  1207,  1216,  1218,  1219,  1220,
    1223,  1228,  1231,  1236,  1238,  1239,  1242,  1244,  1247,  1256,
    1274,  1282,    72,  1164,  1172,  1173,    14,    71,    94,    95,
      96,    97,    98,    99,   100,   101,   103,   104,   105,   113,
     114,   116,   117,   119,   120,   121,   128,   129,   130,   131,
     132,   135,   136,   139,   141,   142,   143,   144,   149,   150,
     151,   152,   154,   155,   158,   159,   160,   161,   162,   163,
     166,   167,   175,   176,   177,   178,   179,   181,   184,   186,
     188,   189,   190,   191,   192,   194,   195,   196,   199,   200,
     201,   202,   203,   205,   206,   207,   209,   210,   211,   213,
     214,   215,   216,   218,   219,   220,   223,   225,   226,   228,
     230,   232,   236,   237,   238,   240,   244,   246,   247,   249,
     250,   252,   253,   254,   255,   257,   258,   259,   260,   261,
     262,   264,   268,   269,   270,   276,   279,   281,   282,   283,
     284,   285,   288,   291,   294,   295,   296,   299,   300,   301,
     302,   303,   304,   305,   306,   308,   309,   311,   312,   313,
     317,   318,   321,   322,   324,   327,   329,   330,   331,   333,
     336,   337,   338,   341,   344,   347,   348,   349,   350,   351,
     352,   353,   355,   356,   358,   360,   361,   362,   364,   365,
     366,   367,   368,   369,   370,   371,   373,   374,   375,   376,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   390,   391,   393,   394,   395,   397,   398,   399,   400,
     401,   402,   404,   406,   407,   408,   409,   410,   411,   412,
     413,   415,   416,   418,   419,   421,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   436,   437,   439,
     441,   442,   443,   444,   445,   449,   451,   452,   454,   457,
     458,   459,   460,   461,   462,   463,   466,   467,   468,   469,
     470,   473,   474,   475,   476,   477,   481,   483,   484,   485,
     486,   489,   492,   493,   494,   495,   496,   497,   508,   509,
    1131,  1132,  1134,  1135,  1136,  1137,  1154,  1155,  1266,  1268,
    1272,  1274,    29,   267,  1217,     9,    13,    15,    28,    44,
      45,    49,    50,    55,    64,    66,    68,    69,   102,   137,
     156,   168,   180,   185,   248,   307,   310,   403,   478,   507,
    1122,  1135,  1136,  1156,  1203,  1204,  1246,  1247,  1248,  1252,
    1257,  1258,  1259,  1268,  1274,   102,   954,  1121,  1156,  1252,
    1265,    14,   954,     5,    25,    29,    35,    36,    42,    43,
     102,   106,   107,   108,   109,   110,   111,   112,   115,   127,
     133,   134,   137,   140,   146,   148,   156,   157,   164,   168,
     169,   170,   171,   173,   174,   175,   185,   187,   193,   197,
     198,   204,   208,   212,   222,   224,   229,   231,   234,   239,
     242,   245,   256,   263,   267,   271,   273,   275,   286,   287,
     293,   297,   298,   320,   325,   332,   334,   335,   339,   340,
     354,   363,   377,   389,   405,   411,   422,   435,   438,   446,
     449,   450,   456,   464,   465,   471,   472,   478,   480,   487,
     488,   490,   491,  1135,  1138,  1248,  1249,  1250,  1254,  1255,
    1256,  1257,  1259,    25,    35,   137,   271,  1243,    37,    39,
     320,  1176,   451,   494,   885,   101,   147,   161,   179,   185,
     200,   211,   219,   231,   236,   242,   259,   284,   305,   336,
     356,   366,   393,   398,   400,   406,   409,   437,   438,   441,
     445,   454,   459,   471,   484,   672,  1204,   184,   885,   102,
     954,   482,   916,   334,   362,   885,   124,   605,   958,   101,
     113,   134,   147,   157,   179,   185,   200,   211,   219,   231,
     238,   242,   296,   336,   339,   356,   393,   400,   409,   441,
     442,   444,   445,   454,   459,   465,   468,   471,   615,   655,
     758,   810,   821,  1122,  1145,  1146,  1147,  1156,  1272,  1274,
      14,   102,   361,  1121,  1156,  1160,   427,   954,   102,   355,
     407,   442,   444,   283,   852,   853,  1272,   101,   113,   134,
     147,   161,   179,   200,   211,   219,   231,   236,   242,   259,
     305,   336,   347,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   471,   484,   672,   771,   885,
     532,  1186,  1250,   252,  1160,   164,   184,   216,   482,   526,
     653,   656,   915,   921,   929,   931,   939,   946,   953,   957,
    1141,    95,   102,   119,   226,   232,   234,   256,   285,   317,
     364,   380,   517,   518,   786,   787,   954,  1129,  1130,  1266,
    1268,   102,   164,   377,   405,   791,   792,   793,  1252,   231,
    1252,  1126,  1272,   438,   968,   119,   232,   786,  1252,   451,
    1160,   347,   305,   179,   259,   400,   437,   438,   526,   862,
     863,   399,  1252,   102,   137,   410,   447,   451,   478,   563,
     572,   573,  1135,  1136,  1246,  1251,  1257,  1259,  1274,    99,
     239,   791,   792,   362,   885,  1252,   282,   102,   197,   970,
     971,     4,    14,   135,   156,   158,   296,   313,   393,   400,
     410,   447,   451,   497,   560,   561,   562,   563,   102,   410,
     447,   451,   563,   451,   335,  1011,  1119,  1252,   968,  1240,
    1250,   519,  1252,   235,   526,   917,   526,  1114,   375,   963,
     964,  1121,   963,   958,   959,   962,   530,   916,   212,   273,
     340,   464,   972,   973,   958,   960,   961,   190,   269,   470,
     529,   121,   536,  1184,  1187,  1183,  1179,   530,  1188,  1190,
       5,    25,    35,   137,   201,   271,  1195,   180,   248,   307,
     310,   403,   507,   526,  1048,  1049,  1167,  1171,  1261,    72,
    1164,  1121,  1156,  1275,   185,  1145,    21,   472,   520,  1160,
    1160,  1275,   472,  1208,  1209,  1210,    25,   271,   271,  1254,
       7,    19,    20,    38,    41,   160,   198,  1245,  1245,    16,
    1184,  1127,  1137,  1246,  1249,  1252,  1253,  1257,  1258,  1274,
     773,  1252,   773,  1122,   365,   773,   454,   773,  1121,  1252,
     178,   438,   799,  1127,  1131,  1132,   102,   250,  1119,   329,
     484,    84,    91,    92,    93,   142,   223,   513,   514,   515,
     517,   518,   519,   520,   521,   522,   850,  1081,  1082,  1252,
     250,  1121,   102,  1131,  1132,  1121,  1121,   250,  1119,  1121,
     386,   412,   102,   250,  1011,  1121,   402,  1121,   773,   102,
     303,  1131,  1132,   250,  1119,   283,    34,   187,   279,   320,
     371,   886,   887,   888,  1119,  1125,  1252,   101,   134,   147,
     148,   157,   161,   179,   200,   211,   219,   231,   236,   259,
     284,   305,   336,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   484,   672,   779,  1272,  1119,
     449,  1127,  1121,   526,   773,   454,  1122,   773,   454,   250,
    1121,   178,   438,   442,   444,  1131,   442,   444,   142,   223,
     850,   384,  1121,  1131,   250,   556,  1252,  1121,  1121,   402,
    1121,   773,   303,  1131,   375,   406,   438,   484,   305,   161,
     259,   236,   398,   452,   458,   666,    84,  1148,  1149,   531,
    1268,  1275,   102,  1160,  1274,   955,   570,  1134,  1272,   853,
     250,  1127,  1121,   250,   857,   250,  1122,   123,   125,   126,
     137,   138,   182,   183,   201,   227,   250,   271,   272,   274,
     314,   316,   328,   372,   414,   420,   447,   448,   479,   775,
    1026,  1028,  1030,  1032,  1034,  1036,  1037,  1038,  1040,  1041,
    1042,  1045,  1046,  1246,  1253,  1257,  1258,  1274,   454,   178,
     438,   250,  1127,   250,  1132,  1133,   153,   484,   142,   223,
     250,   850,   128,   250,  1121,   250,  1133,   250,  1121,   250,
    1121,   250,  1121,   402,   857,   250,  1121,   250,   775,   250,
     303,  1133,   283,   250,   772,   773,   526,   532,  1276,  1277,
    1278,  1279,  1281,  1186,    70,  1156,  1205,   526,   930,   615,
     954,   921,   915,   922,   923,   924,  1134,   916,  1130,   787,
     788,   102,   787,   954,  1130,   788,   102,   787,   954,  1130,
     788,   788,   788,  1130,  1129,  1129,   275,   472,  1210,  1211,
    1285,  1287,   954,   788,   365,   526,   526,   634,   634,   634,
     334,   449,   529,   634,   400,  1011,  1012,   787,   954,   787,
     954,   529,   881,  1272,   234,   526,   927,   128,   484,   482,
     864,   865,  1119,  1121,  1252,   118,   509,   279,   528,   337,
     337,   334,   234,  1272,   449,   229,   782,   334,    82,    83,
      84,    86,   110,   123,   125,   126,   133,   134,   137,   138,
     145,   147,   169,   170,   171,   172,   173,   174,   175,   182,
     183,   217,   221,   222,   227,   241,   243,   272,   274,   289,
     297,   298,   314,   316,   320,   325,   326,   328,   336,   346,
     357,   372,   396,   411,   420,   434,   447,   448,   453,   455,
     456,   465,   471,   479,   499,   500,   501,   502,   503,   504,
     505,   506,   510,   517,   518,   519,   526,   958,  1029,  1032,
    1035,  1036,  1037,  1039,  1040,  1041,  1045,  1046,  1050,  1052,
    1053,  1054,  1056,  1077,  1078,  1079,  1083,  1102,  1107,  1116,
    1117,  1127,  1128,  1129,  1252,  1264,  1266,  1268,  1269,  1270,
    1271,  1272,  1115,  1116,   449,   515,  1275,  1272,   449,   515,
    1204,   102,   578,  1118,  1119,   410,   560,   185,   569,  1272,
     570,  1272,   118,   139,   560,   509,   421,   887,   337,   234,
     449,   515,   118,   509,   279,  1285,   888,   526,  1119,   519,
     524,   528,  1108,  1109,  1012,  1256,   233,   235,   482,   912,
     913,   915,   233,   918,   185,  1050,  1112,  1113,   963,   529,
     526,   919,   527,   527,  1119,   102,   197,   969,   969,   128,
     969,   224,   229,   293,   332,   976,   978,   979,   994,   996,
     997,   998,   972,   973,   234,   275,  1011,  1013,  1114,   530,
    1178,   519,  1197,  1198,  1200,   532,   532,    25,   271,   271,
     449,   449,   449,   449,   526,   449,   517,   518,   663,  1130,
    1165,  1271,   208,   111,  1152,   128,  1155,  1155,   275,  1210,
    1212,   275,  1210,  1211,  1212,   477,  1221,  1222,  1268,    14,
      83,   423,   517,   518,  1129,  1213,  1214,  1215,  1264,  1266,
    1270,  1271,  1272,  1273,   271,   277,  1121,   449,  1121,     6,
    1121,  1245,  1200,   526,   833,  1109,   348,   382,   412,   528,
     774,   348,   382,   412,   156,   206,   299,   348,   382,   412,
     441,   443,   491,   571,   574,   893,   894,   895,   896,  1274,
     805,    98,   202,   348,   382,   412,   475,   585,  1121,   412,
      98,   202,   470,   553,   495,   250,  1011,   130,   163,   220,
     253,   288,   320,   348,   382,   390,   397,   404,   412,   424,
     432,   486,   571,   575,   836,   844,   526,   822,   382,   553,
     256,   217,    98,   104,   144,   195,   202,   205,   230,   261,
     318,   320,   330,   338,   348,   382,   385,   386,   412,   475,
     583,   584,   691,   663,   102,   250,  1119,   773,   773,   526,
     849,   528,   217,   334,   256,   545,   382,   491,   512,   538,
     545,   334,   348,   382,   217,   129,   177,   258,   306,   308,
     318,   347,   382,   387,   412,   426,   583,   660,   661,   348,
     382,   483,   691,   699,   573,   561,   563,   256,   217,   382,
     412,   583,   348,   382,   386,   412,   154,   194,   349,   443,
     334,    98,   104,   202,   348,   382,   412,   595,   596,   545,
     229,   382,   538,   545,   217,   382,   412,   583,  1121,   530,
     291,   187,   335,   496,   529,   886,   472,   910,   334,  1127,
     526,  1121,  1026,   454,   178,   438,  1127,   329,   484,   142,
     223,   850,  1121,  1121,   402,   229,  1121,  1026,   283,   773,
     634,   368,   600,   526,   748,   833,   140,  1026,   234,   526,
     744,  1121,   538,   111,   904,  1121,   320,   538,   495,   250,
    1119,   538,   773,   773,   744,   468,   615,   334,   538,   320,
     118,   557,   459,   698,   348,   674,   154,   194,   349,   443,
     100,   120,   270,   722,   111,   744,   229,   538,   484,   250,
    1119,   250,   651,  1119,  1119,   484,   773,   153,   811,  1127,
    1121,   229,   672,    73,  1150,  1252,   531,  1151,  1148,   124,
     176,   268,   318,   401,   217,   833,   131,   388,   586,   217,
     526,   217,   481,  1043,  1043,  1043,   526,  1031,  1031,   359,
     526,  1033,   217,   137,   138,  1043,  1031,  1028,   493,   512,
     526,  1047,   526,  1047,   529,   586,   110,  1027,   138,   526,
    1044,   180,   310,   507,   526,  1048,   774,  1031,   495,   217,
     822,   217,   529,   250,   772,   250,   773,   250,   773,   217,
     849,  1133,   217,   334,   217,   217,   334,   217,   586,   217,
     154,   194,   349,   443,   229,   217,   334,   217,   586,   217,
     229,   250,   250,   570,   217,   529,   586,   527,  1277,  1278,
    1276,   529,   533,  1050,  1086,  1209,  1284,  1285,   438,   955,
     527,   529,   222,   334,   456,   567,   570,   663,   925,   921,
     788,   954,   788,   954,  1287,  1288,   788,   954,   788,   954,
    1288,   788,   954,   954,   954,   788,    14,   423,  1260,  1263,
    1268,   954,   526,   635,   636,  1252,   635,   102,   179,   200,
     231,   236,   283,   284,   400,   406,   438,   441,   459,   794,
    1118,  1133,   793,  1121,   256,   529,   942,   954,   954,  1272,
    1205,  1026,  1089,   111,  1133,   811,   527,   529,   291,  1252,
     229,   229,   794,  1133,   399,  1252,   570,   334,   526,   524,
     958,  1090,  1050,  1106,   526,   526,   229,   526,   526,   958,
     526,   526,   526,   526,   526,   526,  1050,   526,   526,   526,
     526,   526,   526,   526,   526,   958,   526,   526,   526,   526,
     526,   526,   526,   526,  1050,  1050,  1050,   478,   958,  1050,
    1086,  1109,  1272,   526,  1272,    84,    87,    91,    92,    93,
     108,   111,   116,   122,   146,   251,   256,   277,   278,   292,
     323,   336,   339,   417,   510,   513,   514,   515,   517,   518,
     519,   520,   521,   522,  1081,  1083,  1085,  1274,   492,  1065,
     345,  1050,   275,   529,   966,  1285,   526,  1272,  1109,    22,
    1267,  1268,  1110,   966,   331,   334,  1237,  1237,    10,   477,
    1224,  1225,  1227,  1204,  1204,   188,   252,   579,   529,   139,
     185,   570,   111,   185,   296,   568,   663,  1046,  1272,  1274,
    1272,   159,   199,  1062,   168,   185,   564,   565,   567,   663,
     185,   564,  1285,  1285,   291,  1119,  1050,   519,  1124,  1254,
    1108,   160,   387,   777,   277,   527,   529,   916,   527,   529,
     964,  1120,  1121,   111,   919,   960,   960,   974,   975,  1050,
     960,   226,   317,   985,   281,   318,   371,   415,   470,   102,
     980,  1050,   981,   983,  1050,  1052,   994,   995,   979,   978,
     976,   977,   229,   997,   330,   999,   976,   994,  1013,   932,
    1119,   111,  1252,   412,  1197,   519,   529,   530,  1255,  1174,
    1177,  1174,   271,   180,   248,   307,  1049,   307,  1049,  1049,
     310,  1129,   307,   310,   403,  1271,  1271,   529,  1166,   184,
    1204,   471,  1153,  1155,  1121,   423,  1129,  1226,  1268,   529,
     515,  1121,    14,  1129,  1271,  1129,  1271,   529,  1184,   526,
    1121,   526,  1256,   256,   266,   340,   342,   414,   480,   519,
     826,   827,   828,   830,   832,   834,  1026,  1253,   348,   382,
     412,   449,   449,   400,  1124,   528,   449,   449,   400,   293,
     449,   449,   441,   560,   348,   893,   895,   515,   897,   229,
     239,   256,   391,   806,   807,   140,   157,   213,   231,   363,
     465,   631,   632,   157,   185,   320,   449,   157,   449,   185,
     320,   400,   157,   195,   205,   348,   382,   740,   400,   680,
     101,   134,   147,   161,   200,   211,   231,   236,   305,   336,
     400,   406,   409,   438,   445,   452,   459,   484,   672,  1121,
     217,   382,   412,   583,   334,   663,   404,   288,   449,   449,
     325,   663,   189,   276,   400,   410,   451,   562,   388,   412,
     836,   845,   527,   823,   826,   449,   471,   441,  1119,   148,
     213,   622,   631,  1252,   148,   157,   868,   334,   396,   398,
     454,   157,   868,   105,   385,   396,   398,   454,   396,  1119,
     230,   261,   330,   773,   526,   449,   449,   249,   526,   590,
     302,   441,   468,   491,   493,   590,   157,   529,   348,   256,
     217,   382,   412,   583,   472,   472,   319,  1026,   348,   412,
     850,  1121,  1119,   179,   412,   574,   449,   540,   574,  1119,
     449,   449,  1119,   663,   128,   662,   663,   663,   177,   306,
     308,   128,   449,   538,   400,   538,   318,   661,   449,   449,
     325,  1272,   691,   441,  1011,   157,   449,   868,   400,   449,
     449,   590,   590,   773,   773,   773,   773,  1119,   117,   477,
     117,   117,   449,   117,   449,   400,   529,   574,   471,   709,
    1132,   449,   540,   574,  1119,   449,   400,   348,   382,   371,
     383,   408,   566,   886,  1125,  1252,  1119,   833,  1026,   334,
     277,   495,   822,   663,   773,   773,   849,   334,   277,   334,
     154,   194,   349,   443,  1026,   334,   277,   773,   277,   491,
     606,   429,   430,   601,  1272,   749,   750,  1274,   744,   526,
     111,   773,   745,   746,  1254,   100,   893,  1026,   334,   217,
     677,  1121,   320,   526,   539,   758,   472,   375,   484,  1119,
     539,   217,  1132,   164,   239,   558,   614,   657,   721,   789,
     809,   889,  1272,   699,   700,  1132,   299,   773,   773,   773,
     773,   330,   190,   269,   457,   470,   723,   724,   209,   370,
     526,   709,   539,  1119,   320,   659,   660,   320,   111,   330,
     526,   634,   634,   250,   654,  1119,   229,   250,   812,  1125,
     526,   824,   111,  1026,   283,   528,  1129,  1151,   491,   493,
     956,   401,  1127,   586,  1026,  1122,   526,  1086,  1129,   775,
    1043,  1043,   110,  1027,   447,   447,  1129,  1129,  1026,   524,
     524,   412,  1129,   449,   449,  1129,  1031,   250,  1121,  1127,
     586,  1133,  1132,   217,   586,   217,   472,   217,   472,   850,
     586,   586,  1121,   773,  1133,  1121,   773,  1121,  1121,  1026,
    1121,   773,   775,  1133,   709,   217,   217,   586,   772,   773,
     527,   533,  1279,   527,   529,  1285,  1286,  1209,  1119,   176,
     921,   923,   954,   954,  1288,   954,   954,  1288,   954,   954,
    1121,    14,   529,  1267,   635,   527,   529,   527,   237,   407,
     439,  1120,   772,   178,   409,   798,   799,  1120,   329,  1120,
    1118,  1118,  1120,   772,   449,   491,   802,   212,   293,   706,
     707,    96,   215,   396,   415,   943,  1011,   324,   944,   527,
     529,   928,   931,   939,   946,   957,   449,  1119,   862,   863,
     865,   792,   791,   792,   234,   240,   803,  1252,   101,   148,
     179,   200,   211,   231,   236,   284,   305,   393,   400,   406,
     438,   441,   459,   484,   672,   783,  1086,   525,  1086,  1090,
    1091,   487,  1103,  1104,  1050,  1086,   526,  1129,  1129,   180,
     248,   307,   310,   403,   507,  1092,  1093,  1272,  1274,  1086,
    1086,  1086,  1129,  1129,  1050,   850,  1050,  1094,   396,   517,
     518,   526,  1051,  1052,  1083,  1096,   527,  1086,  1050,  1086,
    1097,  1050,   127,   234,   287,   450,  1050,  1086,  1100,  1086,
     312,  1052,  1050,  1060,  1061,  1062,   312,  1050,  1062,   527,
     529,  1129,  1048,  1026,  1050,  1050,  1050,  1050,  1254,   447,
     115,   435,  1111,   773,  1050,   526,   958,  1101,   197,   199,
     222,   320,   325,   330,   456,   466,  1050,   526,  1050,   449,
     122,   251,   256,   292,   417,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,   102,   109,   422,  1080,   242,
     225,  1066,   396,   526,  1077,   238,   296,   438,   442,   444,
     468,   967,  1119,  1117,   234,  1001,   102,   197,   480,   519,
     527,   828,  1050,  1087,  1088,  1253,  1121,  1268,  1108,  1001,
    1226,   529,   515,  1119,   451,   526,  1272,   529,  1285,   527,
     525,   531,   249,   249,   586,  1184,  1119,   913,   914,  1119,
    1112,   527,   529,   526,   529,   112,   193,   472,   818,   526,
     982,  1130,   415,   281,   335,   529,   396,   397,   984,  1118,
     324,   419,   945,   995,   977,   472,   940,   185,   526,   933,
     957,   111,  1252,   526,   947,   948,   949,   950,   951,  1252,
     530,  1198,  1027,   533,  1177,   533,   527,   663,   527,    34,
    1154,  1229,  1230,  1268,  1222,  1227,  1275,  1213,  1027,  1262,
    1278,  1262,  1027,   342,   128,  1253,   527,   828,   830,   827,
     830,  1253,   340,   527,   529,   774,   449,   449,   400,  1132,
    1121,  1121,  1124,  1132,  1121,  1121,  1132,  1122,  1121,   185,
     567,  1130,   393,   471,   791,   400,   239,   791,   526,  1121,
     472,   813,   281,   281,   472,   526,   650,   250,  1121,   325,
    1132,  1121,  1121,  1050,   325,  1121,  1121,   105,   385,   449,
     449,  1121,   449,   681,  1127,   526,   773,   773,  1026,   454,
     178,   438,   799,   484,   142,   223,   850,  1121,   773,  1121,
     773,   402,   229,  1026,   773,   283,   244,   318,   348,   382,
     476,   684,   685,   686,  1011,   449,   868,   400,   325,   189,
     276,  1132,  1121,   334,  1121,   527,   529,  1131,  1133,  1121,
     382,   583,   622,  1026,  1121,  1252,  1121,   291,  1121,   102,
     471,  1121,   250,  1121,   250,  1252,   398,   454,   398,   454,
     291,  1121,   102,   471,  1121,   291,   396,  1119,    98,   202,
     412,   692,   693,   694,   695,  1254,  1132,  1121,   185,   235,
     321,   472,   589,   592,   593,  1254,  1121,   333,   144,   333,
    1121,   584,   449,   441,  1119,   449,   868,   400,  1123,  1252,
    1123,   529,   527,   529,   449,   400,   334,   382,   449,   718,
    1122,  1131,   156,   207,   261,   353,   463,   471,   474,   541,
    1274,   382,  1132,  1121,   382,   412,   583,   660,   663,   773,
    1121,   663,  1121,   663,  1132,  1121,  1121,   382,   412,   583,
    1121,  1121,  1121,  1121,  1132,  1121,    98,   104,   202,   348,
     382,   412,   348,   382,   412,   744,   382,   412,   382,   412,
     382,  1025,  1252,   250,   754,  1252,   250,  1252,  1132,  1121,
    1121,  1121,    98,   596,   409,  1131,   382,   412,   583,  1121,
    1121,   449,   449,   152,   462,   371,   277,   111,   200,   773,
     325,   780,  1272,   277,   277,   472,   472,   277,   773,   780,
     773,   283,   773,   780,   277,   780,   333,   234,   449,   599,
     538,   527,   529,   515,  1050,  1026,   527,   529,   515,   723,
     624,  1254,  1121,   234,   400,   483,   678,   685,   686,   217,
     292,   616,   618,   620,   622,   628,   631,    99,   256,   393,
     436,   541,   542,   229,  1123,   484,  1119,   229,   719,   556,
    1252,   557,   339,   615,   231,  1272,   744,   744,   744,   744,
     330,   334,   339,   526,   744,  1023,  1024,  1025,   409,   526,
     217,   217,   216,  1142,   773,   616,  1252,   491,   493,   646,
     491,   591,   320,   111,   634,  1272,   320,   334,   527,   825,
     826,   831,   111,   283,   390,   452,   490,   835,   836,   837,
     334,   283,   570,  1150,   520,   247,   247,   229,   833,   111,
    1086,   527,   527,   586,   524,   509,   509,   527,   527,  1129,
     525,   526,  1129,  1252,  1272,  1283,  1252,   527,   527,   217,
     586,   822,   772,   773,  1123,   773,  1123,   849,   334,   586,
     334,   586,   586,   283,   334,   586,   586,   409,   229,   570,
     586,  1050,   956,  1275,  1263,   527,   636,   256,   256,   256,
     495,  1120,   529,   663,   664,   242,   795,   796,  1132,    99,
     803,   449,   526,   234,   215,   415,   215,   415,   396,   470,
     309,  1026,  1132,   491,   652,  1119,  1121,   234,   334,   795,
     128,   586,  1127,  1026,   454,   438,  1127,   329,   484,  1026,
     283,   773,   527,   525,   525,   529,  1050,   204,  1104,  1105,
     111,   527,  1050,   527,   527,   527,   234,   527,   527,   527,
     527,   527,   529,   527,   354,  1095,   527,   526,  1051,  1051,
    1086,    87,    91,    92,    93,   256,   277,   336,   513,   514,
     515,   517,   518,   519,   520,   521,   522,  1083,  1051,   527,
     527,   229,   234,  1098,  1099,   527,   111,  1100,  1086,  1100,
    1100,   234,   527,   527,  1254,   352,  1064,   111,   527,   529,
    1050,  1254,   529,  1050,  1110,  1050,   527,   509,  1051,  1051,
     210,  1086,   234,   197,   199,   222,   325,   330,   456,   466,
     526,   210,   850,  1050,   435,  1111,  1050,  1101,  1050,   449,
     526,   958,   526,   526,   344,  1070,   526,  1086,   442,   444,
     442,   444,  1119,   968,   968,   968,   286,   397,   526,   958,
    1002,  1003,  1004,  1011,  1016,  1053,  1055,  1056,  1127,  1252,
     488,  1021,  1087,  1087,  1088,   527,    89,    90,   529,   972,
     973,  1021,     8,    11,    12,    22,    23,    24,    26,    27,
      31,    32,    33,   178,   312,   359,   459,  1232,  1233,  1235,
    1225,  1226,   887,  1129,  1048,   565,  1050,  1027,   919,  1121,
     928,   975,   336,  1081,  1084,   511,   819,  1050,   984,   470,
     981,   301,  1002,   488,  1022,   478,   934,   935,  1252,   334,
     936,  1252,   951,   952,   529,  1001,   515,  1110,   531,  1180,
     530,   529,   515,    30,  1241,   527,   527,   530,   834,   774,
     830,   830,   128,   832,   521,  1132,  1121,  1121,  1133,  1133,
     334,  1120,   337,   334,  1050,   632,  1123,   526,   526,   526,
     650,   259,   635,   732,   217,   586,   449,  1132,  1121,   570,
     833,  1026,  1121,   495,   773,   773,   773,   773,   849,   154,
     194,   349,   443,  1026,  1121,   667,  1121,   244,   476,   449,
     449,   667,   684,   691,   382,   412,   583,  1121,  1121,  1121,
     267,   325,   826,   347,   412,   449,   338,   689,   732,   202,
     386,   412,   585,   691,   869,   404,   217,   586,   217,   586,
    1121,  1121,  1121,  1121,   404,   404,   291,   694,   695,   694,
     527,   529,   696,  1272,   259,   527,   529,   515,   528,  1132,
    1121,   382,   412,   583,  1121,  1121,  1121,   348,   382,   412,
      98,   202,   348,   382,   412,  1026,   319,  1026,  1132,  1121,
    1119,   449,  1133,   472,   715,   293,   353,   325,  1272,   353,
    1133,   469,   449,   449,   400,   347,   412,   157,   449,   868,
     400,   449,   449,   303,   303,   303,   449,   449,   400,   449,
     449,   400,   449,   400,   449,   400,   449,   586,  1026,   320,
    1272,   412,   869,   217,   586,   449,  1121,   449,   400,  1132,
    1121,   780,  1026,   773,   277,   780,   780,  1123,  1123,   780,
     277,   277,  1121,   277,   780,   600,   526,   602,   603,   750,
    1274,   336,   517,   518,   663,   747,   830,  1084,  1138,  1272,
     527,   527,   746,   747,   334,   140,   146,   157,   185,   187,
     263,   320,   325,   363,   377,   465,   625,   626,   627,   216,
     487,   538,   570,  1121,   570,   689,  1119,  1119,   527,   529,
    1133,   242,   393,  1133,  1129,   459,  1119,   634,   102,   190,
     269,   405,   470,   720,   449,   717,   118,   557,   384,   438,
     178,   591,   635,  1119,   724,   751,   752,  1272,   527,   529,
    1121,   635,  1119,  1119,  1121,   957,   526,   617,   527,   333,
     590,   333,   334,   647,   590,   111,   217,   957,   591,   449,
     217,  1119,   527,   529,   185,   515,   838,  1272,   570,   438,
     829,   830,   229,   839,   491,   837,   840,   190,   269,   405,
     470,   877,  1121,   244,  1146,   957,  1160,   586,  1026,   527,
    1129,  1047,  1047,   525,  1283,   526,   517,   518,   519,   520,
     521,   525,  1044,  1121,   586,   586,   472,   586,   472,   586,
     586,   773,   773,  1121,   773,  1121,   709,   586,   229,   400,
     400,   400,  1120,   799,   529,  1132,   491,   529,   797,   337,
    1012,   409,   215,   215,   178,   318,  1133,   794,   586,  1132,
     833,   277,   822,   663,   277,   773,   277,  1090,   446,  1050,
     208,  1026,   527,  1050,  1050,  1050,  1098,   527,  1086,   529,
    1026,  1051,  1051,  1051,  1051,   197,   199,   320,   330,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1050,
    1050,  1099,  1098,  1026,   527,   527,   527,  1086,   527,   529,
     128,  1052,   527,  1254,  1061,   360,   433,  1063,   527,   529,
     483,  1057,   111,   527,  1272,  1050,   108,   108,  1050,   527,
    1050,   234,   526,  1089,  1050,   527,   210,  1051,  1051,   210,
     210,  1050,  1050,   973,   488,   526,  1071,  1252,   527,  1086,
     529,   968,   968,   968,   968,  1119,  1119,  1119,   958,  1016,
     234,   958,  1003,  1004,   111,  1005,  1006,  1252,   529,   165,
     235,   265,   280,   290,   315,   392,  1008,  1006,   111,  1005,
    1007,  1252,   512,  1020,   526,  1109,  1050,   242,   986,   529,
     972,   972,   972,  1050,  1050,   480,  1088,   527,   986,   529,
     515,   527,   525,  1241,   527,   526,   819,   226,   285,   527,
     335,   168,  1050,   389,   938,   527,   529,  1110,   155,   938,
     527,   529,   948,  1022,  1112,  1129,   515,  1199,  1230,  1235,
     527,   521,   834,   459,   237,   407,   439,   460,   808,   229,
     808,   527,   526,   638,   639,   815,  1055,  1252,   635,   635,
     732,  1125,   527,   187,   263,   318,   320,   733,  1121,  1121,
     111,  1121,   472,   472,   773,   773,   773,   773,   283,   774,
    1132,  1121,   449,   868,   400,   449,   267,   128,   441,  1121,
     526,   624,   320,   590,   178,   320,   428,   431,   590,   459,
    1121,  1252,   404,   693,  1121,   593,   747,  1254,   347,   412,
     449,   868,   400,   449,   449,   449,   400,   236,   336,   431,
     756,   757,   236,   336,   764,   765,   449,   449,   400,   527,
     527,   527,   382,  1121,   526,   491,   716,  1130,  1272,  1272,
    1272,  1121,  1121,  1121,   128,   441,  1121,  1121,  1121,  1121,
    1121,  1121,   229,   229,   384,   229,   250,  1132,  1121,  1121,
    1132,  1121,  1121,  1121,  1121,  1121,  1121,  1121,   146,   587,
     217,   100,   120,   459,  1252,  1121,   691,  1121,  1121,   527,
     277,   780,   277,   277,   780,   780,   277,   780,   601,   609,
     610,  1254,   124,   166,   191,   206,   210,   230,   233,   246,
     325,   333,   369,   604,   732,   491,   493,  1119,   526,   773,
    1121,  1051,   188,   252,   187,   325,   281,  1119,   840,   367,
     736,   737,  1252,   677,   526,   629,   262,   645,   620,  1133,
    1133,  1026,   526,   591,  1133,   715,  1132,  1119,   495,   229,
     725,   527,   529,  1025,   689,   527,   659,   330,   526,   930,
     652,   619,   621,   623,   631,  1252,   646,   645,   151,   441,
     648,   957,   654,   652,   648,  1272,  1125,   813,   831,  1050,
    1050,   529,   526,   835,   459,   529,   744,   449,   526,   667,
      84,  1157,   527,   525,   527,  1184,  1283,  1283,  1283,  1283,
    1283,   586,  1123,  1123,   586,   586,   586,   586,   409,  1120,
    1120,  1120,   663,   239,   796,   527,  1121,   178,   803,   234,
     277,   325,   784,  1272,   277,   277,   784,   277,   784,  1050,
     527,   527,  1099,   527,  1050,   234,   197,   199,   330,   526,
     527,   498,  1059,  1086,   376,   128,   489,   489,   527,  1050,
     318,  1050,   529,  1058,  1028,  1050,  1050,  1050,  1089,   527,
    1050,   108,   108,  1050,  1050,   210,   527,   527,  1050,  1072,
    1252,   527,  1050,  1119,  1119,  1119,  1119,  1006,  1007,   526,
     527,  1252,   526,  1003,   280,   343,  1009,  1003,  1009,   280,
    1008,  1009,   280,   440,  1014,   526,  1252,   526,   341,  1087,
     128,   245,   993,   527,   527,   527,  1088,  1272,   993,  1233,
     518,  1226,  1234,  1271,  1272,  1272,   850,   330,  1116,   957,
     935,   334,   526,   937,   515,   951,   938,  1279,   459,   527,
     449,   791,   234,   732,  1050,   527,   529,   491,   146,   816,
     816,   527,   527,   840,   188,   252,   261,   187,   474,   586,
    1026,  1123,  1123,  1121,  1121,  1121,  1121,  1121,  1133,  1121,
     690,   694,   325,   325,  1130,  1252,  1026,   586,   586,   515,
     128,   441,  1121,  1121,  1121,  1121,  1132,  1121,  1121,  1129,
    1129,  1026,   529,  1129,  1129,   529,  1132,  1121,  1121,   449,
    1050,   140,  1133,  1121,   449,   449,  1120,  1120,   773,  1120,
     217,   773,  1272,  1272,  1026,   586,   586,   277,   780,   780,
     780,   780,   472,   607,   608,   527,   529,   519,   526,   567,
     611,   663,   904,  1272,   904,   320,   325,   369,   904,   904,
     236,   266,   236,   234,   731,  1050,   320,   626,   840,   634,
     472,   649,  1127,   108,   216,   256,   616,   214,   257,   526,
     409,   472,   635,   111,   716,   557,   526,  1121,   203,   726,
     487,   728,  1272,   591,   773,   616,   652,   527,   529,   491,
     647,   646,   190,   202,   360,  1121,   491,   890,   111,   234,
     334,   526,  1272,   828,   841,   842,  1253,   840,  1026,   229,
    1119,   234,   449,   859,   264,   668,  1158,  1252,   586,   527,
     586,   586,  1121,   337,   275,   586,   795,   784,   784,   784,
     784,   527,  1051,   234,   526,  1089,   526,   527,   529,   527,
    1052,   376,   527,   477,   425,   527,   527,   527,  1050,  1050,
    1050,   527,   351,  1073,   527,  1017,  1018,  1055,  1005,   526,
    1120,  1003,   334,   472,  1010,  1003,   280,  1003,  1127,  1024,
     526,  1024,  1252,   972,   167,   243,   395,   526,   987,   988,
     989,   990,   991,   992,  1050,  1050,   490,  1067,   972,  1067,
    1129,  1271,   527,   954,  1286,   157,   814,   815,   198,   526,
     958,  1114,   795,   334,   795,   527,   840,   639,   336,   850,
     773,   472,   773,   817,   817,   377,   840,   649,   527,   449,
     412,   944,   527,   529,   587,   747,  1133,  1121,   449,   526,
    1127,   850,   757,   526,   526,   765,  1121,   527,   526,   412,
     944,  1121,  1121,   491,   512,   907,   384,   907,   907,   229,
     587,   780,   538,   192,   610,   567,   612,   613,  1272,  1272,
     325,   635,   519,   635,  1272,  1272,   799,   111,   855,   855,
    1119,   732,   527,   649,   304,   637,   259,   526,   737,   367,
     526,   527,   102,   150,   158,   186,   260,   431,   630,   630,
    1118,  1121,  1123,   527,   957,   689,   396,   427,   727,   526,
     216,   111,   617,   527,   621,   338,   648,   647,   397,   397,
     132,   140,   296,   957,   773,  1119,   814,   830,   527,   529,
     459,  1021,   423,   423,   527,   667,   318,   476,   669,   670,
     515,  1159,  1121,   586,  1051,  1089,   527,  1060,  1086,   128,
     318,   508,   128,   972,   527,   529,   111,  1019,  1120,   527,
    1050,   526,  1003,  1010,   526,   527,  1024,   527,   527,   526,
     413,   526,   527,   529,  1068,  1069,  1252,   527,  1121,   527,
     529,   321,   470,   797,   808,   586,   816,   649,   526,   773,
     818,   818,  1119,   649,   732,  1121,   441,   694,   472,   588,
     412,   944,  1121,  1089,   822,   229,   760,   849,  1089,  1089,
    1050,   441,   772,   773,   772,   773,  1120,   586,   602,  1272,
     527,   529,   635,   855,   114,   254,   229,   318,   633,   235,
     350,   418,   334,   641,   642,   643,   441,   527,  1127,    81,
     738,   645,   527,   689,   223,   759,   591,   890,  1050,   367,
     957,   646,   645,   624,   648,   140,   337,   140,   652,   813,
     527,   835,   841,  1026,   198,   491,   491,   476,   667,  1129,
    1266,  1274,    84,   689,   527,   527,   527,   376,   477,  1086,
     370,   397,  1074,  1020,  1017,   526,   527,  1120,  1086,   527,
    1086,   526,  1086,   988,   529,   111,  1021,   815,   412,   234,
     817,   488,   640,   850,   819,   819,   634,   732,  1121,  1050,
     441,   527,   340,   402,   374,   761,   760,   527,   527,   527,
    1121,   907,   613,   203,   261,   190,   470,   334,   643,   334,
     642,  1121,   526,   527,   529,   409,   773,   111,   111,   527,
    1127,   890,   647,   646,   337,   337,   526,   591,   840,   103,
     270,   878,   236,   236,  1158,   122,   168,   461,  1050,  1075,
    1076,  1075,   527,  1024,   527,   527,   527,   987,   527,  1069,
    1071,   947,   795,   818,   526,   732,   527,   637,   944,  1121,
    1127,   128,   761,   944,   773,   396,   131,   318,   388,   412,
     644,   644,   527,    81,  1121,   756,   957,   526,   648,   647,
     814,   648,   321,   526,   873,   875,   880,   931,   939,   946,
     957,   799,   799,  1076,   396,   228,   358,   228,   358,   527,
     383,  1015,   527,  1021,   586,   819,  1050,   641,   944,   822,
     773,   728,    97,   185,   325,   689,   890,   729,   730,  1129,
    1254,  1271,  1272,   648,   527,  1021,   874,   875,   876,   958,
     959,   529,   529,   108,   526,   527,   732,   216,   527,   529,
     591,   527,   530,   449,   234,  1076,  1050,   367,   730,   648,
     876,   423,   423,   527,  1127,  1021,   491,   491,   526,   236,
     236,   729,   799,   799,   527
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   534,   535,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   537,   538,   538,   538,   539,
     539,   540,   540,   541,   541,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   542,   542,   542,   542,   543,   544,
     545,   545,   546,   546,   547,   548,   548,   549,   549,   550,
     550,   551,   552,   553,   553,   554,   554,   555,   555,   555,
     555,   556,   556,   557,   557,   558,   558,   558,   558,   558,
     558,   559,   559,   559,   560,   560,   560,   561,   561,   561,
     561,   562,   562,   562,   562,   562,   562,   562,   562,   562,
     562,   562,   563,   563,   564,   564,   565,   565,   566,   566,
     566,   566,   567,   567,   567,   567,   568,   568,   568,   568,
     568,   568,   568,   569,   569,   569,   570,   570,   571,   572,
     572,   572,   572,   573,   573,   574,   574,   575,   575,   576,
     576,   576,   576,   576,   577,   578,   578,   579,   579,   580,
     581,   581,   581,   581,   581,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   582,
     582,   583,   583,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   585,   585,   586,   586,   586,   587,   587,
     588,   588,   589,   589,   589,   589,   590,   591,   591,   592,
     592,   593,   593,   593,   593,   594,   595,   595,   596,   596,
     596,   596,   597,   597,   598,   598,   599,   599,   600,   600,
     601,   601,   601,   602,   602,   603,   603,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   605,   605,   606,   606,   607,   607,   608,   608,   609,
     609,   610,   611,   611,   611,   611,   611,   612,   612,   613,
     614,   614,   614,   614,   615,   615,   615,   615,   615,   615,
     615,   615,   616,   616,   617,   617,   618,   618,   619,   619,
     620,   620,   620,   621,   621,   622,   623,   624,   624,   625,
     625,   625,   625,   626,   626,   626,   626,   626,   626,   626,
     627,   627,   627,   627,   628,   629,   629,   629,   630,   630,
     630,   630,   630,   630,   631,   631,   632,   632,   632,   632,
     632,   632,   632,   633,   633,   634,   634,   635,   635,   636,
     637,   637,   637,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   641,   641,   641,   642,   643,   644,   644,   644,
     644,   644,   645,   645,   646,   646,   646,   646,   647,   647,
     647,   647,   648,   648,   649,   649,   650,   651,   652,   652,
     652,   653,   653,   654,   655,   655,   656,   657,   657,   658,
     658,   659,   659,   660,   660,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   661,   662,   662,   663,
     663,   663,   663,   664,   664,   665,   665,   666,   666,   667,
     667,   668,   668,   669,   669,   670,   670,   671,   671,   672,
     672,   673,   674,   674,   675,   675,   676,   676,   677,   677,
     678,   678,   678,   679,   680,   680,   681,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   683,   684,   684,   684,   684,   685,   685,   686,
     686,   687,   687,   688,   688,   689,   689,   690,   690,   691,
     692,   692,   693,   693,   693,   693,   694,   695,   696,   697,
     698,   698,   699,   699,   700,   700,   701,   701,   702,   702,
     702,   703,   703,   704,   704,   705,   706,   706,   707,   707,
     708,   709,   709,   710,   710,   711,   712,   713,   714,   714,
     715,   715,   716,   716,   717,   717,   718,   718,   719,   719,
     720,   720,   720,   720,   720,   721,   721,   722,   722,   722,
     723,   723,   724,   724,   724,   724,   724,   725,   725,   726,
     726,   727,   727,   728,   728,   729,   729,   729,   730,   730,
     730,   730,   731,   731,   732,   732,   733,   733,   733,   733,
     733,   733,   734,   734,   735,   735,   736,   736,   737,   738,
     738,   739,   740,   740,   740,   740,   741,   742,   743,   743,
     743,   743,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   743,   744,   745,   745,   746,   746,   747,   747,   747,
     747,   747,   748,   749,   749,   750,   751,   751,   752,   752,
     753,   753,   753,   754,   754,   755,   756,   756,   757,   757,
     757,   757,   757,   758,   758,   759,   759,   760,   760,   760,
     761,   761,   762,   763,   763,   764,   764,   765,   765,   766,
     766,   767,   767,   768,   769,   770,   770,   770,   770,   770,
     770,   770,   770,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   777,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   780,
     780,   781,   781,   781,   781,   781,   781,   781,   782,   782,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   784,   784,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   787,   787,
     788,   788,   789,   790,   790,   791,   791,   791,   791,   791,
     792,   792,   793,   793,   793,   793,   794,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     794,   794,   795,   795,   796,   796,   797,   797,   798,   798,
     799,   800,   801,   801,   802,   802,   803,   803,   804,   805,
     805,   806,   806,   806,   807,   807,   807,   808,   808,   808,
     808,   809,   809,   810,   810,   811,   811,   812,   812,   813,
     813,   814,   814,   815,   815,   815,   816,   816,   817,   817,
     817,   818,   818,   818,   819,   819,   819,   820,   820,   820,
     821,   821,   822,   822,   823,   823,   824,   824,   825,   825,
     826,   826,   826,   826,   826,   827,   827,   827,   827,   827,
     828,   829,   830,   830,   830,   831,   831,   831,   832,   833,
     833,   833,   833,   834,   834,   835,   835,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   837,   837,   837,   837,   837,   838,   838,   839,
     839,   840,   840,   841,   842,   842,   843,   844,   844,   845,
     845,   846,   846,   847,   847,   848,   848,   849,   849,   849,
     849,   850,   850,   851,   852,   852,   853,   853,   854,   854,
     854,   855,   855,   855,   856,   857,   857,   858,   859,   859,
     859,   859,   860,   861,   861,   861,   861,   862,   862,   863,
     863,   863,   864,   864,   865,   866,   866,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   868,   868,   869,   869,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   872,   873,   873,   873,   874,   874,   875,   875,
     875,   875,   875,   876,   876,   877,   877,   877,   877,   878,
     878,   878,   879,   879,   880,   881,   881,   882,   883,   883,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   885,   885,   885,   886,   886,   886,
     886,   886,   887,   887,   887,   888,   888,   889,   889,   889,
     889,   890,   890,   890,   890,   891,   892,   893,   893,   894,
     894,   895,   895,   895,   896,   896,   896,   896,   896,   896,
     896,   897,   897,   898,   898,   898,   899,   900,   900,   901,
     901,   902,   903,   903,   903,   903,   903,   903,   903,   904,
     904,   905,   906,   906,   906,   906,   906,   906,   907,   907,
     908,   909,   909,   909,   910,   910,   911,   911,   911,   911,
     911,   912,   912,   913,   913,   913,   913,   914,   914,   915,
     915,   916,   916,   917,   917,   918,   918,   919,   919,   920,
     920,   920,   920,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   922,   922,   923,   924,   924,   925,   925,   925,
     926,   926,   927,   927,   928,   928,   928,   928,   929,   929,
     930,   930,   931,   932,   932,   933,   933,   933,   934,   934,
     935,   936,   936,   936,   937,   937,   937,   938,   938,   939,
     940,   940,   941,   942,   942,   943,   943,   943,   943,   943,
     943,   943,   943,   944,   944,   945,   945,   945,   946,   947,
     947,   948,   948,   949,   950,   950,   951,   952,   952,   953,
     954,   954,   955,   955,   955,   955,   955,   956,   956,   956,
     957,   957,   958,   958,   959,   959,   959,   959,   959,   959,
     959,   959,   960,   960,   961,   961,   961,   961,   961,   961,
     961,   962,   962,   962,   963,   963,   964,   965,   965,   966,
     966,   966,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   968,   968,   969,   969,   969,   970,   970,   971,   971,
     972,   972,   973,   974,   974,   975,   975,   976,   976,   976,
     976,   977,   977,   978,   978,   978,   979,   979,   980,   980,
     981,   982,   982,   982,   983,   984,   984,   985,   985,   986,
     986,   987,   987,   988,   988,   988,   988,   988,   989,   990,
     991,   992,   993,   993,   994,   994,   995,   995,   996,   996,
     997,   998,   998,   998,   998,   999,   999,  1000,  1000,  1001,
    1001,  1002,  1002,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1004,  1004,  1004,  1004,  1004,  1004,  1005,  1005,  1005,
    1005,  1006,  1006,  1007,  1007,  1007,  1007,  1007,  1008,  1008,
    1008,  1008,  1009,  1009,  1010,  1010,  1011,  1011,  1011,  1011,
    1012,  1012,  1013,  1013,  1013,  1014,  1015,  1015,  1016,  1016,
    1017,  1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,
    1022,  1022,  1023,  1023,  1024,  1024,  1025,  1026,  1026,  1026,
    1026,  1026,  1026,  1027,  1027,  1027,  1028,  1028,  1028,  1028,
    1028,  1028,  1028,  1029,  1029,  1029,  1029,  1030,  1030,  1031,
    1031,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,
    1032,  1032,  1033,  1033,  1034,  1034,  1035,  1035,  1036,  1037,
    1038,  1038,  1039,  1039,  1040,  1041,  1042,  1042,  1042,  1042,
    1042,  1042,  1043,  1043,  1044,  1044,  1045,  1045,  1045,  1045,
    1046,  1047,  1047,  1047,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1049,  1049,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1053,  1053,  1053,  1053,  1053,  1053,  1053,  1054,
    1054,  1055,  1055,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1057,  1057,  1058,  1058,  1058,
    1058,  1059,  1060,  1060,  1061,  1061,  1062,  1062,  1063,  1063,
    1063,  1064,  1064,  1064,  1064,  1065,  1065,  1066,  1066,  1067,
    1067,  1068,  1068,  1069,  1070,  1070,  1070,  1071,  1072,  1072,
    1073,  1073,  1074,  1074,  1074,  1075,  1075,  1076,  1076,  1076,
    1076,  1076,  1077,  1077,  1077,  1078,  1078,  1079,  1080,  1080,
    1080,  1081,  1081,  1082,  1082,  1082,  1082,  1082,  1082,  1082,
    1082,  1082,  1082,  1082,  1082,  1083,  1083,  1084,  1084,  1085,
    1085,  1085,  1085,  1085,  1085,  1086,  1086,  1087,  1087,  1088,
    1088,  1088,  1089,  1089,  1090,  1090,  1090,  1091,  1091,  1092,
    1092,  1093,  1093,  1093,  1093,  1093,  1093,  1093,  1093,  1094,
    1094,  1095,  1096,  1096,  1097,  1097,  1097,  1097,  1097,  1097,
    1098,  1099,  1100,  1100,  1100,  1101,  1101,  1102,  1103,  1103,
    1104,  1105,  1105,  1106,  1106,  1107,  1107,  1108,  1108,  1108,
    1108,  1109,  1109,  1110,  1110,  1111,  1111,  1112,  1112,  1113,
    1113,  1114,  1115,  1115,  1116,  1116,  1117,  1117,  1117,  1117,
    1118,  1118,  1119,  1119,  1120,  1120,  1121,  1122,  1123,  1124,
    1125,  1126,  1127,  1127,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1129,
    1130,  1130,  1130,  1130,  1131,  1132,  1132,  1132,  1133,  1133,
    1134,  1134,  1134,  1134,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1139,  1139,  1140,  1140,
    1140,  1140,  1140,  1140,  1140,  1140,  1142,  1141,  1143,  1144,
    1144,  1144,  1144,  1145,  1145,  1145,  1145,  1146,  1146,  1147,
    1148,  1149,  1149,  1150,  1150,  1150,  1151,  1151,  1152,  1152,
    1153,  1153,  1154,  1154,  1154,  1154,  1155,  1155,  1155,  1156,
    1157,  1157,  1158,  1158,  1159,  1159,  1159,  1159,  1160,  1160,
    1161,  1162,  1163,  1164,  1164,  1165,  1166,  1166,  1167,  1167,
    1167,  1167,  1167,  1169,  1168,  1170,  1171,  1172,  1172,  1173,
    1173,  1173,  1173,  1174,  1174,  1176,  1175,  1178,  1177,  1179,
    1177,  1177,  1180,  1180,  1181,  1181,  1181,  1182,  1182,  1182,
    1182,  1183,  1183,  1184,  1184,  1184,  1184,  1184,  1184,  1185,
    1185,  1185,  1186,  1188,  1187,  1189,  1190,  1189,  1191,  1191,
    1192,  1192,  1193,  1193,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1196,  1196,  1197,  1197,  1198,  1199,  1199,
    1200,  1200,  1200,  1201,  1202,  1203,  1203,  1203,  1203,  1204,
    1204,  1204,  1205,  1205,  1206,  1206,  1207,  1208,  1208,  1209,
    1209,  1210,  1210,  1211,  1211,  1212,  1213,  1213,  1214,  1214,
    1214,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,
    1216,  1216,  1216,  1216,  1216,  1217,  1217,  1218,  1219,  1220,
    1221,  1221,  1222,  1223,  1224,  1224,  1225,  1226,  1226,  1227,
    1228,  1229,  1229,  1230,  1231,  1232,  1232,  1233,  1234,  1234,
    1234,  1234,  1234,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1236,  1236,
    1237,  1237,  1238,  1238,  1238,  1240,  1239,  1241,  1241,  1243,
    1242,  1244,  1244,  1244,  1245,  1245,  1245,  1245,  1245,  1245,
    1245,  1245,  1245,  1246,  1246,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1248,  1248,
    1248,  1248,  1248,  1248,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1250,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1253,  1253,  1253,
    1253,  1253,  1253,  1254,  1254,  1254,  1254,  1254,  1254,  1254,
    1254,  1254,  1254,  1254,  1255,  1255,  1255,  1255,  1255,  1256,
    1256,  1256,  1256,  1257,  1257,  1257,  1257,  1257,  1257,  1257,
    1258,  1258,  1258,  1259,  1259,  1259,  1259,  1259,  1259,  1260,
    1260,  1261,  1262,  1262,  1263,  1263,  1264,  1265,  1266,  1267,
    1267,  1267,  1268,  1269,  1270,  1271,  1272,  1272,  1272,  1272,
    1272,  1273,  1274,  1274,  1274,  1275,  1275,  1276,  1276,  1276,
    1277,  1277,  1278,  1278,  1279,  1279,  1280,  1280,  1280,  1280,
    1280,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1282,  1282,  1282,
    1282,  1283,  1283,  1283,  1283,  1283,  1283,  1283,  1283,  1283,
    1283,  1284,  1284,  1284,  1284,  1285,  1285,  1286,  1286,  1287,
    1287,  1288,  1288
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     1,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     5,     5,     5,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     9,
       7,     1,     0,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,    10,    13,     4,
       6,    10,    13,     4,     6,     4,     6,     5,     7,    11,
      14,     1,     3,     2,     3,     4,     6,     6,     6,     5,
       5,     6,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     3,     2,     2,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     1,     1,     0,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     4,     1,     3,     4,     6,
       4,     8,     2,     2,    11,     7,     1,     1,     1,     0,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     3,
       2,     1,     0,     2,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      11,    14,    10,    13,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     4,     4,     2,     0,     3,
       1,     1,     2,     2,     1,     3,     4,     5,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     3,     8,
       4,     9,    11,     2,     0,     3,     0,     1,     3,     1,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       2,     2,     4,     0,     2,     2,     2,     0,     3,     4,
       4,     0,     2,     0,     4,     0,     3,     5,     2,     3,
       0,     8,    11,     4,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     7,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     5,     2,     0,     2,     7,    10,     6,
       6,     6,     6,     7,     7,     9,     9,     6,     7,     6,
       8,     8,     8,     8,     6,     6,     7,     7,     8,     6,
       9,     6,     7,     2,     2,     2,     2,     1,     2,     1,
       0,     6,     8,     7,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
       2,     0,     2,     2,     1,     0,     4,     6,     5,     4,
       4,    11,    14,     5,     7,    11,     2,     1,     4,     0,
       8,     1,     1,     7,     9,     8,     9,     8,     6,     8,
       4,     0,     5,     0,     2,     0,     2,     0,     2,     0,
       1,     1,     1,     1,     1,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     0,     1,     3,
       7,     9,     9,     3,     0,    13,     1,     3,     5,     6,
       4,     7,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     1,     3,     5,     2,     2,     0,
       6,     6,     6,     7,     7,     7,     8,     9,     8,     8,
       6,     9,     8,     9,     9,     7,    10,     7,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     1,     3,     2,     3,     3,     3,     3,     1,
       1,     8,     8,     8,     9,     9,     9,     9,     2,     0,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     2,     2,     3,     4,     5,     4,     5,
       3,     4,     3,     4,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     4,     4,     4,     4,     1,     1,
       1,     0,     7,     7,    10,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     1,     3,
       2,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,    14,    17,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     2,
       0,     1,     1,     0,     2,     2,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     2,     1,     1,     1,     3,     3,
       5,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,    10,    11,    11,
       5,     5,     8,     3,     3,     6,     6,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     5,     7,     6,     6,
       6,     6,     8,     8,     6,     6,     7,     9,     9,     8,
      10,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     6,     6,     6,     6,     6,     7,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     7,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     9,    11,    12,
      14,     3,     4,     4,     0,     2,     5,     1,     0,     1,
       2,     3,     3,     3,     1,     2,     1,     1,     1,     1,
       1,     1,     0,     5,     4,     6,     4,     3,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     4,     2,     5,     2,     0,     4,     5,     5,     4,
       6,     1,     3,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
       3,     0,     7,     1,     3,     1,     4,     2,     1,     3,
       2,     8,     5,     0,     4,     3,     0,     3,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     1,     2,     0,     8,     1,
       3,     1,     1,     3,     5,     5,     2,     1,     3,     7,
       1,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     9,     1,     2,     4,     4,
       4,     2,     2,     3,     1,     3,     6,     1,     0,     2,
       1,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       4,     5,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     2,     3,     2,
       0,     1,     3,     2,     3,     2,     3,     2,     3,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     1,     0,     1,     4,     5,     4,     0,     2,     2,
       2,     1,     1,     0,     4,     2,     1,     2,     2,     4,
       1,     3,     1,     2,     3,     6,     4,     0,     2,     6,
       2,     1,     3,     4,     0,     2,     0,     2,     0,     2,
       4,     0,     1,     0,     1,     3,     3,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     5,     2,     2,     2,     1,     3,
       3,     2,     1,     0,     3,     0,     5,     2,     5,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     4,     3,     5,     6,     8,     6,     6,     4,     4,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     5,     0,     5,     0,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     2,     2,     0,     1,     4,     2,     2,     2,
       2,     2,     4,     3,     5,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     0,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       6,     2,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     4,     3,
       2,     1,     1,     1,     1,     1,     0,     8,     2,     5,
       3,     2,     2,     3,     7,     1,     1,     1,     0,     2,
       2,     1,     0,     1,     3,     1,     2,     0,     2,     0,
       2,     0,     1,     3,     4,     3,     1,     1,     1,     1,
       2,     0,     2,     4,     0,     2,     2,     2,     1,     1,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     2,     1,     3,
       2,     2,     3,     0,     5,     1,     0,     5,     2,     2,
       1,     1,     1,     2,     2,     3,     1,     2,     2,     3,
       3,     4,     2,     1,     2,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     0,     1,     3,     5,     0,     2,
       0,     1,     2,     3,     2,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     2,     2,     3,     0,     1,     2,
       1,     4,     3,     4,     3,     2,     1,     3,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
       4,     4,     4,     4,     4,     1,     0,     3,     3,     4,
       1,     3,     3,     4,     1,     3,     3,     1,     1,     1,
       6,     1,     3,     3,     6,     1,     3,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       1,     1,     4,     4,     3,     0,     7,     1,     0,     0,
       7,     3,     4,     3,     1,     1,     1,     2,     3,     5,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     0,     1,     2,     1,     2,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     2,
       3,     1,     3,     3,     3,     3,     3,     3,     1,     1,
       4,     0,     2,     2,     1,     2,     1,     0,     1,     1,
       1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1559 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30475 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1561 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30481 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1563 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30487 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1565 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30493 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1567 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30499 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1569 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30505 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1571 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30511 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1573 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30517 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1575 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30523 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1577 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30529 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1579 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30535 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1581 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30541 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1583 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30547 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1585 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30553 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1587 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30559 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1589 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30565 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1591 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30571 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1593 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30577 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1595 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30583 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1597 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30589 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1599 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30595 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30601 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30607 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30613 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30619 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30625 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30631 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30637 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30643 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30649 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1619 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 30671 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30677 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30683 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30689 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30695 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30701 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30707 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30713 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30719 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30725 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30731 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30737 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30743 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30749 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30755 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30761 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30767 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30773 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30779 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30785 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1675 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30791 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1677 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30797 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1679 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30803 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1681 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30809 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1683 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30815 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1685 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30821 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1687 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30827 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1689 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30833 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1691 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30839 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30845 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30851 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30857 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30863 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1701 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 30871 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 30877 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30883 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 30889 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 30895 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30901 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1715 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30907 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30913 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30919 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30925 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30931 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30937 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30943 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30949 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30955 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30961 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30967 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30973 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30979 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30985 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30991 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30997 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31003 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31009 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31015 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1753 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 31021 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31027 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31033 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31039 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31045 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31051 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31057 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31063 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31069 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31075 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31081 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31087 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31093 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1779 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 31104 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31110 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1788 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31116 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1790 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31122 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1792 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31128 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1794 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31134 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1796 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31140 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1798 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31146 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1800 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31152 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1802 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31158 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1804 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31164 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1806 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31170 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1808 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31180 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1814 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31186 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1816 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31192 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1818 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31198 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1820 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31204 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1822 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31210 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1824 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31216 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1826 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31222 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1828 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31228 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1830 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31238 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1836 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31252 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1846 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31260 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1850 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31270 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1856 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31278 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1860 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 31292 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1870 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31306 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1879 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 31312 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1881 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31330 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1895 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31341 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1902 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31351 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1908 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 31366 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1919 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31376 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1925 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31389 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1934 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31400 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1941 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31410 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1947 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 31423 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1956 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31434 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1963 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31445 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31451 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31459 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31467 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31475 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31482 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31490 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31497 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31505 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31512 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 31520 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 31528 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 31536 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 31544 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 31552 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 31560 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 31568 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 31576 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31584 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31592 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 31600 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 31608 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 31616 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 31624 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 31632 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31640 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31648 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31655 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 31663 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31671 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31679 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31687 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31695 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31703 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 31711 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 31719 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 31727 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 31735 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31743 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 31751 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 31759 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 31767 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 31775 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 31783 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31791 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31799 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2220 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31808 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31817 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31825 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31832 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31840 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31847 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31855 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31863 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31871 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31879 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31887 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31895 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 31903 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 31911 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 31919 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 31927 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 31935 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31943 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 31951 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 31959 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 31967 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31975 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 31983 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 31991 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 32000 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32008 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 32016 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32024 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 32032 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 32040 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 32048 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 32056 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32064 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32072 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32080 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32088 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32096 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2406 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32110 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 32118 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 32126 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 32134 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 32142 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 32150 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 32158 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 32166 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32174 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32182 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32190 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32198 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32206 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32214 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32222 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 32230 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32238 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32246 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32253 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32261 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32269 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32277 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32285 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 32293 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 32301 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 32309 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32317 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32325 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32333 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32341 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32349 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32357 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 32365 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 32373 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 32381 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 32389 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2599 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 32398 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32406 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32414 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32422 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 32430 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 32438 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 32446 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 32454 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 32462 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 32470 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 32478 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 32486 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32494 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32502 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32510 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32518 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32526 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32534 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32542 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32550 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32558 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32566 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32574 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32582 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32590 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32598 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32606 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32614 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32622 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32630 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32638 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 32646 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32654 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 32662 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 32670 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 32678 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 32686 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 32694 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 32702 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32710 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32718 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32726 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32734 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32742 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32750 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 32758 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32766 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32774 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 32782 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 32790 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 32798 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 32806 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 32814 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 32822 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 32830 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 32838 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 32846 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 32854 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 32862 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 32870 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 32878 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 32886 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 32894 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 32902 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 32910 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 32918 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 32926 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 32934 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 32942 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 32950 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 32958 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 32966 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32974 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32982 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 32990 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 32998 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 33006 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 33014 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 33022 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33030 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 33038 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 33046 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 33054 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 33062 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33069 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33077 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33084 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33092 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33099 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33107 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 33115 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33123 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 33131 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33139 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 33147 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33154 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33162 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33170 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33178 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33186 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33194 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33202 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33210 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33218 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33226 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33234 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33242 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33250 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33258 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3116 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 33267 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 33275 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3129 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33287 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33295 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33303 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 33311 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 33319 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33326 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33334 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 33342 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 33350 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33358 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33366 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33374 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33381 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33389 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 33397 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 33405 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33413 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33421 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 33429 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 33437 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33445 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33453 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 33461 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 33469 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 33477 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 33485 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 33493 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33501 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33508 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 33516 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33523 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 33531 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33538 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 33546 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33553 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33561 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33569 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33577 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33585 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33593 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 33601 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33609 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33616 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33624 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33632 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33640 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33648 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33656 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33664 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33672 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 33680 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 33688 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 33696 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 33704 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 33712 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 33720 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 33728 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33735 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33743 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33750 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33758 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33765 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33773 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33781 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33789 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33797 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33805 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33813 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33821 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33829 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33837 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33845 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 33853 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33861 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33868 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33876 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33884 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33892 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33900 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 33908 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33916 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33924 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33932 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33940 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 33948 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33956 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 33964 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 33972 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 33980 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 33988 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33996 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 34004 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 34012 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34019 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 34027 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 34035 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 34043 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 34051 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 34059 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34067 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34075 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34083 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34091 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34099 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34107 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34115 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34123 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34131 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34139 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 34147 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34154 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34162 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34169 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34177 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34185 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34193 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 34201 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3743 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 34210 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 34218 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34225 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34233 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34241 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34249 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34257 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34265 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34272 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34280 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34288 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34296 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34304 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34311 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 34319 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 34327 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 34335 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34343 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34351 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 34359 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 34367 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34375 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34382 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34390 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34398 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 34406 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34413 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 34421 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 34429 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 34437 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34444 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34452 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34459 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 34467 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34474 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34482 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34490 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 34498 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 34506 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34513 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34521 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34529 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34537 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34545 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34552 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34560 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34568 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34576 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34584 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34592 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34600 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34607 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34615 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34623 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 34631 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 34639 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 34647 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34655 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 34663 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 34671 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 34679 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 34687 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 34695 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34703 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 34711 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34719 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 34727 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34734 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34742 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 34750 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 34758 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34766 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34774 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34782 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 34790 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34798 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 34806 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34813 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34821 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34829 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 34837 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34844 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 34852 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 34860 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34868 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34875 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34883 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34891 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 34899 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34906 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34914 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 34922 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34929 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 34937 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 34945 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34953 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34961 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34969 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34976 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 34984 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 34992 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 35000 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 35008 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35016 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35023 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35031 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35039 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35047 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 35055 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 35063 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 35071 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 35079 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35087 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35095 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35103 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35111 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 35119 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 35127 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 35135 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 35143 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 35151 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 35159 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 35167 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35175 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 35183 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 35191 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 35199 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35207 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35215 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35223 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 35231 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35239 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 35247 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 35255 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35263 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35271 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35279 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35287 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35295 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35302 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35310 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35318 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35326 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35334 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35342 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35349 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35357 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35365 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35373 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35381 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35389 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35397 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35405 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35413 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 35421 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35429 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35437 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35445 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35453 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35461 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35468 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35476 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 35484 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35492 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35499 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35507 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35515 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35523 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35531 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35539 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35547 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35555 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35563 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35571 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35579 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 35587 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 35595 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35603 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35610 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35618 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35626 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 35634 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35642 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35650 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35658 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35666 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35674 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35682 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35690 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35698 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35705 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35713 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35720 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35728 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35735 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35743 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35750 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 35758 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35765 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35773 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 35781 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 35789 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 35797 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 35805 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35813 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35821 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 35829 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 35837 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 35845 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35853 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 35861 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 35869 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 35877 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 35885 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 35893 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 35901 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35909 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35916 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 35924 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35931 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 35939 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 35947 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35955 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35962 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35970 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35978 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35985 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35993 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36001 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36009 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36017 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36025 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36032 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36039 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36047 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36055 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36063 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36071 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36079 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 36087 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36095 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36103 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36111 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36119 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36127 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36135 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 36143 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36151 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 36159 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 36167 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36175 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 36183 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 36191 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 36199 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 36207 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5145 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36216 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36225 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36233 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36241 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36249 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36257 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 36265 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36273 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36281 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 36289 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36297 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36305 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36313 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36321 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36329 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36337 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36345 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36353 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36361 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36369 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36377 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36385 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36393 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36401 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36409 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36417 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36425 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36433 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36441 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36449 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36457 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36464 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36472 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36480 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36488 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 36496 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 36504 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 36512 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36519 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36527 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36535 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36543 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36551 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36559 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36567 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36575 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 36583 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36591 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36598 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 36606 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36613 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 36621 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 36629 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36636 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5438 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 36645 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36652 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 36660 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 36668 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 36676 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36684 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36692 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36700 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36708 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36716 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36724 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36732 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36740 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36748 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36756 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36764 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36772 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36780 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36788 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36796 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36804 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36812 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36820 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 36828 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 36836 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 36844 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 36852 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 36860 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 36868 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 36876 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 36884 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 36892 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 36900 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 36908 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 36916 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 36924 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 36932 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 36940 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36948 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36956 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36964 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36972 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 36980 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36988 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36996 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37004 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 37012 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 37020 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37027 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37035 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37043 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37051 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37059 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37067 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37075 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37083 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37091 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37099 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37107 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37115 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37123 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37131 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37139 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37147 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37155 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 37163 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37171 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37179 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37187 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37195 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37203 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37211 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37219 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37227 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37235 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37243 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37251 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37259 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37267 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37275 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37283 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 37291 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 37299 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37307 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37315 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37323 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37331 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37339 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37347 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37355 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37363 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37371 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37379 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37387 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37395 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37403 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37411 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37419 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37426 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37434 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37442 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37450 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37458 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37466 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37474 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37482 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37490 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37498 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37506 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37514 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37522 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 5969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37530 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 5977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 37538 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 5981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 37546 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 5985 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 37554 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 5989 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 37564 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 5995 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 37574 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6001 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 37584 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6007 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 37594 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6013 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 37604 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6019 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 37614 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6025 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 37624 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6031 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 37634 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6041 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 37649 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6052 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37664 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6063 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37679 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6074 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37694 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6085 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37709 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6096 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37724 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6107 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37744 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6123 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37764 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6139 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37784 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6155 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37799 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6166 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37819 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6182 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37834 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6193 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37854 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6209 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37869 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 37877 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 37885 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37893 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37900 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37908 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37916 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37924 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37932 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37940 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 37948 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37956 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37964 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37972 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37980 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 37988 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 37996 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 38004 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38012 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38020 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38028 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38036 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38044 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 38052 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 38060 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 38068 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 38076 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38084 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 38092 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38100 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38108 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38116 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 38124 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 38132 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 38140 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38148 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38156 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38164 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 38172 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 38180 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38187 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38195 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38203 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38211 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38219 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38227 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38235 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 38243 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38250 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 38258 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38265 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38273 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38281 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38288 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 38296 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 38304 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 38312 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38320 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38328 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38336 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 38344 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 38352 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 38360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 38368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 38392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 38407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 38492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 38530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 38538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 38553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 38561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 38600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 38623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 38655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 38727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 38735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 38743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 38751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 38783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 38791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 38807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6870 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 38824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 38832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 38896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 38904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 38912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 38920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 38928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 38936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 38944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 38952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 38960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 38968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 38976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 38984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 38992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 39000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 39032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 39040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 39072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 39080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 39151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 39238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 39262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 39310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 39318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 39326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 39334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 39357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 39380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 39388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 39396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 39404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 39476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 39508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 39524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 39931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 40322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 40393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 40425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 40433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 40472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 40487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 40495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 40503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 40511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 40527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 40535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 40543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 40551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 40559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 40567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 40575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 40583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 40599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 40607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 40615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 40623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 40631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 40646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 40654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 40662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 40670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 40678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8052 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8057 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 40759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 40767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 40775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 40790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 40853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 40869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 40877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 40885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 40893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 40901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 40909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 40917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 40932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 40948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 40964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 40972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 40980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 40988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 41028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 41060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 41115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 41123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 41163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 41171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 41298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 41306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 41374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 41390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8596 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 41543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8602 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 41553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 41606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 41677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 41717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 41740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 41755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 41801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 41816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 41824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 41832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 41840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 41848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 41856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 41864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 41872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 41880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 41895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 41903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 41966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 41974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8933 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 42051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8990 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 42071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 42086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 42094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 42102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 42110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9025 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 42121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 42129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 42137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 42329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9195 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 42377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9199 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 42383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 42554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 42641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9375 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 42650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 42658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 42666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 42737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 42745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 42753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 42761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 42769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 42840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 42872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 42895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 42942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 42950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 42958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 42966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 42974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 42989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9682 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9689 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 43114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 43138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 43146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 43240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 43248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 43256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 43295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 43311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 43319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 43453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9969 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 43492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10012 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 43544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10014 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 43550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 43574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 43582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10036 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 43596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10046 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 43610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10056 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 43620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 43747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 43755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 43763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 43771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 43779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 43787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 43795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 43803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 43811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 43819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 43827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 43890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 43954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 43962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 43970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 43978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 43986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 44009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 44032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 44048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 44064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 44072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 44087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 44095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 44103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 44111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 44119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 44135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 44143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 44151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 44159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 44167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 44175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 44183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 44198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 44230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 44238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 44390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 44414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 44430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 44446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 44462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 44478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 44494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 44510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 44518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 44526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 44534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 44542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 44550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 44558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 44566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 44574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 44582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 44590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 44598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 44606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 44662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 44670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10684 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 44695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 44703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 44711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 44871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 44879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 44903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 44911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 44983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 44991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 44999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 45079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 45455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 45463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 45471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 45479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 45487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 45542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 45550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 45558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 45566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 45581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 45589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 45597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 45605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 45643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 45682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 45690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 45728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11301 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 45744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 45752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 45783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 45791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 45799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 45807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 45815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 45831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 45855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 45871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 45879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 45911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 45919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 45927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 45935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 45943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 45951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 45959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 45967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 45975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 45983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 45991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 45999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 46063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 46079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 46127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 46135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 46175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 46294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 46302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 46420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 46444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 46452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 46498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 46506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 46561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 46671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 12001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 12009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 12017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 46823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 46871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 46879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12088 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12089 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12095 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 46905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 46927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 46935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 46959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 46967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 47023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 47031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 47039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 47047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 47055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 47063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 47071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 47079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 47087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 47095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 47103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 47111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 47119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 47127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 47135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 47143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 47151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 47159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 47167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 47175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 47183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 47191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 47199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 47207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 47215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 47223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 47231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 47239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 47247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 47255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 47263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 47271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 47279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 47287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 47295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 47303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 47311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 47319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 47327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 47335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 47343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 47351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 47359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 47367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 47375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 47383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 47391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 47399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 47407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 47415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 47423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 47431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 47439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 47447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 47455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 47463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 47471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 47479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 47487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 47495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 47503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 47511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 47519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 47527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 47535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 47543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 47551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 47559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 47567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 47575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 47583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 47591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 47599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 47607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 47615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 47623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 47631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 47639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 47647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 47655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 47663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 47671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 47679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 47687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 47695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 47703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 47711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 47719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 47727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 47735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 47743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 47751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 47759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 47767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 47775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 47783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 47791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 47799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 47807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 47815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 47823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 47831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 47839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 47847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 47855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 47863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 47871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 47879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 47887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 47895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 47903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 47911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 47919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 47927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 47935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 47943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 47951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 47959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 47967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 47975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 47983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 47991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 47999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 48007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 48015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 48023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 48031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 48039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 48047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 48055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 48063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 48071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 48079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 48095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 48103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 48111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 48119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 48127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 48135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 48143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 48151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 48159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 48167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 48175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 48183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 48191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 48199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 48207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 48215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 48223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 48231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 48239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 48247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 48255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 48263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 48271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 48279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 48287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 48295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 48303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 48311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 48319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 48327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 48335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 48343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 48351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 48359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 48367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 48375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 48383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 48391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 48399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 48407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 48415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 48423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 48431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 48439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 48447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 48455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 48463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 48471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 48479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 48487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 48495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 48503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 48511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 48519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 48527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 48535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 48543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 48551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 48559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 48567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 48575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 48583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 48591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 48599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 48607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 48615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 48623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 48631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 48639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 48647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 48655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 48663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 48671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 48679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 48687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 48695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 48703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 48711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 48719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 48727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 48735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 48743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 48751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 48759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 48767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 48775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 48783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 48791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 48799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 48807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 48815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 48823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 48831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 48839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 48847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 48855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 48863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 48871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 48879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 48887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 48895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 48903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 48911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 48919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 48927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 48935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 48943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 48951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 48959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 48967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 48975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 48983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 48991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 48999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 49007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 49015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 49023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 49031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 49039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 49047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 49055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 49063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 49071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 49079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 49087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 49095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 49111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 49127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 49135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 49143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 49151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 49159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 49167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 49175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 49183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 49191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 49199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 49223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 49231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 49239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 49247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 49255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 49263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 49271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 49279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 49287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 49295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 49311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 49319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 49335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 49343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 49351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 49359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 49367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 49383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 49391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 49399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 49407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 49415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 49423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 49431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 49439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 49447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 49455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 49463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 49471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 49479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 49487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 49495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 49503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 49511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 49527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 49535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 49543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 49551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 49559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 49575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 49583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 49591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 49599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 49607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 49615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 49623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 49631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 49639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 49647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 49655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 49663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 49671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 49679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 49687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 49695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 49703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 49711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 49719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 49727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 49735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 49743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 49751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 49759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 49767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 49775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 49783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 49791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 49799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 49807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 49815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 49823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 49831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 49839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 49847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 49855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 49863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 49871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 49879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 49887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 49895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 49903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 49911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 49919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 49927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 49935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 49943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 49951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 49959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 49967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 49975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 49983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 49991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 49999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 50023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 50039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 50047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 50055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 50063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 50071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 50079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 50087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 50095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 50103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 50135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 50143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 50151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 50159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 50175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 50191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 50199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 50207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 50215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 50223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 50231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13803 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 50237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13806 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 50247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13812 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13813 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 50265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13816 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 50280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13828 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 50286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13829 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 50297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13838 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 50311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 50317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 50323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 50329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 50335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13864 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 50351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13876 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 50371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13892 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 50379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13896 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 50392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13907 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13911 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 50418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13923 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 50429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 13931 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 13932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 13935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 13936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 50453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 13937 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 50459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 13940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 50465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 13941 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 13944 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 13945 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 50483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 13948 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 13949 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 50495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 13953 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 50501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 13955 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 13957 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 13959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 13963 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 50530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 13970 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 50541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 13977 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 50559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 13993 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 50595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14027 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 50609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14036 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14040 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 50623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14044 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 50637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14056 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 50649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14060 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 50655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14062 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 50661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14066 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 50679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14087 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 50748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14148 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 50758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14158 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 50800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 50806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 50812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 50818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14179 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 50824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14181 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 50834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14188 "preproc.y" /* yacc.c:1646  */
    {}
#line 50840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14190 "preproc.y" /* yacc.c:1646  */
    {}
#line 50846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14196 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14197 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14198 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 50876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14199 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 50882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14203 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 50894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14207 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 50904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14213 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 50916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14223 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 50930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14233 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 50938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14237 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 50952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14247 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 50960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14251 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 50968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14256 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 50974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14261 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 50986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14262 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 50992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14263 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 50998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 51004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 51010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 51016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 51022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 51028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14273 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 51034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14277 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14285 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 51067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14302 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14310 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14333 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 51216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14439 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 51252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14473 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 51258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 51276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14484 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 51287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14491 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14536 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 51349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14542 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14551 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 51370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14557 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 51379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14564 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 51388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14569 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 51396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14574 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14575 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14578 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14579 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14580 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14581 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14582 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14583 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14585 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14593 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14600 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 51474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14603 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14604 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51486 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14605 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 51492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14606 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14607 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14609 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 51516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14617 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 51528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14624 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 51534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14625 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 51540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14626 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 51546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14636 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 51563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14645 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 51652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14734 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 51667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 51679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 51685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14749 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 51694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14761 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 51712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14762 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 51718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14763 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 51724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 51730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14767 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 51736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14774 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 51754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 51766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14789 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 51776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14801 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14805 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14810 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14817 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14822 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14829 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14838 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 51856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 51880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 51886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 51898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 51904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14854 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14856 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14863 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 51933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14870 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 51949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14882 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 51959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14888 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 51970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14895 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 51980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14902 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 51986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14903 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14916 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14927 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14938 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 52016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14946 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14951 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 52028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14959 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14965 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14973 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14978 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 52062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14986 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14993 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14997 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 15005 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15011 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15020 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15025 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15035 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 15045 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15056 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 52154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15057 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 52160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 15058 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 52166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 15059 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 52172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 15060 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 52178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15061 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 52184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15062 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15063 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 52196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15064 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 52202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15065 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 52208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 52214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15067 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15068 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 52226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15069 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 52232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15070 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 52238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15081 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 52256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 52262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15089 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15090 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15091 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15098 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15104 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 52303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15114 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 52309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15115 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15122 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15128 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15192 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15198 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15204 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15212 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 52427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15218 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 52437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15224 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 52447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15230 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15236 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15242 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 52477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15248 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 52487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15254 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15260 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 52525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 52531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15276 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 52537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 52543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 52549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 52555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 52561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 52567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 52573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15283 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 52579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 52585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 52591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 52597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 52603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 52609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15289 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 52615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 52621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 52627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 52633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 52639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 52645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 52651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15296 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 52657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 52663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 52669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 52675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 52681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 52687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15304 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 52693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 52699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15309 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 52705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15310 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 52711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 52717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 52723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 52729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15314 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 52735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15317 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15323 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15324 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15325 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15326 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 52783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15327 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 52789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15340 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15341 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15342 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15343 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15344 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15345 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 52825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15346 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 52831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15351 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15352 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15356 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15363 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15364 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 52885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15365 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 52891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15366 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 52897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15367 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 52903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15368 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 52909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15369 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 52915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15370 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 52921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15371 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15372 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 52963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15382 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15385 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 52993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 52999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15416 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 53053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15417 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15418 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15428 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 53092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15439 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 53110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15441 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 53116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15446 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 53128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15456 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 53141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15467 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 53150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15473 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15474 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15475 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15479 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 53203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15519 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 53235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15529 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15539 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15552 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15554 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15555 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15556 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15560 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 53311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15569 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15570 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 53323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15575 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15584 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15585 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 53365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15588 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15589 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 53377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15590 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 53383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15591 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 53389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15592 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 53395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15595 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15596 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15597 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15598 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 53425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 53431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15601 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 53437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15602 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 53443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15603 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 53449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 53461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15606 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 53467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15607 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15608 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15609 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15610 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 53491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15611 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 53497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15612 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 53503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 15613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 53509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 15614 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 15615 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 53521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 15616 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 53527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 15617 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 53533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 15618 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 53539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 15619 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 53545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 15620 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 53551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 15621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 53557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 15622 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 53563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 15623 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 15624 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 53575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 15625 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 15626 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 53587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 15627 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 15628 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 15629 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 15630 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 53611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 15631 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 15632 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 53623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 15633 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 53629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 15634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 15635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 15636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 15637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 53653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 15638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 15639 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 53665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 15640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 53671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 15641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 15642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 15643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 53689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 15644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 53695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 15645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 53701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 15646 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 53707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 15647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 53713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 15648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 53719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 15649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 53725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 15650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 53731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 15653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 15654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 15655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 53749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 15656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 53755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 15659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 15660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 15661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 53773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 53779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 15663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 53785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 15664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 53791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 15665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 53797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 15666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 15667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 53819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 15675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 15676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 15677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 15678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 15681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 15682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 15685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 15686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 15689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 15691 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 53886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 15701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 15702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53898 "preproc.c" /* yacc.c:1646  */
    break;


#line 53902 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15705 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
